(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    173303,       2988]
NotebookOptionsPosition[    172379,       2954]
NotebookOutlinePosition[    172766,       2971]
CellTagsIndexPosition[    172723,       2968]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Simple Puppet", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.3693925617354317`*^9, 3.369392563866749*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SimplePuppet", "[", "]"}], ":=", 
   RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "ls", ",", "la", ",", "as", ",", "aa", ",", "bottom", ",", "top", ",", 
        "head", ",", 
        RowBox[{"eyesp", "=", "0.5"}], ",", 
        RowBox[{"eyea", "=", ".9"}], ",", 
        RowBox[{"headSize", "=", ".25"}]}], "}"}], ",", "\[IndentingNewLine]",
       
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"ls", ",", "la", ",", "as", ",", "aa"}], "}"}], "=", 
        RowBox[{"ControllerState", "[", 
         RowBox[{"{", 
          RowBox[{
          "\"\<X1\>\"", ",", "\"\<Y1\>\"", ",", "\"\<X2\>\"", ",", 
           "\"\<Y2\>\""}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"la", "=", 
        RowBox[{"Rescale", "[", 
         RowBox[{"la", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]}], ";", 
       RowBox[{"aa", "=", 
        RowBox[{"Rescale", "[", 
         RowBox[{"aa", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"bottom", "=", 
        RowBox[{"{", 
         RowBox[{"ls", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"top", "=", 
        RowBox[{"bottom", "+", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}]}], "}"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"head", "=", 
        RowBox[{"top", "+", 
         RowBox[{"{", 
          RowBox[{"0", ",", ".4"}], "}"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Blue", ",", 
             RowBox[{"AbsoluteThickness", "[", "10", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"bottom", ",", 
                  RowBox[{"bottom", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "la", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"bottom", ",", 
                  RowBox[{"bottom", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "la", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"bottom", ",", "top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.3"}], "}"}]}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "aa", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "aa", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}]}], 
               "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Disk", "[", 
              RowBox[{"head", ",", "headSize"}], "]"}], ",", 
             "\[IndentingNewLine]", "Black", ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"head", "+", 
                RowBox[{"headSize", " ", "eyesp", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                   RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
               RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Disk", "[", 
              RowBox[{
               RowBox[{"head", "+", 
                RowBox[{"headSize", " ", "eyesp", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                   RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
               RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"head", "+", 
                RowBox[{"headSize", " ", "eyesp", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                   RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
               RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Disk", "[", 
              RowBox[{
               RowBox[{"head", "+", 
                RowBox[{"headSize", " ", "eyesp", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                   RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
               RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AbsoluteThickness", "[", "4", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Circle", "[", 
              RowBox[{"head", ",", 
               RowBox[{"headSize", "/", "1.5"}], ",", 
               RowBox[{"{", 
                RowBox[{"3.28", ",", "6.14"}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1.1"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "1000"}]}], "]"}], ",", 
         RowBox[{"CacheGraphics", "\[Rule]", "False"}]}], "]"}]}]}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.3693907875173483`*^9, 3.369390830665386*^9, 3.369390870677128*^9, 
   3.369390959920638*^9, {3.369391119661613*^9, 3.3693911376183662`*^9}, {
   3.369391175484329*^9, 3.369391201887837*^9}, {3.369392628076791*^9, 
   3.369392680590077*^9}, {3.3693927585724382`*^9, 3.3693927620434923`*^9}, {
   3.369392793787129*^9, 3.36939302863022*^9}, {3.3693937049484463`*^9, 
   3.369393705819913*^9}, {3.369393751385666*^9, 3.369393777599361*^9}, {
   3.3693938773189583`*^9, 3.3693939498004637`*^9}, {3.369394032321827*^9, 
   3.3693940619163637`*^9}, {3.369394094246972*^9, 3.3693941175693417`*^9}, {
   3.369394151832334*^9, 3.369394173865115*^9}, {3.369394219302154*^9, 
   3.3693943824919*^9}, {3.369394480042264*^9, 3.36939450829624*^9}, {
   3.3693945505568027`*^9, 3.369394730611355*^9}, {3.36939478929618*^9, 
   3.3693948582292423`*^9}, {3.36946877996502*^9, 3.369468792933648*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Fancy Pupet", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.3693925654028397`*^9, 3.369392567794569*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"addie", "=", 
   RowBox[{
    RowBox[{
     GraphicsBox[RasterBox[CompressedData["
       1:eJzsvYV3nVl65Z21Mlkzk3QXk11lu8zMIDMzW5Zk2TLJtiTbYmYmi5mZmZmZ
       JcvsclV1cXVRV1eSf2B/+zlXV+3uZGYy33Ti7sTvWs+6wqsr6fzO3vvQO/ea
       te61v/2bv/mb4an6byy8vP6vrn/8+Tv80y8/4J9ZP3z9DN9/8zF+/PZTfPfF
       E3zxdAzf/OYBvv3NfXz/1Uf46dvf4J/59S+vl9d/petHtvtPHw5hrKsSXbUZ
       aK9IRkdFItpLY9FaEqMeuyoT0VebhuHmXHw03oavPhrFD189wy8/fP2iX/7L
       6+X173J99uQuxnvq0VqaguqscJSmBKA8NRgVaYGoTPFBRYq3qqpUvp3shbJE
       D/VYlxGAtsII9NZkYKKzAp8/GsbP333xon+dl9fL6//p+uG3X+DzZw/w+dNJ
       9DcWozYnEtWZoawQ1GSFojY7HA350WgpjEZHfig6yYBUR0EY2vJC0Jp7B01Z
       gahL80UlWSmN90FZUgDqciMx0VOLn3/8mj/jU3z28Th+/t03L/rXfXm9vP7N
       13dffYqf2Mc/Hu1Ge0kqGrIj0ZIfh/aiRHSUJKGzNBndZalTlYIuvt8pHy9J
       RE+5fC4RncXy9TH8vnA05oaiKT0I1YneKIl2RVmCF+pzwtBZmYzfPBrCLz99
       gx+++eRF/9ovr5fX//b64dvP8MmDITwd68TdrgrFQVthAtt9Mtt9Gnor0jFY
       k42h2hz12F+VqT7WV5nBR6k0fkzeT9UwUhKP9uJotBZGojkrGE2ZQdQTf/Lh
       ifxIR5QmeaOJHPXUZuLZvV589ckD5v5P8Au15Z9/+fFF/zleXi8v/PK77/DZ
       R5ItajDaUYrOigS27ThqQjTbewoGqrOmmRiuy1U1Up83XX/8vnyNsJPB70sl
       Jynokecrjydr9GHFUWguCEdtpmQWX5QneaEwxhn5UU4oinNHUbwnylKC0FAQ
       i7byFPQ18Tk7yvBwpAVff/rgRf+pXl7/xS7Rix626fYK+qZy+qGSGHRXJqK/
       hlzUpmKoLmu6/Y825KuS9+VxrLFgusabCjHRXMSS94WTbH5NNr82E4N8Hqne
       Ovqw6kS2+xg0F0UoTprzw1BPTalK8kFprDtKWAXR7sgMdUAGKyvCCXn0YyX8
       fGNBNCb76/H7n7590X+2l9d/gevjB4Poa8hBc2E4M0UMequS0FtDf1RLD1Wf
       ieHGHIw0kI26P2iFcCEc3G0pViVcSMnbk60lfCxUfIw15vLjuYqRkYYMDNen
       00ORD1anMFIWi5aiaOaTaDTnMp9kMstn3EEDqzI1gLrii+I4T8VKTrgT0oPt
       kBpsixzy0pAfgyf3+vCPv//hRf8JX17/Ca9n9wfQVZOFxjy2ybwQshFFH5SI
       wTphI4Ns0EuRm2G28dFG6kRDwbR2iFYIB1L32kpV3W8vm657bcWKkYlm4Ug4
       yeFzZKrqY/VI1aVTR1KoV5L149BRFMeME4O2/Ci0CCt5oajPvoOajEBUSVZh
       Rimm98ojG9khdsgItkZmlCOq8yMxMdCILz99iB9/+/mL/rO+vP6KL8m6X358
       F4Ps58szgthH+6ElJ5B5IAI97Mv7qR1DbLfD9FOKDbIwIt5pSh/+1EeJXmjZ
       eNBRjoedFXjUJVXO94WbIjJUoBiZaMnB3dZcDDVlY6AxC/0NzPS1aegmIz1V
       KfRzyegkK52lCfR31BXy2lIcqTxYS2EEGnLuKA9WM5Xri2JdkU0+UkOsVRXw
       YxXUn5qCKPJXgEfj3Wps+uX18vq3XL//8SvcH6pHTW4I8uPdUMls3FIQgc78
       UPSXRWGoKh7DzBujbLdj9EQjZGC0qRgjzcVs2xofpckWRdOe6k8Z0fBRqfh4
       2CnvCyPkqilH+SupIXqtQdZAfRZ9HP1WdRr6aoWVDPTw/e6qNHSQ07Yq5qBK
       VgW1pVzm5KPQSk5a8jRZpZpsV1FTKhK9UBTtgqw75MTvFhK8TBHncR1pgVYY
       aCkjI1++6D/9y+sv+Pon+vOnk93oZNsvy/BHfoIHSlN90UA22oqi0FscipGq
       WIzVJWGU2jHO/v0u+/zxllJVo6zJtjLFwB881fNeqvRf+VzJVJGfZsksWax0
       ak8mxiWTMJuMNuUrjeqnVvXTy/U2ZqObXyfVxa/tqE9Eey2rJoG8xJOTWLSV
       asaIW5jnpRrTA1Gf6q/mU8pi3FAS5YzcEFske5kh0uEiIhwuob4sA48eTuCH
       H17m+ZfXH1/ff/MpJnor0FgSicIkT+RRN8rSfFErc9rsi9uKmTnK4qgdyYqN
       MbbNCWrH3WbtmJT4qqIp3ZD8LX5J9KJElXxsjNlEPq4+J1qiGCmeqiJqRx4G
       akU3MjHRRq/VWoRRft8wPz5EVgalqC8DzWSlORt9TVn0R9SVhhRN1dF71SSh
       q4qcVJAT+sC2kmhV7WS8MesOqlP8UJHghbI4sh8tnLgiJ8gGsU5XEWBzHr72
       xshJjsTXX37+ov8lL6+/gOuXn7/DZ8/GMcz+uzY/BEUpXspTlab6oDIrAPXk
       Q8arZM6utywV/ZXpGKnNxoSMSwkXDezz67LJjHxMM58hNc4+f7K1kFWk8vdo
       Q64ap5K37/Fj98nOfT4KG6Ifk6xRZnTRiAF+/5iMa/FjI/y6QT7XIFkcahY+
       slUNNWdhsDmD+SSdX59OH5ZBfvh+Qzr9F1mpSWZeSaKWxKO1NEa9fvGIDdkh
       zCUBqEr2RWWCN8rjPFES6YrCMCdkBVoi1PY8LM4fgbOlGbo62l/0v+ev6vrx
       27/+DPdPzN3ffv4UP373Bb7+7BEGO4vQQj9SnumH3HhXZMU4oSTFGzU5wahl
       1ZGPxsIwti/6q6JEakgKs0fWFB/50+1+nDpyl+19sk3T5oULYUTLi3ydzHUo
       VmROkM8xWpsz/f2j1AgZ/xKtmC5+7RC/Z5BvCx8DjTnoq89Q1U8uBpsz+XEN
       F0NNmark7f76NFV9damKkc5KzXyjjEnL2pUG6khtWiCqEn1UVZCR0ig3lCvf
       5YQYdzNYXjiJg1s3ICkuBl9/9SV++vHl2PD/6fr+m89e9Ev4X17ffPEpnt4f
       R0lWHIozI9HIdtwv8wuDdZjor8azBwP4zdMxPHs4RG9SiF62uUb6jqqcABSn
       eCo2pAqSPJjHA1CXF6LYaMgLRVNRuJrH7ilMQH9JMkYqmcvrclQ2GJdxWTIx
       0V6MsQ5y0V48PWYrbX+oVubSM1XJ+8LKYDXbdJWmBqo11V/DYvYemmJkkHlj
       oFGYyFN8CBv9DcwcNalqrLeL+tBbn4q+hrQ/4kP0Q97XciJa0lWViC56Q+Gj
       lRrSlBOK+owg1Kb4q6oWRmI9URXrigryURDuhOxwd7iYGGHXmiW4fl4XHa0N
       L/pf/PL6/3n1NlchIcgZAbbGOLtjCU5t/gCXDy2E89UdiPU6h7SQ68gMt0Rx
       EvtIZoryVD+Vu0tTvcmDG3LiXJCf6IES+RzZkMxRlx+qyR30Jh3se3vKEzBI
       fzVcwexRnY1xeqkx0QfyMUYfNdpWiMFWvt+UN82BrKvqrZA1I2nqUd4XTuRx
       qDpT8aH9XHeFjN1qxqcGmMFVFpd1Jw2SPTS89NdLPs+gJqSqNi/aIAwM02uN
       tGSrkre1Put5PjTrVZhHJLPnhaMpOxSNGcFoSA9CXbI/quKpmXHuqI1zRXmU
       CwrCXFEU4Y0gm+vQ3bUWty6dxshA94v+V7+8/i+uTx6OIynQBlePrMHxTbNx
       dvtCHFz1Lg6seBN6W9/HlQPz4Wd9EJlhJkjwY+6MtEFxojuKEjxRwLaQG+vC
       HC5suFNDfFGWHsDMQe+RG0bNiEJrSSw6yhLUXENPWRKzeQY9UTYzR65iQ/LC
       cLOGkeGWfAxIdmb7ljbfXZas1uZKdZUmTT/2lJMDWb9bnKhK+zWdfP4uWaNI
       RuSxp5ps0YP11QorU7yQj4HpuZBk5Z+EheEmDR+jrTmKD3mU9+VzkkO66K/6
       qpLUuq5O+Z2KotFKRoSPutQA1CQyi8R5oSbeE3XxHmTEC1UxzCURHsgPdUOs
       qxlu6+2Cg4keGqupjeNDL/pf//L6V65ffv4ev/36U/zw28/Rzn7YxWgHTq5+
       BYdXvY6jOrNxbv8qnNg6H0c3zMS5nXNwYfccOF7dgiT/y4j3uULPYIW8KEdk
       y7xypBPy6CdK6K0qMvxRkRmMKsmuZKM+PwItpTKXkKDm4vqqpe9niS+q1cwH
       qpLxJD721WjmIzorktFeksD2F492VkdxwjQb8vbz1V4Qpynt15aSEWqIsNFR
       nqxhhDz2Umek+pT/YtVJHs9Qmby/TpMx+umxxFsJG1otkUfREPl8LxnpJ0+9
       ldSRsngNI4VRaM+LQGsO+wJyUp8SiPpkP9TTa9XGko9oD1REuqMswg35dxyQ
       4n0LQdaGOHeQWnL1JEaHel50c3h5/SvX5x/fw1B3JdxNduPKjvdwVod6seZN
       nNq1CJdPb8G5w2vIyixqySxc2jcfthc2IMzpNCJdzyMzxBw5EQ7kxAG5Uc7U
       Ek9UZvgyh98hFxGoZXupy49EQ4HMR4t2UDeEC7ZNWV/bWc2+Xebl+Hb31Pxc
       J9uytG3FAau1IFaVMCAaovVXohvPs9KWH6upwilGShLUcwkj03xUZqjqVZyk
       K0b6atLUmq9eZpA+afNs+6IR4qW0jGhzutZj9fNxoCZFaUgvNaSHjHQJI/xd
       23LD0ZwZgobUoClGAqkhfqiJ8UYV+aiIEL/lhuwgG2QF28LJ+CiObpmPCH9H
       PHty/0U3h5fXc9c//v5H5utBRHgY4PqRWbjJjGG0+0McXP8uTuxajMtnt+Ha
       uV04sX0+Tm15H5f3L6AvWAn3G7vgb3UCKf6myCUfxfQQskapMp35NIdtQuaZ
       2aYbCmPRWBSHZrbXlmK2WbbnLrbXXnLQz/bZ1pCBDvqbzjo+0uNIO27Jj0Fj
       ViSasyPZF0fT20er9i5saPOGlJYRbfWVp2qqUrP/o5scaf2VMCKPiosqfi/1
       QxgV7zZQJ8zIGpMEtWa4X/SBGUOby59n4/mS9cDCiKyL6a8kJ9TGHvYBnewL
       2qghLWSkMT2UfouVRN8V54daMlIT5YHSMPYlka7ICXNEerA9bAz34JjOXEQF
       OGGkvwPf/fblHvkXef08dabHz7/7DjXMzG4mm2F8YCZuHJoPs1MrcIpe6uC2
       OTA4sREW14/i/JHV1JCZOLuNOf3wPNhf2oIQu7PIDrFAYYwLKpJ8UZMeqMao
       movC0Cx7LEri0cqs0V6ehA45P4GP4pe6KjW5uYftuIVtrJnVUpWMZmaSJvb9
       tZlhqGO7asmOQld+HNpkH4bwUZ4yte8pfZqNbvLWW6ZhY0D2RbFkLGt4KrML
       h6IT8vNkPcmAZPga5ohqagKziIyFyXovmWMflvXC9bI2Ml3pw2Bj5nNsaPmY
       eptfI+uBh+jHBqg7A3z9/RWJio9u2etL3WzLCqXPon6ms5JDUB8fgLpY/p2i
       qbFR7iiMcEFOuDPSAqyRFWAFp4v7cXLzPFw5sQXJ4d54ODnyglvJy+veRBcS
       QkzheE0H149+CNNjH8LKYBku7J2BU9vewoVDC+B68zDML+7Bng0zcHDrhzA6
       vAohDufZ71mgKM4VFSk+qM6kl5A1F/TgrcwZbWVSMeisjFdzz/LYUZGgzhjp
       qEhSOtEp7b2Uubg4he0/EY30SbVkoSInkp4sBi1FzBpFScwtSWhg1m7mYwvz
       d0shP15MzvLZHvMSMFLEdlqUgjH6tnH6tQnqxji1ZoxfP8bHYTI5XJWi+vsh
       cjFck4PBKmbziow/7Luqz8NgXa6qoaZ89Lfkor85V40R9DdkqzGwQbVmMmc6
       Kw3LWkpqnrDRS38lbCg+CqLRlReJjpxwtFNDWtOC0JTsT49F7ZAx32h38uGm
       qpx8FAbbIdPPhmUJR4O92DP31zi24l3cOLwecd7WKM+kflYXorI4Hc+ePcRv
       fvMMP/30A3744eW5Rf9e1/c/fI3HTyZRX5OKSL+LcL6+FWYnFsD05FzYX1iD
       i/tnQXfnu7hybCmsL+3CLaNdOEw2TjCTeN0+hYwQK+RG2qMkwR3VGQFqTkM0
       o4UevI1tpb1cKlaxMb02o/yP+Whnm+8pYXYmA03UCWGillVPDWkmAx2FzL5k
       oFtYIBcd/JqOvDhywbaYE4sRsvWkvhB9WWyXaZHozwjHMH3ZYEoohlLCMJEd
       jTHWID82lBuNUerZcDm1pYI5u4zawp/dV5Gh+BiozaHn4sdl/FfmRlryMNxa
       gBGWZlw4S/EhXMjae/Flg9QNqSF55O/UT63sLeJrKYzh645CpzBCDWlLD0Zz
       SgDqE3wUI8JHBb2VlpGSMCfkBNkqPuKdjHFl13Jsff/vcHjpazi99h0Y6LwP
       ox3zcHQjs+Gh1fB2NoOfhwVy0mOQnkwfW12Aod4WTA534rtvPsNXX3yK4f42
       fPzRX/9ex19+fjFzqF989TFK2LeGB5nA3+kMHK7owPzsMtzSXQzHyxtw9cg8
       nN7+Li4eXoxjzB36+5dBj2VvckyxURRL/xzvgspUH3XuQUsx+7jyONX+O+nF
       eyS71smaDPFWbO/FkWQnBu0yHlqZrPhoZX5uY65uombUUTNqssNRkxWORuaO
       TjIwWMR+n9oyXkAtyOH7GWzr7EtHsmPJQQwf4/CoPBNdSSEYSmdbDPZAm78r
       BsL90Bvspao7xBtt/Hh7GN+O9kd7agQ6M9l+c+MxUJKGsRrqRbVm327f1Njv
       QEOuGleW+fU+Wa9YmTo1Pqzxar3i7ZhnJHMMUZdGqlMxUpWqdKqfDPaRkd4p
       RrqoIZ1TjIiGNCT6ojrGY5oPYaWceV0YyROf5WOOAJNTOLV2BrbP/jscWPwr
       nFrzNvQ3fQDDbbNxcOWr2LHgf+LQ+vdwchv7q+1zcP3MRthe3gt/6zNICjBH
       TowPYv2tkRbF37m5Cp9/+hF+/P63L6Sd/TVeX3/7CXr76hAZ5QBvl7Pwtj0G
       1+vbYW24BrfPLocTWZEMfm7vHJzdNYd8zIThoRXwttJDSqgN8vh9RTFOKE/2
       ZFbwZ98fhja2fc38Wqqab9N4dsm5yYqPpiLmbTLUJnNqlRrtkLzeWBDDzBLF
       TE+Pnh2BJvb1nbmxGCxMwmh+EoZzEjCWGIaxmGAMRQWiP9IffZF+6IsNRG9c
       IB7RVz2g/nzdWIxPspNQ72KDOidrNDrboNnNHg2utqh1sUaVmw2qPGxR6u+C
       8jseqIrwQRM1pof61E8tGZJzHshGt+R35vbeOnLHNt8o4wtyflBRnGZMrSx5
       ar4lGd0lcegrjVe6MVCqqcGyRHJHRvh9vfRZPcwhXdlh6KDPakkNVIyIjmg9
       llZLysJdUBoqjFghxf0G3C8fxLFVb2PH3P+B/UtexaHlb+LC5g9gsncBru6c
       i8u75uE8s+CV/fNhcmQRbh1fBHv9lXC9tBluV/cj0OIU3G8cgqvpESSH2aEo
       MxS5aSFoayzF5795iu9f7k35X14//vQVSpkRLG4eQqDHOfg7noSP+QHqxmZY
       Gq6HPR8dr2yDyelVOLdvPk7v+BBeFmfUPqD0cDvkRzuiOM6FedwXDTn01nlh
       bD9Rio9eevy+Os0cgWiHlGQPySLivcRjCR9tbGuKjXxmDfqQOmpHUxb79pxo
       9OXG0SuxbcXz/0kWevzd0efjjE4vR7R62KPZ0x713nZoCnJBazj9vL89qgIc
       0BnmhzpvR9TyayqdrVDlaoNKslHibIkCFwsUuFki190G2Z70Mp70+3yO3CBn
       lMcFoDY9jK8hClWZEShPD2HdQaVUBnM1X19rsay1SpweX+6vYFYvT8SgqiTF
       hdSQ8EGW+ugT+8i9VE9uhNIQ4UN8VmOSn8ohWn9VxgxSGupIHXGmjjggzdsM
       mf7mcDc+jD1kY+fCX+H4hg9wcfMs3KBeWOxfDNPdc2FxaCGsji7C7cNzYX1y
       Mex1l8JBbzncjTbA/eIG+JrtQpjDcUR56COGHjrY3QCRgcZIiLBEBf9nbfSK
       jx8OTo/VvLw0188/f4PcHH9Y39qHIHd9uNzcC8+pcjDeBbsr2+FmdhBmuutx
       6ehy3DLYggQ/M2RF2CE70kF5q7JEd9Rm+KE5P0TtGxL9kDV74qu66Dk0WTxO
       VWtp9LS/kmzSxv62mW1IuJC5wwb2sY3s31rYv3Wk8vli/NEa5s3274YaHwc0
       OFujyd4CtbY3Ue1wG40edmjwd0JzmAfK/OyoCXYo9LVFrpctygJdUBHoito7
       nmjgc9SyqsOZi2P8UJ9Ej0Mv1pwSjhb6sca0CNQk3kFZfAAqU+6gKi0U5fz5
       JclBKE0OICuhSjvaiuOVZqh5Fxkfq9KMj0nmH6lMYaZJmi6lHfyeXnIxQEYG
       6bP6qSPd9FnisbQa8nwOKQ5xQEmILYpDpfg3pkdK8TZFrOsVXNi7BDsWvYLD
       69/HiZVvw3DtezDeOgc3986DObXD4sBcmB+aA6vjC2BzajFrHuxPz4KT/ny4
       GC2Bh/Fa+Fvugq/1Hvg5HEBUgD6CPU8jzPMi4oLNkJ/miY7mbHz0eAS/+91v
       8e03n+D3L8jzv+jrhx+/xmefP8TEeD0iQ01gxf7Fgl7KRH8VPG/tR7D9KTjf
       2EdNPgAfyxO4emIlrIy2I8pd5sltkUPtKKB2lMS7ooLeqj47kGyEob0kGl0q
       VySo7KGpRKUbf9COKOWvZGyrtTR+2lvV57Kt5tJ7kY3mOHq1CG/U+Tmh0tMO
       FW7WyLU1QbGNGWqcrOiTbNDg64S2cB90J4egP4cen3rTzszSkkn9yY1S/qyZ
       Ob2Dn+tlvpfqKpK1UrI2nbpWlsbSnJUl2byX73eXp6GrNAXtxUn8XfhYSv8n
       c+/8HhkX1q53lPVdUmqdsIyDMW8MkYmhKd0Y4vcM8fcaZJ6SGiqMwxD7gQEy
       0su+4HmfJTlErTmJJuPhTii+Y40i6nOx+NdgKyR5mSDV/xbcTU9i7+p3sHHe
       32P7glewZ9FrOLL8DWb29+izZsF450yY7puNWwfnwub0MrgYrIDPhUXwMFwM
       Z4MFcDZaDNcrq+m1NsHz9lb42+9FiNsxhLleQITnJUR6GyHC+wIy4xwwOdKI
       j58M4+svn+Gbr37zopvrf/j1NfuGoaEa1FRGIMjHCDcvbcTlU4tgdHQ+/G2O
       ItbrAh/PwNviOPysT+OmgQ7CnM+TC2tk8n+XH6XRjtIEN1Sn0b/nBrNN8f/O
       XN5TlaTW9nVVJU+XeKvu6sQpRrTjWglKP8RftZXKGBX756wwNCX6ozrYGRWe
       9EMut5FndwP5dibIdzBBhbcDGkO90RoVgN6UCIwwm0xUZuJuYz4etsv+wmLc
       bS/GRFup2rPeV5WpMvdYfT5GGvKYg/LQ31yA/pYC9DXybebvvrocvr5MlTe6
       yUlXeZo6e26gKgsDbP/9at4wC0N12RiuZ9VmqT0qssZYsUG+RsiHlNIO8jHK
       TDXO3D5KHzZUFI9hxQhZYV7vy9f4LClhRHyWMFIXL1mE+TzUijpiST6sFR+Z
       gRaI9zRBnI8ZrpzYiFUf/C3WzH8Va+e/hk3zf4V9y17BqfVvwmjbTJzXeYt5
       5APcPLYMt48shJvuMrjqrYDT2WVw1CMzF9bC89oWeJrSF9zYCl/zvbhjfxYR
       LucR4qQLb8uD8LLcT07Oo7YwBKN91Xg0OYAfvvuvM0f5zW8/R2dPDVpbs1FZ
       GgJ3h5O4or8M547MwZmd7yDI4QSSg64jyssYPtZn4HHrGNxvHkVq0G2yYaXY
       KIyR89PYhpM9lLdqobeS89t6KuLVeVVq3ZKcoVPD/rhKs+eus0ozziseSzv/
       0TalHy3FcWoOrZ5tpCbUBWWelsi3vYFiO1NUuJijwt0SzcwYbbFB6EiJRF9O
       PEZK0jHZWKTOY7gre2x7qzHWUYbx7nLc765UH5O9h3ebijDZXIzx5iKMtBRh
       sKVQMdLVnM/KQ1dTLnpkrbvaZytzH5oz5kbVOUK5z52dkqv2a8na4rt83nus
       CTmLiwzKfIvUKD3WKDkZp95MMJ/I3Ms4GRkrEi1hDimI+iM+REe0Y74NiZJF
       ZAzLRjFSREZygiyQIXx4mSIlyAo+VgbYvfpdLJ77OhbPfwMr5v0Kmxf9CgdW
       /RpnNr0J3Q1v4tyWGbh9cjVuHloG2/3k49QGuOhuhMOpNcwmK2Gvtx6eV3fB
       5eI2uPPR0/QQQmzPwM/iEG6RpxsnmWUurkOwix4yYuzRz7/jj99/TUa+VGPG
       /1mvn+gpv/zmI9ydbEdpSTjqamOQlmSvvJXh8fk4QTaObnod7mZ7keR/FZkR
       5gh1PUf9OIU4b74fYoGsEBsURTM7xrgxy5KNVH+1r1TOQ+8qjUWPrGWtTlbz
       zkNyhk6djINq1u/1UUe6KzRn6HRWJE15qwS0sv005EWjJsEfeUEOSHW7xcxs
       iSLm7KowdzTEMtskBKInM1LtEekpS8UI26XaRyvnLpCHia4yTPSUY6ybj91y
       Zgl5kaKmyNv3OkrJSwnGqC2DrdQOciH7aftl/aPM+cm+87qsqfXvOWqPyCg1
       ZrhRs69qjG9PsGRf4mRzoWJD6m49eREtqU7DqMxJ1qRjgm+PUTukJlh3mVfG
       S5PIcwL1I26Kj0hVwkd7xh3yEaj4EJ9VFumEQskgYfYoYAZJDxBGLJHocxNp
       ZMRMdxtWzP01Vix4Davmv4Ity97BtiVvYufS16G7fS5O6rxPXui91r0Bwz3z
       cPnQUlw+vJRtfz2s9DfB6ux62OuvhZvBOvhe2gyXazuYMzfD7uo2WF7Sgc31
       bbA25vvXN8Ph2iaEOh1DfXEoxgeb8NUXz/A9Ofndj//5xoh/9/N3ePbpBFpa
       MlBWHIyMVGc42ByGseEa6B2cgxM73sHxzW/B+NhSRJGLxMCriPW5iCgPI2SG
       3kI2+7S8cHsURzP3ynrtBF80su9rZW7oLIpRezh6qxI1c9NyRkhTltqXKuce
       Dqo1F0lqHXtPmWa9uUY3EtBQEIeSpEDkhjijIMyNz++F6mTmV+aJzkLmFjLR
       XcznlbN2xec05mCioxj3yMTdbrb7rlJqhqbGWBN8/0Gb5lyGex0lmGTJ/qrx
       9iLyUYShtgIMtOarPYmyJ32oXjMnLmO5Mvc3JGemyFkn/BkjLZo9J+LZ7stz
       0r89aOUj2bxPPRJGJhtERzIUG3frMjHJkrl7eX+SOUfm8LXz9yP0kgMy3svM
       3pun4aSTnrI1TcYLZN7QF+XRbigMdUQxs0hhmCOyg62RQ16SvM2QRk5i3a/j
       wKY5WDr7v2P9wtexbcVM7FgxCxvmvYb9a5jdt3yIoxtnYM8aMrJjJo7vno2z
       BxfhwrHlMJYcaUA9ubAeLvRc9sfnwuXqJjjRazne2AlrsuJwez8czHbD3WKP
       yimW+h/C/up6BDkboJ1/n6cPR/DlZ89edHP+s19ffvURevrK0VCfgOwMT7g7
       6eGa0QYYn1uFw1vfwCGd13B2F/++m9+Bu8l+avlRxUdKkAmywsyRG8bcGOWE
       sjh3taehgdmyJSdUrVPtpSb0i6+S9XnUiiFZk9SYqVknXp2i1lx0FsdQYxLU
       WvaeylQ0sZ3UZEeoMaJcMlHO9iFrc3vLU9Uejm7t/IKMF/Fjg8zDsk9W9kvd
       ZZtXfJCFiU7qQpemRlnjrAedpZpzr/j4p3wMk49BLR+yt0S81dSeKZkXFybG
       yYY872SX5jmED9nfe5/P9aizXGWdh8w4D1rIi3DSlENWsnGf7D5gCSN3azNw
       j8xpGKGG8PcYlXxCHRFG+gtiFCPdORHUEGb1lCA0JjF7xXuhNNJF8VEQaq/O
       QRE+REfimEMyqCG3zu/DGmb0LcuZ1xe+iW3LZmLncnKy9B0yMgO6O+fj8Mb3
       cGjz+zi6dRZO71kIg4PLYLBvIfVkAewN1sLrEnXk1HyYn1oAO+YS52tbqRc7
       4WiyG46mu2FPHbG8sAZGB9+F8fE5MGfe9zI/gLx4dwx0VuGrz2Qf9Vcvuln/
       2a7BoQbk5gegujwM/l4XYcS/0VXDtbhwejGO73wbx7a9hfMH5uLYprdwU5f6
       e2s/Yr0vIiPkJvlgTo6wRQm1o5L/vwb6gWb6Alm/3cVcLXNjA/ROMo8sfIiG
       9Nemqvs2dcoarIJI1MkeEDJVQ82pZnsoYVvIj/NBUWIgqjKZy9leNGvQNXMi
       Mm7UTY7U2nP27yP0ROPs18fJx/jUnltpw/9CP1hy7tV98qPaNtu0fL2WD1kn
       MiS6IPsQ5Wxe8VJT+7Ck5Osm6dPu9VbgYV8lHvVWKj7EYz3qrsBj1sOOKY1q
       1fDxkM/5oCUPD/m8D/k6J+uzcG+q7vO1CyN3q9JwtzJN5fbhaa8VPc2HeCzh
       ozbRB5WxHoqRwjAH5NFjib9SjJAN4cPDUh86y97CxkVvYM3cV6Gz8G3sWz8X
       BzfMxa6V7+LgxvdxZMtsbF/+JvasncG+bzb0D67E5RNroLvjA1zY8wEcDVfD
       9fwqNVdiI/MlF9bB/fpO2F/ZRr3YDnvjbbipvxoXj8zDxf3vw/zkPNw6MQ+O
       RusQaHMCKWF2KGX/9pe8L/zfen319cdISfZEOj1VRrI9btJrGp7m3+XmTlzR
       WwpDZnOjI/MVH5ePLuHfaCcC+DdI8L2s+MgLZx6IsENJpDOqyEcj/5etmSFo
       zwlXa/D6RD9k7rj8D4zIfqH2oig0UmNq0wPVut6SeG9VRczhhfQSRYn+qMwI
       Q2NBnJoH6fjTPRpqn59mHlsygexF1/KhNISZQ9ryRI+mxqW6NZqh2jS/Vtq8
       ZAmlIfw+lSuatfpRoNmnOHVmg3peMnefbDwQNvqr8HSgRtXjvio84eMT8vKw
       q0zp0zQjHYX0XeSDuvSgOVfDB3PNfZYwIlpyt1rjt6TG+Pup8d8pRrqywzWM
       sP8QPkRDyqJc1d87n4xk0WMJFyn+5sgItkIk8/rBzfOxYeFrWEtftX7+m9hK
       Ddm9Zg55eB+7Vr+Ds/tWYO+amdBZ/Bo/PgNHts3D+WNroL9/IXPKTFw9Mhe2
       9A5eRuvhSlaszyxhZteBx41dKpNYG22GlZEOzPQ34saxhTA/OgsWx2bD5sw8
       OBsuh925lQhxNkRTVQa++vzpC1sf9f96/fi7b9DL/2lQgDE8XPVgfo15/NQy
       OFrsR4DLSVgab4Sx7mKY6skcx2b4WZ5EsJ0uYj0vIOuOKXJCb9NX2aAkyhEV
       se5qH1xTWhBaqB9d+VFqHZ6sNeoX7yTr8krlXgSa8wpa5D4beWHqTI966kd9
       Vih5CUcjv0/mPBrpp5qLEtRaXLlvYGeVnI+QNv22rHnqqdWs8ZAzFLTnK2g9
       lmiH8HG3t1zDh2iIaIrio2SaB/k+KaU7WsZkf/tU/lZjVMLflCZJCR9Ph+vw
       dKhOcfG4vxpPWPL4UMbIps5Ruce8/qiTGtJeSFbymU3ymE1ylddSxd9hkr/D
       ZI3Gb4mOyPivZBHRkT/1WQ2yJzfBG1Xq3BNXFAkj4Q7KXwkfKTJnGGLDPm09
       1jGfr1/wJjYseBvr5r2JeW//N6z88NfYTi6ObV8Evd3LsGXx69i69G3sWPke
       mZqDM/uW4MyeuTix9R1cPDgPdmeWw/PiRtjrraJGLIHjhY1wMd4Jqws6MGGW
       NzPUoZ9YjtuHZ8GSecWSjDjoLYTHxZVwvbKeHmw9clL88eVvnuD7rz/Fzz/+
       dd176+NPJpGXG4DQ4GuwMNuF08zixmTBx+EovG0Pws1iN5xuboev9WFEuhsi
       2f8GEryvMgtep27QVzF7FFA/yqIdmTu8yUYg2tLvqPWonWzrsn67R9YXyTo8
       lqzr7mJel7whe01lL5283V4oe5tk718cvZN23iMRrSVJmpLzbsuSlH5o98L2
       THmr59fNSn8v7VzGrpS3YlYQLoQRLSeTXZpSn5/SEeFE+ShyIbl8Qps/mMfV
       2T9yVspzfIiGPBmqxePBGjykjjwQv9VToXREPJfWaz2R6i3l28wmXeSEWvKQ
       GecRPddj1iN6rvv8GQ+YcR7wdxD9EI+l1RDtHLtk9Y7MUPX3rZM9NGRE+qPS
       GDf2T87IvmOj/FUqOcmMcIDd9aNYOft/qny+dv7bWDPvbSyb/WvMfftvsWm5
       ZI950NtJ77xlLnSWvI4dqz/A1lXUkR2LcGrPEhxght+56jWcY4a3N2AWMVgH
       WzJiqbsCNufXw8JwPW7orcM1vfXMH8tgenQhzI58SA2ZA2e9RXA3WgEP4/Xs
       T/fAhD7d1VIXlWwPzx4M4rdffvyim/2/+ertq0YIdcDDRRemlzdCn7/jLaO1
       ML+4DkEux+DvcAjBLseRFHgZmeG3kBJoingfY+r5DeSG0luFmqMw3Ip8OKGW
       /zOZ85Xxlg72dW3isbLDFCNSso67U9ZzF0SRETJDHVHjWqw+5pPeimRVPWod
       rIaDdmZx4aOtRMOMeKvuqb1+4qskO2v3omvHWrV8qPwh7VmrHZLTxV+RE8kP
       yn9Jhm8vVj5L6cTU+XJ35czF5vzp/CH8aDVJSnkscjHJ55DnET1RGvK8lvRW
       sfjxnhINI3x8qLSEbFBPHrdpGHnATCI68qf6If7qT8eyWjLvMN/5K52uTvBC
       RbwnSmJc+b/QnBWf4ncbKfRYUd6mWPPhPyh/tW3VHKxb+B6Wz3kdS+e8iiUf
       voL9OnOhv3s+rp3agN1rZ2KvzjxsXD4DOivfx4Gti3CItY2asmv5K7h8eAls
       DDfC3Xg77NjWbzGP3NZfhZuGG2BybgPOH1kGowOLcXHvHJgcmg270/Nhd3Y+
       nI2W447tfnhbH4DR8QXwtjyLsf4mjPXW4/OP//L3B3/08T2UlEbDh17J0nQ3
       jA1W4gbr6pnFsL+xGaGep/h3Pot4f0OkhVxDVuRtcmKG1GAz/j/MqOviraxR
       HmOPyjgX1LNfkz0+bWnUj/SQP9KQ6X0OoifUkH5mdsntsh+7r4J5tEbmLTJV
       yTitzEvLnm81by0lewCFDRmvYo7tk/2B1bK3O1NzboPMXcs8XYvmzB/xSZK3
       1RiWyh6lavxqpLNYnWU62Sd8sNi/Kz7ER8kceJ3mjJTRempGw5RfIxtjcvac
       5ApyoM0fwsfdKdZEQ0RLHk95LK3XeqT4KMXTvjJVj7qLFR9KQ1gPp/Tj3pR2
       TJB9rbd6fqy3N1ezBr4tK0RpiNIRYSTJG2Xx7siPcEQmNSTJ9xYSmdezo12Y
       wRdi1it/g83LZ2HzijlYMuc1rFr8LpYyj2xf/R4M2Z6vn16PEzsXKT50Vs7C
       umXvY9v6Bdi5fjF0Vszm977O/D4DxiepG8pbbaF+rKanWgpTgzW4brAW546s
       xJndS3B+70IYH/wQtuTD6dxiuFxYBuer6xDto4cQ1zO4emgxbC/uRVKQLWry
       YvHpkwn88rvvXzQG/+KSOfLPvniKNvaH6Rke8PMRPrbj7JFZzBqL4GK2A4FO
       RxHheQZxvvrIizZDVrgJ2biKaM+LSCcf4qvywm6jMMKaOdGOfLgyl/ujnd6q
       MyMUXezrJFd2T/kr2ecgHquX/kn2CMleiCFqhOw1HajSnMc+ru4voOmztZlA
       zqBSc3XkoJdM9FSk/oEPOb+K7alPrX1KV+ety/zEsJw1Lc/TRt9ERkaFCTIi
       +jFMfzPKPnyiW/J7mdIPyerjZEBzblaGmmOU5+yvSSd3WdSRPNzlcz1grngy
       WK04eDRQi0d8fDBQhfvCytR41kPhgR7ro8FafDxcrx6f9pXj2UAFPh6swEe9
       ZdN55DGfU8MIs7vkdfYJoh/irURDZL3JNB95Gj7as0OVhjSnB6kzr2tT/FCZ
       6IXiaGoIc4jMgST43UJmpAOsLh9WfKz88G1mjkVYu3gGGXkVG6gRG5e8BoM9
       c3Dl1BpcOr0JR+i1dFZ9gLVLZ2Ljyg+xcdmHWLHgPaxc+ApWL/h7MvQhbpxZ
       BU+TnXAlI7fOLsPVk4tw6cQinD28HAe3LcTpnfNxYR/9xzFm9PPL4XSBOZ05
       xMlEB2HupxFkcwr6O2fj8NrXYX1pP0rSw9DXUk5G/rKy+3c/fImx8TaUl4ch
       KcEcDrZ7ceX8Ehw/9BYcrukgzuMsErz0keRjyPxtjJywa+yXzsPf8iDCHE8g
       O8SE+mGNggg7eitblc0r49zRkOyr1kPIuiHJk0o3yEY/mZA9D7JGT9iQGqJe
       jMlZ0E25ys9ox53GtGNILZpzrYbYNofYfmQ9VDf79s7qDGZ0OedWkzvkzAS5
       f5TMOQ40ZaGvSbPfVUrm+hQTbIs9DVloKktkvxWOpkL6vrIofj/bYTO5bM1j
       FajsIXsDO0pT1RkqzfnhaM4l68XR5DmRmTuP7b1CZfJHg01qzcoD5v/79HIy
       Xiz5Q3jQ8vHJSAOe8fEJWXxKFp+xPmY9Ja9PyMZT/swnUvw9H/F1T8q8oaw/
       qRA+REPi1ZpeWbOo1i3mUj/4+lumzperFw1hXpdzSstiPZjVXZAX4oBE3xtI
       DLiJCA8zbFj4Lua+82t6p7nYsmou1sx/DRsXv0LP9Qb2UBeMzmzErSv7cc1w
       F84cXgudNTOwfOFrZGgm1jO7LFvwFpbNf5068gb0qA/WBhvhcH4DbM+tww2y
       YXxsPgyOrMCJg6txYPMs5voPcGEvc/rp5XCkT3e6uhb2l5bB1XSjWgPuZXcC
       xmfX4fCWWdi39i0ytgHpUR748bd/OXMljx6PoLExDclJNgjyuwCbW9tx+vAM
       1rsItDvIPsgIMe66zHpG9LSXEeWqixD743C4rINIlzPIDRN/ZYVC6oaM65Yy
       e1TFe1A//P6ID9EN2SM3oParJk3v71brveUcdvJxV/zF1Fyddj5CSvKz+HrJ
       EKIBal0U/U63rBVU47rpan9Vb3WqWqMyUJtCnclS54JqzpOm7jRrzs7toWer
       52up4OuSM+gqM3xQneWPmuxAdUbjKFm6x5+jnS8cbymmt0tHS0EkajMC0Zgd
       zLwUwdecRg6oI73irerpqzRZXHRF+JBHNc5LX6Xl4xNqiLAhuqHl4yMy+1FH
       MZ6Skcf8/R/wNUr+mJA1KPwbTVBX5fF5Pvqe40OdmyU5RDSEjNTQZ8lZ18VR
       roqPFLIR52uCZL599sBGzHnjf2DT0g+xf/Ny6DCbbyAfO9e+g10b3oPeYeaI
       y/vgamUAw1NbsXvzAmrMK1jHLLJ6yTtYST+2cuGbWL/o19i96nWYnmJG118D
       K3ork1PLyMhiGBxeinOndXB631LsXfM6zmyfAZNji5hZVip/5WxMRoxXw8f+
       JCJ9LsLeZD9sru7HGerNzqWvQG/Xh2pP3YPx3hfKxQ8/fIXPPn+MVvbHmalu
       CPW/Aherg7C9sRXHd72Jm9TDlMDziPE4g8yQy/RRFxHtdhrBtkfhdXMPtXIT
       Yj3OITtM/JXMl9tTOxxQHuuKWvrg5rQAxYbs8VFriKZ8lfAh67qFj9Ea+ofa
       9CntyFL33bjXXvJHfEi2vk82xOdLfpDzQ0fb5Cz1ArUOSu6v3K9KzhtJVvci
       lLn5wboMdT5Vt5yxQL0YER3h1zQVRqOWbUqqLjdM3e+pvSxanb1Vm31H7Stp
       5uvsoq711WjW4zYVRKEuOwQN/HxjVhCasgLRXRrLLJKt1nQJH6IfohnCiDxq
       x6+EjWfUGPFXn5KRj/sr8Uw8lmhId6kqLR8PhQ16KxnjvUsuhI27sp6xXDJ6
       glrzLmuypLpzI9S5cjLvKhoijGjPYZTz4Eui3ZAX6kCtN0Gsjwnzogtcb1/A
       2vnvYtW8t3F42woc3LyQmvIr7Fz9NnaseRvHdy/GDcPdcLLQw81LR2FwfCvW
       LHkXG5a/Tw2ZRUbexXLRnKUyDvwK2/4HMD+7BrbMIrf1VpOXpbhwbAV1SAd6
       B5fh8Kb3cGDtq7h6RPhYTe1YB8+bW+BxcxM8rY8h3Fv42AeLi7voVQ5Rkxbh
       0Po3cXD9azDRXY9cZtjvX8BZ7J9//gQ9XRUoZT+YHOcIT0c9eNmfgs21bTDR
       Ww6jI7MR4XoCaUEXEO1+Clmhl6nTBrhjdwTu9JzW59fBw2QPUv2v0nPdJB82
       9LwOKI2ht2I+rE9hNs8IUmvqpIQPYUP0Y5D/Z8WG9I9sw5ONbA/NOeQjR90X
       c4LaIP226oel7ancXDY9Pqvho4hZOR8Dcu6BureT8JGmuddsZYKaa2xhHyvz
       J+30RgNyjht/ZgNfi8yrtMgeb76OHjLQLfsX5Wz18nhyEUk+ZO+VzLvI25Go
       I0c1koPzI9Ah++Xl3rXZQdSRO/yZKZqs3leHye5KpRvCh8rjU2x8OtqotEOb
       QT4drCIj9F7k4uMpRp5MaYeWj3uyNov+StgQRoQNKckgoiH9ag9upOJDe/ai
       MCIlOiIeqzTGHbnUjIw7lkjyv0mPZYWUEGcysRTLZr+K3czdBoc34vDmediz
       bgYO6DALbJsHY/0dsDU5CWeL83C4eR5Hd69hFpmjcvqm1bPouT7AtjUzsW8D
       a+2buHpsGazOb4KV4QayshI36JeMTknOn4tjW2eRj7eoCbNhemY5rI1Wwdty
       JzzNt6n92bEBVxHiZgjjM+tx03ArHK4fUN9//tACHNr0Ks7snYPCzPD/UEZ+
       +ulbjI60oox9YnSoBTzsz8LN6jj8Hc/A6tJmWJxfC+/be5AedBEJPmfZ/zB/
       sJL8zjFzHFBs2FzYgADLo0jxu0o2LJg9mDvIRnmsM6oTPdCQ6qf4EO2QPXDC
       h+KC/aCs65Y1rGP0LGPk4y75uNdCT0PfL/f9k30ZWv8u+VZKPIyMnWr5kDY5
       0pKn1h8O8/tHxEuRje7yONXHVyb7qPsGtMg5B+RSqp5eT6qT+tEj+/Vkb5Ls
       eydXfcw/A3Xpaj9KR1kcWUlQH5PPydqXPnmUsyNkDYzM81M/6ui15OtHJSt1
       VvK1MXuQYS0XMo8uuqFyh8wbkhn52KdD1dN8KO2gl/tTPu6Tj3tqzWKa4mNU
       7RPRZBDtvpDn9UNb2iwiHksySEG4I/svGccyQ6ynCQoSfHDh+BbMf+e/Y9uK
       93Hu0AbWWjLyIXavfQ9718/A5TNb4GB2mm3iPJxun8NF3d3YsGwmVs57E6sX
       vU1GZmLdkjdwaOtc7Fn/Ds7sngtTvbWwpoZYn1sLM759XX8zjpCNveveZjuf
       gV0rXoE+s7rlxXUIsNunGPG2PYJg17O4Qz7sru/DpZOrYG60DR6Wx+BgugdX
       zizB3k2v8+e8hyC+9m//A/Ze/fTT1/jsN/fU+TwBnlfgLrrhcBaBLvrk2AAW
       RpvgfH0bUvwvIDP4ErXjBP+ux8mGLvVDH45XdWCuv0rx4Wd+BBlBzObkQ7JH
       aawTKmR/eZInGtPIR3rQlLeK0PAx5asUH6Id9DqyVk/WWDxoL9AU27+sh3o0
       Ne7ziKX4mBpHVetDZA5D1ke15ik2hsnGSCNzCNt1fZbcC9MPDZlB6C6mXsla
       R/YDDXIPgVR/tUZS5uyHKiX7JKvco+4F3SRzJXnqflFqz1ZlosoxfTVSKYoP
       8W09cu8Oue9mRoC6n6DojhpDaC/HWIcml2v50OqFtoQRxQv1Q/yV8CHZ42lH
       0b/g4wHzx4MpRrTZQ6shQ8Vx6Je1WFN8aBnRakgztU48VkW8l8ogBeEOzI63
       2dfdRFqoI2yMj2PlHOmbV+IyWblyYjMuHluPg5tmYtfqt2B4dDU99jF42BjC
       xcIAphcP4diuFcwqZITZfPVi4eR1bFzxFnOLZl3juYML1BkEduw7rzOH3Lqw
       HfoHl2Lfxvewa81bfN43sX/j27C4tBGONzYh0GE/fOlFQtz0EOJuCE+rE7ht
       tBU3DDbA+jq91q29sL+5E+dOkpHNb+HQ9pmID3f5d+djmP1XUX4Q/L2NYGG6
       D+Yme+Hvfg4hnoYIZ9le3Qwfi/2KjwinU4h0PYoYT+pEADm3P0gdXQXT00tx
       /cQy+Nw6ivwIK+SEmKv8UaK8lSvqUpg92H7a6YdFO1SezP9D9hANET4m+P9X
       6/Ra8zXzyLIuqb1I5XPxVqIfD5Sfr1L5Y2JqLm5S5r/bZe1hvloXL2wM1aWq
       e8UWM/vIPsWqJGoY+3i5v4boiZTc+08YGqlPU1lnnN83JmzJvXLai/kzSzHB
       diq8DU7tRempTmCGSdLcp7Y0TuPbckNRl+ar9EP2B6v1WdSPez1V05lDqxXa
       3CGP08z0a8Z1n8i4lbDB31nmBVU2lzUmU/pxX9aZiM6qdbwa3RA2pJSGyHly
       1EJ1LumUdkgJJ6Ih1fTuahwrwhmZQVbs424j2suU/2dTtWYxPtAaoW4mcDXT
       g5PJcVhf3cl2vZV9+X6+zcx8/TC87M7D0vgIjA12MXO8heVzX8WK+W9g1aI3
       sWz+K9BZ+a7K9ie2z8L1k8vgeHGDmis01d+Aq6fW4uTOBdi55l16uRn8ujdg
       Jt7DeCNCXI7ijutpRHobIpTtL8hZH24WR3HdcCMuM+/fMtaBj8txWN7YCSO9
       NdA7ztx/fDlKC5Pw87/T+O+XXzxGWqIzfNz04el8Bpa39sPTRRex4aYI8bmA
       QH7MjdxGeuoh0eccs7guQh0PINLtEFKD9OBmooPz+97D5cNzcfXoIoTY6pIN
       S1X54TYaPuKYzZO9yEcgOtiPiXaIVx4oiJkeu5K9pWNTex4m6jM1GtKWr+YB
       HnWWaPSjr3J6Tk2tYeL7am26WldbqPiYaJN74mSr+8vKXkR1b9hUbzRmBrB/
       Z/vlY2NuCJrJhZTcd6qf/f14cxbudeThQWcBnrCdfjRQP72u8L6seacujTTL
       /idZ/yj3HJFzeqLRJGPBZKMxS3waNYqPojVjZGqiq4oa94e1iWpNCUvrr57X
       D9EOGeN9TDYea+c9prRD+FBrFKd8lbZEQ7RcaB/7ZQxhig9tBtGW1mOJhpRG
       uyI/zJ4aYo4Qp0uI9b+FhGD+z+I9kRvtjlgvc/ha6SPQ6TRCXPXZVvXgY3cK
       zuz/vGz1YWt6DDcv7sWejTOxZuFr1I63sGLBG9i4aiY2rJqB7dSQk/RYsl7V
       /ryM4W7BjdOrcenYSpzYtQD76d02rXgDu6glBocXwvnmdriYbUG411nE+BmR
       Ez0E8ed62p6EKf39uVOLcf7sEniTIQfL/TC+sAnGRsz7J5fi2qWd6Oqo/bOz
       Iefl1rJtePG1uDkwe9kehS/ZjY26hTsBF+FifYSZbCcsL+uwj9FHgp8hYtzP
       Kj5iPI8g2oOfv7gSZ3e8ST7m48zWGYh0NiQbFvzb20z7q3L6q+pET8VHp3gZ
       aoeMucjc79Dz+WNq/5zKHuTjPvm43842Qgae9rHvHdT0vR8p316DR8JIf9X0
       GNbddln/lK/4GK1PV2NJco9xGVdqyQ1iewlGSyFzdn4o6vOYrQvDmcPpTRrJ
       ZHsuPVsx220Vvn3Yjh+eDOKLiXb+vHr2/9SptnzFR39dimKjqTBUk9Ezg8lc
       kBq/asjwRzPZG6QWydjzRHc19aNyeuxKHp9O+atnf6QfdRrtkPVX7Zr5wEdT
       666mx65kP4hk8+fYkOyh1Q4pNY5VoGFDSvbVPD+WpfigfpSrdYsuKI4UDbFG
       lMd1RHjdQLS/GbOIB8pSApEb6YlQ58sI89SlplxhHtBHqOd53HE/D1/6bx8H
       fVibHIIJPdNm8rB+6XtYu+xdrFj4BnbqLGC7/wDHd8yBwd7ZsDi7DO705zd1
       18DoyHLmfWaUTR9irw7zPXP64e3v0WOto49fqX5eXIARwjwM+PYF+Nif5s/Z
       Q71YgZNHP4Cj7R64Ox3HjcvbcJm6cl5/HQz4vCnJAX9WNiSP353oRFyUFdzs
       j8LRYh8C3c4iOdoC0XduwM58H2xv7mYm2wVns53k4bTyU4nepxDlfhLhbifg
       Z7MfJmcWQ3/vDFw69CGOb3wdUS56yL5jilxZsxttg7I4R1QkOFM/PNCc6Y8u
       tp/efPqr/CkN4f/1eT5k/5ys65Z2Ie3jUTO9Fr38Y7YzYeTjAY0fET4eT/Gh
       5kDUnEQpxttYrcVs89lop2+SPSOteXfQnh2Erkw/dORQO7I0baWd7UeytcyL
       jLVQr3qK8XSoEp+O8fkHyjDZma805V67zNnnqPHmIbn3TVkCNYickfd68idz
       1HXpAWoeRDRlkP393W5Z61iN+9SPxz21eEhWHvVU4xlf/6cyfkXWP+2vxCe9
       MqZbiqeiWx38fVvJqbwWsni/KVPVZEM6xph3JqoS6a0SyQn1rjIeo8w9Y+XM
       bnLWSZGMY8VTP2LRJYxMrdVpn8ogTdTteuGDr7UyxQ/F9Jv5MU7IYD+WEHAT
       0d7XEeNrggxqfnmaD0qSvPhxM/bjBojzvYJYeu8oZuYE70tsCxcR5GAAD/PT
       cKSOHNSZDx1m9W2rZ2PJrH/AoW2LcWDTBzi2eSYMd82G2bHFcLm8QY3lGh2a
       hxPkZvf693F0x1Ic28ksse5d3DbcDJvLmxFMf5IUeh1RAVcR4XsNvk7n4GRx
       HNcvbIbeiSWwu70f3vya2+y3r13eiCuXNuCM7jKE8HX/OS8Zy31wvxeRITdh
       ZUpts2K+iDBFTPB1uNkeYxbaxz7iJP3ffvjZHUSCry7zx1nEex5DNFkJdDgK
       91u7YHxyAS4cmoML+2fj1Ja3EMM8L3xk32FfFGmF0jgHVCW6sA2Jv5L2Gaz4
       6CsIV/3d89lcSvpJ8RLiKR6TDakHsm+7TeOxPuqtnp5bE98iGnKfffOErDVs
       lX6+XDEia0jkjJOKVF/UMPu0sm9vkwyU4o/G1CC+lmD2rxEqlw8yU4zK/cxb
       stXcxUQrWWiWdSPycWpac4a63/lIbbo6P7q7JIEZJpyZype/lw8ayIaM68pY
       r5xHJPun7vI1TYq29deSizrFhtRH5OUZvdbHwoU2h1PzVNEb/oGPbFWT9Il3
       qYXjtew76O3u1iZhkjUhjMi9rGWdgcyBKDbkrMU4tR5BSsNHhNq/rO5pSO8n
       5+JXkenSZE9qhQuyouyRcscC8dSOWPKRGHgLOdH2KE3xREakLXPJFXrpi4gj
       F5EuBoglI7EeRgiy04W/jS58bfVw6eQ2bKS/2rXuQ2ymhuzdMAdHt8zFyS0f
       KD6uH5hPPtbD+eoG9qPzcYp87Ns4C1tXzsA+6sgRfu2lY6tgc2UH8/8hpEXf
       RkzQddzhzw5yvwwve2qV2UFcNliHK+eYVW7tgRX7bmPmmvOGq6Crtwxevjf+
       rHx8//2X6GbmDfQxoo86BCfzvdTNU3C1Pgbza9tgwwzkaX0YjmY7FB9x3meR
       4KPL/MFs7q0LH5sDas+x8clFuH5qCU5vextHN7zG/K6HjMDryAw2YU63nOaj
       Ic1b8dFOH9KTF0Y+IpRf1uZyYUQyiOy7VnvmtBoifDDr3qMmPOqkB1E68oex
       IGFExrIkq9/roM/qZHWUMR/nqjNOStkPyp7ehmRvNNA7VMe6oUbm8ZlL2qll
       3UURGGBOGaWGjNI7DTF3D7MdDtenqBppILfswyXPDMjYFfWmi3lJ5lBqyEcd
       +WvKDlYZXe4hOMDsNMGMfU+tlZc1jswdPbWKjcd9wgc1hNx8zOz0bGodyVMZ
       h2iRfoBeqpm+solZnP5SPjbZkKX2psuj6MgkX4/URK1ktVQMUT9kXU5fUfxU
       xWn2CSgNiVT3RtDwIXM8d1BDjasmH2Up/LskuiGX+TAt1EpxIXwIJ0lBt1HG
       /qyYDMUF3CYL5xBO3xzlco7+WQ8RzM3+Nifgz2wQzI85meqyjS/C7nWz1Xre
       Q5vnq/shnd4+G4a75+AyPZbso/JmWzI7vQpHdGbiMJnYsXoGNix6Bce2z8fp
       3fNgdUX2ru9BaswtpMdaI8znGhm5Ch/Hc3A0PwbTy1vVviOzK9Sa23thLGdK
       XVyHc9QlG/uz+PbPNB/yyy8/oo//p1T6HhfbI3CzOQw3q0OKCavru9WjBTOH
       w43tcDbdRi09zOxxDskB5xDnpYsoz7PwtNgLD/4uN/VW4qb+KpzQeQNH1r6G
       cL7OjIDr9Fe3kP+/1Y8IpR+DU9lcWxPMH9P7SsnII+Wz6MnbyUZXBZ72Vqn6
       iP5qWkPYBmVMa7Jd1qEzr7cWMSdkqvOrK8hBXgQ9Xpw72ZD7vzqiMsoBNcxE
       zfQRncwlvUVhbGcxGK6KVTVUHYe+qngMsp8eqEnEYI1mv6+6v5PwwfbYxL65
       Nj1AeaxW8i77uTTnrmRgvJ36wXY/3lWsvJ+w8YS6ocav+Hd/IvtCusvwmPqh
       xudayb+srZI1ulKylkXWs5MPeXuSrMjnJmWtDbXkrvwMatmo8CFr1crkvr2s
       0iRWInqKNOs8tRmkjbrWJPelk/twMStV8XWXU/dK2P7z45hBIuyQGmKp2BCv
       lRh4W3FTke6PzEgX3HGgn7LRZ9+nj3An9pHu+rjjeBrBTnJ2oiEC7C/B4uIh
       5o3F0FnyJg5vXYCz+5aps2Qv7J0Hoz2zYXJ8ITzZnuyMNuM4deXoVtGN+Vi/
       8FfYs+E9nN63EDfpocyvb0dWki0ZsYYPvVWE3w0+GsCO+mHDHGJ8bg1uGG2E
       lZnox3oYX2EGOb8G7uTo628+/7Pw8fvff4+Sokg42x2B/e19cKSXcjY/ABNq
       lzlzj/mlzTAl73ZXN8LNZCtCHY4g2d9QMRLlcRYhztQZ5hJ/cmVhuJYZZCUO
       r30V+1f+A4KsTiLN7zrzuQUKo6xRFs/2mOhML+Kp8kdn7p2p/BGu5rPU2FXl
       H+63oWVD67Me0mc9YXt/0lGu+JASn6VhpHp6TlqN+8q8eneZWnsi/qqbnl3u
       dVsQ44LCaBeUxbiiUs7CjrRTVc/+s52ZpCs/mH0w9axU5iv5WB6l+BAt6edj
       f2WCRjuEj6okdT/QJuaMhuwQ5VvknrOiHTLvIfOGI9SAUeb5MXqmSTLwqKdy
       emxXxuAeUTdkzOF+ezEm2wpxl/7xXmvhvyiZF70v+1Rkb6/snWd/IWsLpEbJ
       xwj/XnLmu7ofgpxHKme+y/ku2v1lsp+sIFKd2SrrKBuYveTeKlVkujIjABVp
       zCFJnsiLpc+KdECc301VycGW1BBLagw/z9yb5G+FEPvzCLQ+BX/LI9QSXWZ3
       XdxxPo1QD334kh2P23rM2AdheGQtzu5fAd19S6G7ax59N/333g9hfHgeHIw2
       wOHSVpzfv4gaMgsHmOG3rngDW1a+gZNyDvDFHcwXBxAdQu+R5ooANyOEeF1F
       kMdF2N+iX2E7vUGtuGqwGk7sz28ab6GGbIAJs78z9e3e/eE/Cx+yxio5wQlO
       bN92N+nljLfB7sYuWF/dTu3YDfOLm2DO1+FirAPXa5sQyzyecYe5zMsAkV6G
       CGM+crqxQ+0XvG2wFob752Ln4r/D3uV/jwBmqewgWZtoPu2valPc0ZhOH5Lh
       i7bMQHTnhlI/IpnPozT5XMZiZEyG/2/tuR1S8vYDmRdrktxaisfUkMfMFk86
       y5XPUuccdJVPccF+Ws7l6S7FPbbJCfbLw8wRHVUJqKHvLkvwRGmsu9qDIntR
       Suitq+Kd0ZTujc6cAL6eEHr4MAwWh9PPk4/yWAwyAw/x+wfJxEC1hg2ZI5R7
       5srZpi18/a30MbKfUdakyL0GB+rSMMx+Xu5RO8G8fbejgOxS+/plHKtcjRXL
       OsfJqb272n2Jcj92bcmeWyk5X0hK1i6Pyb3cZe8K+wzZ/zLMv4/UYHWaWvsv
       e8dkn0x3ieaebO2Fmmor0lSrzO+TkToyIn8PYaRC5RBvFMS5qfuhJgdZqbmQ
       WJ+b6u3sKP6t0oJRGOtBJi7Blx4n0Poogu1OUD9OMYOehJ/DCXjcOs7+kln1
       1mm4mevC8soB6O5fCsNDS9V5QEYH5+EK6+ap5XC5skudp3WCfBza+D42L30V
       m5a/in3bZrOt74Sbw2mE+BujIMMTIfRX4exrQ70vq3Esd8uD7MP5fGeWwpbt
       1pIZ/cZVHZiSj1u3DuGTTx79Wfj45JN7CPC+AHuLA7A22YUbbOOm59bDhT/D
       5fYhWFI/buuvgJvxBngYb0QC+ZB1JZEeBgj3MkKojAfz9bma7YWp7mqc2TET
       2xf9Nxxc/SoCLU8iM9AMOSG3p/N5TbKbyh9Nck4ic3I7+7Au9rvCR+/UGJas
       M5GsruYIZX5YxvqnvNb9BmbW5iL6rGJ68mI8bmWu7dLsTZVScyOy9qSLbapL
       zkcowGh7HgZbs9Fdn4r2slg0kEnxFpLVK5lL1ZqwOK3v80UHfVZ3HrWN1S+Z
       hN8zxFwyXC3rTZLVfQF75P6ybIdyrqncP1f2+MoZKXKfUFm32MN2KmuvZE3K
       UFMGRlqy2P6ZtTvpD3tKptgonjoXpYyvk36wQ/bv0hPy9xttKlRnNE6yD7jH
       vmB86mMTLcVqvfAE35+QPYsNeeo+boPqLN80zflHlZp7qMsZe/8aG2oNGfmo
       ZeaqZl4SHamkzypjhipkHsulvqaH2iHB3xwR7teZMc3ouWxRKGeh0KMm+pjA
       5/YRMnIQd+xPwl84odeSeTxfy9Pwun0ajtePwv7GMTjfOgWzCztx/uhymOlv
       wJXjS3B+zxzcOLoUzpe248bxFTizZRaO6XyAHavexMaVr0Hn/2PtLbgrwa4r
       4cxMZsKx3QzVUMzMVSoSMzMzMz8xMzPDEzMzl1RVKurq7thxYmeS2MmEJv7+
       wv72uU/VdtZ862tPklrrrCepJL0n6e6z97733HOufgAHu6vIyXBFUa4vetvT
       Ucs1VJLtg7JMT+QTN4n0Lz52J+Bpewph3rcQ5ncHof6MoHuIi7XFixf/OfPf
       n+8vIznOApHUg5HkKB/bs3AzO45E/0fEqDmiPKmvbE4g2eM8Uj3Poz7VnL8f
       Z/X7KE5zJ686IDX4EeJ87sLH4hRMr70LveP/HZbXPyB/WKGTOra3+Nf4mG6W
       8/MsLFLvL3dIjUkBNntKdPVC0p9B7kQdnKMLj/wb/pB+UMIfB7hQOOHjj+nB
       pUeO9JF6m2elFuWNOgPpwzNiY5e+ekf1KG1Va3qRnDXfI3s4eZigb59qzsYs
       //ZLXXI2Qg/B9bNNrb5L7fRsTHitEc+nmrAvvMA1KLVWMmtzm7p/U/oCj7cR
       Gy0M0Vw63aV6PYpfmZMeXm14sUhPvUbfTR55w/iankTuSX2jascm8Jo4f7XJ
       WBNdyI9vTeE13361qtur3hfM8O0Xy8PkJXLN4hCe83FfMLLQq+5n7fK1CXal
       d/HmWK2an74+rIu14Ro1L2LpAB9zfcwTfaWYlVnZ3aXESCE5RDCSie7KFLSV
       xBEboeSQcPqRCDTQiwzUJaGtMAgF0ZbIDDZASbwtipjPi5MclT8vjrOnZ/dA
       Xowj4v1NkRBkDk2ELXMu15HzdfhZnyV/HIO/yUnEu9xGqDVzKj26JUP/6oe4
       efFdnDv7pzA1PYP8HB8U5viig964oTJWefTyTC/mbWNqnLsIdDhJjJxBFDVP
       pP9dBHheQxRzdQpfy/b24n8KPnYfTyM+2lid1/uRJ9wtTsDJ8AiiPe4gN8GO
       eeAewu1OQSP4cDuNhhQz1GXYI0/yhsYNZWnOSA64j0S/+/A0OQ7Tq+/iwanf
       h92dT5FLrm3Ppb6i3xN8jNQlKH8+05LBXJ2NFXq+ja5i7NAvyjyLxwdn6G9r
       eIUz3hz0EHy7z/sWHxLfLg6qflFKaxEjgpNvFUaYl1elfw81yFovnqx0YXux
       HZuzDK7rDa4fuc+0yPUvNeuSP2dlzmF3ibrftMl8uzOoq3dRewbExwvi4wV1
       leBD7mpJfYn0BH5Mftjm21uTHcREu5p9KHN0pd5E3TNRfr4Zz4iR5wvt+Ioc
       Imcogt1vd6Svie6+7VfUiC+3GVuT5JFJ8skkuWSC2myMHmaEumuUHDRCjAyr
       eEZsPJsfwNP5foZWzWbbne04mAPRpOY/CFdujtSq3i8S6zIHYqRGzeSSuUIL
       9CLzg4ITXS3/FP8W4+2FGGnORW+1hhySSI8uOisM1VlBKE13RzXXZ0OOt8JF
       eqA+sskjpUnOxIMDilM8UZFI757CdUGMFCS6McfaIzHYnD72Hj33TfjTn/qZ
       nYKXvvSSu4JIm8twvnMIltc+gNGNj3H32oc4dfqPYWx6FhlcX6WFwehoTkN3
       SzqqC0KIQVckh+qTm24jyPEUfImPCPJHpO8d+LtfQVykMRJirdHdXfmfgo8V
       6tjY0IfkqOtwNj0MJ6Mv4W56CuGuN7n2HcmXhkjyvoI0n8uKPxrSrFCbboe8
       WOnFYI+qbE8kBekjmbnE2+I0bO5+AoPzfwLb2x8jM8AYnXlB6Cul/6iKwTDx
       MfkdPg72sJjDt5nHdvro09WalDtSXJejDdRXrd/F6xnxI53ECT3IYr/CyTd8
       /Jpa/M+oM75ZGVa9o76WPrrU7a/pi1+t9HJt9eDJYhfXcbvK9RuTMqOQWmi4
       XumMeT73HHWGaC6pMVnpk/6mUr9bp85DntBfPCee9hkvuNb3Z2Qep047qVk9
       0rdO8YhuPon0l9+WHvPSs4t42p1uVhh5NteK5+SPV+s6L/Ka+uob6WOyN0ds
       TOEVueMlteGLDekVP4wnswPkA1n7xMGC4GGYWBknRogXPu4zni6N8Gcb4OvQ
       qp7xb2etS9/iLXqmjdFaVbu/PqKLNcYqQ911JFYWh6uxIHxC3l7Qypytckx3
       lmC8tQAjTbnQVqeho5RePUens8o05IVo8kUcQ/iDf/dUvwfq/CM70gbl6V6o
       1LigIM6a71ujIN6FX+ODygw/xHjTTztc55q+hmDbS/AnPwRanEeo9JgjPuR8
       xELvczwgRk4d+wPo3fmMntgaFSUham+1py0DtSXhKKJmSQ4zRKzfLWobfh8H
       4s3pEoLo9wPJH7GRhsSHJfr6a/GrX/3Lfwgbv/jFX1DXRSDa9xYC7c7C4va7
       sLn3EbyoCYMcr6A82Rw1xENh7CMk+19Fos8l1GXZoFpjgzz6lcygh6jJ90Vq
       lAViAh7Cz+EyvC3PwvjyD2Fx9R1ofO5BWxSIAeknKncH6+T8XEPdn4n59myl
       sZRP7ynEJrX+FteqxI7s947IeWEdno+LzmqkB5HzsFZiRHDSobAi/aDkfP0N
       46sl5mSpI1wawGvpi77USx/bq+vfIHcH5e66zCLnet8cqccauWGVGmuJzyd1
       i1KHtTJQoWqwtvi8Uq+1O9WkQvarnnH970svYOUpWlVtidRfvZ1ltTVbh62Z
       WmxNM2dP1evm60pM6HSW8M0+Pcj+Th9ekjde7c7gzdMlfL23QkxM4Qm101Ni
       /clcDz1OP5+L2mmevLFA3lgSDhFcTGB/bQJ75JLHfH9vZZy6cRiPySGPZ3vo
       eWRGOzWd7J+N1mBbPMdgvZpRpWKkkY+NqlfxEvPDInl6jp5vRfqG9dVgsbea
       HFqBqbZijDXlo786A50lSWjKjUZ1Wghq0oNRkeSFgggb5IYYIzfYEBpfPeTR
       h2RHmFJj2aEwmWsj3gJZ9O+ZoVYoS/ZCX1UKciOdEGJPf+B0B0HkDcGIt9lp
       BNlehe2Dw6pvqbneF3hA73Hu8H/Ho+sfIYffr6E8BK118WhvTEJFUTCyNK5I
       i7GkrzFEOPnC2/Yc/OiZvV0uwtPlHKLC7yMy3ADTzBd/87f/8b6+Y/1V5L7r
       8LE6CbMb78D89gfwtDqLcLebyIvSV3eeShONoQm6jmS/K6jLtGbQiyVaIoP5
       o4Zcm8rfTZjnbXLdBeXBLG5+QL58B0nUaJ15fqq+ZKAmEcP1yZhoSsM0+WOO
       /LHQJv2vcrDSlY+1XtnLKv2N88IaPJf7d9Q1ryaljqIFX3N9fsN19npad1Ys
       nKJ6OMseMPX3G3Lh14yvFuQuVY+qwZX6dJkFu3fQr1T2daSHlnjWVT7PUn+Z
       woiE4GOTOVfuiMgdKold2c+Vu4aCD/KF1AE/nW9TGHk7J3SHHLE9U69ia7r+
       O3xIyN0q2eeV+1nPqfde7g7izR69xZM5fLO7iJfr0+S2AX6uzAzRxeO5Pjxe
       IH8sS3944mNjnNwyhf31cTyhlpTYI1/uEVNPloao8/r4GrqJjw7Vf2JnXM4t
       67ExXPsdPqTf0fp3PcJkT6FRYWSBeWKZOJF+rDLTal5bhanOUlV31V+Xha6K
       VLQWJ5BDIskNAWigzqpKdEemvz5yqBlyQwzVPbgsroEC4ZVkW+TQz+aTUzKI
       j+JED4w2ZaE0wQOB1uQOu2sIs2fYXYGP6Wm+fwVO+sdgde9LWN4/jLsX38Gp
       z/4r7E3OIIs+vK40CE01sQof1aVhyCY+UiLNEEdNH+pK/nC8iEC360pbSc1i
       aBAxGHwfI/w5f/bzP/sPYePbN3uoKgpFiPtluJp8CdPrP4Tl3Y/hZXVRdw8l
       7D5/L04oSjRBVuQ9+vAbqNBYoSbTAZXUXun83ZRnuCl8RHjdga/NeYS73FAa
       y/zae4ilJ2vN9lX7uwM1CQofk8THLLExT1wsHoTCBzlkhz5xt6cMT7QV2B+o
       xgvqgNfUWV8x539NPHzL/P9n1Ehfcz2+Zn5/w7e/JV6+ljtU8wc4kdpW2Rem
       pnq90ImXkrclfxNjErv0Ejsy85Paam2g8rvaXaWtiI816nLBiPCHhGBEak72
       59vph6WPvPQm7VR1jE/oJxRG6C22ZxoZxN50w3fY0M0VbVZ9tfflHET2C3Z0
       uuqbxzP03OSC2UHyVQ/1kPQoEh8xgC3qw63VITxeG8EePdUTxu7qCHbotXaJ
       h8cS1FRqJi6xIY/if97G5ngbcdCi5ry/xYdub61Z9cxTGBlrosZqUBwiM0Lf
       4mOBPnCmuxwT7cUYbspDX23mAUbiUZVBbKQFoIo+Iz/cAkVRliihBsoKI39E
       mSGHb1dmudCbkkNibZFPj16c4Kb206tSvBBoeRmBXFuhtpcR6XANHkbH4Wd5
       Hp7kEeEQ6Xlyi97jyvHfhydxkxxpgpriADTSuwo+qkpCkZVCv6vW2y34y3wR
       ckeI501EBtyFlwu1ls9VhIU8REVlArZ3Fv5duJC5iX/1828wxHVYQDyGul2F
       zcOPYER82Dz4DK5mZxHgRL4IuI3aLEeUJpshP04f6WF36c+or+jPq4iPZP9H
       9GC2SOPPkSD6it4r0O4SbPQ+UfMiIvk9mrPlfm0kOTZO4WOK3CG15Usyn1bm
       DDJWuwuwpiU+ukvxuFvmm5Xr8EEfIvHyACdvmBe/Jge8kdo8xrfUOsIpb2Za
       dZpLMHIwG+AV/+9tKN/AdS57tHuj0jOoGtvEwuoBJuTMTB7fYkQ0lmBDfMMT
       4Q2ub6nJkrrFV6vkAIacaewvdzN/U7sRJ29nWqnZPQoffOT7ah41v3Z/rf+7
       vkHf7E3jNbng8VQvuaobj8e5zqcH+Dwjym/srI/gMWNvfRRPyRXP1nSxTy7Z
       I342xrtUHzyZ0bY7y6+f6Vbvb0wQG5OdWJ/oxPJYO/mh+Tt8bBz0knw7H35t
       vFlxiGBkWfTW4AGHMGQetswPHWkpwGBDDnprMtBRnoKmghhyiB91tyeKo22o
       s8yRz1yezdCEGCEx0ACVmW5qFk52lBXKiaOMYEu05oaiINyWfuMCQq0vwdf4
       FCLsr8KX/OFLbPiYn4Xdoy9h9eALXDv+ezC4LncUuc597qKiwFfho60hEZXF
       IchJc1P6Ktr3LvUKfbLnLaWvQrxvwNf9Ivy8ryJaPEiiIybIxf9efLx5tYVN
       /u4byqW/PT2Swacwvf0+rIkPD2Lc10FmX19DWSo9UjrzQZwBfwe3UJNtj/JU
       W1Twd6AJMkJ6hJyTGCDa+xY12hn425yDu/FxWFz/AKHk0aacADULR/Ax0pCC
       afEeHVLHxxD/0ZGr+EMwst1Vgt1u8kdvBZ5R9z2nV39OnMijYER45KsxqVOt
       U/zxmnzwklpbtNer6Ta8mNKdK8p+8EuFC/p6qecjhzwXDyH1uaLNFX9UKnwI
       JkRbLf8GVjZGapTGEu8hvuHZvMxC6FH3B19JzTzjxWofntH7y9rfJrc8Vl6k
       SeFig69tQzyy+HbidZva6oncZdygz94axTNywe4M8/8ENdGY1AEPKmzszQ4T
       cxN4sTWDr+lNntJvrI5L7XE31zUfhzvpDxqpUSsx01XFvK9b2/P9XNuDXOuj
       rVgaaaXnbsH8cAsW/j/wIX1WVZ9J6WtPjAiPrEiNpcybPsDHHDXWNDlknD5E
       YaQxF91VaapPW3VmMKpSvdXefWawEX2oBfFhjgTmysQgQ+Qn2qg9zZxoconG
       Gyl+xgobGu9HCCYOgsxOwdvgKILoU4OszsFV/4jyIc6Gx6jtP8bVY78HV/Nz
       cDA6AW/HS9Q3/gofnc0p1FfhyMvwQG6yA4JdryLA4Sx55LbijxCfm/CjDvLx
       vIyoCH00NKRhY3MGP/+rf9854Ytny2iuTaaWM0GM7w1Y6L0HM3oPM2ojX6db
       CHC9i0jP69ST1FO5TihJtUBG5ANUZTmoj5VpnFAQb4fUUAMkh9xHmOsVBNid
       gz/9kpvRMZgRH37EWV2WH7rLZI5a/Hf4EH01R++h/Mdv4GOnl/zRW4Zd2e9l
       7PVRZ9GHSLygZ3g9Ti8i+6xSyy2P0jeOH3uh5r22YZ9/9+fSz3yWuV5m6nBt
       v6Imkvsf4q8lxEvsyP1xmek5WKlmrIs3F4yoebnUV4KPtz5EnV/IObX0hljr
       V/VUrxlSM/KUfPKY+Niaa1d7WXJmvnWAj3XhD9lPJja2FomjVXrunXE8ezyN
       nSVyAHP87lQP9mf6yR2ikeS+/DS+3VvDj/c38Wp7CVPaNkx2N2NxsIueoAnd
       FUXoKMklD1dhrK0Swy1FGGwuxHBbKaZ6azHb34CJnhrM8HGRWFkkPjaIIZnz
       sHXQh1j4Y4PY2KBWfYsP6VW8RJ21SC8iOJmnxhJ8THSWYKy9CEPNeeSQTLQU
       6/ayajL8URhDfxFsjPxoKxQm2CMrxhqZxEQh125pujPSwszoRxyR4ssc6kdu
       4XoKNj2FQKOj8Nb/Am4PP4eX8TG4kjd8zc9wrZyD0bV38eDiD+BheQ4PLv0I
       Pk6XUEn+aKiMUvxRWx6Jwmz63ShzYui40ldBLlcR5HFD4SOQ3OHpdgFxsSYo
       L49BXUMmZqhD//n/cj7VT378DEvMsV0t2Uhh7g9xuQCjGz8ghxyG6d1D8HfV
       g6/zHcT53yVX2qKh0J0+g3oyyRT1Be4oSrFBcYqjmgGUFqqP1CA9REjtlf15
       eFuchCd/D8ZX34WP5QU0SN8YmQ15wB+ir97iQ50RUl+J99jQyj5vOba5XneY
       xx8PyNmc3EmXvV7dXpY6g5CacelHMNWG59QX+3z76aR4jE4151Jm/e3LrEvp
       yyA9e7g2Jf8/me1Q/Xz26Ol35C7sWKM6MxPOEGy8vUf4Fh8Sso8l+Hi20IMX
       0qtR7iVSI30ldwj5+IwY2aOvEH7YndX11ZL7tOvEx6rMCyWnbfI1bK8QA1v0
       0zsT2KTX3lkdpo8YpIcZIIb7+fr49soEnqzMYGNxgp8/x89ZwFh/NyYGejCq
       7UBPSx2aqkrI90WoKytCc2UeGkrT0FCiQUdNLlors9BelaX6cC6ONGNukJ58
       nDxBb7HyNg72sFaoVRUuhDsONJb4EAnx7NL7a5ocLv2/xjqKMdSSj1569Y4K
       DZoLue6yglGa5IacSEtkEgd59OXFKS705fbIibdFIddGaqgp/ak5Ej0fItH9
       PuIcuYbNTiLM9Bj8DL6APXOxE3OxnBX6klNEc+hf+gF9yOewJ6fcPvtHcLU+
       gzyNs8JHY3WM0lcFWV6IDngAT+vTat2GuF+nvrqi9nYDvK7A1ekM4omPvHzy
       Tgv1ycoo/vGf/u/mgW5vjmGbf6PqonCEeV5W9YeG14kPw8OwoAYM8TKAr9s9
       RBOT+YkWaC3zIUbcUJFlh5ZSH5QzPxQkSl27LbIiDJESeAexfH2BtmeJjePw
       MjsD/Ys/grf5ReabYLQVR/3afzSnq/3dWZnjfMAfan9XK3cwypXuecy1uce1
       +XSinnro1/FMPMSU6CT63Smud+rLPZmnLI/TPXh64G+fLQzi6UK/iv2DdSg+
       Vt7fm9eqvdDtqW5ipEHNOvzNPd7fxIjwh/iPp6pP78B3M0K+UrMJqZPWBumV
       e7FJ/Ml5x9a4+OB6VW+yKHN8iI8d4mpP+vjuTeL5/jyevljBm5er+PrJPLXU
       ILbpGVZG2jAz2EY8tGOwvwN9Q1oMjPSjm/jo5+PozBiml2cxt76IieUZDM6O
       YWxMi5GeBmjJI73N5Wirok9oKMBAU4GaDyQzGGfJAXNdOq8tIZwg2mlezjvI
       FRKChd98FIzI27N9VZjqKVcYGWkrQB99SFd1BlpLElGXTY2l8VR17jK/Ios4
       KUhyQk6CAzLoDYrTXKg1LBFFzgixvoIwq0sItziHYMMjCDP+khxyGM53PoLd
       zffoQaijTI6r/j5Wtz+Co8ERPCRO7l34E7hzPeWmOqGJ2OhoStbhI9tLnSWI
       L/d3OEP/cRPBHjdVr3Rf90twdjyNuBhjJCXTF2d6Y2qmB//yv387/viXf/l7
       /PQv3mBrYwJdTRmIDrxP/F1EGHWbhd4H9EeHYPGQr9/zEbyd76q7tNJDoq2c
       HqnIA5XUVi2l3qjN9aTeckIW+TQ72hixMluLGi3I7iy91im1HyF9I30sqR+z
       6D8q4qCtjNXtXxEforGmm8kjDOEQ0VbrvUXYGK7E5kgVtkarVeyM16qa2d3J
       ehVPphtVbaDMF98TTDB2JpmfJ6hh6Fk3GY+ndRjZnRMsEB/Lw+rc+dnSENf5
       oIo9dV7Qx69rZn799RnIvPRpODgHEXyIR1f+Q/AhfYUO+rBLP/cXxIfMVdsm
       P2zMduh0lWBjWNZYDfV/HdblvG6Nvnt3Aq+fz+Lrbzfx+id7eP16DS+pszbI
       eQv99dRQNZgb7cQm+WN6ZhRF9dWIz81AUHIs3CODEZqehNzmGgysz2Ps6QaG
       qcEWNhexONGPEW0LhnvoSbQN6K1nnq/NRmtRPPNSODqKRNPmYrSlQOFjrK1I
       1RhOc93PaCsxy5DHOeJlhriRR8GGPEq85ZDRtkL08/t0V2ehtVTwEYrqNG/U
       pHuiiJyREU7tTZykhJsjjdqniDk/nR+TvdwAi4sINDmDYJOTxMcXiDA+jADD
       L+F08wPYXv0RfE2OKow4PZR5x5/BWu9T3Dz5P6B/9R0Ec+3nUsdXERc9bWkK
       H5nJTvQbt9S+rpfVceXPw+njw6R+1+OyTl9xTaak2iOemO3RVuNvf/Hz3wof
       v/zFT8nvw5gj96eGPUKI8zmFgTD3mzC79xmsDE7AQv8Ugn3M4O1E7LhdVXvZ
       bZXkqhLiI8eBb/uiJs+FGtMRGdFmSAoxQKTXHcR4Mtzo0Y1O0n8dg/2dTxHp
       eB2Nub7UV5EYqkzERH0aphozMNOcRf7IVrHQnoflrkKsdBdhS+YYSO8pagGp
       0d6TXtLSf31CzoQ7uPa7yBnUTBO9eDnVhxfTvSqejHfi8bj0d2vTBT93g3yy
       wc8VvLyYG8brxTG8nB+lBtP54N25EWwyt6xSn80xZ05pK3RrRfq+yT3UgSrd
       PQ6ZXyUef0O3N/v6yThePyMX7I1jd2MQm9RxG/Q7q8Tu8iRz8jhz7xjXGx/X
       FzrwZIfPtT3ExyG8ejGL3Z0pzM/0YoScMTjQhpGxfqxtr2Lv9Quu+U3kVFTC
       OjoczrExCEhIQkBsIjwjo2Du5YnwrAx0jo1jcXUD0+vrGFyaR+/4INq7GjDY
       U4eBlhJkRrojPdgRzVmRGK3LIR5KMdlZpvajxg8wMtqWT29RiBm5A9JDbhGu
       oC+fpfeYHaijfxGPTh/TU4XJjjJMtJZglLykrc1ER1kyGvOjUaHxV2fj5Rov
       NbNbMJIcaIi0CCtyiQuyI+z496fnMGee1z+BYP2jiDU7jjjiI1D/S1hdfh/2
       Nz+CN9/3tzgKV8NDxMfHeHjxT3Hj+O/TB38BX8+ryNDYoaI4AB2NSagrCYMm
       2gb+0vvE/iIC6E+CuXZDiY8Q39vwcrmo7kglxlsihT4ogK+nhR7tt/33q3/9
       B8wz11UXBiLMReopz6m93WCXa7DSPwxL/ePEx2mE+pkhwF2fHHaJnsMGtdRW
       XXVBqM5zQl2hK6ry5L68s9rXTQw2QJQP/QexEeVyU+HD6fansOXPHud+By3U
       gV2l4f8HPuZac6ivpM69QGFjXVuCTVmTxMf2sMzVFJ7QzdWU2BoX30AccM3v
       ERNPmf+fSNBrKL00Qw5hPt4gPtbG27BMblni1yxzHa4PSx936q+5QeJiCNtL
       I9heHqU36MMafdjShGCklhipVP12p2U+lVb8epXSTE/F469rqamG8NXTCXz1
       fBoviJMnW/xe1E+bc918vkYsEBez5L/ZMeKEPmSN+HixN4FXz6axuzmEJfqf
       7o4KtLWUYmikA2tb1FhfP8f+j7/G6vN9ZFRUwTsuAfaJ0fBITURcXh4SCwoR
       lZsD9+R43HCwgXtsLLQTMxhfW8fI2iKG58cxOqFFSX4Sov1tkR3lid5yOWOS
       GVsVmJTopE7q4BpvLcRIaz79dg4Gm7KJk1yMd+RjrJs+o5c/u5wNaoU3qpgr
       qjHVzY+1l2Gc+Bg5wEd3pQatxXGq3iQ/3g3F9CF5MXbIjbZFSoABkoLlHMQR
       OcRHhMMdeOmfgfd96irD40i0PIVYo8/gd+8QrKVGl3rKTf8z+vMjcCE+bO99
       jAfn/xh6Z38AB6PTCPS/BU2iFapKgtDRkISqgiDEBhoj0OUG/QfXr9s1pa1C
       vO/A3+M6PAUfHlfIH6ZIoA/y8NRDekbQb42PX/7tT5Gd7kbMnSc+ziDM9TwC
       5M4fn8fW6ChM7x+Gyf1jCPA0Il+ZEp9X6DlcUZPvDm1jGMqz7FGZ68j33VBf
       6IvsOCtixAzxgY/4/W6omgEP5gkXvc9hc+NDRDndQHOur8LHYGUCxuo1mGik
       vmqWPawc1QNnqasAq8TGel+puv+5If025E4PPeO2zG4eaaJukZB5Hu3YJIes
       LTBnL3JdqtBifb4H63M9XOvdupjpxipxtEI8rVKLrZFf1uSRWmyd/mOdXmJ9
       bQgb9M3r9N4rzBnz9CKjPVwL0o+6q5i5VXqa8PXIPu98O54uk7uk3nGX3vzZ
       BJ4TH0+3RxQ+FH/QFy2O1WN6iOuKGJ8Wnyt7RdL/enscr57OYm2pH23NJRjo
       a8LS2hTWdpax/eoJVl8+RWlXB/xSUxBakIfA/DT4auLgHROOgMRYBKSnIKQ0
       H3YpsbjmaAe/9HRo5+cwvjqPKfqRyup8eDqZIC7Qgfldg2liY7q1GLMd5YoD
       prnOx9tLMNycj+EWiVzVu2e4RYeRIfqLIfrwka4SjHeVKU01pc5A+Da/bqxN
       zgrz0UePLmch7WWJqM4MQlGCB8MF+bF2yCdGMujJY32kltsA8d6G5I/b8KYe
       8dT7EjEWZ5Fqfx6xJp/D996ncLj5CRzoQRz1iBGDz2B370NY3n6f2PhD+o93
       4Wx6RtWrZyTZojTPG3VcQ8WZvtRW95m3r8PN4pTyHqK1Aj2oW9yuwNP1Itzp
       paPCjZCcZA9Pr3tISPTAP/3zbzejbYZaIiL4gcJHqPMpVR8cQI8T6X0LdsbH
       YPbgMAzIax6OeogPt0Ww63WUZbiiqdQP/U0RKMsk12U7oLbAE20VISimzsyI
       tlAcIvWMAVbn4cbv4WVwXPFHuP1VNOb4UF9FoL8iXuFjvEF6s2WquxfSQ016
       UUmv2jViRHqNS92H4GNzWOojGrA52nxw9kuvSy+7Rp5YXNJiZZm6ZKkP64zV
       BS3WZN3Tg0tszJEXJogF+pLNqR7yCj00vfsOvbqcuz2mj9ikZ95hbK71Y3Wx
       G4szLfTHlRijB5lgzEjNyXAVsVWv9m73V3vwfHMAL/dGFXfs747h6dYwtvha
       VqfasTJBfPB1zg01YIr6ZLxPcNKImZFmzBDbq3N8ffQ+LfVFaGSMTfdjdn0W
       y8820Tk7DofoCDjER8EnNxNuMYE4ee0MPjr8KT4++jncokMRWJQFj4IMPAzy
       wRV7G1R2tWOG+KioLYONjQFiw9ww0FyI2d5qletHGvMxTXzMkgfkY1Nc9zpt
       VUBc6PhD8DFELu+X98krIx38f6lPZEx2ExtvNVl7EUaIq/6GbN1ZYUUS6nPD
       UJbsjfxoR2SFW1LTmSEt0IjrQPoQXEaAzVWE292Aj/5JeNz5DLFW55DicB7R
       pp/B8w697uV3YXP9Pbg8OgQPw8OwJ3fY6H2Me+f+CI8uvwPbR0cQTnzkpNqh
       JNsT5Tm+qo9QuPd96qsr8LAmfjyuIdTrNvzdrsPH9Qq86aOdZFZVmD5SU5zg
       5nab/BGIv/8t7qL/3d//NaoqYtQdxBD3cwh0PAYf68Pw4/eL9LoFe5PjsDE6
       ASNi3dX+BtLiXRDiegN5iTZoLvHHWFcicSE9j2zoPzyIj1CUZ7gjJYz+3P8B
       fy/05zYX4fHoKDweHlH8Ee18U+mr3grpD5dAPZyK8cY0TDRlYLolizkuW3GI
       9KpdIkaWteVK968dzBaU2tNf7923q7lQG+SJZcHDYj82lwaokeiRF4e59pnL
       56l3RD/NDuLFgtwpoo9eHKUGE19Ofy53jZ7O48/frOMvf7yNb79exdMnk9ja
       GMDqUiemR+swQj0+JrOjpaZ3uBIr1EpSJ/JspRsvtgaxT4317PEInjL2Nge/
       w8cCcTGvogkzgw0Y55oc7aEPGW7GeH8DRnrrME+89nVVobI8C91aYmd1Gmsv
       H6O4qxlG/l5w1iTALSMFD4zv4sjnHyCLvJGUEANDG1P4psbCPy8NluFBuGJh
       guS8TOQUZsHG3gxWZnehifNFe2UaBhvzMNiQjynBBp9/vq9WhcyGFw8y1l6I
       IeJhoDGLGJE752noI1YGuf7Fh8t+7nhnscLIGB/HBDNtossKiT969FryB/HR
       WBChztILY52QE24FTQA9sc9DhDhchwdzvxc9eYDZBbje5Xq69TGimO8T7c8g
       3PgT8sn7sLryDqzowd0NDsOZvlzmgFvc/BBG/JjprQ/JHycRHUh8JFmr/iUV
       cu4RYYEo3wfwlTpY+3MIcruMEK5dX5er8KVP8JJzbtsTCA/VV/zhQr2fmxfx
       22mrX/4cOeQnH3r8IDe+dofDjOPUUKcRRN1mb0JPbXYKhtRGjtbX+Pt2VrNG
       85OkJ5gvc2oK6os8kZtkjqocdzQWB6Eq20fdMxT/IfwRYkd9Rdw70n9YMD8k
       et7T4aMyGgM1yRhpIH80Z6iYaMnEdDs1VncBFnuLsNBTqPAh96JlTsCiVmYI
       1KhzXznzXZf7R/QW2zMy80YXu1LDtzjC9UudNKrF8pDcgRjDk/lJvFmcxU93
       1vGTnRXs0Ys/X5tQ9X1vdmVWzSJ+9moNP/1mHW9eL5JPhhU+JodqFD5G5T6d
       7PcOVWJ1vE6diYu+Ev8h+Hj6eJj8MYpn9Ou7a4PEZy+5qg2L1IKCkVniY4L+
       dpRYEIyMaesx1F2NruZiaNvL0VZfiLJSrsvhTizurSKjthgPPR3hn5uBsOJc
       WJnq450//AMEuXsg1NUVD+/dRmB0MCIyE2Hl5YyLt67j3OVzuHefOSnAFbnp
       kajIjUV9QTy6iJEx6qtZrexD1SrukFDnffQg4x06fy746G9IVz3gBgUr9CRD
       1F3Dcs/8IEb4eaPt1F5teRhgyCyB7vpMtFeloKkoCjWZgSiOd0UGuSPFWx/x
       bndVvaGH8Qm4PDgCZ70v4HDjY7jf+QQx1qeR4nwBYSafwkPvPdhcewf2t96H
       p5H0EvwExpd+BCPhjfufw+LuJ3Azp1eh/8hLkPNpb+Qm2lE/6iPci/zkeBm+
       jheorS6rs0HhjwDPG3BxOAsH25OICDVAIj/fn35IkxaAf/jH75+l8+23+0iM
       s4W/91UEup6Cv91hBDudRBi1VrDrJThZnICd6XGYGxyFg9VlJEbaIs7voeoN
       XF/oh66aMOopO2TFmqEwxZ6+xB0VmZ4oSHZU/BHnfU/xhzvxYXudWvLqe9D4
       66M1P+A7fEjf27fYkD6fs515ChdL2mJipFBhQ4ePMvpj3fwAmWMu57sro1Iv
       1KSroxig5hqh9x5sw9JAO//+zdQKdeiVc+WOZkz1djH/tWG4rZmesxNDnU0Y
       6qK/0DKPd1VTKxZjiDE1yLW/Sh5a1mJpthWjvWUY7izg1xbp/MdQFXFZr+4J
       Cj6ek2dekDeePxlTGuv5rtQODuMxfYzMjN6akvslbcRUG7mniTqrTscjvYK7
       GgzTK3fUZaK1Jgv11VkoK89AW28j4rOTYOhiDd/kWETmZSDExxN//Lu/i9/5
       nd/BiY8/RLCnK6JjQuDh5wI9YuLezcuwszZGQkIouloq0Uv/rG0Q313I9Ux9
       2F2BaXLG3ECDmgW/wNcxp9VhZKpL56/G2guUvhIO6avPgLYuQ/d4EIKVQWJi
       qD1fRX8rsdGQhU5+XmdNKlpKY1GbHYySBDdkBZkh0e0+Iu2oTehB3bmGZP/S
       5sZHsL78Pty4/mNt6T9cziPc7BN43HsXdjfehcv9T5VftaYWN7r4jqq5MCd3
       OBoegYfVGSSQPwrJH4XM0SmhJoj2uU+vfAsB5IsA5vQA9wvEBt92u4FAr5tw
       dzoPV6dziAwzVPwRIXwT44yf/sW334uPn/70K3UfK9ifPsH1JEJdjiHI8TiC
       Xc7S51yBm81pWBp8CXupFTO/gOhgcyQGGaFE44rafB+0lgeqPd3cBEulufKT
       HPh/7qrvo+Aj1lvvQF8dgfXV92FHTs3n62srOMBHLfHRlI6J1iyFjUnGdEcu
       5sgfEoIV6TWj7vLJnBliQ/qCyJmvnPGujrWo/DzXV4/JjmrmvSJ0VUtOq8Bw
       dyO6W2vR3daIAeJhjnr+7/7XL/Ds+RMsUKNPL09iamkUs9RgM7N9GOxrQFN1
       LqqLk6h56KHnuzEj3MG1M9Kuw8ccsSJ3UWX/SvzHE6nZXe/D87fcccAfe+tD
       1HZ9ag94e5ZacLqF3NaK5fFmzNNDTfbVkEuqMUE/Mi73j8iRAy0FaKjQoCg/
       DmHhHrCwMcQdQz14hvoiIScVmvQkekA7XDl1Ci6mxnB3sISB4U1cvXUGFub0
       hqEeKMtPRU1lHhoZXXWS64uUJpoiBmalTn24EYtjraqGd5E4me3VeXTRV+Ny
       j7YtX+c9yCFy37y7KllFT00K84yGOSSDrzMLA+T4Af6t+unje1vyFEY6+PlN
       xdH0IKGoTPFCToglEl3uIdzyEoKsLlAvfQFrrnXra/QZ9NpO5IlY5vY0j4uI
       svwCXg/eIz5+CNcHn8Lx7iGYXX4P5lc/hum1D/Ho4g/IHSepaS4jKeAWiomP
       ggQbpIYYqZ5YQa7XmN+vwI/48HU9Ax+Z+Ul86PjjDFydzyEp3gpJifYICzNH
       eIQ9fvbzn3wvPv78z1+jvjYBgb5X4eN4BJGexIjrafjYHUOw20U4Wx6H/m1i
       lz+fpfEphPkaELNmKEh0pI7yQGd1GCpz3FTfiMxY+rEoK+QnOqvZDDF+9xDq
       RK9kfwWe+sdgc/UD5dPlrqXgo4f+Y7AuBWPkjin+vmeIBcGGPOrwkc+3c/8N
       PqSf7VyfnEfozqwWRxrVvvxIeyl6avPRWJqOxgr+rZpL0UG8lFTkIrckB6V1
       pWgb7MTSy6fYZd7Y/ouvsf2Xr/D4L19g98+fYvPFKpY2J9HUVo66cg3Wptsx
       PVhL3ihSdRSytzNFPyo9Q6XPm5yB7NC77y124Om6Fk+2BvCEGmtvZxhPt4ex
       uy77xTITtAu783KPsFnVJq6M1WFprIFehNqfOnFS/LpWzuWKmd+Zv8mRzdUZ
       KMyJQ2x0AJzIHzb2FrB3sYONtxu8gvzg6+kOo0d6uH//Gq7eOQNbV0OkaYJQ
       TVy1MDd0NJdD21KOMWq3SeJCzr5Vzch4K+aJjdlh4dsGhY954nS6p4LYKOHP
       ybxCndRVnYJu4qGzPBHtpXGqB0NnZSJ66BN7GsSXZBAXWehrz6IuzCFX5aJT
       OKRWg1aZfVsYifoMf5RE2iHV4xGirK8gwOIcHLjmrdT+7SHYUUvIOWCc4zlk
       eF1CPHW9n+EHsL/5Q7g/PKR8qgm5Q3qYGBBL+pd/BHfL04jwuoFEvxsoiDNF
       YRzXu2gr99uq3sqfmPBxPgsfl1OqB1YwNVeQ9004251W/JEQa4GEeDsEBhrB
       zf0h9p6sfy8+/uZvforaqjgE+l2Ht91x6qHLDHKT7XGEEx8yb9r49vuqR7y9
       1Xn4eughkd4iXeoFUh3QWuqHhjw3JPjeYtxGov99ZEaaUnO5IYLaypfcEUz/
       4Wko3vxd+BgfR0WKM9qKAhV/SH/X0RZqq/ZsTAk+ugrUPL85bcnB3LJitW80
       KX2ZmLunuuSsN5++ME/VkI60UbvX56GH2rqppQS9vQ0YG+1FQ0M1ouJj4Orv
       B9fQYLhGh8MtLhIB6XEoG6QG+8lrrPzFGyz++AUmn29gcX8dC5uzaG6rwkQ/
       tRrX0UBrEXNkEbSN1BStBVxrxKdou+FaVUul5kfNtZJDuvBkpQf7G/14Re54
       Sd/ybHUQj+d7GO3YkvpddZewBWtTDeQQaht6/vnhGmKkinm9ij9vJeb7a9QZ
       g2igKfLhEDVfCzFfnJOInIwY+Ad5wNz8IWIi/ZGbGY/cnHhk58QgJzcGjQ25
       0HaU0e8Td0MtmB1qUbWIW9Nd1IJSQ8zXMdVOrNTTg1QoLzdDXpyV+SbUjuL5
       xpvSMFAVi/b8IDRkyAwXL1Sn+6oZhNI/sac6CX2N6egXj0LP0ce/gZZarJf6
       uIcespu5rq0ilh40AjU5gSiKd0J6kAkiHG7A1+gEHKiR7Om3Xe5+BJc7H8Dm
       8h8glms3x/cG4u1PItz6KFzvf0iPckjdE7K4/inMrx/Cg7M/gCU9uq/MIvS8
       jnifO8iLsyB/2CLe/6HaT/V3uQJfuS9IL+NJrvAjn4T73UeI7x042pyEEzkk
       NtoUmlRnREdbw8PzEdZ/i37uv/y7v0RFaQT54xbxeRzxHtdVn3npTRJCTxNo
       dwo29z+BIz2Im8NVWJicQmTQI9WLKzPaTPVsr0iyQLTLOYTbn0aa9OEKkBlY
       DgjxuAcv8o6/zXl4GR+Gw70PEGx7BhUaJ7QWkz8EH+LPiY9x4mOiM586oIhr
       pFj1z5hRebWCGr0Uw4IR1XemSPVGFu5vL0lEG3N9R2UmtD21aO5rxCg9d1Vj
       LVz9AmDt7o3g5HT4azLglpICv5xMBGfEwj7cF8l15Rh+9hjTb55jkbH56gl6
       BjrQ3ko9PthMjV3Kv3sB+luKiZNCjMhZM3lLcv48uWNV7jhNNar7HXvkh2dy
       R2q5R83e0c3fkXtKXdimBlufbmToMLLOr9kgXuRxhR5/cVTuetdSN0our//u
       cU5Lb9BXR0xW0juV8fdAPUZP31bFn7W5iLqsFhPM/5OyV0wcTBPP0/Q3c6Mt
       qpZ9bbKTeq6bGrAHWxN8DaMNag6J9GWQ+19LPdSu/J2PN6agrywSzfSMtUmO
       aEhxQh01SGWMBYrlnneq9PyTWqAo9NUlK98us6T65Y5UM38/TdRZ9anMUdRg
       dUloqYxBXUk4KvMD6UddmSutEeFyB97UDU433ocrc633ww/hZ/AR3/9DJHDN
       5PvpIcL0GLXWeYQRLw56H8OEWtzqzmE8PPeuwofjvUMIsz6FGOeLiKf/LaCO
       z4q1UvdT/ZyuwMv+IrwcL8Hf/TqCiJ8A9xvExz0E+9yGtflhWDFiIk0UPuLi
       7OHja4xn+9/f6+ev/uc3KC0Kg4crtZTZYcR5XIUmQA8hxEWA1TGEOJ6Fq8kx
       OAg+qJMekCMjA+i7g/Wps/TRIPOaIw0Q4SgzSI8hM4T/Rw5M8DdEtJ8BfMgf
       /tbn4GVyBC6PPkGE0yXmJVe0FunwofxHa6bCx2RXvuq7NKPVnTPM9lUojEz1
       yRku9XMftUK/9NQo4t8qDY2FsWirTFded0DbiL6RPoxMjyMkOQH2IYHwSUlE
       UE464iqKEZyXjuDcFMQW58IjIRp6Lg7ESCUm9nfx+CdvMLE4iZLSLHS1VlI/
       FPFvzfzYVMg8SU0u2GBenyU2FkbqlT5an9LdedLho031snq21M3oUfFE9Q3p
       Uveg5D6U9KDbkntSKkRriX+qUXthC4PV1Dp1SuvMq3OJKsyIl+7iz05sTFE7
       ztLDy/0luZMxTc8w01dFDLSqOpjV6TYVy5MtWJ6gxxH9JHdn+flyR3ZW9jWk
       N7b07WEOGhIvURKJzoJQNOf4oSrZFSWxdihnTqtOckEdub8+TeZHejCPBaOL
       f6euylj0EwfiS/pk/kdjNrSCkQZihX8LbZ0GvdRfrVXxaCDeagqCUZbmpfr5
       RDjq8OF8k/qavBFs/DnCzD6H1/13kOx8HgVcb8EGnyPS5hSimf+d6M/N6eGN
       r36Cuyd/AEN6eanDina8gHD6lYTAR2rWSGKQPnwdLunC8TI87S8gyOsWooIe
       qr2rUO+71Fe3YGX6JcxNP/9ufzc+3oH66gGmpge+Fx8/+9kbFOcHw436zMHk
       S8R4XkOSzG2X8xRiI9D2FLwsT5E/TsDFkh7E6KR63pjAh0gIuIdG4qM4zoSv
       +zTcDT5FtOtlhMl5j9cDpEZYIdCeWs3qHDzJHy4PPibPXEFdljvayB/aqhji
       I0X1OZ7oyCF3UFv16vAxSxzMSZ8dmS0j93P6qtTsS6kTnKEGG2rORnu1Bl3U
       FYPUz9qeJkwvLKGytQVWwf5wS0uEe3oCfLMT4RTugzsmd3Hj7hW4RkUhIEMD
       m9AgOEdHQDs/g6W9NTS116ChSnJiqarnG2wtwTDX5RD1m2BjTu5AMAcLNpal
       Vp1r/DfxoWpN5A7hWr+6M/sWHzKL8Lv69tE6NctT3lY1wszl0itFzuMXBspV
       vxTpWzhNvTPVmotxavqxmnSMVKZioDQRXfQBPeUJKroZ0qutm76gsyKB6zdR
       rc/++nT0VtFXV9JXV/D/+DXt9MydpdFozg1GLfVSU1YAmjK9UcP8XqdxRwPf
       bsjwoWfw5d8zEC35IdS/EXyOKHJDIr+neHQ+L7leh4N05VO0DfTn9fQhMs+T
       H+vlY1tVIprLYtQsncp0P3KQMznhFnzufQlX2Zu68SOEmHyOCMsvEWD4ERIc
       T6Eg8A79+XGESj62OwN3w8Pq7rnJjUMwuPIRzGQOG/V5pNR0UCclyOwyrnPZ
       /xFtFUwfHsRHT7vz9OTX1dmH8EkwuUX8uTXzvrXFEURHGiv+kD6jru73MT7Z
       +734+MUvf4aSwhB4uFyArfFniBZ8UB8F2Z9CEDVWEHnEzVTmlZ6Am9VFuNrK
       ntY5RPncUz0U88WXS08uPr/7o4/hb35MzbIOd9eDhviQWbsB9C7exkfoQT5H
       svdt5iwvtBX6Q0suVv783+CD2KC2mhv4NT7muf5nO6mt2uX8N5O+PgFNRcxp
       /BsN9lZggDE6qsXI7AIic7PxyN8TXvnUVYVpuG9njD/6g/+KH/2P/4ZYe0t4
       xyUhNDMLSaUl8I6JQm5VMVq6GlFbQw/TqNvfFT0zTs4Y6yjFJJ9balYlH69K
       z1CpVZd7stNN/wc+9qmvBBtqfvq8zMbl29IHQuaB8Oukbkv1ZJOeU297s0nv
       wmFiZJg/70CJ8l6yZzdBHTPM9T1UEoeBwhh0Z4aonmFdBeHoKdTNNe0pi+Lv
       IgZdfGwrDkdzQYi6V9OcF8rfb7iKLuKil56gsyicviKEvCFnsvx+zO9dhcHo
       59cOV8djqDpRad0+hbE0tb871KTBYAM/Vp+k00/8/97aVIURwYPs+/bVESe1
       Ul/CqM0kPpLRKHu8uVLL60deckaI1TV43v4ELlffgeu1HyLK4igSHU6qPasY
       22PI87+NJK79IK7jaLfLsLn7IbzMz1HXHyM2Plc9rP2oQQQ7siaFP6ReXvpA
       h0jvLOorH+LB3eqMwkkQtZUXOSXI8xa8XS7DzPAQLM2+VPwh9Yka5gQ34qO1
       veJ78fEP//gL5Gb5Kv7wIBaifW4gzvemwkeI42lqxwtqZq6jEcPkNDnsOlwt
       TivdF8u1nhH8AMnS/9fyKNwefARfqVO2OI5AR/qYYDPyj+xdnIE39ZW/2TGk
       0zM1Z3uiozhQ8ccg/x4jB/5c9NVb/zHNXCrYEIzMEBvD/N1rmROb88NRGOeK
       1FAbVOVHYZSeVvAxNTOMzulJuMZH4YGvK7yppSIL0nHpwkn8/u/8Dv7ov/wX
       1MfFw8HXH96R0UgvKYKDjyssHEyRn5+ExirRC4WY7Cjn6yjHuNyP6CpX3nmJ
       fnxZ+n5I/zjxDDL3fKL+O3xIL4Y9qcWSeYbUVoKPpwtavt2H52peTpvq7Sm9
       2BQeBqu+ixV6gZXhSn5/qflgfuiW+YQ5mKYPHiMnjJTFYaw0HqMlsRjiupYY
       q9P1K5aerOON9AQ1cap3YR15oJ25rotYGWS+n6BvHmuSuYqp9N4aTLakKw8+
       JD1j+Lufak5VzzXXmYtZ5qYpaq+xjvyDM8BCPurmf/TVC2+kqugl38ter+jb
       vlriRGal19EPMtRdKeKjqSQadTnBaCBPyR3aYDN60LvkgMt/Ck/hD4NPkOJ0
       it7jOOLsjiLb9zqS6F8DuIY1gXqwe/AJNT3zs9Nd2D48yTiKANsL8DE/gkDi
       I4K+IiHYAGEetxHoco3rkTnc8rQK4ZJAl6vwpt4SfLjZn4MJn8+MuV/qr4Q/
       cqgp/fyN0T/Y8v+LjV/9P/+MFy82kZnmASf6Ii+ns4gLkvsd16iL6MPdLlJv
       XYWfzRk4GBwhh5zla7hEbNxBXMBDYucqMoLuI9H9CgKJfZe778H94SfwIxZ8
       rS4hOcgUYU7EmjV5jxwUzu+TQ25sIX/I7I8+8scA+WO4Of3An+d9h48phtTM
       quig1qHOHW4kl1cnoz47GCkh1ogNtEZOaiBqy1IwONaJPnoIhwg/GPg5wi8z
       FoEJ4TC8cx2/R3zImdrvMk6dOYX49BSExYbA1PIh7OwfobQwHp31uRjh88h5
       mdQkTTJk33N+QIePFek1OKHzDEtyfi49Og8wIvgQ/hD/obCh8NGrQvpQy12R
       3bf3pPh9pNftiuiq/grqxnLqxzJqLKkNpmcmPiaa04iPNExwLQ7LDLpS5pGi
       SOb6GGiZ/wcqdHPp+qviyA0x6h5/S6H0iw5FP3+n0nNvvCmVGi0D44IjcvM0
       Y7IjW828GW3OxLz0waCPW+ov5WsoVb5uTlumzgjlzFxqRkbacjBEjPQ3yZ6V
       nKkLZ2jQU52scNJPvIi26iF3dFWnMzRoJ6abS6NQnxuARubdglBzRFicQyDx
       4X7pT+F944cIevg+kskfGpczSHI+hUyvK0h0PgtPo0+hCb4PZ8MvuN6OIs7P
       BK6m9CNGp7gGpX/B5whlHo8NMUBiqJHy5YIJJ/HGfPTi54R53EIAseEjs6LJ
       Iw6WJ2D48ENYmH6B2ChTZKS7oaAgSOGjoen7a9x3dmYRH2sNV8dzsOP3CPG4
       TH1HjPA1hxIvSeS+WK87cCZ/uBAflvcOK3wkBhkgklyWG6aPOKfz8Nb/ROHD
       8fa78Hz0GbwtLkATaolYj3sIpUcPMjtB/3UWufy6lmwvdBMfA9XMiQ0a5c8n
       5ZyDOUz1Re6Vs4BCVcMgtQxDrQUYlLncB73E+8jzrdTVVTkR0ER5wM/ZCGGh
       rihvLIJ/XACM3CzgHumHwNhQJMWGw/7ObRgcOQLTEycQFuYPX38XWFjowc/X
       EhXMy30dzJ3CU8TCtLZS3ROao+dYGKhRe7mr9A2ro8z9Y9JjkGt7RM7P63R9
       rKizdPjQ8YdgQ3l0qc8lPp7JxxY61Vmi9PSRmhQ5e5fvt8zvJbEkWrJbznxy
       sUiMLGsLMcf1LD3zxuqpP5m/R6h/Bpi3B2roRapTyL3M6TWyRjXM3xq1dof4
       u5nqyCIfZGG5v0h9r8X+YoWBWW3xgXYtwyKxuTEmveFqdT13B8T/VPFzytS+
       eVdlEoPPJXMNmjPUnm7fb+BD5hyIH+lXGElDt9Qm8vM7+HVtxHNLSTgaculn
       0lxRwLUcJ+v23mfwuvwDeF37EwQ/eB9p5I9Mj/NI9+Q68bhAfJyB8/33kB7+
       CJ7mx2Fw7T1owm0Q6WUAd4vz8OX38Lc5iRhqlcQIE4URJ/piW6PDSlfJubqX
       9VmEut1U9zICySNS3+5ie0bhw8TwU+U/MtJdqRcCFT46Oqu/Fx8/+9k3SE12
       hIfzBdiYfAYfB+oqt0uIcL+IaMEKtVai7z14W50n5xEfeuQJ05MIknnT1H6Z
       5I9Qy2Nwu/c+PKiv7MmfLnof0U+dRHKgKWJd6WUsziLYnHxkexZ5gcRHpie6
       S4IwWBNPXtDhY4r4mKb2Fv6Y6CrEWKecyeVhQPYP24iPzkJqHtnbzcOg/J1q
       +Xehb63KjkZ8oBPcbB/Awuw67j48j8t3z0HPTA+WbnbwjQiAu5crzA0ewt3W
       Cm7OZvRrtxEeQH3GXDzKtTjOmB4sIz4q+Xa5woj061gZricmGMSHwsaIrGfq
       InLI5mS96k2i01bS561D8Yf4D9nffbE8gH05H5ReP8td6px9lxjaWWhT5yAb
       xNWa+Bg5F5niWqX3WOjOV/U0y326uprZrjzMdFH7MCbbs5hDSlSPhCXZKxiq
       VffD5wdrMMeQvTWpw5dzRsHZAvGxxO+5LNpN9slGJOqwPE4PNdmizgrlbFV9
       vZy/9FWq+y3DTVloY87oov+Xc3Ito484GWwWP5KhzkA6y+Pp/eOpdxPQW0Us
       VadSVxEbFXGop76rzfFBpcYRZbHmyPC6gVjm8MgHXyDw5vsIuPkOgokDjdNJ
       pLufJT7OI5mPSa5n4Kj3I+V9A+zP487ZP6LHNUSh9MdyuQ0Paig5a4j2uoqk
       aDOE+FJ7UafYGR2Bt90FVdcudz8iqLki3W/Dn+tTzs8VPh58AMNHHyl9laZx
       QW5eAHx8DdV52ff9kxmDRQUBOn9u9gV8Zc/KWe5+XECczzWFj9SAB/Qi1+Cg
       fwLW94/C2eQ4fOiX4qjvkvjz+5t8Ade778JX6vX58zvSX9nc+Yz8IvvE1+Bj
       fBJhlmeQSK9UHGaEtizioyhIeUzZv5IZXuPi0YkRmUc01pGHYXL7QFOWuo/Q
       05SNfuJiVGqg+H+iD7T8m7RSFzUWxKM4NQSZcV7QxLjB290YJhZ3YO5oiId2
       hrhp8QgX9W/hoaM5nEK8kBLrh0p+TQfxNdTB5+M6nB6Qu3JF6nxFaq1m6GcW
       +ugNuHYkx4oeEl20Ql21IrVXYzXYmqxTfUkEG/tc/y/WtHgu852ll8nGIF6t
       y/3dATxd1aqzw72lLuzx8/aIk7f4kJDZCtJP7ulMEz1Kvbo7vDYk/YTKsUae
       2pTnmW1WWHy6LDMZRtTj1lw3NmY6sTzRompWFseaMdBeTI0VoWacteQFYpx+
       Q/pAblIHSj3+MrEuGJnnzzIzTGxI3aT0ASLepnpK1Z5gHzmpuSCM+IiClrmr
       l7lI25BGfcXg+53lcegoob8vi1X9NTqo/dor4xlxaCoNRzlzn8yMyosyQFbA
       HcTb0qsaHEK84WEkUWOnWp1AnNnnCh8pzieQKthgJLufg/OD9xDuchERbtfU
       PVoXs3NKq+UkOMKb2sOLeThW1mOCFfzcr8Ha8EtVP+vB/3MgTvypqWRPK5Ic
       4ut4Cd7Ol2BveVz5Dxt+bUy0ieKPvDx6UGJPkx76vfj467/+M9TQ37m4nYOD
       xQn42dFLSN8H8onM041maEIfUGtdgbvRSdjc/YzakLnA4TziiQ3Zj/Yx/RKO
       9z6A04NPYav3Gcxvfwr7u1/w/24Rz9STJicR6nAayW6nURp6By1pDmjND1O5
       qL8+if6c+GjPJDay1ONoaxoGGqhxyS8S/fz7jPBvN9mSSz+arWbX9xTHoTlX
       9miiUJsVhPbqNDRWZqM4Owal+Ymoqc5EWWkKEuN9EUPtlZ8eifrSNHQ1E2Nc
       +/NyJ2NY7oxWqfuzUp831SlzmEuZx6nHuV6kJ/Wa1NUzVsQn9JZy3Uqv0Wo8
       lnmEXJ/P58kZK/14ujmEvcejeLo7jl3pYbIj90C4lrmed5f6sTXToXorPuZ6
       35uqU/fnnyhd1oF9OVtcOOi9OE+czNTz4y063ElvLZllsDGNZ5uj6m7J9mov
       tlaJj/kWha3HxOso9U5VpBOy6Ufz7Q+jJewB5sqCsNGSjGX68Om6eIxURWKw
       PATznSnERinmxyowN1qhuHOE2ra9JoHrMQQ1+R7org1U+15jzE9Dtanor05Q
       9xE6ikN0+78FkegojEZbEYNYaS0NRU2eM8rSTFCeeB+5gZeQ5XIWGvOTiLv/
       BeLN34fG7hBy3E8g2fELJDgdoSc/iVjqrHjm4nj3C/CkvwixP4NkcojZzR/A
       5uHHqva1Os8Tvk4X4Wx1CnHMr3HUV87kCiv9L+HBvOtmfgJ2Bp8j2OM6wvzl
       TtQleHmcgKf7MViafwEj/S/gZH8RkcRsSpoNsqjvPT0NUFtb+NvxR3EwXPn6
       nK1Pw9v6gvI5ntbU6lI35nkZqSH3ietr8CAPOJAn7ZgPpMdQtDs9kOVR+qpD
       cNB7F9a36D8efUmO+VzN+Qi2uYp4fyNy41nyyGnEO55AYcB14sMO7YXhyudp
       a+PJH6nERDrG2jLU43CzRuGmry5RxUBjJvFBPd5M7qjPwkgNtXZVGvoqUtBT
       lsR8Fo+W8hTV16a6JBmNNZloIw5am/JRW52BhipqaHLpWE8NpoaktqMRi4zp
       PjmbLjyoVclRcwhlNuUCdYrMnl3sLfuudlhCPOyq9ImQnhD0Ey/me/CcXkNm
       0Qo+nu6M4Bkx8mSb3EFs7DHPr0+2UsvUK222Qh8+xZ9xdaAIe3PE16r03u1V
       PRdfrGjVnJyXa/L9OvFyo5uYIDY2htVcg9eCj/UhPOP3fbxCfCx1kIeo0UbK
       0cX1mu52H8k2N5BLbVJAz1vpewuNEaaojTBDcaARSkJMkO17HzXx1hiuCOHP
       qmE+yMK0qv/MVTXU7YVhqEqRGYIy68gNWvp+ud/ZRe/fmuuPhgwP1KW5MTxQ
       q/FAU0YAOvLDyVXBqEx1QnGCCUqSHqE07i5y/S8g253+wuYUEoU7LD9BlttR
       ZHHNxtt+Rl9+HBqvcwofCR6XFD48jA8pj5ESqAfb+x/BlviI8LqJ2gJvBLgw
       P9udQ1ayHcKoZ+zoZx0Z3jbn4WRyFI7GhxHieYAPrksPN3p216NqX1fw4WB7
       HlFRhkjWWKO8MgSREfZobf3+WQf/+q//jMHBSgSHPYSn0yUEyl4yX4er+VGE
       uV9CAv15NnkpwVcPvpbSp+ckvfpnCCQ+IqnDvOh7HO6+w8dDsLn1DpyJaTfy
       hdmVd+FnTm0ZbMqf4SL8qUGjbY8gx/symjW2aC8K19XzcP2/xcdvYkNbm6BC
       4aMhC0ONORhtyMVIbRaGud7HarOJlRx6mEwM1GXSI2ZSCxRSLxeht60EPVJv
       R60+2i/1SKIlpM5XzpebMEGPMUyvP0hM9DdkYLCOz1ufQX7KZm6VOczEhdS7
       Uu/PkldkRozMzZH5B9vS03pBdxYouf35ej+eU0892xrC/s6wugfyfJPvL2ux
       M91BbSZePwdT7Wlcg/EYrI2iP8jE7mwDni7Rj8y3U39Rm60P4OXmAF5tUZtt
       9R+8PYRX5IwX6+PYJ4e82CQfyb3GKXLfQClzRhrq0z2Yh68h1f4y8p1vopDr
       KMOGGobaI9rgCGKNmef0jyCSmjjZ4SLq4yzQquHayPDCQHEoRumn+wvC0ZXl
       hzaNG6qjzVEXZ46GRDPUJNijNtkJ5bFWKIsxR2EE/UC4hBFyZQZOlCUaUtz4
       eY7ID9VHfrgeyuLv8eM3iY9zyPO5gCzqhhTzY0i2PoRMF3KG7SH69UPQuJ+G
       xvsS4tzOItXvGtIDbyHA5hi8LY4TH/fhavwlbB58AlvDz1GU7oRwrr9AT/58
       ma4I8rlLr3wMLhanmcfPwVb/c9UX7i0+vMkf7q7H4ep8FOYmX8Lg4RewNj+N
       iEhDJKXYoLDIDyHBluSFVPzvX/3T92Lk53/1FXHlAB/Xq/QdV+BH7WRv+Jnq
       IxTtdQ1Z9P3JxGyg7TkE21+g9ziGUPqUCMfT8DAgzm/9CbyMPoEr8W575wN1
       1mmr7tgfJb6MEOB4nTxDf259BJnkpMYUW/JyKLqq4tX6H2xMUbiQkLcFF91V
       9IiVMepRW5uBfuJhuCaH+MjBWE0u8cFoyCenFGGMmBiT+w1dFZgnP8xIDd5Y
       Exan2rDEWGEOXxK9PVBHj1+o6lB7a5Pp8RnVfP4aarzaJEwxh0rf+AW559FR
       jGlyy5yqqafvkLkfs+3YXRC/zVxPvnjOtfxc8LA9iP2tAbwmPl5u9Kt+vDLP
       TPrBr/bnYqo1HqN1EdCW+2OgKhjT7SnYmaKnodZakd5Ea8TG1ihe7Yzi9eMx
       1Q/l1bbEqJr9sb9GXEg/9sVudW460pqlek8WRVohhR40leteY30KGtOjiHz0
       KQLu0Aff/gBB/BuE3P1URcSjL1DofRtNcaZoiDVFY5ITOtLd0ZHmjsYYW8Uz
       zXFWqAx9xP83RlnwHfLNbeT466EwmGs+4gFyA27y/Rt8zgvUR+forW8i359a
       yvv/pe09oxvL7ivfbxPW8li2utWxurpyzokVmXPOmQRAEgQJgACIQAJEIBIB
       MOecM4tFFlk5dVW1Wq00siTPm+c8si0njVu2Z76++bLfPoeS33uz3lqSE9a6
       CywWcHlxcfZ/79+9J9yGV3Ednbrb6G2+jaDmIjyKk/DSH+x5R2BNP4DW3P1w
       FvNnPlvyD8BccESuPWatPAeb8hLaG2/ByKwi9CHWVSpPOyr1kXbnA5g18fKa
       lYWbuyWf+ekqspIPoYjZrSLrNPPMp3w+gQZ6jdRH6Xn6xwnq4xjS6CtxzDNJ
       CQdRw9xm5Gd3OIuhUCQhHHbgb3/+179SH+LRw3wpxiLqKi+jjoxUQI9QMhMZ
       q6PgbIzjMd+BgseuIO/UF51CYxG5K+8oyuPeRW7Uf0TR7d+Cgpyee+MdZDBn
       FUV/xMz1MfSVMdxnNDT0N0POUeaAcxi2ZWMyqMZMj3GPL+gXgjd+makW+pv/
       P/pY6HeSG+kb1MTmoB/bw0E8GA9jh9vudJfsp/R0RfRB6cdT0dePXPGMPvHy
       waT0i8frzFVing7ms6UBK+ZFXyIxr+lwi7zGvMa/s8nnXf7txzwOMUfdA/rL
       4/kQGb13b72lbbZjcV+DtV7M/fYDtuXvf4t56pvUCOu9rPnMSp+ThV+TUV6J
       cerMao+nLdRdI+7215KZyrHcqcQj6uPtNnnmbg/ePp3GD8Q66F/uUBtb3MQ8
       Wvepv0387hc7+NHnW/gBWf/19jS2JsU9oDaeBytG2iqZUa7Kfkt11EPDrXdQ
       f+03UXfrG1Dc/ACKqPdQd+N9mOIPopltw5F9Cj38Dge08RhoSkKPOYe1v4Df
       RS76dEno1yZgiDkhoLyKSONNdGii4Kq4hIDqBsL1t9ClvYVgHX2KzNCY9hG0
       aZ9Al3EYZuYhR/5pauEyenR30KWnrlRn4K4+yVp4CqaMT6BP+oC+cYD6OE4P
       OwJDFjmD+2ipPAsL9WGuOifXyTArr6E6i0yivInKrFPIiBb6+AiVZAevWK+P
       2dCsT0NlyWVkkseLM8Q6UeeZrQ6hOvc0Gquj/pE/Ksn8lWTqtKTDiL61T+qj
       Svy/Lh5OVynq6tLQ0+v5tbQhHvd2ZlBbfRVG5VU57qMo7VOUUw8mxQ20qu/A
       2RCLOupFQd5ooDYaCo9Dnf0pKuO+jvyofw8Fz4Ei5RMUx3yA7BvUzPV3kHfr
       A6iLomBSJaIui/mPNa6F7x0wp2Pcr8J0l/4X/rCXpX6pi9keg9z2tNFMzdA/
       mKE2htqxPUpGEPMNiHk4piMyB4k+eJ/dHd4bm37vl/e5h8kXzFFi/Ke4FkxO
       Weiy4N5oCzcb1gdMbLNGbgasdzdiu1eP7a5G7PRq8YD//5S5/DPywje3BpiT
       RrmNybFO32OuesvnH5LDf/i9bXz52QK+Q1YW62y+XO+Rc6WKtT2fz/l5jG7c
       H+a+h2rIxZVY7CjFcrgKz+btPF5qj/r4Ef1HeIbIZ98XnkRd/ODNPWpCrNO+
       Ief0FfftVofa8Jic8Hw+QN5Qs35fhfL2R1DRJ2qYa1XURtWl/wAltVJFfajv
       7KOX7EdLKmtS1kn4Sy8hWHUN3ZpY9DE/jTLTz0XIFM58tukE9BkS0NMUA0cl
       a77yHDpM0bJfVAf10c667q6gX5SehDblfajj30UD80L1zXdQF/s+zBkH4au8
       IDXkp4baKk/x+RI8bPuNiR+gnjXUXnAMbfzubfnH0JC6j/r4GA7FBbQoybe1
       V2CtvQRT9WWomFEM1TfJwKeQzs+XSo2kxn2CiK8aTls+6lUxKMk7i3R6RhkZ
       XeSrHP6/ktylpYft8Qf1wdxWTa7JTDmB2NufIjnhiNSHhhxhJcOUltHzvKZf
       Wx8//cs/hd9ZRh4Sc5eeQyk/czGzm76cNaM+Bm5tHPSs/fX5x8kdJ9EkxuKm
       i3lSv4GKuK9Bn38YGubHsrgPZT/d3Btfl1lLlXtF3gety+K5omeac4+hx5CM
       UW8VJju1UgdCA8JHhB5mupsw1amTm/g/8XvR70esLbzC7S45YYesvjvhIyuw
       ja30yPvZot/GF2LdsLsDcuyIuI811WXEeFiPSTmPaQt2xz3MTmKuLTJNF/Od
       X4HtbnKQpxzz7hIsusuw06XGhrg3Q+3uUkvP59vl/br7zDSvyNj/+SX18Jz8
       zEwlxgx+8XRvHYPX5HbZn2PIxvf48HLRh/tjNmbABv6uDhu9SqxGKrESqcbu
       iIHe4sYX9wfldatvPpzEK9FPRVwDpjd9W87rSz9ijrs/2c52rKeXifVQ2rHc
       oYFLzGUTdwi1rIuqqPdRde0dVLEe1dyhVmI/hjLmYxjSDsOWQRZmjm/NOIb2
       YuqDuX60rYD7o5cNGzAcqICf32uH5ja6ddHw116FlRqwkRt81Ecnvaat+ALs
       xdQGa7Ex6wBUMb+NxuSPUEtdlFz5TVTfehe6tP3kjSv8XmPhVl1GK3Xhr4+C
       lTW0JvrraEh4H635J6ivc2hhJtekkl/pP63MVW3qa3DRr1rqr8BSewMaspRJ
       dUfey8iI/hgp1EdS9D5EAko5B1V50WWkka2EZsrJ5mJdgUy+RllwDjr6ToMq
       ChXk4vKSM/Ked3baGSTGHkNCzEEoFTeZr9Lg8Zajhrnf4WjAz//uV/PHLx+7
       rL1G6lhdehpl9M48HkN94UWpDxd1py87C3X+ERjpXUbylSrtAygT34Ey6evQ
       ZHwMK3VVzwxVLM4dt7xb75PlWXPKYqmdS6hLot7SDyLMfQ15SjHJei0y1C/1
       IZ6FJiYjWta3ermJn6eombneZmaiX7DCAGv0GHXCtvNkUYwJDzI/ebE1aMc0
       WXPIU4telxKD3jpMhHWSMbZGnHjA99wboO58lRhhDZlyFWO7px7j5izm72SM
       89wtkF0XqJU1MfdEXwN26DP3uC316PD2fh9+/Fbc85vC91+JeUtW99r2Rj/5
       hQzVY8LTGQ++uRnGs0UXebyZfGRgJtRgVbCHmA8pVI2tPi1ezXnwPerjpVxr
       XNyfjOD1zgg9albOnf0Dcs4qNT3Jz3BvmP4a0ZCZC+AojZJzDiqjPkTFZXpF
       FDnv2nsov/UhlMwQ6lSyOL+71vxTaBX3CxI/QlveCXRp4jDWVoy5HtaDQebL
       IRP67UVwsaYG2aZ6qRF/1QXZL6ql6jzc5AF31Q0YM8X8ImdgYXZQJ36I2vj3
       0MgcXSbuc136Gqqj30dDxqfk81vk82i0iDUpVdfQXnsddYkfo+rGb6GJddaS
       ewKusouwsc3WJX1MfeyDk3psrbkMR/01tDVch8eQBG35dTmvR23xZaTHfoKk
       28wjZPEwa5nDVoCi3AtIjt0nf1eZdw7J19+T+hDz7up/oQ+xnloltZhH30xL
       PEF9HEdqIlm54hqaWJu9/ko0NmahpUWNn/7Ff/u19SHmS+7xFaFJeYX6PSrv
       c4h+L2KtWmdDjBxb2FB0FLqSE9AVH0Vt+geoTfkG6lK/gfqMD2SeNNNnFdRA
       dep+FMZ8iNQbHzNTXoWuIAoq+n1j8icIMq8NuEowHmnATNdejtrjDRP1oMOQ
       vw59HiU3FWscNUJ9zHQbJJMudhux0sPM1WOS/14esGCW7DAh+q7aq9FrK8eQ
       WyX7ss7QA5ZE39ShFrI9GaeTXuWvwmhrHgaZMVaDVdgIKTBsJK82paJbdRN9
       PLZpazaWqd91tuV1MY4roGAbN+JHz8fxo1ez5PRh/PAtGeTNilzzdVP0Y40Y
       sTNix5vlDqmPnSkbecGMB3OtzHJsk2EFljqqsRSowk6/Dm8WvHIt9V1mR+FN
       D1Y75Djc75JxxNjd1T5q3a/Fuhi316HCqD2fDHwThozjqCXXVVEb5RffRQ2z
       Q/WdvbnFFBmsX5nHWbdPwsk2YmW7taXvR0flJYy25GK+sw5z1MUk9T7uqUFA
       kwpX8RX46RED/OxdfJ27+BSz1GXYyaEt5JtmtsdmtsP65E+pj09kmxc/F18V
       +ngX5Wy/uvyjCDbFsa1HwUIOcdbdgp1ZTmhHdes9NCWRfwrPo03c+8s4BEXc
       +2jMPow25iqRr1rUzGSNV+FrToG+igytipb9DrPJGDnkh/yMkwi4K9Fqzkd+
       9lmkxn+CIrb90sxTSLxK3iWjNLLt68S4PsVVVJefRxk9LyvtGHVxgt5xHNnp
       51FVdR36X+hDr8+BVluMP/nJ7/9a2vi7v/8KP/rx53j0YApttjxq8yhK0w6g
       WjBY1RW4NdHMiawnZBNDyRHoi46gIfsAatje1TxfOnq5regs2sh0tqIzaCIv
       Vf9iDqPSuINoyDkHpeAo8qSD3/OQswRT4TpMsS7PMPPPDugx0VWPkUA1hj1l
       GLIXYpz1bY6eOumtxpib7dpZTi4t41aBfmsJOppyEDLmybmQg4ZsBPWZzM05
       ct3tIPkzbMlDl7mAmYLvtZZjyVdPDqiljoowRQ29nPViNVRDrSRi2HAH4aqz
       GFRdx2RTAlY8eeQRFZZD3Dob8Gi2nZlnBj94OSfvyf34zRK+pJ/sTjmxRP1u
       DprxcsmPV6sBvN4MYXfOgafLbPfzbVgZ1GOlV4PlLnpIRIXNHjWeTFrwkDlP
       XBd4zOP4YncIn5N17k+6ME/Pmw9pqA0t5vjZxx0F8KluoZm1XMzjrKIv17JN
       1DJ31DJfyPnP046zjp+AhVzrL7lEFj6LxvR9sJSf4HmIxxz9657Ie6NuTHg1
       CNTeQhs51sXMHGDNH2DtD5AzWotOwVFxEWa+vzXvAtn7EozcryqONT95P7T0
       JDUzWz69o/jKu1AlfAy74iyCIiPRf5yKa/DV3Ya54AwU0d9g3nuP3nEMjqqr
       sBSfg5qMWpP0IZqYQxyqS2jl5tTehoNbmz4RRkU081UsagouIYOfLTf5KEqy
       z6HdXsJ2Wcg2fxIZCYdQnn+B/3cYUWf/PXJT9st1yLU1zGfK61CVX0IJ/z8z
       +ThS4g8hhe0wl3mtvPwq+SMRLk8VdIY8ckjNr52vvvr5z/AXf/UTfPe7z9DX
       a4CGdaAi6yDKkz+GltnRLu7rU59m/m1T2Z4+dNRQXQpzHX2hIfmInMtIeKi4
       lmEuOItaal/FrFgWTe9ntlLwu62kJ5lKLqPXmoMp1uWJSD2mezSYHdRhgm13
       iJm4nxmnU5+M7voEDGgSENGmotOQgV62+X5rPgbtxZjy1WDKz7btKEcnNdDD
       czco5hzyVmIsqCBzqDAZEvxZgZl2FWboLY/6LTLriPdvDTjwPTL8nF+JIUsS
       PYT1k7l7QnMHM8ZErLX/P/q4N2LFm61BuW6auO8h1oX+tphzYa2DLNTCWt9E
       nVAPS2SEtQA5vQNPVnx4tSnm7HVifdSE9UEtVntrca9ftPsabrVkIDVZ3ozP
       NzrpGb3YGLTwM9Wy/Soxwzwx014u636XPgmtrPHG9GPQshbXM/fqUg6TkQ8w
       6zBPpR9BU8ZR1vpTCJVfQx/rT3PmYTTmkJubY1iDqrA62oQlsd6SX4dIYw55
       gvmr6Dhc5O5uts1esnkb87EYB+5UXIGWbdpZeAmOnPPkB+Zi7l+byS37GCro
       C5mn/wP1QbZIPQCf5hLzFNt5tbiuG0U+ugoDX1ubQDanFlqY2ez8vSH/NFTM
       Vqqk96HLPcjfnYe97jJzVTxcckuV2jCJMeXMWWJu27zU41CWXUdnQAW/uwLJ
       rLW5ScdRVUAOYf66du7foZDttLHmGvTqW9DSB8XcPqW5F5EWfxQJrCHJ8fuQ
       n3sSSpG/tMnwd9TDYCmGujHv155jVDx+/vO/wdOni3jxYh0WXRJU+cegyDwI
       Td5x+uA1btdhofc2lx+HrvAwzyE9hL5RyfZfQ8/TMGe2sEb4qWWLuAacfgga
       Zi1lwkeoIo9Uxnwo+2gZ8s4gwrw/6anEZAc9v6cR88wc02SBAV8F6102XLUx
       sFdcpx9dR6AxGZ2mLGanfPSxbQ84SjAm5u9lPpvmNiLu7bYrMO5T7M370K/H
       5gRrJbfFTu47oMacS8X2bsRcR6X0oOezQbxd6aK3lGKsNR3jljh0qi5iQhuD
       eUsqVtsLsBasZCZT4ymz0HeeTMr+Ht9/sSD76b6mXp6QITZHLPJa2NMlH55w
       e3OvC09Xg3i84sezdTGehMw+YaU+dNigNrYGeDzc7zo9ZGvIgN3xFjkOY22A
       DNZJ1vIxU9pLMU5/FZmqpymZ3nGDDHBajtFuYL0RzwahFfqxiTVJbGaxJoZY
       l49tJFLFGpZ5CC564YC7EAusPwv06DGvAn2WArQr78BRcpKsfJxZ6hyGzUkI
       kz/MrIPNBcfhrbsJDd/vJAvbss7Qoz6GpfAs9XEMNayHhVG/jexz/xEl196B
       njk81HQDTp679too6RMtpRegzxL6+BANKR9LTndQHw3UVjU1o0h8H/r8Q7Cr
       6DcacocxHk5jHNzmTBhq49FUG4sGHmMxs1RVyVXU18Qg6KuWm/CCwrTTzDcX
       kXjzfcRc+xpKybyNbJ/G+jvQ15Jdyq+gLI/8wsyZSA9KYWYpLjoPFc9jQ2MS
       9aFGs60Urc76X1sb4vE//sdX+OGP3uJ3f/yl9DMVz5Wa9USdy9rEbGqkNzSV
       nIO18pT0j7r0T9CYdYQM8imU1GitaPvZx2Gnb7eW8nvLOwBDzgHp84rYd1B5
       67dRE/chfeY4AswLg805zE0VWKCHLHSTRSJqjDNrD7jLZTYKGDKZmzIRbs6i
       Lgox4q0iV9RggpoS46InxfoPZM3lYSuW2EZX+fMGM8sWa/kDtt0Hs26s9ZP/
       yfkL7TVkbjK/Kx9LbPOvxPgSMvs4/WWaXjHemoxeMuJ4E7OILRPrwTKyQiXz
       WAMzUxhfPhrf60co+lA9nMCztS5sjtuwNtSMe2zjz5b9eLEewmuhD+pC6OPR
       qh93J1uxOdVKjVhwf1yM21Dz7yuplUZydzPZhZ5Gf9rg8c8G1RjhZ59hO5ij
       dwxbs9DZGCdzkIVtt4ntU5tG36ZfaOjFwjuELqz5Z9nOr6FXl4KehptoKzrM
       jHsagy0FPLc6LPUYMRtu4GcvR0hc/ycjOitOy7ruUVxEnykBocZoGAtOkjvo
       GfT/2tRPYWebaiF7NIi/xb+tondV07MKb76D/KtfQ+WdD9BacQE+3Q229Uvw
       Uptmto9W1lAt20VlzLvQpH6I1jLut/oaefUQM/Y+1KR+DFMx/amWrMLjdejE
       WOw78LYVwMKcbNKno0mbQoa4jCrWR71YB9dTjvb2CiTSy0rIWSWZZxAf9Q3y
       +zdQzVqsI/sYmOt0NTdRX3mNfHIeyTEHEXfrQyQyG5aWXNzzD+rDxVpqYj73
       0Et/+pe/Pp+Lx5//9A/x3e88R0+oEbVknHqeM1XGQRhKz0Ev+iySLexV52S/
       meqE99BAbzMWniKH7Of5+0SOkWyktzqYe21FB2DK3c+NbJfAz3HrN6FiJjWk
       HpZzdnv4nfYY0tg+y8mgNczcdZjuqJUaGAuQE4J724CnQupmqb8Ja6zXyyNm
       LA2bsUItLI+1YJ0MsDXjpB5ceLS417dbbE+5bQzZmFVq2daZbbroNa4crPdp
       8ZL6WOlqxhg9bDZAP7KnYcyahLmWHMy35WOrS4nlDgXWe3V4sRqSc5WIORhE
       f13Rv/3hYgfuMs9vjNrwcL6deunAZ9s9eLYRxktq5Pm9Tm5dWJ+24+6MHY+X
       PHi25MQiM9tcuJo60WJr1EJNizXmmrAsPDSspofQ68hgY/YCdDNXifvShmzm
       WX4HpvwzrPFnoKU+BA8Ysphbii+irfQyIvVxGGhKR6CG3pH3MXpNydikJ90l
       5690tTCz1aG7ORNOJWtXxVFqjroqPEZWuIaIIQkB6kaMAXXX3oSFHK3PF/0I
       z8LG76mRmiwX11BTmaczT6L49vvIufKfmJ0/QZB+K67R2lVX4a5nvsk/BWvp
       RdbM/aiIfZd5bD/z2nnYmLmUzGK1/BzqrAPMIKdh57G28u/b6F12fSw62ith
       s5XA3JwHA+tiEf1LoaRujZmwteTB4SpGJhmsNP0sClOOI5H6SI/+ALXUpKGG
       OmK+0Yl7IJVRyKfHJFEfsb/QR1UF2UPD3NaQCDd9VKPLhjdgInf/+td3xeOP
       /uR38eMffQs+VzVqWbfqi09DmXUINTn0dqHTEqGPC7CVn5XX6MRmEXORZh1G
       FVmtkpuYw0ift58+cgjNeftYpw4zE3yI6hu/AeXNr8GU9imzLTmw4DRc5Jlh
       czpmXEWYIZeP009GmZPGqIuJiAaTXTpyhBrDASUWBgy4P+fGPWrh/rwH9xe9
       2Jxpx/Z8AI+WAni22oGXd7uZb9g213tZy/vxgP8/TU5ZpOaWg2SNtixsDRvx
       bD6IuwMtcp6nmWA5xl0ZMmdN2nKYq6rxeKQJd9lmH027mJl65Xwj4v648JCX
       m/24T6Zepz6ELp/SN15sduKz+z14ud2NV3x+tk0f2erE1lI7XvDn19ud2Jmx
       UeMazHfyWJizdmfJ7kPUyLDol2Wih2qpH/ooj3OwNZc1nd5ReQVNrMWWglNo
       KbskN+HV9anMT1VR8FRfR1dDAvqYq8PM7bYS1qXKY1jj37jbZ8ZGr51+pMeI
       WJtcw7ZcfQpuBT2+9ASs5I8Q23e3LQvO+mg0FtGHyF8mweb8jsXfNLO9a6jH
       4ttkiSwxh9MFlMR+hLyor/E7Po4u6rCF2ggYEvhMRqZ+jSUXoOJ3XBH/DTTm
       HoCn7iJsPM5SZgelGINHvVsqzsOlvglb3XV6RzRcpiSEyILt3loYTXlolnOM
       kLcbuP9W+oolB1Yya1HBOVRmX0RuwmFEX/ya7J9VX35R6qOR2a6+nN7HmpGT
       fAJJ0QcQJ+4xJn6KanpKgyYOdeo4dPXqYWktR0fE9k/ShtTHH/8X/M7vvMXI
       QCvqyi7LcSCqnMOozjiAOtYUsX6OjRzXprgkPaSO2amJdagx7zAUqZ+gNPYD
       ZDOfVsZ/HbZS1iB+D6KvpvQQ/k516z/BnLkf/rIzaC85BQ+9t0dzkyx+m4yc
       gilHkRwfMsV6P8VMMNmpw0xXI0bJZzNdWtxlltmcbsPDZWpiVYxTJyMvinkd
       AnjM37282/uLsUyD5ONBPKVPLPF9y2K+FOb+CV8+834z2SFAb2nFKNl9kdw8
       4cvjd52Iefr4w2HqcEiPeeY4cX3qi90ROVZQ+McXD8blmKPdeT916sKu8KuN
       CF7v9uPNwyE8oU6+eMH8RY083erG6yeD+OL5CHUj+hOasdjXQB6oZx7UUVsO
       bIj8Nbmnk6VBk/STSXrlYFsRvPw+xXxPJrbbduaGdubrpoIzqIr/GG7lDfhr
       7yBcH4sBevBgUxoC1bfQTH/vsqVQ1+SaMTuWI00Ya1PQp7P5+pvMU/zuKo7B
       VngE9vIz6GvNQr+rAIbqG2hW3oJXlwAb85VDfL95x2Dk1sg8XBrHdl3AjF1x
       E2XMWHm3vg6H6go6LclwNpIPTKkwMPfri0UGPw9FGv2DnNFYQA5XnqFfXEFF
       EnN4GtsR2cZUdpZsTqZV34CDmTbYloPe7kYEw02w2yvR1laF8vJbUh9msqeJ
       n7G1NQ8VJZdQRX1kxxxADPVRJO73KK6hVReHJsUNub6a2PJSTyP+9n6kxIm+
       iUdRxnylVkdDz/M0wHrU6lTA/k9YI+eXD7Em2/e/9woDPc0yx2nFOp2FJ1GV
       eQCK7ENSH+I7cCgus8acZy3YD22BmDfrNOqyD6KI+Un0L8mJ+g3J7+I1VsGC
       rGtNWfugvP0bMKS8B1/FSfgrT8BbdhhdNeepl9OIKK5izJCCSdaLGY+o6/WY
       DgsuacA49TJJrloZbMY2a/rurI+a6JDjRsW8Dlv0iZ15L5m4h7oQc2cOMPMM
       4PlyF1Z7m7AUVpLTy5jDS/Fw2oYXy2HsTLfLOU7n+2oxxNw17SvBCnOe8I3V
       TjG/hxpPFgL4DjOVGBcrxse+2hRzVIWZ44LYWSJjrDHHbXbh7aNhvKY+Xj0c
       xJsnI3i224fPqZPH9JMXD3rx7F6YLMI8OCzuydAnBvV4ykz27G4Y65NiDFIr
       1icc9Egx5quG/JULC3nbWHoFrrpo+BoTYGKdFBmlmfzrb4iVfQe7tYkYZNvp
       YW5wFjGvVF5nHanHzmQLGccoa02/uNatiWf2ug6f8hKc5SeZfcnHlWcx7ClA
       n6dUjttuaUiCh/qwijF65PamnIPQsjZq807K+dQbi67BrIhBWfIhFMe9jw5D
       DDqa4+FlXfPoksiqZ9BUdgVqMUdP0j5UpXwAU8UJtFAfOjG3YdohqMggavqH
       iTXWTp5vqb+JFm00wp4i6kOHcMQEr7ceAX8D6mqS0KTLJH+koInc4GW+UvHz
       VWSeR8btT5B47V16CdsV2b+FGm2suCL7ntcWXkBB2hmyxydIjt2PVOpSQa9V
       kXkFf3T26KE15FEfmn+yPsTjZz/7KcZYWxuoR9FfsYkMpmJbrxbX0agPS+E5
       tJRfoFeL/sknoOO5NvGca+gvhTHvI+vGN5Bx5TdRIebDKmGGpZc6KujZxcfR
       nCPGjh1EUHka4drTCFYdRLfqBDroNRHmtL6aGxhmVphqKcRsu7jOKZikHlNk
       10n+vNhtkOPiHs4G5JwbT1a66Bud2J0TGSsox78+k2uwDu/N8b7aK6+/Loaq
       MB8sYbYpxZP5VrxeF3OmBTFLb5rtER6iwDKZY4lZbqNHSz1Ri30GvOLrhGeI
       ed7EXAwv6E+PF0N4tcEMRb54dq8bb6iNbz4bw2fUxttno3j1iDp5OoLvfbmI
       Zw8H8PIRdbot1kQmK5HRt6et1IqFx0h9rwSwOOrA0qQHG9Tr4ogdo6EG+Jkx
       rMxLLn6fPWQRF9u3Jv8kdIU8Z/oEBLRxCNTHoLcpBSPkipDqDjPrefSaC7Eh
       xoz3GVlfxLWwHHpHPHp0sehkdgqwLXn4fTrKjsLD/D/FbNlJr7JqkuAnz4ux
       DNbqS/Jeb1PeQXmPS5NzHJXJR8iiV2BWxaMi7Sjq80+gu4XvMcYgYCYfUMNi
       Hg8x96eSflNO/lBlfYKWmrMwV5+U/b7LEvajmvoWc6s1V1ykf9xAa8MdmEX/
       Fn8ZOvm5Qx0mBP1abo1k9GyYDbnQ1MRBp6bHuEuhKr2KkpRTyLi5jxr5WPa7
       EvqwqG+jrug8lHlnUZ19GqXZF2S+SrjzMW7feAcVYh0QakRvIKOFNKhUxKPN
       /avHD/6/H2I9hJ/97V/hf/7Pv8eDnWloa6OZ5y7JPot1hSegoD4M1H2LuJ7C
       di/67ztrLsJSSS4pOoLmyvOoJJ+L9X5yot5B8Z330ZB7kh5yGXbWIzt9xKc4
       i47ac9THKXQomX+rDyFUfhABaiZCD+msuIQe+vyoKRPTzjL6SDVmed7mxbXP
       QD1m+PPdERtZ3EuNeOX4UTEPyMOlENm4i2y8t17387ujck3v1xsDuEs/Xegk
       v4TKMd9dhUeif+BGtxwXNBlpxOKAlgwg9qunJrRY6W3AXKQOKwNGfH5/AN97
       Mbc3v8IDsTZ4PzXZKcfXfvPJGLUxgu+8msG3Xk7i9eNhfEZtfP5iHF+8msB3
       Pmce+2wK33o9SV8hC60Iz2uX90Yer/qZzbx4sOzHzkoIy7PtWKMnim2s24QO
       ZoyAtQS9rkq5lmmbOhE21n8PdeFjjY80pyOsT8GAJRsTjkIEmbX8ZNPZDi3W
       xryY6mjAiJPvNyfJfocDxnj0NyXSP5ixqsjT/M66zAlYJg+Jefed5OEusp+P
       WmumT7WwpmnzjzALHUB9zglmo0OozWOdo8fU5p/m8y0Me7MQsiZTV7kwMO+J
       ceMtdXfknILKjEOoz6VH1V2CgTVUWyzW/zgk19y0VHH/zGYt6ig4yB4WZqO+
       SDW6w1qpj3BHE9rd5BBdLpr1OVAx0zXWxMDXVgxF4SUUJB5HOv0jl9lJrIWp
       I6Pp2MZqRN8V/luMz6gouIboG/sQffNDxN75ACWsHRXlV2FjNvHwfOYVX8fY
       5K8ef/6/P37ykz/EZ28eYmY+jBbWEwU9S6O4ggZm1doc8naZ6LN/BuZy+ki5
       uB54Bm7WIW0BP7fiIjRFp5ET9xEKb7+PipgP5dwNDh6/i+ekveosIrUX0Km+
       AG/lUbiK9lMbhxEqPQJfwQEEi48hXHYe4eqr6NUlMmflUh8lzDnMJD0WTFMb
       kx21WBX3DWbseDjnwXNmnedyzHgE91e78ViMFxfjrOWcnT1y7pz7007MM/NP
       hBWYYfu/N+siT4s1KoOY67Puzf0xacfqRDNWJnRYGaNGxozczPiCbf4Hbxfx
       lh7y+WMxlyf3vd1PrhjFly9m8e2XM3yexhfPxmW++oI+8ubxAJljVHLHi90e
       fPnZBH83hl0xh45YN5oZTcyZsEtmekRm2l0lCy15cY9ZbWnGi+H+VvSFTBjr
       smI8bGKdribLpjPHJMJFH/CyxvuMmYhY88hPYh7pIjjrbiNExl0R/aB7WzHR
       zsxoLUafIRX9uhSZwbqZgbzUUSt1ZK6JwkioEkujRgT4PXfQrwf8KnRY8sgP
       V9GuSWSeEmvXXyBz3IAy8xj94zScDbehJzuGbYkY78in92ShlbWstuwSWZVZ
       WkkOzjkq57LS5p1AG7nJJMYVsV1XpR5GDdnDQgayMFM7Gq/C3hSNNmsas1UN
       Buh5vd1mjAw54HOrYDUVoKkhA6XkHg310e4oRqXol5V0dK8PFtlczayprbqE
       erZLZfEJVBadRHHeEZSWXkdM7BHE3PkUKYmHUJR3DrWKO/JamM6Yg6SMU5ia
       +9Xzw/3vjz/5k9/Dd7/3Bo+eLMHHHFwvxn2UnoNJdRX1ZDUtM5RJjKev5mdk
       XWguOYY21QV68hmem4swK6NQztqRc+PrKCCnKxP3obXsItzV3KroG7UXyZM3
       qJVjcOR/BG/xPnRQI8FiZi56UEfpSQQrLyBSf2vvupanGPMh3V7/KdG/l/ln
       lvl6a8Im9fGEGen5sljzoAtbZPGHq330jiGpjydsj4/JGdvTYi0LLaa7amRf
       lvsLHtbvsJzLdHPaS0Z2ylq+s+jG1ryN+uFG/d2bacM3H47i+68W8O1nM/jm
       0yl89mCYbX0I3349Rd+Yx3c/m/uFRib5f4PUCPnj8SDz1gjePhEsMoDvf3OW
       P4t1ccLMYwN4I9Z83hRzQ4prC+24N+/ENnWyPOWS6wVMi/kQZjowP+phm21k
       filFyFyMdlMKnGLsBvXQ2VKECfKRyJ6d5ly46uOplVJ6YAvmupox6lVhiG2+
       z5hGjdBnTGmIaBPgon+0MDe36eOxMKSV/Xg7xJjZUD0GyHgBaz60JdfkOFtj
       +Q3W/StorY2BjnzbxCzhaoyGQ3MDg95cjPhzEbAlw6iJg5K126C8wrbPtsws
       rkr/RI6ZbVWRWVgf69k+K6kPcS/NzLZjrbkAl+EW7MxnbmbAseEmbi0YHXZi
       dsqHSLABbS1l0NanIpdtWVV1E0FPBQqZndITjyCBGSUz/hOpjwbmxTrm/uqC
       Y6hgziktOI68nAuIpT5iY8T4wf0oyDkDJfdhMGZAb8pFfNoJDI75/8n6EI+/
       +qs/w6vP7qGTvGQ2pqNK3PdgxhL9243MQPqS4zzH9MjqszCyTTtYD5zqSzw3
       F+TaJYLps6N+C3nUR0XsB2igp7ZQ3y6yuld5jt8VPyszVmvBR/SQ9xFWHEGI
       fhIqP44gNResOINgzWWyZzTGHZmYDdbJOTC3xFywvWLOTDH3op4e4iJD+PF0
       Ucx7Qw9Z5vNaj9SHmLdKaGaXfL0942buF+NLmNMGjXiwRHZZJrusdcp5Pe+L
       vuObnWyzIb6fmmP2eSjYezkkufxbT6bwXWasbz4Zpwb68fmzIXz37TT+s+jL
       K/orPiObPB6R/vH28bDUxpcvx7mNye079I+X5PUnd7vxlnoT46KENh4sifnw
       xLwtTtydsmNcXKsbtGFdzFFP71uYbMdAuIk1Woke1lMfs1RHS56cC2GUWXO5
       30I/bUTEUsQtH/NdGqwNmTHD/Yj1T4cdRei3ZaHfkoFOfSJ6mlNhZe53qqPR
       QdbdXfdjacqBbubxkX6TXAs22FoKk5J5jFyvK2VeF+MT1bEwVF6FjnWujfoI
       WlIwHirla3LQ3pyEBuY+FXNDK73FVH0eddlkD9Gfm/nbXEVGVVwms5+DIkN4
       0AlYVWQP9WW4TTFwGMlR7SWYJZtNjrdhkN45PupCf5cRLeYi1KsSkJV2HJra
       WKmP/MwTSI0/gPhb70v/qOcxNYi1AVnDxdxUlTyOiuIzyM46h4SE40hOPIqM
       FOqm5AoqyS7CP4yWAqRkncXjZxv/LH38/Oc/w5vPd9DVY4DHWYEGsp9OeR3N
       rAUm5iQtOcKiJHuor8BYchRN1IhNcQYOtZgP6Aqs6hvkkE+Zsd6VY9NVyfvk
       /RJv7RV4FMxPGuYnPetYwT7Y899FR/VBhKoOIVx1HB2VJxDivoI8h4G6K+g1
       RmPMWSzvH2706XB30IC1fh15RCP5YGfajadsa+KehxiT/Whlb/4zMeeZyFxi
       TsbtWQ/uTTuwzFq5PGKV2ni8GpJzer7dHaRGIniz04PP7lMvm0FqQsz/tjc/
       oljX5gvmqm89Ef7AXHS/i/zdRQ7vx7eez1APY9JTXu70S328Jn/80j+ELr58
       NUwu6cPL+2L/Yt3bPmzxeO7Pt/PZSe+yYXe+DWvU7VRXI0YiOqzPB7DJzzE3
       Qf9gO+n0qeUaxsHWQmYitRwbLOZoE3PDzTGP9DqqMeKtk/2rFkUfK+5n3E99
       eEox2JaPHmsGui3pcp79NnGNl1oZHzThxcNhLPD8DYo514dsmOfPvrZKOI3Z
       GGR2MCluw0rvcJFzzDW30Mi22G5KRq87H2Phcj7nop1a0Yp7D8wHLkMsjKyZ
       Ndn7yOMHZI4y00+sNdeoC3JBzknm75PkjqvcJ4/DHIc2C/fXWYNVMtn4mBN9
       PVb6SBt6+bktxnzUVsciM/U4mpvSYTfnoCDrpLwmlXiHGT79CHO/yP4XpYdU
       F5wid5A9Cs8hPe004uOPISXpGPV1Quar6grmSu7DaC1AQvpJ2Sf3n/v4/ItH
       9A8TvO01sJmyoFPdgpGZVUcGVxefhJ413t14nef7EvPqURhKyRMN13guLsNW
       HwUjM2FRzHvIvfFbqEj8CFbhH6rLaGPG8pJX+oyx1MoptBa+B1/VAekhwYoj
       iChPUx/cyCl+ZrGI9hoGLWmYZL1bjlAjvY1Y69VhuUdLjZCpR1vwhNnk+XqE
       mojg2RozFXOVmGdubwtiZ0Gsd9+G1TELmaKVGuqQHvL8ruD5bjxZD7Ltdkv/
       ENvnuwNybUGxPpScA+7JNPPVlMxOLx90Ux8RfPFyUM71tqcNkauG5XWsFzvU
       wINeqY9vvRjjNsD/pw89pObu92J3ybd3j3O6DRvjVv7cyqzYTH/UMS/VYjyi
       xSLr6MqcHxPDdgz2NGOwl7zuUaHTXY2JHiPWJtxyHeaVETGXmxl9LtGHzYz1
       UTuW+sVc7fWyn+agpxz97hJ0keMGWaNdZHuvIRGhlmxsrXfi7ctZzE63Y3qq
       HRPjzHb0Wru1CD57CQZDdTAqySoNiXItTCP5W0+u7yUPCm6Z7CGrtGbC3ZyM
       BsVVaOkRPnMS9OWnoMz6mFnsBGxkc3MNa2ZdFDTMZ3XkF72Y00R7i/q4RW0l
       wsN99HVrsL4exhQ/14CYv3fEiS5marMhH9Vlt5CffQYWQwaadcxa6ceQKMZN
       xexDafYJMo/QBzMdNVKVfwbF1E9h1ink5lxCcvJJxMUeQCb9p4T6VFAftpZ8
       6MkfcSnH8dVXP/tn6+NP/+wPsLYxikhnEzxt5WhU3UZDldDpOajJZ5rS0/TI
       q/BSIy3MTIbSY7CpmJn4u1bNNTjpw7W5/CwX/h2ybvwms+h5uGuj4BTX35mz
       Io236fnMweWfwFn+qbyWFWDGClQcQ4T7CXKLNFxFT9N1dOtjMNKSiaVgBTbI
       2RvMVqv9eiz26smjJuYnp7yX8GQlyOdOyR3CO+Q6O+T3h9TDLvl3a86F7Tmf
       zFRCH6+2xBhwamjRg5dbETzd6OBzJ95s98p52YR/iP4kXz6d5jYp/eHlgx68
       ethF5h6V+njzaFRq5JtPx/b0QQ0IfXzns0l8+xWZ/UEYL7b95HvqcC2ITdE3
       jKyzO+/Cg3kH2Yia7ddgJljNXFSPtfEWrNFfNuiJIwNW9PH8jzOXd3do0OOv
       w6gY/zIh1hbwYGHQjcmIhbW8SV5jWBtto380yX5sY+LaLrc+L/ndr0SfrxI+
       axaCzFsjISWe8bhf8jNNTXkwv9DBfOPD1KQLrdZC2c+jL6iEqS4aflsOAtSX
       puIyLJoYjEZUmOyrw3CkGu3WdLSRiTTV19BE7gyQsxuZLVQ5+2Gkd7Q23oSV
       rGJpoPeUX0Zd4Sl60iW002fadLfga0mD05aJ7ogGy2Sz8XG35POhgRZ0+OrJ
       HmkoL76OkvyLsAqurosne+yNHcxKOYiKvNPyepWm7JJ8riCblGSfRU7KCWSk
       nZX6iI87iHyxPhNzorLyBoI8JzZHGXJLovDnf/HH+Ou/+dVroP//Pb766m/w
       e7//Y8wtdKPdrYBekyCvY+lrxPoKF+QYQzN53CvG42vFuBjWhrJjsIuxYNob
       sKmvy3ujavJSdeZBMhnzki4GHTryXZXoD30N3cY7CDech4u68ClPyVzlpRdF
       VNQP86nQR7fuOjqpwX5TLCbbcmSfqLvUxgaz1fqwmOdSx3ZhwdOVAB4viTl8
       ffL66+N/1EgED3juH6+HmP/D8vdP17tkvnmxKXjFT15vw4t74T1t7Ihs1S37
       3or8Je6ZCzYXGevNwxHJEa8e9pJBRsgd079gjzG8Yk57tTOAZ3zvc3qR4I/v
       iuu6ux1486CD3hEi7ztwd7JFZr1HS276Hlm0S4Up1uMhdwFzYAu2Fpy4vxbC
       xlIHhnst6Ao2Yow6Ge4xYZg8OD9ux+qsF7Pk2IURNxaH3HLNTDHn5PKIHQvU
       xyyz52K/ERN8fbevBuN9RgSd5Wznxaz5RVgcacYPv7+Fp2Sh2Rkv5mZ9WFoK
       YnCgGS1i7Aw9IkLWN2ruoMtXChfzWX3VFXjJ0bPiGvgMj8tfBp8jFy1NKcze
       0XAz/4SoI3XRKdQzQ7VSE21NcbBzs+hioau6ytxxBi31NxCwJKHdnIBufwFc
       9LIBHvPSahdG+Tn6xPWrQTv87hqoVYlkiRsoLbwMF7OlWnEHaQmfIoX6yCfL
       KJijarnVFJ6FquA8KnPOUx8XkJF4HKnJp6Q+YqM/JZufk3xfy7zocpehriEF
       Fap4/Jf/8/v40z//w3+WPv7+H77C39J/vv3tF+hiDWvleWtgjmykXzaSQ9QV
       5+VY9famm/BTIw5mIR0zlrgu4aZ3ivPTornJn2NRmbGfWesdmPkej+YW7NSZ
       vfqyHFPTb77NHHUBvurTCDK7BirPwFd5Gr38vwi1FqYX9eqj0G+4Ra5PwLg9
       D0uhWnIIeX2iFYsD9JHBJjnO4hn9Y5dt5wFz1eOlLrme5/35DmwvBPFgLcLa
       3if7nggu3xbXvtYCUhtbzDjPNzvwapuMsC3mnw7z/3zy3vZ3nk/iey/nJaO/
       2h1h+6d+Hg7gs8dD9I1RqQ2xvdwZkAzy9F4XM1YPvUOwxzi5w0/dULPrHnn/
       /P6cA5sTVuzM2rE5bmAOKmb2KcDScB2PwYudJQ92yEPzU25qgmwR0mOC9XRc
       zN85YMASmWVlph1zI2SW6b11ljfn6Ev83AtyLRuz9NW1MTvGxDo1bG+z4x50
       eNVs8zXo9ihwb96Db71ZwBo1OD/nxeKCHxsbneihnuzWbHQHy6mLYjRrYxHm
       8TnMqTA1xiLiLcPcmBHL01a0Uws+RwHbfirMdUnodlWg01GMuvzTaCxlhtKL
       NTqS6TFZsJvSWE/Py+u/zqYYeM3xUh+9fma+lhx5XXduPozR0T3/GOy3wWEr
       R1X5HVSW3GDGYo63FaCWbTw1fj8S7nyIgszjUh81Befk3CXK/PNQ5F9GLjWR
       FneU3HEKaWlnEHNnP3LEvG1k8wZ1vLxnkUu95Zdel+sX/NlP//ifpY9fPv7b
       T/4Ai4s98LoroFXfQgPzkU59k5nzEhorz8oc6aF/uBuvobnqFAyVp6RmXDwP
       Juqpib5Rm38MBXHfQBNzmZMsJ8Yot1IfbnqR8JBOHX2v5iI6a6mZamqFGa5D
       dQX93EeX9jYGmLFGzHcwQGYZoR+LMU2rvUbZr3xl2CTX0F0dMeLpoo+a8Mk5
       AZ+KtQPI6CJj3RPr4DJvi3t34nrUk7UuySSPVr24y+96a66FWgjiJfUh7os8
       2wjw2U9PieDLJ6P4Hbal7z6fY/sfxqMNaoh19zN6idCLyFefPxn/x+tXQh+f
       PeyX+nj7dIjZyofPdvxs+x5mKyu9oxU7M3Y8WWI7H2xALz2x35PH/GfGo3UX
       vSdENvdhfsKJETJ4d0CLqR4bpvuYo4ZYZ2cd1E4b22kb7i2EsTLZjvUZMYc3
       mUX05RpvxXKvQd5DH2NbW1/qwdRoO8J+LTr9DRjsaMSTe7347MkE90WGmfdj
       ZspFD3Gjg+fVzXY/1qtCxJ0NC9u4lx7Rxhzld+ajP6zE3UUHpob09JYEeFpy
       0WrIZFbKRh91F7Tko55ttpms4jNnwC3mQrBlw6pLlvM6m5TXmMFSpD48FuEf
       xfA5i+X6sNOzIUxM+NDfa6VerLCaitimb8vrVzrWe7sl7x/1kUoPKWG2EvpQ
       5J3d23LPoSLr/C/0cRyJ8ceRkXEOCXGHZL4S+hDXwJqbs5FdcIn+EYef/Nnv
       47/+3g/+Rfr46qu/xhffeoyeHj2aDCmoU12HufYms9NNmSVb1VfQzgzkIkfb
       NVeZN6/CSC6z625L7zBSH/qKs6jJO4iqtA9gLDtBpr8IJz3DwwwVFHOKWRPR
       abiDYEMUQsxSTmY1N7XWTT7pM97GoDEaw82xGLUmYFj0QW8vxHygAmvdjdga
       tpFtW7DcLda8sOERa6sYz/1wLiDXtXgk5p+mFh6LcX3bYTx70IfHZI31WbYl
       amNjzIB7k0Y8X/XgOV/zlB70eMFFrbnxkpoSvvH91+vUwDy1MYAd+tCT7U7Z
       7/AN89Wrx2SMp+N4QW28eER+5ybun4t75q+fiTmhmdM2g9RfAKvjzfJvPqRn
       3Ztsxmx3Lbrt2Rj2l7P+t9Fnupnh+rEx04YlfpaxLi36Rb8znvuJ7r15KpbF
       nNHkdrFG+dasWAeunfttl3OsL4255Xqy02INNP5+nL7zaGtQPoeZ57sCGnqR
       FY/v92N3pxNzc23k8hbMTjj4ezNCzmp0OMoxw7zjakpFuzEJIR6f05CK3oAC
       o72NeMZjdIlrQHUxCFJL7uZM2I3UR0cNfK2s8eRkO9/nNKeT8wvgtOTApBFr
       dZyhnyQg4syB10aN2NMQ8dE/+Jq5yTYsMB9OkJ8GmCMHek3UQxEU5TdZkxNg
       bUqDWZsk52dLvPUNOR+csoBtqvgc6krPoTL3CJTcf1nOKTkeNzP+COJu75PX
       vWLvfER9nEFpyWXZd1dvIpsnn8DUbA/+6m/+7F+kjV8+/itz2vxCAA5nEdS1
       t2FQUAd1N2ERfQRUF+Gid7h0UTynN2Fn1tLTC5rV1+ARY/brhY4uyusaVWnv
       oy7nE2asq1IfTurE23AD3awlPWz7HfSisOAZkdGUZxFquIwhKz3DkkjvIBva
       EsjpiZhyZmGe/i/Gn24PWbDLLL7abZBjjO6PO7BD5hRrlIm5TeSaM+Thp2z7
       r7ZDeLBFXufzBj1jRYw57a/H+ogW98nJD1ib75EPtsYseDInxpO04+2OmHdn
       kd4xgd21XvpQFx4LrxFt+ekUXjwYwXNxjZj56sVD8Uw+F9d3XzJ3vRDz/HZI
       n3qw3E6mNmKDurg7biIfsK2GxDUmar2/QY5jebjKvLco+mCZmZXEfOgazIn+
       vD1a+bOYy0XM4zIr1scZZU6bat9bd4CaEPN8ifntF6iRGbEG4SRzE39/f7WT
       /GGmJzRTAxYs0SueMgfuPIhgZZlsTi3eXQlhbtRObtcyJykxRE221Cej05mH
       Hh5fxFXM9zdihRreXPZCzzps0zM7WTLQZkhn1irBxKCez/loUN2Aix7voXYC
       LsExlTBxX3Ul56Q2er2F8JLLAy7mM1eB1MfKghdLrGezk24M9ZkwyGzgsDKr
       KWLQWBeLVlMGDPWxKMk5gTgxh20Say1/rqUm6svPoTznEL3klLyelZd8BNlJ
       RxB/+2Ok8+eEmH3IFmvoFF2AllmwoSkLiWmn5dqc/+t//V/4gz/63X+xPv7+
       7/8Wr9/chS9YjWZjquxPbGROspKxbTWX0VrHrMR27TVF83yJ/mbXYaR22hru
       8PcxfN0VmBUXmK9OQJX5sWSVvY2c3nAdYVMM+lqTqZN4hJvII9SPS0W24TZg
       jcZUW7rk836+bpj6GHekYcZXgEl3PnVRh20xDm/QJMcKbgyZsSvWiOH5fsCa
       9JDZelfcL19mzqF/7N7tYL73YX2KOX1QQ5atxhwZealPjXvM1msj4v5Ko+wf
       fpd5/tVmP/l6ktwxwjwTwtZiAA/JJk/Y7p9uD5DVmbMeDuPF7gDeMGM9ZiZ7
       ttOFL16OchsjdwjGcTLHtbDu68kZor9+DUaDFehj+xv0FGBKXP8nS23OujA/
       xM/BnDRBb+xn3lkeI5uH6jAYVFEXOnqOFhNhDTVl5L6smGebXxRrBI45uA8n
       5sno86NOzAzZJZ9szPnZ9rm//mYMhBuwNuPC22dj2NwMYGGOPD/jxBZ5bGnS
       hXF68HCoAT7mJEtdAgZDVehwMVdFVFiYasWzR/0Y4HEZGhIQdJfAYUzhlobh
       Lh2ZyEGvyIaR7TjoKiK/VCDM+jUQrierMieVX+C+K+T8OG5bKjo8+WTuXLS3
       lWB53osp6nxGXN/tMaInooPVKPolxkNbFyc9SFtzGzkpB+R4wfL0Y3Luwpqi
       01CXnUVFLvVRcApFmceQl3IUOfQQoY/UxENIpZZyqI9C6kNVE4PcoisoKovG
       7/3+7+LP/+JP/hXcY+/x05/+IVZWe9DmyIO5gWzBjGVT32DOokbYzt1kCC/b
       r4vt2GmKR3ONmC/yCn0lmh4ShWZ6iLmKjFYo5kM5Cw9zVLv2Jny6WwgxO3XR
       Q/rtKfSReGauG3ALf1GcRYTsMePOwWhrOnrpIYO2eAy1JmHCk4FpXw4mvaw/
       3Ups0wvWxL3DAdG/1yHXFNuZZt1eEPcbXNiZF32uQnjIdr29Ita3N8h+7ROB
       EkwGSzAbrsRSTw1WBjRYol7uDjTiLtuqWGNG9Hl8sj4gr6tuTLtY5330hRCe
       ClZ/NIInW+SctRBe0zfE/p9sRaQ+Pn8+zFznk/pYn7RgfrAR0z1ibHA1el2s
       zW25GGJWHAlUYmte7NtOlmrisVkx1FHLWlslvaPPpyBXV2BczDsRUmEqosYy
       uWtlpJkaaZYaWmEeWxm3kUNc1AA1IdZipo+uzYq8RXbpacIo9bVDj3r7bARr
       Ky5M0seWxDVv5sipIf7NTh0m+Lp2cy663WUYitTA7yok9+ixvRnGy+djcDtL
       4aGf9IQUaCV/u2051Ja4ZuBEmzkb9uZ0aqeYWY5a6FAykxlQXxUDA31ltFNB
       rhGZi/rg5+7wlaM7rMb6iri+HKBGXOhnDgj51bJfiVoZC119AhzNWdxHlNRH
       VuInqMg4jsrs41IfqqKTqMo/ynx1GgXpR+ScDlli7NT1D5Acf4AechgFeWST
       iijU1MbRO05Ao8v9V9PFLx9fffWXuLc9BhczVqspGc31t9HSeAd25qPWepGv
       bsHdRL8gQwfon47GW2iqPCvnbnHr7sBE7jZQHyKT6cSc3ZootGnE+rcx1EcC
       AtRWL/Ux6GQuNccyd0WRTy7B13AFw/YszHiLqItU9LXEo8/GrOVKxkR7OsZc
       GVgIFeLecD02Re0f0GGdHrLNWrpLFnm05Md9tr1tZoNnG0G2D/L7ajs52Yq5
       bgWGXNkY9+Zhiqw44SuUOpmhZuaCZcxrejxibXuy2iU5f3GYNX7GjUfk5yds
       Z4/EmrMbXdicb8fOih9vnwzJ/T+iR4k+iqJv4pN1Hx4stVEfZqmPMe5/gBkj
       YE5BZ2smBumBo8FKLFCL071aPhsxN9CE8U41RsO1GKJviK3fV4UxtrlJ1nTh
       Pyv0ocUhMTdSA1+v5b6b+F4DOYS6IH8tjZPhh1u4WTHL8zFOhpmllsS1gy9e
       jGBxjr40wFxHBrm7HGA75vvJ9mPUUECMv2F96OpQoIsaWWE2fPlqAvd3+uTc
       nJ2RWoTYtoU+wt4KeS9zetQGZ0s+vGwfkUAVesXcpf16DPVQH9XM2Tr6PutP
       mH7ksaVTHyXo5P4H+rRYW+W5XQhLfYh7oUFvLTTk8noydFNDIiz6FLnWTW7q
       QWrgMMrSjpLJT8vx34oCcR3rOFT8OT/1MHLoGemxB3D72ntIjP1U6qOs5Apq
       aqJRXnEd8fQXt6/xX10f//APf4vnL9bQy/NsM6XI632t4tq25gY8hmh5T7RN
       zLlnjIfflkYviYdBzM1ddw0d1mRmrKtoKDnN5yg0lp6R/bTaGm9TV7dlH+mA
       me8z3kG/MxWDrnR0UiMh5jV3/RWEDYlY6hTjpQrpMUn0mGgM2eMx7kmlPtLo
       I9lY61Nic1THfKWXY/DWhy24N9Emx1KJe9UrzPTivsNdMb8o+Xt3rpW+UYxB
       cuKgLRnjLrZV5rbR9lx6Uw4m3Nn0EfoS+VWsDXhv2se22Ex+cGBrWtzj8+D+
       cpB5y4u71N/DjQ62vT5yv4OZ34uHd/14xAzz+aMeeW13fqgB410KqY/uNjIq
       WdVPjg0Y2W7Y5qeZ72f66C9s7+J5NFyDqR4NBvxVGBDj0dnehsmz4nrwVKQK
       C/1qLA2K96ilTmb7hU4aMc/PPTtkw+KYnRppxTSZbJA1eoLtcINa+BaZ6MFG
       ADPjRkyPMcstusgq5Hly2xQzagd9I8ytr6MafmpgXFyTFvf+P5/DwKgVDlcZ
       QvSFgKdY9ksf5998sN2PKf6f21EIv6cUfV11zEpm5iYnuoJqckQcQu4iTNKb
       A8yUTlsGtVGBrrAKg31N2GSdmZ+PYGjAJvu4e10K1CvjZb6yGTPZ1hLJHieR
       T21U5J9BScohqArOyHXOtNWX0MC6W11wUvpHQeoxqY/Ymx8hPvoTyeaV5deg
       YSYsKr6EvKJr+MM/+j/+1fUhHn/x0z/C9JSbHpsPE8+NjfqwNZLJ6QMiQznZ
       1ttNSfA0p7C9J6FVHSU1ErQkSVavLzkl+7DZtdHMZ9fh0MXSZ26ig/8faUmF
       3xTHmpqMEW82BqiRiCUOXt11+Pne5R4l1gdrMBlgJnEmUyeJbMdZ3LIxzfo/
       FyrD6kAtGUKPDXLw3RHqY1ysK0LmnmpjHjFjbUzM58DfkwUezFoxTX30WxPR
       x2w3zMzWx7835KQnUaNjjhQsMi9vjdGLJtvkOu1i3vflQWqEWnu81I4tcuUm
       88nmLDP8An1lNYiNGf7NeTte3A8zg/nxejeEV9tBzPTXocudhwFfMTrtmWg3
       JPA5A932dHJFDaa7xXoPWkx11fNnDfrbKzAcUKDfW7n3c1CJ7pZsMks+5npU
       8tqwuP41w030w50XXjDcRI3Qf+gXs3wWLDNOXhB9qab6Gng8QXz5bIiabmO9
       12Fp2oIN1oplnp/1OTcZpQkhD5mBvNEfqUaEWW77fh+evZzE3fu98PhVCFNr
       fmY9hyVdrnU8QS0/3h3G2KAZHrJEB32ur0tN1rZigXUp4FHBrGe9oY6GyYri
       XqOfntnbVYswP9MIj3VtrQsLCxH09VCfvjrqrBINtUlSH8168q46Fnlph1Ga
       exLFWcepj8Pyfrlg/lrWXCNrsOCPAr6mOOMk0uMOIObGh0hNOIiSgvMop39o
       NAlkkEtoc6vlve9/i8d//+9/ifv3xxEKVcNCDdhYA1v00cxYt6iRG/Jalbgv
       5KHv+kVmao4ng1ySvhJxZMn+z2aeUyf9wFBD3zGnwWWMQ5C81uXK2nsPfWSQ
       +hji1s02GrbEop06GmEmWeimh4SKMenPxXBbGqZY66eZu2bp1VNsd/NdFWy7
       ok+WUc4VKDjk3pSD2cpF/yDH0ldmxNjAfi3bfROmAsXoNkbLPpC9RvqYLgq9
       1hgMMb/1Gm9x3wXYHTdjhxpb6DXJNfmmyMZLvTo8WWgn4zvYDg1YECxAZrhH
       b1rm6+fI4feXnNSKFTtLdjxed/I1GvSQSX1mcW6SJJd5eO76+bmHyKyjrKVj
       YTGfKv3CJ8b0FaCbOV/0d+prL5XPXWxbg84CLPaqqVcdj0lDrVBPbI9LQ017
       c4gxoy2NWiS3jJJTBLuM8/8XRvTUaideUrerU2ZM0s9WeHwbCw5qw4WFsRb0
       hWpZ76vJFtV8LsfkhA2vP5vH06cTWFj0oyOiQYT6EPeybU3JaGGtW6FP7G4N
       oK9bj66QGp38DCOD5PVFNzOcBy5HBVrNRZimdvvDCnjsOejtFLlKjQ764pS4
       lzMXwORUkO81oIPZymrMl/rQa1KkPsRanJmJ++X1K8EfRWRuNfWhyD+BipxD
       MDCbVOQeI5cfQB7ZPJlsLvhDrG0g5ggqK7mM2toYpKUfR2dPq7z3/W/x+Lu/
       +xlevlxHd1897K1Z/NzJaDMl0DMS4NLHoEWOl+T3bkhhfoiDzyjawB3q5jrC
       rJVOfSx94wbs+gT6ThzareIeUgJ81hR+j/nUEHOpLRE99I5BbxZG/DkYcKcz
       hyQiyDY1HijCfGc55sKl5PI8tt9CzHnLMd+uIC+QGzqFRqrlPY37k3bmK7E2
       rh3bcy6Zr2bZrsdD9RhhjVvoVDGXFaLbcAvd+usINV6Gp/YsIoZr6DPR09QX
       MNiSIrl/m9y7QG6cjmgx7FHy79eT/x2yHY5G6vc0wv2vTbUw3zRhku13YVQv
       2+TyOLWyaGMt10j/aON5cjSIXHkH7U3RzEz0Qx7HhMhP/kq57oBY31KO8bDn
       o8tRgIF2ZhpycJjsO+EvxzK9YJHZa4r1XfTZmorU0Xv0ex7EY5mnXqf7dOj3
       03/YBsXclA9WPfjB2zE8Wm9n/uL7J5qkPtbmqf1JG/lDix7W807+/Y525k6y
       2YZgqtcLePx4HBPkuc5OLWt+PZm8QPJEhzUVL7ZDWFuOYLDfiCFuXWSmZXrS
       xpofM6wrjpZStDsVzFY6DPIzBpizBnuo2546BFgLFpd8mJz2YmK6g1xjRDhQ
       DxP9prEuBYbGNNmvSVl2BVlJnyIv/RAy4j+Wa+fUFp1HRTbzlhgfX31R5qvC
       tCPIjj9IfexDYvR+2a+9ujxK9ttVKW+jtOw6Hj5e+zfRxi8fL19too/nvp31
       zMH2La5FuKkTJ/OCXUstkCmczENecyLz1h3Wy0S4/2/q3vs70uS6Evxpz9nV
       Su3KAAUUUPDee++9994mvEl4jwSQSCAdvPemABTKV3dXO7YlKa0cpRnNStRS
       1M5KlBmSGmnmb7h7X0Dsox/WDCk1eybPifOlR+L74r57b8SLF30p0PNcri9U
       0bOkYrIvAwMd1FbU3waJp8THloHnjU3Wo63OFqn7+9RMO8ZKWOgRxPvvGEpw
       sdaAM2stTvnakaGKfbwWF4stqrbtmbUax8YaxtYuvEcN9b6MzUhdrIfzeHIw
       odZNnNBb7ii+qcQ5fbiMiS11R8PYEQqd5Li0hWBV9gdr9sUy++8zxoIn1B2n
       Znrr+RasTvJv8jq/pDYRP7wnfXOTWNiUubt+HFB7S7zfoX4/sGpwuqbB8+M+
       XJI/9MIbxIdwh+BD9KR5NB2r00XYY99cI19skztMo3lYp7438fxKk3Euw2AG
       9H3p9OcNOF+R/EPyDP+O4Ol4uQ37/L8OrK243htkHOjm/XZsUp8dE0tPeS4+
       fWnEVx8sE68D9CV9eHw6imdnE7g6GMEBueaYuNok35gYO3bo4R49msK7L1cV
       Ni4vF3BMjblNzWalxtKNFGOInmCXMea3P93F40v669M57G0NY3u9Dy+emPGI
       53x7fYB9pFLlIF+eT2GDv9NoqMU6OW+J580kaxaeSF7iNLa3p2E2dGKR3mNY
       W0j9nktsZNC7xKKqxB8FaQ9QkuGC0kzZC8eHuioIlXluaCynT68JRF2pr9o/
       MzvZEckx5A5qq4JceveGGHJHEiqIsZb2LPzFj//18x3/bzep5fu973+I60sL
       LNS00+OlmGJcG+N1mxpIwxS9+WgXvUhPDLkhAzPDGSr/eY5+TDdCPcR+u0Jf
       NkZ8DPbQn/BzRr4ucWiTOmmXfXtZV4o1fTW2eN23TU3Yo07dNJYSX4kwTWTg
       eKWOer2JfYTaW2qtERcST69WW9mPW2/qr5G/36WG+PhqFs8ObvZuk3ykA0sX
       /Us5DqibdojDAx3jdF8ylthXLR0xmG8MgZUcuNQZqnImLdSNz9nnriyyP2UL
       1qfYd8eL+Zvq2ef62fc7qIfqbnBAbX0ueodaZkNyJnRVag/wLf6tA1MV/ULL
       13pzmnpT1uDNaRPVc6aRHGKjivdziZd89XiJenR+IIV6M43HZCwMSz5TOrZ4
       jrZ4DpdnSrEiY8P0++L7d3k82xCd1a34ZIO+RfzLudTG3h3Ed16YbvCwT/90
       MoarQ54Xcuvpai+OyAt7pk6sCv7NnXj94SZesb33wS6evVzDAd97Tl+1xf9t
       QWo5DGSjvycDZyfj+OiDLVyd6rG/OYJlUxd2N4Zx/XABV2fzxEMfDOzvkkt2
       /USPpdV2mBg/lumz5uYaiBN688cWnO5PYWt1ECvzbdQSFRjpzlX57L2dadA0
       RKM830vtBVKb7Ym6bC/Ul/miid6jIt8DjcRJbXkAyomZiiLZL8oJyfEytuuA
       ogIvVNeGo7oxDllF/liwDn5j2PjF7cd/+R94To5hIj70ukrMUCePD2QSC5nE
       RCaxEYuRzijiIg2zI5KflqXyoAUfG6Z6nNE/Cz6GetPR105+oXYyj1FXGyrZ
       92U8s4bXqQobjDMH5OAT8vI+fcca9ZSenv+QvP+E3/FwvQOnvF4Xq9TRG4zd
       7JvPtomTtRbGemqDnT58RA38nPi42YNK5tL6sT1ThA364/056paxHFgZyxda
       I2FoDsNMrdSOiMBKTxTmGr1hoi68pOY5nKnn+5uwMl5OLNMvLFbTb/B3UWtv
       zFZhn1xxJHnffHzGGLlnqMfyeAkWB3Jh4d9YmcolL7A/T+VhlFp5jH5ykt+t
       Jz4MxIBhgDFiuIB44XnsScV0p+QdxNHTxdG7xas6BjJOLp5+iz5rnf7WxPNp
       Gs3BHvFyYKplHxdd2cP7xMpCk8KGNBkDk7lJ8eZn1H7n9EZyvKK3ONvqJwcO
       qn0m1ufpyReIcWqiL744JDY28dF3jvDwip8jDx/tkxv4XaaZaowTx1NjxdRR
       U3jxlFxxPo+j3TH28X769GGcHkypZlloI3f0ESt6PHlqgJUxxMC4t0X9Z6Av
       OianP6KvOT2cpifpxTK9+dxQmZpv721PQ7smHpr6KJTneSE7/h40xYGop/9u
       KPdDTTG9R4kPmqqCUUnfXkoslBX4ICfDWWEjlzxTURaAmtoIVNZFo7AiBFeP
       d79xfEjO4/e/9y6WeU6lXvA84970WAF0vFazo5nkEBnTosfgtZ+VXLTRbMyT
       P/TjeTDQm+1vdpBDy9DHPiBjxLPEh3EsH+v6SjW3fCwxmf17w8jrTB1xtkNf
       TN45JD+YJksUt5xLPiJj4sPNPlyQzx/L2BT96aN16n6Z49ukvuZ7Xh2NUlvN
       8b0jjKv0zavUQ3PlMPWlYUdXjDX2scWuBMxrIqCrDcBwibvaJ2lZ5i4b/aix
       wnA8XYbt8QrsztTBMlxIL5RJ/VeMC+qlXWqh1akSbOupp+arsUlNtE8ftEGN
       vTiYDR091jy1pkXqP7OtTeYRY4wV5Cpps9SiM+QoXaforXTqpyxMdSZhuDkG
       PTVBGCWXSX1BGRMXnMwTH5LPaBxiLOpN/vrxHnXrKTlE5nPWdeXETDO5uJn4
       bWE8acfV7gD9D3liXdYnanDAWHJIL//kdApPjsb5HnoDWcsuY3OPFvHhR5t4
       //UG3nu9S1+gw8XFHL3EqMKH7K88RBybGAMu6F2ueH4lF184QrBwSp/y+GKB
       j3Xkk07iZpx8YsDT50Ys0i+tyNg1saabrqF/n6Hu0isttkZ8mOntJrX51G5Z
       6G5NQRO9Q315EEpy3FGQ7IBm6qw6YkXwUVngTh7xR0NFIMoLPIkP76/xIfWo
       Swt9UCVrQuoiUSv7UbWk4Mvvvf7G8SG3P/j972BjYwBGxinhEMNMBaaHsjHR
       n6pyz8apV2RNzAz7hGE8Fwv08ovU2IvTJdhZJUdQE00xDg/1iLfPwoLUYSZm
       JH/vgvr4iJyxRY2waqQXJg6eXfCcn03y/gBM05XYWGxWc83v89o8oy6WumqX
       5JCHorHIG88PBnFNvFzvDKp6OoKPi036c/K51HtaHs6Gkdpumd7J0puCueZI
       TNb4Y6DQBRMV3jB3RGGy2gvjFT7YGsrFxkgRdqersMj+q+9NxfJEPvFHDUPs
       WPnbVyeKyRdFCjtL44UKM4tDOaqf6zpiFQ7mGS+MA6kKH3P0adPt0Zhqi8I0
       2yS5QmoXjrUmQFsbiv76cHRVBmKwMVLdH2uTOVZ6uF6pU0ifR46TtkA9uzKR
       iy3i9dRSR19Vwr9dSp/fgBXGLcHImr6WcaSXHNyGLepV0ayCkVOey6vjcZxs
       0zPJmqqdITy7mqfeMeGTj7bw4sUSHrLfH5zM4Px8lvwxRO9Rr3JGpkeLsE8O
       Ek6R/K2r01nsM/6sL/Xg4fE0npJzLk50ONge5v0FfPz+Bj2MHgv0GweHY2qM
       eHKiQmHr+tKg1oJZ6MsXpusw2pODfqmdwj7dIrGffb4wzREVOW6oznVXeSWi
       r6oK6b3L/dV8SAmfKySGZG268EZelivKinzRSO5p1sShXpOIlc1J/P1/+utv
       HBv/8A9/hx/++R/g+noZpgUNDHO1WGRMn5sswjjxMTdOvz4i8+vkkL4kxR+G
       MXLHZIGqkbfD+H642YV59i3daAEWxopgnCiBhbH36mAYL+kZTomJw+0+rJlb
       sbfey+tmwHvPLHjxaAEH1Ehblg7iaAzv8ty+ZPyR+tRSs/pis5temL6T3/P8
       aIxtAk+prx5L7gUx8nCTfYH4WCFf6bsSYe6XOQ96f00kRip80ZvvhLFyHywy
       Xk9U+hEvnrB2pWB9MA+79BLmvkzMdiTARD10ZqbmIxZMfG5pOJfYyVDYMfRn
       wEJ/vTiUxf4te0JQt7XL+pgIGHoSFZfouxMwQc6alPWU1Hay79Boa7yqgdBV
       GYweWQ9X4svHEcRLmMLZiEawFgcdv2ukMRQDtYGY70ki3oiPmWLsU3etEisr
       asyrnBxXo9qmjKGSQ1bna1XbtbaodkJePtySc9yCDanrcDGL508W8cG7a/iI
       /Vn6+OHxLDWJWfHH3na/wsci46GZ33NCvAg+zniOj/fGqKsG1fFSauZfzOOM
       Ou1MxteJt9/56hQnp+STlR7s8loYFpoxr28gJ4m+0hNHI9BP1TFmlqK/Mx2t
       9NSt7NtNlSGoyPWgL3dCfbEP6qmjJA+44Z9bc1UQjwGoKw9EVWkAfTw9CTmm
       kvdrKoKhYcxpa09CW3cO3v/oEv/5H//b9/r419x++rO/xgcfnmCdccfMWL6g
       r1E1KOYYV3XUVHMTOZgeTMUAdbPUjjROFX3NH6umOhxRRy3R1xqIET1j8wL7
       nqwl2CBnfPjCQj7W8fyPYI9YkHnZC57z954v49OPdvD65QpOJfebf/t8bwRP
       JW+J+vgxdcIlcfWUxyf7o8TJpFpzLvhQ84PU2Q/XtTi2NLIfFULfk8y+Hq/m
       5udbYzFU7ovuHCcMFntA38T4XBWo9sSSfZtWyBsb5AmTeANNNPSdidibKcMK
       NZS+PUHtcSl4mycXTbbFqLXFFvZbqVPRXeal1rsMSs1iYmKuM061cfZxeb6/
       UurB+BMfcYoz2kr9FUZapW46+4eWMbS7Mgw9VeHqu4cbw9BXE4heWYNEvMx2
       J2JVYg+5cF6bglWe06WJcixNVSgOEX21ypi/SNysL9TTz3Vj1SDXoI/neBgr
       Fvo1xpLrKz1ePjPjOx9tq3P8hL5gZ4d+/gn98+m0WiO+vNjIOFeOwx3RUcPU
       RuR18sIp/fsZ+/qTy3l1PDmQnPlxNT/4/PEiPv1wCyvk7kfXRnqPYUxOVsFo
       bCG+xnDG6yTzJnNT1Rjuz0NvRwo01EQd9dFoqw6HhvqqQfbVIVfIGpJG4qJe
       6sDVhqh1vU1SC7smDA3VoaguDVTYqOZn6njuSskhBYXe0Ok78OmXL38t2JDb
       P/7TT/Hd773E6qoWFlMrrCbyyGwl5qmFZ9kvZsaomai1h6mx+xgj5xijTfSU
       C1PFKudf8HGy14dVc5M63wZeSz2PxtlavP/czBi2QkzoeN4n1dqEC+rTR1IL
       R9b3fX6I918uY5v6eZc67PFDyT8lh5yRQ1SO3hj19rDK15N5QVnvLWNYZ8sy
       n9ZL/9qAZXLdYp/E8SRV13+aOmag1AcdWQ+gLXCl94jEOM97O+PWGI/zLXEw
       dVPf8DheF4oJ8sIStdRCWzxmZP9j4kvXwvjeHovBumC1T/H8QBqGqZ3ai1zR
       R4z0lHpiqNofk83hCiez5IFRWc/P17vLfFTtgnriUWp8SGvI80RDvhdai4NQ
       neEJTWEghvi7pEZbS7E3uioC1L7byuP0ix9Jg4k8Zpb1fzyfprGSm3l3alTr
       dAXWGPOP6T+2JadDxgXp0/eJkV329bPzKbyU+qeMTe+/WsWLaxMuyMn7Bzpc
       kj8O2N8FH8Ifonmv6TvOydNX5zo8PJW1G5M37ZTXi/ppn/77cHcI1+Skj1+v
       0dPME2ujuCaXmC1d0M83YWW5G7uyR+gKH+uq1dx7f08mujuS0MmY1EGMCDZq
       8jxQke2Cqnw31BZ7orbUC43832U/nM6GSNQQOzWlfsRGgKptUsxzJvho4ufL
       GWsqiZvjsyX83h9+8WvDh9x+8Mef4+RkFqv8P5cZgxbnqqCjbjFMF2JmnJqK
       XD87nEEfEkcOSVL8IfpK8LG93IJzeoSlxXq+n7wzLjUB6qm56L3Zn7/4ZA9P
       eS4vVN7zBC6IjevrRV7DJXz55SE+/3SHeNHxGvTzGk3i1Yt5vPtsAS+Io2te
       1yfkfJnblppv18SJ7ENwxt8pa9UFH1bqIqWHGPfnyAXD1UHooZZqyXSgxnLF
       VE0oRmRtc6oDtPkeGCWXzDRFqjqQQ4xj/bIvA6/NFL3CbBPxIXv5se+OEBcD
       dUHsu77Q8tjTwPulHuiRuvfF7hio8sUU8TFQ5acwIvjoKnJDD99fm+OCmiwn
       NBV4oZx/t1z29850R0WqK4oTHNFcEEAM0W9me6CRmrytLJick4yFoQLiJAWz
       2hxyRxV9SibMxIbwxzq9h2miVNUPFVwIdyzNVOJwrZNaiBqWHmRXzuE144vk
       Nb+3jGc870943q/osy8e0ndTZ21Sl64utcM0V01d1q/wcXFC73Iwil2+Jpg4
       oNfb3STWyN879IJ7W/303TOMdcvq8SF94tNnS7BYuzA314RdaqoNxqu5mRry
       Rg4GtVnopBbqbE9ElyYeTfTdlZJTQmxU5/DI61JH7VtPTyjc0cXr0UyeLc9z
       RxW1VyV9SGG2O/Kz3VBXFYq25jiUyDwJz9HV40386Q//8NeKjx/+H3+AyysT
       1ugPZK5nmTFJP11KHrjBiF586IiMZ6VCR72+QG4RfSX4WDM30tONwrJYh1lq
       AYOuVtXMMMzQY1JTffnZIbWwFZfk+KvLBTU/9fiJEU+eGfHxJ5v43ncP8ekn
       67h8OE5tQP/+RIcPX5nx+qmFemsWz2TfM2qyV7x/QV0le5w92qDvpy/cXahl
       n8qmR06lL0jADL3vSE2wwkdzmh3ashzV3okDhX7QJDugi9dnoMgTY9WBxEkA
       +oq90JXvrvaaHOM1FCxN1Eot+3CMNoSp+sSyD0R7NfWa1EIqdFX1BHsY97S8
       vuONYUpTdZNPJpsj0C/Xm++pzxV8OKMo8R4K4m1RnuJEfHgiN8oWRXEO5IwQ
       VOV4ojRd5sf81XrrYeJimrjoa4rHaGcaprTkbi1j00Cewoe0Gfa9RdnLmphY
       IYccrnXgITEhGmmfbW9/AHtH1LDEiODjgnr1QvLNDunLzww457lfYVwxU1sJ
       f5zvDfHaUXedTeKQGDuiDj5mE764JIcf7Q3DKnsd0fs/oWYTjllf7sLzZ6s4
       f2ggd2gwMVGNPepmw2w9BvtyVG32vu40dNPrNdNrNVIvVbDfl6U7oo7xqYHn
       v466V1MrvEBebwintgpHQ5k/asilGnq0OmJF8CHzH8p7NESjgN/Rw3Py1ffe
       /6X3wfnX3n7yNz/G9dNtLK1Rw24MY5Eacnamgn28FAszBfQcBZilR53UptFj
       5FFfkSN05Vgg129ZW+khJH5pMUI/u0BeWTI2sJH7Gec/lloHH+3Tl1vw6skK
       ri4WyB8mPH5EjDxaxBff2cPv//ZD/N5vn+HieAKX5HZZs/3eU8bAa3IJ7z8/
       kzUXI/TtA3hKnf2Mf+/EolH5gQZqdaljO04vMSn7JVULPm72aNWk3CdnUA/l
       U98kEi+ZzmrfvT7GoiFySi/juzzuKfDkcx7ERjBG6BvkO0aovbor/NBELdDM
       ayp+op3Xr4XXuJ3esoP3+2RvPuJK6ph3l/mr2pst8rfoQ6uy3JCfcA858XbI
       l/qyiY5ICXkbJYlOaMzxR5Hsayx7nuYTu2xjTckYqk9AZ00U+ttTVQ21aWot
       mV9c4DnXD+ViaiBb5Y2Y6IeNsqfpAf00OXnL3I4dxvLTnWEcUec8p4+4vqDv
       o684Px4jj4vvm6dumue1ow6eqsKO+PgT8jnP6/XZFHVUP983gXP6vWPJCb2a
       xYq1WeXvXp6L955VOVhn9PmvXhxQo01iZqoZc4yHq8ttGB/OV/UgponfYfbj
       7tZEeolQxR1lGdRUst8xNVMttaY818g41KKJRFtLFFqawlEve9OQ+4e6UlFH
       75Gb4YxCnsc6Vas9GrkFvpiYqseP/w3WCP4qtx/88XexezCHlc0RWNivDYxP
       Jn0VW6ka0zVNSX29HEz0pmOentgo46F8z4bkQmz28vyPwmyoIqbKyD+N2Fyh
       B6Rve3g4je9/dqrWTr/3dI24MOMxdfBLevTnT8z4UGqwUYP99ldH+PSDTTxS
       a3wW8fqFGe8/WVA5qY/I+bKe9ZLX8HSlE4+2elVOxrq+nNo8FzpqvuHGcPYx
       eg/Zd5g8IfsyNSTYQsO4Jf2/McUedUn30MzHsg9pLzHUwWMr47w87qMelr3I
       RG/1UXcN1AShkz6mnlqpjk1DTLTwe6T+eX2mk8JJG+93UjPL4+rU+8QNv5Pa
       oI7XVfabL0i8j8y4e8hKsEMWj2nht8kpzihJcEKp7LuR4YbKVBd0lYVSl0US
       i/7oqI7EUDe1rKx1HcnFotSl6k1V9RFmhvNgpIaxyD699IsnR7LGWwvTNK+D
       sQ0b5NRD6p9Txv/9TS0O6EkOdvtUfvqlzIvL2nV9C1YXWnC1P6ryME/4njPG
       nEti5Jze/pjn+Iy8crijpc6uJP76yR06ehmrwsezx1Z6Ews5SIup8RqMUhPO
       UGvMTdNzsj8YqQP7uzLJAxFoo+euK/ZFcaoj6omNhkIfVfetsSoYDeT5tpZo
       NEm9UuKkjpw+RM6R2oUlSlu5Ku8he0UJPsorI7GxrcPf/ZJ7DP5b3f7iL/8E
       774+w+beFFZW+7G40EidVKU0lGm6GGYZs5oooL7KwoTUehkrxJLMLS80YIMx
       5uExeXmnR+kys6GO168DWzIGuDaIj9/dxOvn6/jgxQb10xK11oLij6fXwiEL
       +OyjHXz+yTa++9k+tdWy8vUfvrSo9bNP5Lrxej0UfGxRR5g1OFlpw5a+hvio
       wAp1nvja/lrZqzoEvfR3GsaeFrZa4qOGGqebHrkp/QHKY26rx0306m057mjm
       exql7muOG/pLvDFADughL/QQIz1lEtfdUUvOqaNmbpLxSOKjQ8Ycib16Xr8G
       tqZcfg9jYin/VjW/S8M+UJfjhZJUJ3LEA2Qn2CM12gaJYbeIj7soSnBBfrQD
       anJ9UE58VGd5QlsTQw3mgsZ82f8iHtrWJOhGS8jX6SqHeqonFePsO4bxYizp
       63BJnr0gzx7ujGBiuBSW6RoszzdiZYFefbUbO4whR9sy/63F9lqX8t8n5JnN
       5X5sLkkOQ4/CxjW9+tXRKHZWyT30H/v0HAfrsr52nNetgxqgDi8e6/DiyTxe
       8VrI2OOzxxYcMeZNTFShvy+XnqMSy1aNwsbCXI2qy96pSSYGwui9pQbJA1Ty
       /Ao2asnXzZXs82z15Oi21hho6OE05I+qMl/MjhaiqzEWhYwd1WXkHfJ8tezF
       0xCH5tY0fPTJ9beCDbn9V2q6P/nffxeffP4Yu/vTKufEyP9X1lYuzZUrbAiH
       GKdKFD5mRvJh0d+sS14nh+xv9eCIsUrmF2XN2dZqJ/HRzWvSS1ys4bMP9oiR
       VeLDiqdPLDxa8IIe4/JsBh+9t06dtYMvP9nBdz/dwyev1/AePeZ7vCYvqKUv
       D0dxuT+o9jOQ3D3Jk5J8vhVdKdZnytV4z0hTFPVOMFqpb5pkzQ37vuzVXhl/
       D625nqhJvo+S6NuooB+ooRdp5DWQ/dvlfhMxIHv39hADXcRSO6+l6CSp4V9F
       DVzNY0OBNxqJg2bqtXJ+lzSpYS5NajWXJdmjLNFeefHKDPJHGnGQ/IDccZ/4
       uIf40NtIDr2LnChHFMTRmyS7oDCJHr44iHzjh5psb7RVhKOlIoz+IxNjvdkY
       IybGJC+F/GEcL6Ifr8Lhepea73h8Po2ZsTKM9efDOFEGs64Ka4xVO/Teq9Rg
       28sdONkdxA7P2fpyO1ZMneT5Yfb//pv8ZJ5TaZcHI6qWidTwleslc7gydyvz
       vofbXTz/03jvxQL9+bSa/3h4OotFfv/oWJHSGFsbXfT7rcRGNSZHizBEXaip
       j0dDRajy2yXk5wapo1vorbhD/EUDsdHSGIF24qOrIx6N9aH04UGYpL9qrgxF
       USY9HI959OdlUu+nMQHagWJ88dVLlXf+bdx+9vO/JT5+D3/0776Lq0fLsJo7
       YZ5voP9uphes5DUgPiaLYWSbps7SkesFH9I2rW2KL2QcfZXx3WJowCo9zLq1
       g9elDU/pC7/7nUN88eEuri/JCcTGqxcrePlsCWdHk2peVvDxPfLH94iPL76z
       zZhloM5awAfk9Sf0j1fUCMeyJo+6bV1fjRXi0Dici2X+HkN/ltpLbKCOOpZ9
       vZ78UCv6Ps6G7R7q0pxRwTheHH1XtXJ6ghrG9krqn3LJlSP/C7+08Hq053mh
       RfIeyC81vE6lfF+p7EOc6a72IpP9+kroZQpj75JbXFBLfMhzgg95Li/GBgUJ
       jigmH+QmOSM9zp7NASnR9kgKtUFaGD8b74ZMckhhiqwtDUNJmjvqCgJQk0ev
       Xx+LvuZE9LckY7g9ESPtcdD1pcNKPXtCbByud8I6W43pwTz0d6Souab50QJY
       dRVK8xqpc5ZlnaLkNpNHhBtWTTJv2INL6rGjrZs1Lo95raSp8S96lqPtEb63
       F8/I1ztLbYyL1eSpAeJjCh+8XFRj79cP52BeaMUUY6SOcWmDv2WHcdHEeDhH
       LzoykIe+zgw01USjRuYvxI+XB6jckZoSH2IjlNgJR3N9GLo7EtDVHo/uziQ0
       8Pl26qrelkR+xoc+PQCVbFKzpIBcXFoajKWVYWLj1+vL/+VNxgR+/vO/wz/8
       57/Hn/7p76n69FYD+/pcI5apQ4U/5kfpE0fzMcPjCPuj1NyTWCVzTTLmta3i
       kJaY0GDN0k7u6CLGGhmHhvGZ7FP2MfHxyITzszk8oUd/9XyJeJlX87TPZA+m
       F1ZVd+qTD9aod814+miOWstEvznDazusMHK2Sc1mblL4WBzKg2EgB1Z6wnlt
       FsY0CdRE1DYyZsQ+XEr+KIqxRUWSI2pSZR8TGxRG2aCUfbaCflmOpfH2qEpx
       QgMxVE8cNGd7oFVq9GV6kAvIAXxdvHVRCn1DkgPKiJci8kQBcSePK/g5ea48
       zQnpoW8iO/IusiLt2P/tkU2vkRH/AMlR9kiLeYCMaPJJ5APkRjsjhxxSmOaN
       glQP5Ca7Ii/FFa3V0RjuSFf4GKeGH2iJw0RPEuYZjw6XW1VbpMYaaktEj9Rt
       Y2yYHy+Erj+N76HWGcqhBiuiv6in1mpUc7TrJrmGDdRLveSTIVzRjwvOnvJ4
       sa1V662ONvqwtz5A7zFE3TVETVBJL1OPhwdavPtY6gBN42RvUOXDL7I/mHn+
       jaYGbNMHbq7JnEA7Zun5B3ryVK5VbXkoqgp90UjeEHxUF/sov9HaSI9FbLRp
       otHTmQhtd4oaA66pCEIb8aGpps7K57kvDUJuuhuyUl1RlO+HiooIHBwtfmvY
       +MVNsCHrsX7605/g6eM19vFuLOoaYNGVq7wSWSMo+DBMFlFjsT9KrTHjDT5M
       83VYkrWf5O4dXgvxkIIRmQuxLjTj3acm4mMbL8kbT+jPH5FTXjy14vWrFVzR
       98mc1HOpk/BymXxuxscfiRabJ270jF9mXJ+MqTmxzcUGLBMb5skSLBEXC+Tk
       dcYuwYeuMxVDDdEoipN9E2+jlF4jJ+I2/TD7Mft3TsQdvmaPolg7FMffR0HM
       PdXK2P/r+XoNcVKbRi2V5cX3u9ArOCKHr2dF2yGX9wv4PaWpziimbsqNtWW7
       p8agCqih5PkcckcG/0Za2D0kBN1BQrgtkmMckBhpj/gI8kiMC19/gMRAWxSk
       +KAozYf+3QWZxFEpMVldHIiuhlg1zjvamgot/xc9+/3afA22FhmjB3PQWRNK
       jxJFXklUmmuCfWyiJ1HV15ikVzHw+qzMk1+ptbas7Wq+1jxbrzSUjFU9phfZ
       NTfignFmizp1x9iMA1lrRs95tjNMvLQqjbC/3IxHR/346OU8dVkbFshPBl01
       9UEbNjZ4fS1tah3VzsYQrMZOzEzUoK8rF5q6GLUvVC19Wn2xr8JGo9Rkb41F
       cwP1YzN1MPViV1s88ZRKjRXP54kb+vDqIn/6+SBiKxCp8Q7I5DXIznBHa0s6
       Pvr4m10L9cvc/v4//RV++/uvsbs+DKu+BUuzVTxnBdCP5GJh4ia3RPy51Eha
       4PnfJUebqalMeuEQLfliUHGH6FkZw1qYqcU5te4n76/g/Xc3iJFVXF8t0uuZ
       8frdVeJjRs1PPbmYw3tPhVfYpD7ix+tKZz17NItX17M43x8g92uwIfVmxBeO
       l0FPnT7bnUmNlYvprnTM9mahpcgP+bE2yCNOstlf86j/i9m3s8LvID/GTrVC
       qcnH56WVEh+19APVSaLDHqCacauUfbaQ93Ni7yMzyg7ZsY7Egz1KiCHBRza5
       KCvqrsKFcEwROaow0QHpYXeQHGKDuOA7iBWMRNghJdYJ8WH2SIl0QWr4A6QE
       OyA/yQfZ8Z5IinZEdip1en4AiulBuhvj0Ec/KvsvD2nisTxbofKcJ7rZp+pC
       VB0cqVc2yBg83Crr/5PVOsah1ki1RlbwITlwW9RU64stsMzUY48eUHIXz/f7
       1TrI7cU61bYM9A/09LtL1FibI3i4O4Yl4mCR8e/hTg+eX5BjDnrJJ6XYZ2za
       4vu2eU3XVwewvjasak9vr40zNnZBN1qHrtYspa0kj72hPEjho578oSFvNDZF
       oKExnH4jAQPUi93UVv3Eh8wj9nSmqM+UUUvVF4eijH5MaibmZ/mgMNcXgwMV
       +NM/+8G3DYuvb7Lm/W9+8pfUn4tYMdBD0HtZdeI9bvy5YYpxe4p9k75Q6n1t
       LTOWMD5ZF1uxYqYvlJyqzT6Fke3VbvIK9ZCpmT5kBp98tIcXz1fUfLrke756
       ZlG5PjJv+/BoQuWdvkv+kDU4go8P37XioeQpPpzCo+MRagH6fskrYb8x9OUq
       bEy2pWC8NRkT7SkYbIrDMHWs5E5nRt2ilrElLmyQK308wuamRZJfYuyRE2mr
       HhczVtVT39QQH2X0CpXESlG8I/LjiI84R/ZpW2SSBwQTheSKAuIhK+oOMiPv
       fP1YuKOYeiud35cUbItI37cR7vMG8SHrpx8gOvge0qJckRTixM96ICvGi5hx
       RAL1ViY1VjH9R3NtLFqqZP/UYAwxDs/1Z6u6n8IVUtdcauB0yXxzrexnlqL2
       HRzSRFBvRaC3IZi+Pg6mKfpE4sNKv26dqaNnb2X/76Hn7sfpbi/2lprJH8SM
       mZrLSI5R60p6bmrR7YySo3LVep2HO504225TuUX76y24OhkmB3Vin9rAaqIe
       253DwY4euxs6eptx4kOD5rpkckU06qtD6DkC1N7lrfTjrc3RaGyORKvkNg9n
       o1+bhmFtOoZ60oiXZHS2JqKB/3d1YQCayiOQHuuABMatolx/VJSGYZd/R/ab
       /e/lJhpL6je8fn2K1ZVBWBhjJP9wbrSQOquQ10CwUoh54RBqXlkD8pBeb2e5
       G0Zyxe5KL33goNJXUqd83dqp5tMlR1Hq8H/8egdProy4lLnxa6Py5zJfe7I/
       qtoFcfIu/ciH9OYfvyfzJPO4vpDc63Gcy9ygrH9ekBrKBRhpSVCcMdoUj5FG
       +r3yMGhrY4iRZJRnuCKL/TUzjJ4gnFor/D6yQqU5UGs5Ip39OCP0HrHiSA9C
       zhBMRNFXkDcKiY38GPEKfB/fkxVJ/hFMMa5lk0fSo2yRRpzlJT5AQbIz/cY9
       dcwgjiID7yLQ8y0EeL2NyDAHhAXbITyQmivcAUlh/Hy8Oz2JE7FxnzqCGiLN
       A9Xl7B9loUpjdJM/ZAxrjt5qiH2rLs8NVVnOaC6WvYzCMEB9NavNQHd1MPrr
       wtFb44f2ck8+l4Ll6SKYxguwSN9ulrxGfT12ZP/3nUFqqE6et3qszVWomo+X
       1Fh71Eknst+V7EtiaMX8SJGal19ZrKZGLsfaUgMuz0exv0WvQi21stiFNXLH
       ycki1lbGiY9pxsAJjGjL0VgRrWq/VRe7o6nMBx21wWofjY6WSHR3xWFkLJct
       H8NSy2Nc1t1moI2xrYGxoJy6qrUmDtUFQYgOuoW4CFvk8Ly0azLwya+4d9o3
       eRMv8slnT7C8MQaTmTpWxrYnSomLEqzKeO9YDmb60zHDeDDOo6zZv6RGWpYx
       L/qNk60hrPFzq+ST7dU+6q9WtQbt9ct1/M6XZ/j4/S1cnszSm+vIHwblP/Z3
       BlR+w9nusFov+uqKHPJ6FZ99ZxOPrnRqjZta50CcHVg7YJ4uxYCGWKAOmeJ5
       7iqV8d0AtBYHq333GqnnC9jnBR+Cg9xIZ6QFOSIjmJo/1BkpAfeQHnKfPOJA
       z039RK+RGX6XmLCj/2a/py7KYR9OI44ES5nEUQafz6DWSou+j2T68FR676x4
       J3U/i148JdoBwf534ef1Drw9byE46D6CAu0QEkBOCbqLROJUPhMXyd+T7ol4
       8lox9UQl+0cW+au9jvqqLZ39LB5D5EFNkRdKU+xQkf4AzUU+xEQo8RCJvvpo
       dFLny+POMnfe96IXS4VRcn8HM2CmDraQ4zfoW043u7FPXSRz5suz1WruaN9Y
       j4uNLhzQn8v41ZKpE5NDpcRUJTFQj4XZMpilLsBxPza3utV69W2px25hfDqd
       x67sn7Ym8WwelvludDanobM+Dl303w0lbmir9kVXYxCfJ9+R3/q0SRgZzUXf
       QJYaG9ZNlWN0qAgdnVmoIGdUldODVMUiK9EVcWE2yrcV5Pjh5MhKP/yr7Xvz
       Td5kPOsP//hLrG6Nw8L4b5F8aP5Pc8P5mBvKJO/n8lwKh+SrNeuSa/Jwb5j6
       R6vmsKx68eWaG0+y1oc1a4/CyMn+FL78zhG+/8UpucP09RoDyX+TfJ9jYuyc
       7RHbcz4n/PHV57t4710Lrs6ncH06yXjXhx36RBO13qSM69LHjmoSqdmDUZHq
       gso0N9Rke6GKerYs3V3tP59Oz5zBWJ7kTz8QyP4d+gBJxEdKkB3v36N2slUt
       nVhKC72jxqCEM1KCbZDgfwuJAbeRKliJdlQtNeo+ktjXE0Jt1P0UenDBTApf
       C/G7Cw+X34S3x9vw97NFAFugz22E+d9GfIgtG/Ga4IJkYimJn60ri0A+PUhZ
       ji9aKqnVqSlaKiKhKSW+E21RmGSH6hw31OV7orHQV+UzNhf7Q1NCTUaN30Hu
       kJqv+j5Z35uOtdlSbNCjL+nK6bc1asxvk/pWjWvNVam9f4+sTdRRVXy9BYfr
       vfSIdZgYKFD4WaFvX5gpw8FeD3liEEt8j+Qf7q6PqH1GJZdrg/cPD2bpz8cw
       MVSN3rYsaMnZbdRWbTX+xHcAOppC6Uki0NNNLz6YhSF6o/FJ6hB9I3Syfmqo
       HG3tGSgpCUFDbRyKs3yRxtiTKvEnwQndHQX47NNfXy77L3v70Y//BDsHc7AS
       H1Zjs6rhLWPtswMZqq6i1BaYHcmhB8nFqDYTltkanNIH7i53kqul9lILjDwX
       FoMGy6Z2tjYsGTvx6ukSvvvZCblkVXHHo/M5lfsm+aIn9CEyDnl9TC9yOUvP
       PoOP3l/G977YU/UzJRdCMLJpboGJ/DFBfIy0JqGbsbSnMhwNOT6M/fdRlOyE
       Mhk/F/3DuJ4VRU3rfweJfveQ5EddE+SARH9bJDOupwTZICP8pqXQV6cE31Z4
       EmzE+b6DBL/bxBJjfwg/G2b3dUtgX48NvKPupxJLCfI6jyHkD9cH/wv8fWzg
       5XkbXh63qLVuI9TvDmKovWICbyGJviQxgrhMcEVeshuK6EGqc/xRQy6pIwdq
       SsJQLDVno++oGmo1OZ6qVpTU45RcDVW3VuZpCrzJlx7UWcH0X7GY6U3G5nwl
       dk315PkKHK+2q1ram+QLw2geDpebcLKqweFSI+NbAdYM1TDRk8+Ml6jxennf
       sqGGnrEWRwd9MPKx4MNibMHO+hB9yDz2dsj1e1OMZ9NYnGvFaH8JRvuK0NWc
       gDbyR29TFLo14ejpila8MSh5SfI3qIknZxswOd2AqUkNfXcVaupiUVkZhSrG
       iIxEF6QnOCMx2p56MxZfffXBtw2B/8/bf/y/fojDE6PCh3mhQfHHvFonmKfw
       YZK1PLpSTA6KxsrG1ECeWku7T6++JutB/3k9m8SmVUsnNpZ7eGQsW+lXGPn8
       4z28fGJW804Xp1OKQ+R4uD2gcoAEB4+JiVePDfjsw3V88NxEryjzXGMqN3uZ
       13aqNx1jHSlKbzTm+6Ah1xclKc5qziKLvjmDPiGTniKTsT8lxI79Xfq8HZKp
       e+L9bZAYyEbdk86+mkpeTwpif+fjjIib98f4UAsTH3G+7NvESGyQjE0RF2zS
       16MC7iCOuEiOdESE3y1E8bnwQHv4UVv5EBse7rfg7vY2AryFP+4iklwUSy6K
       Jpdk0d/kJ7nTz9DvJLkSBz6ozPBCOXV3VaY3cuPsUUDPX5ntgaIUR3W/OteD
       j8klxEVFlgsaJe+l0I2aK5BeLAoDzRGqDsDSdInyGeLDN8kl8yPZ9OvF5Av6
       cgu9oLUOxql86KgFJtn0k8WwzJE79FVq7cI+NdXxwSBMpkbo9dVYXerEyd4k
       TomL/a0x6uAprC33qfqhowPF6O+iH9IkECPR6GHr707EwEAKhqmpxsljc+wP
       eurtmYVOLBj7MTXejvqaLFQRG3XVcfTiAfRiTognb0cE3yIGF/Czn/3348n/
       n27/9F9+jofX62qNseTjylz5wkQx5gYzMTOQpnSWZVbWCxYQI7mqHr6M+x4Q
       H5LXK2NWVsYMs6ERRskPohfcXhtUHHJ2OI3PPtrFJ683FX+IPxcOkePZ4ajK
       jZA8CsHIy0d61T7/YE3N/+6udau87C1qBJmTGW1PxgivTRPxUZXuxn7mgUKJ
       vexPWeKl6dHTwxnjQ6n7qXVifahxeBR8xJNTUkIFG9RK7Lex5ItE9nF5b1LQ
       PYWnWB/iglwQTo0UQ8xEBdoi1Pc2ooJsEc7PRwbwe8Id6cttEOJ7C5HBjtRT
       NtRXd+Dm+jbcXN7iY3mvLaKJMcFZNHGSTX+THSPNESXkD8FIfqwDyqi1hPMK
       E51Qle3D552RJ2PIMudPrFQJhxR48b7kx3upvQB760OJjUj01oVgqieJHj0P
       e+T3fXMdfXsqdNpk8n0VdWkNDlea6EeaMUPu75U9oskrknNqpqaappdc1JXg
       eE+LrfUuGCVfmNd+T9ZsHuuwvzlEjTyJg+1RagMNJkZKiY8CDPVmorstUe1d
       IDm4o7JmX7AxVQodtYSBMVbP624w92F1dZLaqRylBXGorUlAdUUM8jP9ERtu
       T459G2WFUfjd3/0cP/v533/bEPj/vX3x1XuwWDrU2k2pcW+WteaypxC1rugs
       E+OU1Cse6U3DoNTr6E7FiqEOm3y/zBsKPtYlJ4h4WTJqvuaPnfVB+g4DOWQX
       T68MijtkDl0wck5tJetFD4gFySd9RE/+glrr9TMj3iWXrJKjdqmpj7a71Pzx
       WCc9SFMcNUkg+5Yz+48XKug9spMdkBlnRw6hVgq94YpY9vdobxvyAnnAXx5T
       6wTbKCzEkiciPd9CDLkiQcabAuU58gTxEe1FTHjfQVSwPSKoyYK9iQO+LvfD
       5XtCHYgbOz4vPGGPIF9buLu8DRent+DpfhuB3rYIosaKIockEGOp9CnR1FmJ
       YbYoSHYnj7ggjRwmmCgVfFB/51Nr5MY5qbn4wmRnlGe6ozTDFVXkkIYSxoJc
       NzZXNKj9ZQLQ2xiO4bZYGIazYZnIV/suWMbYR9ti1Brh9blSnG+2q7mNRXo3
       qSsq87xz4wWqHs20rO2ZyMPOsga79O7rK50qNu7uDKn15Ue7ozjepUfcGVP1
       GxZnZJ15MQaprXs7kug1EqHtkDrU1BLj7CeSBzNbi2nJx5f9RTeGsLM7Df1M
       B+orUlFbloKK0iiUFoYhJ82b5+hNatNb0E124s/+7I++7a7/33T7q7/+MY5P
       9FihVpI8xHXxbtRX490JGO2Ixyy15aaVsYi6S/IWh7tTMMlzLmMga5Zmlau4
       RFxJDpt4GKnJur7Uq+rHSJ2lD16tKA6R+pfPHy8obJyfjOPh6TivxSD2VrqU
       H78+HMfjk0l8+MJMfhlR9cJPGeNWxQORu3rrohQ+JE8qX/JB0l2Rm0bfQY0i
       47CJwdLnBRP32P/vqWMivXmc+ApqJbkfz74e4fk2orzlvfZ8bIdoH2LA8y4i
       PMgN3jwG2CPM76avhxJr4fyeUD6OCBTc2PH5Owj0usvrbA9nxzfg6izjWDZ8
       zhZ+1FmRvncRH2xHzqEWC7qFTGIgiy0+5DZS6H/yyRVFqa7kFHuk0v8nErtZ
       MQ4oTnMnJzqzPUBZpgvKc1xRlkU+IT5aZY17ZRD6mqMw3pUEPfu5rAmWPY1G
       mqVGVyRMI7wmuiKcrDNWMZ7PjpVgbqIc+olSaoAq6EcKMNWXTh9P/77ViXVr
       i6pHYKUuPtijnj2YUHO4x/SGm0taauZ66KcqMU290NuZiI6WaB7J4wM5ag2I
       1PtYXGiFju+zEEs7+xPYJe9sb4wQR9moyItAVaFgIxwFOUFIjnVBXIQDyotj
       cXm58213+1/q9tV3X7CfN6tc3TVDLYyMTaKvxjoTMCy1Q+aqVJ6vfjwfY9o0
       DHQkKp21ZtGovSPMkgdv1qg80jViQ8aytlYHGKNu6mRI/u57LyxqbbPoq1NZ
       00N8PCQOjmU953IXWzfOdwbx5HyanmUR2+SPFaPwVIPa03u8IxXt5SH0sG43
       +VLpLoo/BB+ZMXZqji8pWHBhi0j24Rj2beGHGHqGeHpswUdS8H2Ee7xDPNwm
       NkSL2ZNPbBDmRiy43kYw+30o/X0wuSeA7xEcCFeEEG8h5ItQPzv1mq/rOwgP
       eABPtzvw87lPf24Lf35PAH16FLEURZ8e6keeIh5knD86lP4m7DZS4+4jN5l6
       K/EBEkLf4e+6rX5zbrwL8hJc1PxLMf+vSllfkunEowuq88kfJX5oJn/0NcVg
       UBODqe4kVU9rSNY31gdgoi0Shj7qK30Fto0NxEIpTPTJBl0d+3gVOaOSPi6b
       HoUcs1hO/mhSta3N7OMH7Nfn53qcHU+rdYRr5G7znAYzYxXQEQdj9J6drdHo
       aIvCEPE1N13Ja93KGKhV3t202IGjIx0Oj6apQ7ow0ldC3ohAQ3E46sgbJQXh
       yErzpSa9R+/xAAv6Qfz8fwBd9S9vP/mbH2GfsV7y3Zfp9RYnZT1hBuNNCoYY
       o6Re1s5KC4z06iM9Kf/c0mCYLqdHl3zeepWftWoRv96rao0Jh0gtmIOtYTzk
       uXv/5RJePTPjxROjqsEhNZpknFfGjPepXXeMLTiRPZHpTR6d08tfTPO7qItX
       2+gnK9S60+HWJNTSg+QkEhdseWn06YzF+YmiURwVT0TSNws+hD+SQ+7zeIdY
       YEwPED4hN7i/gxDXtxTHxPiSE9ivQ9nPg8gDgeSRIPqIIOozf4/b7PO3EKLw
       YosAYiWYvj+EGPFyeRNhAQ4I4OdDg13hITjhZ4N9xM/fQxh9TEQocUF+iAjm
       /aB3EBd+B+nxDmq/vaQI6rjAN5DE9yTTB2XHOVN72SsvVUj8VOa4oyLbVeFD
       OKSaXkRDDhF8dEvNLVkrRk3VXeWPvvogTLLvLpBTNuT6zTC+Tdeyf1dhuEfW
       SdeqnMgRxhfJQd2y1GBruUntjSP7QZ2fzrDNks915PshmPT1WNDVk3sqMT6U
       i4HeVGiJx4mxHOqiYmKqSa3BtS50ER/t2NkcxdmpHutr/Xy9Gh3NyaiV8dyi
       INQXhiAnMwAp8e6MEfZIjvPEqxcX33Z3/6VvknP/xVdPYWLsmKGHm6ff0PF8
       jGsTMdQeQU6Pwqq+mH65mRxSoDhkTGryssl4+ga9+epcHY+MS+ShjeVO7K73
       YU/Wke+M4HBrlFppEk8vjHh+ZcGThwalc9V6HVkDJzUC1rqwTR9zyOPV3gCe
       kl/ODkYU5lYsTYxb9ImDWWhtiEZxrjcyEp2REuuMdOV/nZER4YS08Af0Ezbs
       8+/wKJ7cWfGE3I+h7kmgf4gir4SSGyLIB+HUViFswfQOfuQET9db8HK/BX++
       18vjDXh6/gZ8fd6Cv88devG78PUkJvzuEw9v0nO8hWB+XwD/npfH2/ClL/Hj
       +/z5OCToPgKDnRGguId+iP4+KcSGXsORv9WBv+MdYvUO9Ra1YZQjkuhR0iPt
       1Fx9sWisZBnvklxJR2qtB6gp9kFPYzQ66yJVLfSehggMaKLUnjNdsgdtZxxm
       yBVGcy9Mhg4YZ5rJFwUY78zEYHMcuomhKW0SdVcFLOQXWcth1Nfg0dkUTveH
       1X6Fsq5znT5U8rGtSxosLNZhgFpKq83C9HQV5ubqqafaiIMBmBn/jOQNs6mL
       /CN1BcaxKOsKqb1b68NVjkBtSRgq80MRF+OKUOra2AhHzE314M9/+O++7e7+
       K93+5m9/jI2tQYzIniiz5eSGIkxSYw20RUDbGIhJbQLWTfXYMDeQVzIw0pnC
       YxZ1WC4W6dU2GVfWiBEzvZrkgEpu1u66VuW+728MM2b14WRnEo/PF/HesyVc
       UWfJ65ILvLfWo/Ah+ybtUKPtLreq+h0yly45Qev0ImumRkwN56n9JWpKgpGf
       6oEMyY2NdaK2skeK5HXwWqSFOyoshFPrCC7i/OkxxFcQMxH03OHkFtFA0Xw+
       lLgI9rJBEGO/r5vg4x3i4x3Vz708fosY+F95/23yhODjNpsd/L3tqaveUi2Q
       3y9zIDLOG0C8yX1ffr8/+cbP34HYEl9yR40Lp4TZIZdYFmwkBN3m76QmjJA5
       SDs1n5ib6KJ8SWWWFwqSHOnd7dQa3gp6EfEe3XXhap+ZBmKlpSKAWAlDU6kv
       BlsToJe897lmGAztmNc1YrArF/3NqdRiKeisCiV3xMIyXQAT/cko+/zcVJla
       s35NLSt6SuoCbK/2qPzsdZmD5/mfIxdNTpbzSD4ytkI/14SN9UGFkSVrLxbm
       eY3XhqiVpxm/WpWH726JRysxXF8agvoS+o5UH4SFSC6BE3Izg/CDP/jet93N
       f+XbP/3Xn+Plu3sYp46ZmijCwmwpPUY2JoiLHuKjtylYjbXuWBvpUWowQ106
       1k0e6UpT+2qbJhibGGekLpbkvEsckvoNJ/Qfh9RZghHJATrbn+Z1mcfz60Vq
       Lfr1gzFihFgSfGzQ5y23YW2xCVvmFjXWK/MkskeSlbpvmtjVtiWhqTKcMTUU
       hRk+KEz1QlGKFzKiHBiTbRQ+UsMeUGOJzrrN/kiNFSC8QU9Abx7MWB/K58PY
       d8VvBLjfVlpK4cNN+IP921c4QTjit4gP6i4/G4UPL3fp/7YKQ5704n7s+37E
       nrQg4s1fjfneUq97ULd58r7gIybQRuknwUSUzxuIJCelRTrSg9xDbDCxkeyB
       rHj6eMkPo1aUcayKTDeUCD6yiA/Z+5WYaCQ26gq9USe1cKrD0NkYg1FtNhbo
       CfSzzZierFc56LUlkiOfCG19DIY0cWo8Uvxkf3s0hhnT1qytKif0SOolyxoq
       qUGtq1GxSnLqLOZ2mNlMRl6LNS026SM31oewutKv2vLSAPa3JlQt+FVzF/9m
       Fro1SdC2prClob44jPznjvQoJyTGeyCRcaswNwJ/97d/9W1381/5JrWsv/jq
       BRYZQybFDxMLU0OZ0A2lq9qKPY3BGGiNwtJMCQ5WNLBSg81Sn05KHc+RfMyN
       FMI4VY7FGfoXYsQ8T89u1PCca1XtylP6wKOdcWJkXK2VlnrH779YwotrIz3K
       ANatbTfrFOUoPob4EL0lc5F7qx2w6KX2Vr7Kl5R1aBKjKvIC6Wd96GX9UJzm
       gwTJO6fXSI14QO9rh3BP8cD2iKfvCPe9jRDiI0ywQX4JoVcIEFyQM/zkyD7t
       7sJGjeVDTvFwfRNuLr/F/v4OuUE44o6a7/Aj58jRg58TzPh6CT7IE/QlAfQ0
       8pyH69vwkCO/05+flzHfRGIh2o/4dPsNRMocDPkuLtSOHOiMROGSaAeV95Up
       OfbprmocKy/BXs0VtpV5o7M6QO0hXiNr5KkxO5rjoaV+mqXml/rjc8Ib2iI0
       VceiqTwUPXVR6Kdf6W+Oxmh7AibpI4a6EtX6aNnL8OzwZnz9ghwta8pljYLw
       +YqpVWFhTeW43+Di5vEg2xD2dqaoq7S4lnpbe1OYn6xDd3Ma2usSqLnzodVk
       0DcFMWZ5839xRXDQPUSGOGBr3YB//Iefftvd/F91++uf/AjrPBeT4/TC7PdD
       vWmYHsxUe3sOtcu5DsfcYIbax2JjsUblD04PZGN2NF/F94WpUlXv1Twv+T1V
       xEmNOt/7m4PUt7MqX1G8yP6WrC0YUPUAPnxvHe8/t6rcd1mfKHODO7LXJTGy
       xVi2ttiMTeorq75KeZ8p/p7pwVzGzwhU5fujPCcAecnuKCaX5Kd4Ij7YBsnU
       Wwnk9UhiIobaP4b6N8rfBmHUV6HUTiFswd531BiVN/uyD7nDh/3Yw1X69h1i
       4Z7yG4IB6euimXyJK2/iTXAiPPOLJljxJZ78fe6p5kU+UjxE3AiXBBOLMTL3
       wt8V7PGb8HP+n4mL+4inX4rlMTbkHhLJLUkRdkgnPgrTPZAdfx/p0TbEx301
       V9hFH95RGaDmCqtl/XwjMVDH69GThwVDC2ZnmhjD89FYGcO4EY7O2ki0U5P1
       UINpG8KpweJ4/RIx2JkM62K9qqd1tNuvajvoxkrU3LislZZ1PSd7I9hYGyZP
       DOFwfwaHBzMKG1ZLL3aJjSVLH7a3pI4vcUJMDrRn0//nYbSniHE0D201yajI
       CaWvckYQPVxIkC1mpnr/h+aOf3l79WofOl0VJkb4/1I/DXUlKz8+pU3FWHss
       hlujYZrMx661Qe1tIPlZEwPssyN5jO+FmJkooTarhIk4EXzImjSr1N2QPSgP
       hZN1eHxpwNbGEONet9rX64NXq3j5xKR84u56D72GBltLNzWfdpe6sGyowxL5
       Y3le9rlPg244B7PD+agtIm9keqOMGClK96ZOcUdOoptqGTLeHmxLvpB1GrcQ
       RYwIfwg2grxF99AzsN97Uyd5ur4FH/e34e58G25O7N+utsSLncKKcIpgQDy7
       DzWbB33HzXN31fM+4l28bNTxF7wizdnpTXjxu6OCiYWQ+9RzbyPQ/Q1ixQ4J
       Ua4ID3JABO/LPH0seUQ0lsyVpETZIS2avBJzT+UI1BZQUxW405vQr2c6o7E8
       BJ3UMiMDhfQAGujnW9DTW4QKaprcJDfU5PupnMZOYkpady15vyUWfa3xGNFm
       wGqsV9wh+0HPTJSipT4aFkPj19jY3+zHiuin3Rns7+nU+gfRVFubo4pPdqiR
       d3cneY2b0EHOaK5gn+gsxFBnETkkk/iNISd6ws/lDbjd/5/o7Xvx85/9empN
       /zpuf/6jP2Ks6FI1iCeGC1ROidpfrY9cIms8ZQ8A9tFV2YNzt5u8UYG5iUL6
       whLVFmarlP+bl3Vqs9WYpzZeoOYSfSue5GhHaiXPqRpZ8ncmx6twLHXbiZkn
       Uh9c9nHd7FN6a9vUjs3FFvJUBebJUbI3iYFNciRGOmXNaTKqCwKQk+yK8rwA
       tkBVJyEhTGpSuSIz3pX90YacQV3lJ7xB/mA/DyQ+JF8qgBziI16B+JDm5vwO
       XBxvESOSn2urjq4PbitPEuh/T3kRL/e3iANbYkI4xkY1H09bdXR3uQ1nxzfh
       8uAtlXPi43kLYf4y3ku+8niLmsoR6fFeiAh2IP6EZ95QOSxZSV5IjHJEiPcb
       SIrk44QHKrcsnxqrKs+H/58DMhPtUVsaSGwk8rqUYGa6FrO6evR256GsPIKv
       uyA90p5+xZ167KZmquzRrW0MRUdNKLoa4qiXC7BiblSxS8avpMbbKnWsxCVZ
       Cypr3aRm087WOE5P9Io3TMZONWa1sz1KHzJA7qAPWe2jzy9EWZ4vGsqjMNwj
       +y7VorEqA6nxvir3xsvtTQz2N+EvfvTDb7tL/5ve/gt9+vWTNczTY+vZt0d6
       M6ElRiSPVuqPTxIjox0x0A9nYmeJXL3Vyv4ve80XY55HM7271MiamSiGnjiZ
       neT98VKFj1l6eBnfOpa9vo9ncHY6BwNj4Byv8xq54up8hr5x4ibHgW3PIvtW
       Nqv6NlKXa1KbgvmxbBjGc+iFYqBtiqRmoB8sDUN+mrvCSGmOP/uYncrtSJZ8
       9ZgHvG+DyEBbxIU5qNx0f/JIkODE11ZpJ+Wn6TeEP1wc78DVkX3dyQ5uD+7B
       2eEduDrdjPH60VuLb7/RXzZwdX4bTg5vqHlC4RNXp5vHgg9Pfqev5y01Bx8l
       8/jhjkiLcyefOCgsehNTUWH05Cm+SEtwJ47oU4LvID3OCakxUnfOQc3zZNKD
       pKc4o6JU1lmkYXKsHIa5BgwPlKCrPVPljedmeat1JzJ2XJ/nrfRYf0MgBhqD
       6Ot90FwWAG1zMuYnpMZbNeNXOUYkR4Se8XC7H5uSj21sUUdZ73Z4oMPB/qQa
       x11Z7iUmhrEstTgkH3WjFwZDPRpqIlCU4wNtRzamRxswpK1FRUkyIsPdVE5z
       a0sZ/s//+Bffdnf+Rm6fff4YFtn/d0HWhJSp3PaxziToumLYyNNtUareuexZ
       eLBJn7DajPHRLExN0KdPFau6fFIDW/Ah81Bz7N8z42WqpvXseDm1WxnPdRc5
       e5htCNtsRuJgfbmH2nhY1Ug+4XHT0A6rrhYL1Mi/wMdIV6yqpS11gjvrQtFc
       Ha7WRFeVhCAn1Q2ZSa6qxYTaqP4WEybYuINweuTYcHrgJB+kxHsiIkTWOdmp
       cVmVh+smHCJ8YaPw4eFkz2an8PLg/m8SR9RkAdKv3yS32FCD8X0PbhE/b6v7
       Xm62Xz8WnIlvCfS5Sw1lr7ARz78dHkAN5vqG8vExscRFsj+SY92I2dts7/A3
       26r1VxnxjmpfV7WGkX69WNaLtKSjr68QI8Nl6OrIQkdrOuqqo5Cd7o7oiDtI
       4GdL6b9aSgLIGz5oL3VFd42X2sde8lOGiKWl+Zt5JKkTOtyfRUw0w6S/qbux
       rdZ/aJW+2tsZJy60sPAabW8Pw7rUgSXq3ZXVDmzvaNHZnYK8HFf0dKRhYa6Z
       MbCZWC1DalIwfZctSkrT8eVXn3zb3fgbu8l8+qOrJSybJW+xQ+XmDnSlY6iD
       /NGXxT6agj5NDGN4HPT0H0dLTdimX18YyVbefobe3GhqxCK94OxMJQzk8lli
       Reooqfrx5BDDbCMssp6dGmtjpRdr9BlGfbNa477DGLZm6cQqMSP7jcyNyXx+
       DsZ7ZM/pCAy3RGJU8h00YWivkboYQSjJ9iZ3+CGfOj430R25jMnpMo4VIONG
       dxHq/Q6CyRuxwfbUXd7sh270xg8Q7mdHXWOj5kG82c/dHtylRmJzugdXV3u4
       0Is4OVFX0b/LukHx6W5Ot5SW8nCR+zJvckd5FZcHb/OzotNuwV/W3tJ3hFBf
       +VBb+fFzgX72iIryQkJCEMLCfRAU4IhQfxty2S3i952btYdSNyjZBWnESEqs
       AwqzfdDWlojR0WJMTlURJ2lobEyiP09ADjkzNuQW0iKFO+6gJtsZmmIv1Oe7
       oLHQDZoyL7ab/TjGutNhYqwa68/AIHWpzCdZ/3ksRWr9bUotrXWpAUi/Ye1W
       9X+3qKNWeV0kT2ttqVPlXeupdaukhijP+8xkNcYGy9HRUoC6yiwEB7ggKzMW
       Dx8efNtd+Bu//ft//30sWWQP7Taeox7MTtdgcqhQadgxbQ49GTHSHKtqbFgn
       CnC+0oxN6qtJ9ucJ8vcMfYjFquHjUkzTi5jpBw36KnrKGlV/X9Ycypoq45zo
       4WbGsjZV+8Gob4JloUXhxEpfPjNaiMnBHEzxuo53J2GwNYpxkfqhPhAjzcFq
       3kxTFUHvKvveuaKUPr0klS3FB8VJvkgPdUIU+2ak/x2EESMhnm8h0o/cIrno
       /vaqxQY5IjbQEX5u9xQ+HO+/A/v7t+HA+y58zsn5lsrVDaKu9ve6q3yKm8vN
       eJdoKg+320pvyXOirXy97yEuwgnBxKWr428ggJ9LSQpEfJwfceEJb19HPHC+
       yd2S3MdA/q6YEFvkJblTVzkij/0+gxjJy6Q2akikjs/ENM9pQ2MsKiqjUFoS
       xtfdEBX4DuKC3kEm8ZEfewu12Y6oy3NGTa4Lz0soGoo9UZbppNYzjXUnY0Kb
       hnH6SCN94prMo0+Xqdqxgg8ZOzzYodZalVoC9Xy+G+vExpKphdq3XfGK1dCE
       9gb+hgIf9LSnYmyoDD1teaguS+L/64nMtFj8we//b/inf/rHb7v7fuO3P/zB
       F1hZ6aMPaVIYsbD/yryG7P8xy1g2Qc3V13zjAUbb47BtqMSRuQ7z9OQz5Awd
       Y9W05GeRk+cZp+alXuhSizouzNWpGCW5i1KH2SIe3KBRa6yM1ACzkzXquVVr
       i9qLZ6I/BxN9sldiCvkjEp21/uitC8BAg4xhhqC7Phw1+R7IT7yPvERHFKd5
       oDDVEzlxMkflgiRZu+EvOSW31ThWjOS2hzoiLpjxW3ISvWTNnwMCPe/Dk9rJ
       mZ7ckdhwcr53gw/yhcuDN9V4l98/40Nw8Yuj4OTGn99SjwP9HBSOfNxvKR8e
       EeKMhFgf+FFXPXB6A/cdfwuuHnfIHw5qfkR0X2lukBqnzk1yUevUU+MfoKww
       BJqGJMbneNQxBlSUhbJFIDbKjn7lbeL9t8iPb6v6LbJ+vSbbBbU5kg/viUZZ
       157ugNoCD8X1Q+0J6GMsk326ZZxc6vPvrbbTf/QSB22KN/a2tMSD5GRr1HXZ
       oOeQuXHJF9ogf4wNFKCswFfVBhV/PthbiO62fOI4BNlpEfj804+/7W77a7v9
       yX/4HVxcWlVegW6qlvxRC/1MDX1EOXTEx9RgLgY7RO/IvEgkJroS1PqDnY0u
       TJMzdOJbhvOVtjo7GcPaSrvSWuvEi2mhCYvkDOHug90RNX61Yu1UHkTq6Y8O
       lWBitEzliprm6+npa1UtLhlr7tOQPxpC0NMQjHZ6T9Ha2rpAdNCTNhZ6IS/B
       Dhmxdshh/M2mzkonRlJiXdW6wBCvN5XOknVQiWEPGKu9kEWtlRDqzL52l/xx
       l778DpwcbxEf9B3OtnjgQg5xuaPwIfMkvp53FC5+MU4leBB/7uV+9+uj5KAE
       et8nnuzJHff/7/a+s7vN68z2u4sqRbEAJCpBEABRCIIASALsvRPsXey9iFUS
       RVGiCtV7sSVbsWXLcYljx84kGSexneJk0saTeOy4TOx4Ejv1/oR993PoZObL
       Xeuuu8ZXtqN3rbNeCCBBijj77L3PeQpSqMllz1enu4/4uBdG82ZyCPmMGC0K
       p6C6zIXisFHlu+emx6C21Ib2xgAaatPR0hBAPT13NT14TZmD3klHTUZs2LYg
       K3U78lxRqKUOayrWozY/Hs2lRtWHoyonFtW5ceimttrVSH++K6BypSS2VHKl
       JAddeg5fIEYunRnBJfrudelfdVjq/vXjyEqHuotvl3ihffMRNNe70VCTSs7I
       px+vwkhfGfGSgWy/GTcf+vT7MX/Wrh/+8Bs4cmQYS4ttmJ9t4HyvxcLuGsxO
       lmMP5+sidc8U16WF0XxV00zqM52mpnrwyrSq971CXbWfHHKAWusS16lTp0Zw
       gHr3pKxLonEP9irtduOBvaousjy3Rt27Z6EZk2NVGBsuwsxkBRamq7B3tkbV
       ol2k1pgdCmGmP4jhDjcGI0mYbLNjpseDqa40VUcqUpqE3GCsyucsodbKy9Yr
       /+pN2axiodKUztqqeEQwku83UWfFwmWNg5U+W58o+NhOfRWlhslM7y0+g7hI
       ppYSfMg+1d8wIvu7Mhwp8XA5EtTjJIPsfVGX6Yk5wZd+C8d99DX3wka/EQzq
       UF7mQXGujT4lhlppu6oBIfVIOxozuEYH0dqQjaY6P/8/NpSEDfT4sfC7d5I7
       tsOXshUh4qOGeqyzOBmNBQZECnSozUsgb0pOyQ40V5jQLnVxW5wY4t9mcbJQ
       9c07d6xLccc5flbnTghGqKn2NasYQ8lROLrShhOHunCc4/LZca5RnRjYFebv
       48Pgrjz0dGShr5P31kIEvQlojhTgzX//tzs9Xf+/X1KH9BvfuI2jR0cxPVOL
       WeJjihw7OVGG/Ytc3xfqMEF8jHNdWhjNxXR/pspXu3pmCA9cHFe5U+v0HYvz
       9JbzdbhyZQ4nTg7jELXU0cODOHt6CsfXR9W4cG43rj+4jBPHx8gzXcQifd9g
       ITo6MtHSnM7PJRsLxOW+WfE/hVgcK8BkXxADxEdvtU7dxZf0NTrR3ehGFf1I
       KBiHcJaGWt2o9noz6IGDrh0qpzwteas6T8+gRwikxhEr8Zx3Gs5/evPEbcRH
       FOI0W6iFtkPP+W2kxrLQj5s/0VN/01fyWDgj1aZR2JDHgh1tLN8jXuJVYmAx
       7yQn3Y9EehFL0iYEMhJRkJ+MgE8DW9L9cKZsQT7neUOZXcUBNFa60NUcwq6O
       YtRVpKvaEAVBPbK8GvhS6eeTt8Btvg/Z/P/UUIe15ZtQL3vARWb69BjkpW9F
       LfVWS41V9VZuj1i55vuxPF+OU2tSv6wX18jzMsR/HDvUqfbyxXuIvpLavpf5
       WGrLXjkzhsmRYrQ2pqG3O4xdXWE0EydDvWUoDNn4t3Xi6y88c6en6h27Pv74
       A7zyytdw+PAYJiYqMUOMTHKejo0WqvPDvdRQUst6N/3f9GAIc5y3st905cyg
       qvcmGDlykH//5TYcXO3C+QszOHt2GuvkDblfuryAy1cWcer0JB4gj0iezdlz
       M1g7PIClPa0YGi5Be0cQjY0etFP3jg/w5wzlYXaEHM+fKfUKBqmzOipNKg+1
       syYFrTU26nkLfS61fK6Oa7QeZTkmFePks28hj2xBun2bwkha8jaFExmS+2Sl
       ZzBw7icQI3Gc37EcWu12xQUWai+zfrvSUf99iO8QnAiXJMRTQ2k2IT6O76El
       nsyxsCbHqRxD2Uv2ejTEhewt07OY70W6xLmHdCjIkl4iOlTlJaGJvqOrJUzf
       G1I5E0HPToR9iQikaeCmLrOZ71f/h0JfPCoCUoNbq2o+SGxjrnc7ioM70SB1
       Hqos6Gx0oI34mJvIxeqeSpXTf/XMAB66NIEbHEcOtHCtq6fH2MixlthFqRV0
       jD7xBD+7hekKrk1hjA4WobsjGx1t9EJtWainrmqpy8ezz9y5nh2flev993+N
       b37rKRw9PonJ6RrioxLj46UYG8rHHPli71wF5icKsJvadnGcz3HeSg7ujUuT
       eOjKDE4ckT3dbqxyrFNDXbq8yLFETExxTOPipUVcv76CBx7cT4ws49FbRzmO
       4Mz5WcwvtWB4tAz9/QVob8lAa8SNzuY09LX5MN6frWqdj3UE0FPvVLlTzcRF
       c6X0okhFN79W8tRLpDZvyEAvkohsb8wnGNmsYj68KdQqnHMynNYo5adNxu30
       CaKvdmzsY5FD5Bzdooum/pLY3g2v8TedpY279+96S4Zwi8FIv26JR4pNi9TU
       ROLCqM4DU9Ue2DZVLytD8qOk5lwoEfn0EIKP2iL+7pEAIpVe+nY98ROPDHqn
       DHcc+Yk/m97FKfrME4vCgAaV/N66nARUqfPzOHVmUpatQU0RfQi15hg5vZde
       bc9cMY6tNqgchesXRvDAuWGsr7bys6vG+lqXOieUGjaSCyp1M6VO/Aw/35He
       EL+mFkN9BejuDKv95Qbqv7HhRvz0X354p6fmZ+KSXu3/+voP8O2Xv4K1oyPY
       PVuLOeql2ZkKzIlPHyukV8vEJH3BPH366myZOs+TvD+pSyp9tyUecW2tD6vS
       U4Ea6vz5BRXHc+bMbqyu9vO1Idy4sYpbt9Zx8+E1PH77BG5xnKLuWtrbgYnJ
       KgwPFWGkPw99XUH0dmSgp9mDvhY/htqzVd21zjoPOqpT0VRqQWNJErpqHejm
       aODjas67MtkfyjMrHvFTu/vsWxVG0qxb1L5vavJ2zt8YJNM/GIgDgykeCboY
       JMiZemI0TOSDZEP03/XVf8fDRux7rMKNOguhzkpK4b/paVJS4uCwxakzQ48j
       jn6DeEmN59zfiRzqqoIcPYpCCQofxZkJCLqjVa0g2S9z2XaSM6Jg5+9mTSZG
       JX8+g3wTNqtzkvKQRtWaD7ujVA6W1NmqLjCpPhuDXX4OHxZni7G6Uo3DK3U4
       e6RT1WdY2xtR++YnDkt/sH7yfBcOrrRgbqpc1cCe6afHG8xVNW2W+Hm3Nqaj
       vZ28EfFicqoJX3nm0Ts9LT9T10cffYA33vwJvvnSk1ijZ5+gxpqaLMM89dXu
       yVKM0IcMdvuwmxiRPob7Z+nhZ8q5ZrXj5vU9eOqJoyp259jRIRxYof8gzi6c
       n8e1a/uIlXkcOiT7Wz2qdt8zT5/F44+v48oD+3D9oVVcvipcM469e1vQ2ca1
       ldzQ3pKO4b5cDPdwdOWSTzK57nrRFaFHl/r7VTZEpO4auaSXuqyV2KktsW6c
       vXEOhtI3YmrFi8i+VqrxPhWX5UzZyG+yWmLJExroyBlajegrYoJcIvu/cjYo
       ft1MnChvLvtT9O0SbyL1TCRey+XWw0Y/ozdsQ2Lipo0aQHJunm6Az52AVEs0
       MqXmu3CaT+rOxSLLE614LeQjRtK0G/iwx9GjbFXxTDbJXyFucrJMqCy2oYb/
       H8nVDTo3I4v+XnJM6otTyEFJaK5KQW+rV3H6PvqO5cVynFhrVjmgq4vUAORd
       qUF+bLVN9QRdnq/HXq55Z48PqBrMo8SV9OM5sl9yZsPobAkqbdXVVYznnn8c
       r7/++cwD/LSuP/3lY/yeXuTtd3+JF+jZD9FfT3GtmSFGBB+TI8LFAYz2ZWOR
       z8sesAzJLThxuA9fui59Oddx48oe6twRhZOzZ6ivTk6oOBPx5hJrsn+5U9UM
       uP34Mdx4aBmPPHoItx47TD45qu6nz0ySvyJo7wyhrt6Lxoj08gqoGuE9bdRf
       DW7V26gt4qIGT0YduUP1nYg40VK74UtKc3TU8zEISK03ahUP55/TRM1FjZXK
       x1LDR2LfXVKTJCkGRnoPIzkkSS+5g+QB4Rb9hk/RJ26F0SBjC1KsMSrvw6Ri
       HaNUbRPJTXc6xG9o4CdmBBuS3y78EaLfLgxqORI4zxOQTu8dSEtEYU4qsgIW
       pLn0yrdYDJtVPRWpOVeYLn1JpIa2BuF0eR96J6llR84pIdbqipPRUuVAT5MX
       UwN5KhdgH9cwqdF0dLmRPrGAa0k6FifKcGRvMw4QF3umKrEwXo71/Z04tNiM
       iYEslSuyxPWtvzOIXe3827bnoaM5j5/Ldbz/m3fx5z/94U5Pyc/k9bvfv4//
       +M2b+O7LX8Xyftn3rVI+XfI2p+nNpX7YOHlZnlvl31/yblaWmtSZ05eu78fT
       xMhteotr5ASJfTt1clyNE/Tr1x/cR211QNWNOUx/fuHiLK7fWMYTX15X49Fb
       a+r+9DOn6OP3kOfJ+80+RDj/a8kXTcRKS4NH9TdqrElFXZkVdaXJqKcHqS42
       0K/rqLNM5JFkVBZY1J6Q1EkU75Fhj0EaPYGHQ+osOIgPDzWR25ZAPxxLbESr
       WCx9gpydb1fzXvhDRnLSTvVveV5Pj24gt6Qkx1NTaYmNBHhcOnJHHNKIkbRU
       qfWupX6Kg98Th3AG/XqanLcnIBwwcljg5ddbzPL+1HQG8fFbkOHk15JvpIaW
       1GoJe6IQdEkdFQ7yoMQt1xSK90pFp/TL7Qlh30yVGivzNThAPzHWm6X2tObH
       i7G2pxFzo8XYPVyosCF9RKb6C9Fe68Zgp5/PlaCbvNtLvu6hH+9qzcWlC4fx
       wftfjDyOT+v64MN38FsO0VuvvPK86mM4P1Op8CBxb1LTXuqIST6y9Kw7tNKB
       /eSQZa5Lckb+6I39ePG583ju2bN4+PoyTgs2jg3j/NlpHOd7nSen3L51GA8S
       P8fWh6mrJsgj+/HU0yfxlWfPKGworDy2pvBzYLUbQ0MlqK1zo6w0BQV5RhTk
       6lFeZEFNmR3VpTYOKyIVyfSsZuLChJKwHhV5otNT6NuTkCN1HVwahQ1X8kZM
       utQtSdbTC1tjiREt7OpsPUZpK0vSNhWfazZJriE9hjkGNjkTdOjhSjUh1abj
       uh9P/tjAi53+w2WP51qfoPxHqmWHqhmUzjnvdcaQW6SmA193a/le8j30NeQe
       2SMwGnb8V4xjmsTDbEOGbRM11VZkEBse22bkUC/Wl9k2fEeFHSNdIeqnPGrc
       WoWDeTXXpW+TFbMjRTiyr1lxy+xwEflF+lF1Y4Wc3Nvsx66mAHVZQNWZb62n
       VqW3qyhMxrG1abz96y9WrPqncX308W9VXVLppfjBb9/GV599QOXrz+6uoRep
       xcJcNTUXdddEORZma7BvsUGN+elqlVNy7vgIblxbUn2lnn36BDGyT9XWl/Nz
       qSG+fmQAZ06Oql7cly8v4PSpCZw8OYbLl+Zx86b498P0hqfx4ouXcOvRNZyh
       Jls52IvxqRq0cp0roSYv5joaou/NzdahoiRF9WGpoWevLrGgVjBTYiOXJKOq
       iHOq2IGKfAdKcqzIC5qR45f6+zp6Az2xsVPhI5Bm5BptpHfXqhgRr1eLYMAE
       D+ezU2JEyDH2lATO651I1EQjbudWxMXci/jYe6Cjf3faNUpfSY0su9RyID6E
       P9zEodtFvDjoYazRxMJmmMyyJxwNc5LER8bwNR3SyW0ZxJDPHqX2FfyCC+u9
       cCffS50Yhyp6kSpioywngdzhIScUEwfFSjfNDBWig3ozUp6E0V0b2ndWeIM4
       WZqqoE9vxspcA7obM9Bel6Zy13vpMzoa/HxfK0L+OH52bfjOS8/d6an3ubn+
       +r/+iHfe/Te8+96v8Ou3f4GXqbWOKYzUY/dMNRYW6rG0GCFW6rDEsUz+OLCv
       RcWmHFpuxaljg7h6cTdu3VzBU7eP4OEH9+DCmQkVz3uefKFihg904+TxURX7
       foo67Cj11sn1UZwhXoRbnpTehl85Q145hYcfWcNhctDkdB16egtQW+NBQb4Z
       AXrejDT6YGqSAqmRRW7J5Vor621BtgFFYTNqyz3EjgdlBXaU5aUSKy7kZyYj
       j6MwZKcG0tNTGxH0meEjTtLoH9KlJ04adVdKtOKHmOh7EBt9H3Zsux87ozZD
       ExOltFFKstT/ofdwJlIj0Y9o71deQnGH1Gl0EVfkKfEsRuM2GOjlZe/M5dTB
       YU8kT8WpPJG0lI24Sp/U0qYWk/OQDDlv92vUflyJxGyFNWirdWC8NwcHuR4J
       Pvrb/KgtNql+40OdmeSRUgz3hjDLu8QjzI6X0S/mo408UVGYRL5Ix2BXLtcQ
       F3KDOtU3bqCnDD/7yffw0We8lvRn/frxv7yE85f2YW6BfM7PZ5G8LjiZ212N
       JXrA5aUGlWt7eKUN62vdOHtiBA9emcfjj6ziyccPq3omN64t4tK5KRXrfpl3
       0VuLc40q5kQwcZUcsn5k8JN4yQEVm3Lx4hxu3DxAb3IYFy7MYm6+CYMDxWjg
       Z11ckIRwpvQjkPrRm5GZHofcLJ3CR9BLHkiNou7X8C5+YxPnnh5ZxIPfqd2Y
       vxwSn+7mHHZKTRNqH6P+fiRo70GC5h4kJmzifRM0sZuIi/uIkS0w68kTVjP1
       Fu82DXklXu1v6bX3waC57+/4cFsFP+QMqf9O7Bjo75Ms0crLez0GhSsH+cpm
       lrjjzWqfLSy1WTKNyMsyUG9Ra0mvBvqO4lAiqgr1iidGurPV6GvNIKfo0Vrt
       wERvLsZ6whjry8XEUAEG6U3GBwvQ25GJSLWT/GpDayQd0yOVaKz2kC9jkEVf
       tDTfg3ff+dWdnlqf++u3H75LHnkd3//hN3GMWmhpfytmyRVT1FTD/DxGOMaH
       C7B3rmajvgk5ROrwnTs5jKsXplRvQqlb/dzT6xt9dC7N4Aqfv05MnCVf7F1o
       obdpULk4N67twZO3j5F/5tS/pS7anj2tOCS9iamzjhE/Eks50l9Ej+6mBxH/
       YVe1X+1J96v6yJnpGoUL8cUy0qhZXMSP1GyQmlg+h5zJESNO8dOx6pzOzbtB
       d4+KnzIqHy57udtVrFZ8jGBkK4w6qc+ghYkYEU8i8esyz+U80ZBwP5J0m1Vd
       6406pfL6TqQIVsgj6Wk6+LwGZAeTkZmRpOr7yh6wI0lqdm1CttRxyNCpGp0Z
       9PVe6buQHktsJKA8R4eGiiTsakkjLnwY7AjQV8WhscKKmcEiDNJDyBnRrha/
       wsXoQAE6W3zkTonFzUBbg09hQ3SnK+U+ZAXiyNfT+PVb/3gxVZ/29cI3H8Gh
       9QHsPdCB3eSPkbES9Enf8s4AP5ccVeNtP5+XPS3JW5N8TsktkP7djz28jCdv
       HcSzXz6Kx2/uVzX2pU+C1CrdM9ekajvNTdWp2tePf+mQek3i4PfvbVI6bpp6
       QeInhadm6X/62oJoqnKgktohV2pcEhdpzmj6iK3UNjs5D7XIDmiRQS5x2bci
       RdZ2q8Q3bcxL8Qg+t9Q303P+ShzuFo4dHFryiMT5boM2fiuxsQX6BP5bGwVt
       3BYYEiW3Q7yKRvl3Vcc6cRM9vwZ+4kBqbUltIT9xF5L4yDz6nyI38rKt1E6J
       Ks7FbtoCh+xbpcao2tt5xHemJ554pZeXevI+HQqzjSgMSl8EHXnCquJJmquS
       UVtkRGV+ouKRXZz/9fRgXRGfOiPq6yG38PmCXC2K8vRoo++Yn65XsfR2yz30
       a3acOb33Tk+jL/T10399GYdPDGD/agf2kivknH1ylOtYVyb6O3zUvGGVSyD5
       6EcOSG/7jZ7R0ltd7jIeub73Ewzsw4OXFxUmpGbG0mwjZidrMTlSoWoFSs82
       6Vt48eyoynOXulADnUGVd9vfHsAANXhTlRMFOTaEAkY1130ewcN2eCTv1h2t
       4jx8nmiVK+4Vb8D1PcB5GsowcR7Kei17S7H0ypzXfM1pt8BiIkZ0cQoXidrt
       1FlbFZckmeRsMU7pK8FG8id56g7yUrozAQ6pryjYoLcP+vT0SanIpNeXc0mP
       1Cbl3UlcSC07GVILvsgXT3xIXfkoru/R8HsTqROTUBQyojysVzUXW6qSuA5o
       UCc5IHU2xSPNVTbUFZnRXutBT2OQ/JGJumobSgsN9GJ6ta/X0exHdbmdfxst
       OT6CF194Ar/73Qd3egp94a+//PVjPHb7PPYf7MPBI304QK7YvVCHwRHqrZEi
       TI+Vq7VevPtB6jGpJSe1eK9fnlI9Qa6cHcPNB/bgmSeOkVPEwy/Tr+zFifUJ
       HFgZwPL+AYxPNqo4vvmxWpw9Oopzx0Zx8lA/FiaqMNwdRkeDB82cDw2VKajn
       vYRzIuTfiXBQQ/+ZiGBaPLlC9kh3wE895Zc9VnqNtBTpjyO1eWPIJ9L/Qwtf
       qpbPa7i2yzlGLLWa5KjvgD5+G4fUO6GXTtIof22RWqQmfr9Dp+KtJA89wDmd
       7iIfuTTUa0nwOU18D2JSens66Mn5O0jdiBTzfcTQZngFuy6pAx+F9JSYjXqP
       1m0qvj2HcznLF6fwUVFgRWmOBUX06NXUkm0qNl5qFDtQUZSMymLySq2XGsqP
       SuqnML+nIM+KSF02miK5KC1JR2NDAR595Cpe+9HLePudN+701PmHuX774XvE
       xgj2r/VhmfhYXGnlaMECvfvEaBmmJyqwR85v5+tUbIPkQp8+1osr50fx4MVJ
       XKVHv3FpFo/eWMath1fpR/apmq9npJbf6VmsHRnDHDEy3F1M7ZCD2bEa1bvi
       8YdWVG/daeKwq9mLSKXkFpm5XppQSt2Rl0Wt4o1BptT3TOPjNHKEM17VGcn0
       CBboxy3bVa8PyUt3kwcy6Zkz3UaFm3RqHqfUvDJFw6IjHgz04BYtuSNWnedJ
       zzWbmTyTHK/qvecEzSgvcvFuUucfciZvkphH7f30/jHkpwRV80dwYjVtIlai
       +HwUOUf2Fbaq2tkOE/WePZqeI464jkae9LnM0qka3Xl838JwElobgmio9qIg
       bCI2bKgqSUVthZv48PGxgxrTgFJ6sfpaP2qrAiguSsPAQBMeeeQaXnn1W/jg
       C1LD7fN0STzK089ew9rxYeKE+milDUvUXHOzEYwNl9K7F2FpPkIf0aPiR9dW
       JLe2U9XjvXZmHOfIPSeIrYvSc/2C9BtewMP0HQ9cWcKl83P0JhNYPzSIxZkG
       DHTno7cjTMzUqH7sUmt5bUW8ei7XTzfXUiPxoefcSVK9IrPp0TNcMQoXAbfg
       Y6d6LtMbp+plydqt+kVJjyl3AnGk49dpqb0SVK6InBt67AZV191u1aozc8n1
       kLPvZONOlTvo95roe/TwpJJfzFuVTzcmblGvO6xx1HZ6lX+bKnXkiZ2gz0TN
       p4XTttFD2p68FTYj9Zk5ij83nv48nhwYT6xp1OMCepCaUjfqK73UTPQyIRPv
       VhSSU8qLHKiv8qK0gLwR0CE/bEYFeaWoMAWF+Xb090cwN9ePmzcv4b333rrT
       U+Uf+nr1B1/D1RsrWD3ahz1SW2t1l4q1kryrsZEylZt4iF7k3KkRnDjayznf
       ieP0+NLH9tyxPpw6JP0RO4iVHlxXnLJP1b6WHjyXzs3g/OlJrB3owe7JKgzs
       ykNrk1flvM3NVNO7Sy0uwU82eSQZZQVGlOUnoTjHrPb5wxmJG30HPVFqTyg3
       mICwn75d9I1tu6rhFqAPCEot8vREDgP1kRbe1ETqJSP1kAZmQzT9+laFD5/X
       jHBmKgI+C32LHi5iSWpYS61el2i1NBOyA3YEM6xwp+pUPS1j4jYV+yuvu6nl
       /OlGZHwSDy99esSz+1yx9PfSK0A4J4o8YSDW7fy/2JAj9SL9Or6vnjiwoKzQ
       Qc+VTPzFE2Nb1J5XPjGTlW1CKGQhbzTg8ds38L3vvXTXb3xGLukz8pv338Tt
       p85j7egQVjifVw7swsx0PT+vIkyMV6jaZ8eO9OLk+gBOHOzA0eWWjX7r5JWD
       SxFVj0v67J45ugsPSY/PK3M4d2aCuose//Ks6kVx5FAX9VsJBntzMMDR3pyO
       Tuqs3o4savN0rrUOVJekoLzQwvVXz7VYS97g2uyL5oghbiSvivOI63OAWsbn
       jFLnDaEMeuq0OHW2vsEfcQojZolDJGdInJVgw69wYVA5hVLrx6TfqnoUJift
       ULUXJeZXYk6c9kTYksg9yVokU5tZJZdKajOSV6ROvNRvCPqS6FcM5AwzPUci
       sUGM+uPIDwYOI4eZ2spCfPB1v0HtP8iQ2kKSYyK5JhnUkD7i204uTCZPlZZl
       4/SpI/jxj35wp6fE3ev/cL351s9w87FTWD85hdnFJkzvjmBoqBSRenrJtkxM
       0ptI7sHJtS6sLm1gYt8cddNiBEeWG9WQHpRSf25ttU31r5L8N+lvKGcpDxIr
       cmY/JvEVxEdFsYn+XEcPYiE+7OpspKHaqfZwpCe39KvPzdRwHsbQn2ioR2KJ
       HZ3iEakzJ7pfRkBxiOnvPTrFT3joXQIZJuTnupCRbiEOYlXsrtSC1yVuVXu9
       Tnp10V/GT+J65TWTXmr2JijvYtBFqT1j+ZpUewLxRs9PfyNnhdl+E7nAjpIC
       O/JCBuSF9SjMEw7S8HnzRv+ydC3xRF5JT+DvouN7yB7zduJVSw/uQXdnBe9+
       zM1P4Vv//E388pev3+kpcPf6v7gk1vE7r3wVNx89oWJEBofL0NTsR6TBi56O
       oMp93j1eiqWZKtXrYmGyDMuzlapWvOSArkjftbFiLPN+/GAnVun9pU/CjUu7
       8RAxcp6+Z2GyGi0RN7WICUU5CWqUFRgUVuoqUuhdk8glXIvDieQS8dPxxEW8
       8sA5gQTyhkbpMNFd2T7Z99Krs5EgfYWs29kcskcb4Bovc1vw4fbokJZmUPmD
       SeZ44mQHEhKiVMxIEvnDLPV3qatMxhhoNVuh1W6Fnt7eYNyuckYM9OQp0s9N
       3ic1Xnl46aNRlGchHpJQmEtOCYi/iVW5uh73ToRD1IvUUD6JCaCHKqTGKqU3
       WV4ew/e//2386Effw4f/eTdO5PN4vfnWz/Gtbz+Fi1f2YT81V29/IepqJSbX
       glLO66Z6l6r5OtSbjcnhfIz3hTEzko+906WYHghjtDuoatbNDdPvj5dhZXcd
       jtPfXF4fw9nDAyr2S+rSdLf66dPN5AlqqYwd5IoYYkOPSFWK4hKpTZqr9Fac
       8h8ZrmilqXKp64uoY/KDyXwtCfnZVuIqTen8bGp/LzWMyylngloVx+uh57am
       xKoYXI2GPKKLgckUD5stERZqJ6Npm8KJ0bRTfY1BchJNUQoX8prVthN2evoU
       m9QLov/gY+GI7ExyWigRuWEdPTZ/j1z+X/jzpd5DKGQkLmJ4N2FhoRcnTuzF
       7dsP4LXXvos//OH3d/ojvnv9D1wf/+FDfPX5h3Hq7BzmF1vQtStXxa6XcI0v
       5jyuLrdQL3kw2hei35aefOmY6glitDMDuyKp6K5zckg/skxM7crH0nAlFkcr
       sTRbr2o4LUxXqxiLbmKtju8VDkQRJ9vIAztUvc5K+t2qYjuqpa9k0KBiOkI+
       HXL8EgOYgtpSHxqqwvTETpXHF6Av8Xp2wuHYofqpWegfrOLXyQ9m+g2LxLnL
       /q/VBKvVSJzsUPxgs8cj2Sr4kFhdDgu/n5rNTq5wUK85XHzsjOXjOHKEgV6f
       3iLA34d+KZydQJ7Qo7IilcOFilKX2rctKbWhrj4dJ08t4etf/zJ+/vO7+eFf
       1OsXr/8A128ex9mL+7Cwp1PF5UYavaiqdqCyMpkjCa1tXvR1ZKCvxatGZ70T
       TeVW1BcmoZH+u73Sg111fuxq8Kva54szdepccqg3H7ukblC9R9UgLy80U7tI
       D+f74bFvof+OVf3sS/NTPjlDSEMVdUptZTqa6kKorwiSQ4xwU+PLOYXbIX2l
       tsNmiVK+2pmigV3yPbwmpHvpR+gvTAZyieRXSX8RiXO3xatazinixamjrOLH
       yT9ut5ZY4/M2+v00DXJykpFPf5HH36Wo2EZv7UB5pROVVS7+LTy801t0l2Bs
       UmJCe/D8127hl7/6Cd7/4B388U8f3emP8e71KV7y+b773lt4+dWv4/zlA9hD
       3TW1UI+hyXJ09mejstGOmhqbyh+MEDeNtcQHfXcd11LpkVMeSkJFyIKaQjvn
       OD15bRraGgNob8rkPPdRT6UqDMgoK3CoGPh8apfMjFjiRUuNb0JlGfmk0k0t
       b+U8tSCH7xegJxD/IXGGcpdYX4nJdVk39mEltypVcqpS4lXdUYvy2lEqv1Bq
       OMhrEtubqrRY4kY9Un6t1HV3kzP8vo2+fXLOXVrqQHGlHaVVDlSQR6si6Yi0
       BtHcEcaBtQk89sQV/Pinr+Ld/3gT33n1Bfzu93f3av/Rrt+8/2v84LVv4fkX
       HsXFq/sxv68ZM4t1GJoqQV9/Dnq6stAc8aj4ikryRmUx133O54pcrr1BPYcO
       2fTbIc753KxEegfx4mb6dInLSFajvNChYvSkbmFthRP5YSOyg4nIoA9Jc8fA
       7dq54Xs9UnckYSOP3BazEfsusR+8e50adXdxnsserV71AdmhcmxTP4lbzwxY
       6SFsxEASnOQLyYuyJpMr3PH09/yZ2WYUFBCzxG651OSt5KAPq230oZL42L3Y
       Tm59jRxxtz7C3eu/rr/89Y/Kw7/73ht4/sVHsHe1E5MLtVhYasT0TA1GRkuJ
       lUI0NvhQUWJTuYPFuUmc++KlDcRGIrL8WvoFObOORYaX6747Vp0VlOTbyR12
       enUj8vi1EodRmEtvkm0iX5iRmWlEGj26LYXayLxV9XX2kDPkLn1rpceOPE6X
       fgkcAWovFz1EEr821RGLNE8CHFKnnR7b7dKokcqvt0vMFbWZ35+I4mLRjWnI
       pd8uyLdQRxHrVamoqfOggXzRO1SC/QeH8NHHH97pj+Lu9Rm/pI7K1/7pEVy4
       uo846SaXNGF6rgFTsxFMTNUqr1JT40FRkRV5n8y3PHKGYEPi2v3eePjT4rnW
       b8QOep3xqiZVpk9Lz61Tce8hYiVHctPJLQV5DgSCZqQTS560BDjpnZ1c773p
       OjVcfOxO08LjTYBXvHwu+SHDQDxsYEMeS76hXfrgWqOou+Rcg19Lb58RjFd+
       ItLkRwkxkUfv1EAO6x0oxdrRSVx98AieeOoBvPHmz+70n/3u9Tm73v/grY0z
       xnOz2Lc2QJw0Y2G5E3tWeujp2zA8WomW9mzUR3wop7fNpScJZ8s+kA4+wUcq
       8eHYueGtpe+zK4q8EgOfnAP6E8gbeuLDgoLCVGRS9/gzTcgMJ8MfJJ/4iBOP
       4CQOqa5YNazSQ9qrVa8HAnoEOUL8vjz6iAB/ZrpXziXikUvM1dVlItIYRFN7
       Ftq7c7GrvwT9QxW4fI14+PI1vPSdr97pP+/d6wtwCZf8+9u/wKs//AYOrU/S
       m3Rhcq4JY5M1GJuqwfh0LUYnqjE4WIKenny0d4RQW+tVcd5eqenuFc0To/p0
       u53bVA81tzsK6ekx1D0aZNOHZHIEyT9ZxEqIuiuYmYgg9Vq6L16NEHFXUuKg
       JnKijKO21kcOCKClNRvNzZloaMhApCGAXb1lGB2NYG1tErNzHThzfh+eo6d6
       8Z++jCefuY533v0V/vTnj/Hnv9ytLXX3+p+/3nr7dbz242/j+s11LC13YZxa
       a3S8ilqlEP2DBWqMjJaQV0rR2ZXDOZuB6mo3cvOSqJ8SuMbHEhPR9BrEiWsT
       OWEzHK5tCIYTUS57qXU++gEv2lr86O/Nx0BfAXq6QhgaKMDYSCnmqe/GR8sx
       tzuCAwd6cfTYOK5eO4QzZ5bwyK2z+OeXnsHPf/E9vPHGT/Hdl5/Haz96SeUm
       373+36//DWaPcY8=
       "], {{0, 0}, {200, 200}}, {0, 255},
       ColorFunction->RGBColor],
      ImageSize->{200, 200},
      PlotRange->{{0, 200}, {0, 200}}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"255", ",", "255", ",", "255", ",", "255"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"255", ",", "255", ",", "255", ",", "0"}], "}"}]}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"wing", "=", 
   RowBox[{
    GraphicsBox[
     LineBox[{{0.058495821727019504`, 0.29491022284122564`}, {
      0.21169916434540392`, 0.384046713091922}, {0.5097493036211699, 
      0.4843252646239554}, {0.7771587743732591, 0.5344645403899722}, {
      0.9164345403899722, 0.5205369637883008}, {0.947075208913649, 
      0.49825284122562674`}, {0.9637883008356546, 0.4508990807799443}, {
      0.9665738161559888, 0.4091163509749304}, {0.9610027855153204, 
      0.33669295264623955`}, {0.935933147632312, 0.29212470752089137`}, {
      0.8774373259052924, 0.25591300835654596`}, {0.6908077994428969, 
      0.20577373259052928`}, {0.3147632311977716, 0.19184615598885796`}, {
      0.06128133704735375, 0.2308433704735376}, {0.058495821727019504`, 
      0.29491022284122564`}}],
     ImageSize->{220., Automatic}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.36939059612892*^9, 3.369390604085003*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"drawPuppet", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "ls_", ",", "la_", ",", "as_", ",", "aa_", ",", "eyex_", ",", "eyey_", 
        ",", "legAsym_", ",", "armAsym_", ",", "bigHead_", ",", "sad_", ",", 
        "fly_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"jumpPos_", ",", "jumpAngle_", ",", "time_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"thickness_", ",", "headType_", ",", "headSizeP_", ",", 
        RowBox[{"{", 
         RowBox[{"bodyColor_", ",", "headColor_"}], "}"}]}], "}"}]}], "}"}], 
    ",", "headObject_", ",", "numPuppets_", ",", "depth_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "x", ",", "bottom", ",", "top", ",", "head", ",", "eyesp", ",", "eyea", 
      ",", "headSize", ",", "t"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"x", "=", 
      RowBox[{"ls", "*", "numPuppets"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"bottom", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"Sin", "[", "jumpPos", "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{"fly", ",", "la", ",", "0"}], "]"}]}]}], "}"}], "+", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0"}], "}"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"top", "=", 
      RowBox[{"bottom", "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}]}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"head", "=", 
      RowBox[{"top", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".4"}], "}"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eyesp", "=", "0.5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"eyea", "=", ".9"}], ";", "\[IndentingNewLine]", 
     RowBox[{"headSize", "=", 
      RowBox[{"If", "[", 
       RowBox[{"bigHead", ",", 
        RowBox[{"2", "headSizeP"}], ",", "headSizeP"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"t", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"jumpAngle", "<", 
         RowBox[{"-", ".8"}]}], ",", 
        RowBox[{"2", "jumpPos"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"jumpAngle", ">", ".8"}], ",", 
          RowBox[{
           RowBox[{"-", "2"}], "jumpPos"}], ",", "0"}], "]"}]}], "]"}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"GeometricTransformation", "[", 
      RowBox[{
       RowBox[{"GeometricTransformation", "[", 
        RowBox[{
         RowBox[{"GeometricTransformation", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"fly", ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", "0", ",", ".2"}], "]"}], ",", 
                 RowBox[{"Translate", "[", 
                  RowBox[{
                   RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Polygon", "[", "wing", "]"}], ",", "2"}], "]"}], 
                   ",", "top"}], "]"}], ",", 
                 RowBox[{"Translate", "[", 
                  RowBox[{
                   RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Polygon", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ")"}], "&"}], 
                    ",", "wing"}], "]"}], "]"}], ",", "2"}], "]"}], ",", 
                   "top"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"depth", ">", "0"}], ",", 
               RowBox[{"GeometricTransformation", "[", 
                RowBox[{
                 RowBox[{"drawPuppet", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "ls", ",", "la", ",", "as", ",", "aa", ",", "eyex", ",", 
                    "eyey", ",", "legAsym", ",", "armAsym", ",", "bigHead", 
                    ",", "sad", ",", "fly"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"jumpPos", ",", "jumpAngle", ",", "time"}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"thickness", ",", "headSizeP", ",", 
                    RowBox[{"{", 
                    RowBox[{"bodyColor", ",", "headColor"}], "}"}]}], "}"}]}],
                     "}"}], ",", "numPuppets", ",", 
                   RowBox[{"depth", "-", "1"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.4"}], "}"}]}], "}"}], ",", 
                   RowBox[{"top", "+", 
                    RowBox[{".7", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "aa", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}]}], "}"}]}],
                 "]"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "bodyColor", ",", 
             RowBox[{"AbsoluteThickness", "[", "thickness", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"bottom", ",", 
                  RowBox[{"bottom", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "la", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"bottom", ",", 
                  RowBox[{"bottom", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "la", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "legAsym"}], " ", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"bottom", ",", "top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.3"}], "}"}]}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "aa", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"top", ",", 
                  RowBox[{"top", "+", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "aa", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "armAsym"}], " ", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}]}], 
               "}"}], "]"}], ",", "\[IndentingNewLine]", "headColor", ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Switch", "[", 
              RowBox[{
              "headType", ",", "\[IndentingNewLine]", "\"\<normal\>\"", ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Disk", "[", 
                  RowBox[{"head", ",", "headSize"}], "]"}], ",", 
                 "\[IndentingNewLine]", "Black", ",", 
                 RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"head", "+", 
                    RowBox[{"headSize", " ", "eyesp", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                    RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
                   RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"head", "+", 
                    RowBox[{"headSize", " ", "eyesp", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                    RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}], "+", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"eyex", ",", "eyey"}], "}"}], "/", 
                    RowBox[{"If", "[", 
                    RowBox[{"bigHead", ",", "15", ",", "40"}], "]"}]}]}], ",",
                    
                   RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"head", "+", 
                    RowBox[{"headSize", " ", "eyesp", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
                   RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Disk", "[", 
                  RowBox[{
                   RowBox[{"head", "+", 
                    RowBox[{"headSize", " ", "eyesp", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}], "+", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"eyex", ",", "eyey"}], "}"}], "/", 
                    RowBox[{"If", "[", 
                    RowBox[{"bigHead", ",", "15", ",", "40"}], "]"}]}]}], ",",
                    
                   RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"AbsoluteThickness", "[", "4", "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{"sad", ",", 
                   RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"head", "+", 
                    RowBox[{"headSize", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"-", "1"}], "/", "1.5"}]}], "}"}]}]}], ",", 
                    RowBox[{"headSize", "/", "2"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".14", ",", "3."}], "}"}]}], "]"}], ",", 
                   RowBox[{"Circle", "[", 
                    RowBox[{"head", ",", 
                    RowBox[{"headSize", "/", "1.5"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3.28", ",", "6.14"}], "}"}]}], "]"}]}], "]"}]}], 
                "}"}], ",", "\[IndentingNewLine]", "\"\<addie\>\"", ",", 
               "\[IndentingNewLine]", 
               RowBox[{"GeometricTransformation", "[", 
                RowBox[{"headObject", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "headSize", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    "headSize", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "}"}], ",", 
                   "head"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", "]"}]}],
             "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"bottom", "+", "top"}], ")"}]}], "/", "2"}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "t", "]"}], ",", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Sin", "[", "t", "]"}], ",", 
             RowBox[{"Cos", "[", "t", "]"}]}], "}"}]}], "}"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"bottom", "+", "top"}], ")"}], "/", "2"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{
  3.3693907875173483`*^9, 3.369390830665386*^9, 3.369390870677128*^9, 
   3.369390959920638*^9, {3.369391119661613*^9, 3.3693911376183662`*^9}, {
   3.369391175484329*^9, 3.369391201887837*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evolveJump", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"button_", ",", "newAngle_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pos_", ",", "angle_", ",", "lastTime_"}], "}"}]}], "}"}], 
   "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"button", "&&", 
     RowBox[{"(", 
      RowBox[{"pos", "\[Equal]", "0"}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"0.2", ",", "newAngle", ",", 
      RowBox[{"AbsoluteTime", "[", "]"}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"pos", "\[Equal]", "0"}], ")"}], "||", 
       RowBox[{"(", 
        RowBox[{"pos", ">", "Pi"}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pos", "+", 
         RowBox[{"2", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"AbsoluteTime", "[", "]"}], "-", "lastTime"}], ")"}]}]}], 
        ",", "angle", ",", 
        RowBox[{"AbsoluteTime", "[", "]"}]}], "}"}]}], "]"}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"resetAppearance", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"thickness_", ",", "headType_", ",", "headSize_", ",", 
       RowBox[{"{", 
        RowBox[{"bodyColor_", ",", "headColor_"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "t1_", ",", "t2_", ",", "c1_", ",", "c2_", ",", "c3_", ",", "c4_", ",", 
       
       RowBox[{"{", 
        RowBox[{"h_", ",", "b_"}], "}"}]}], "}"}]}], "}"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "t1", "]"}], ",", 
      RowBox[{"200", "h"}], ",", "thickness"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "c3", "]"}], ",", "\"\<normal\>\"", ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", "c4", "]"}], ",", "\"\<addie\>\"", ",", 
        "headType"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "t2", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "b"}], "}"}], ",", "headSize"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "c1", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", 
         RowBox[{"h", ",", "b"}], "]"}], ",", "headColor"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", "c2", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"bodyColor", ",", 
          RowBox[{"Hue", "[", 
           RowBox[{"h", ",", "b"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"bodyColor", ",", "headColor"}], "}"}]}], "]"}]}], "]"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"readState", "[", 
   RowBox[{"{", 
    RowBox[{
    "x1_", ",", "y1_", ",", "x2_", ",", "y2_", ",", "x3_", ",", "y3_", ",", 
     "jb1_", ",", "jb2_", ",", "b1_", ",", "b2_", ",", "b3_", ",", "b4_", ",",
      "b5_", ",", "b6_", ",", "b7_", ",", "b8_", ",", "b9_", ",", "b10_"}], 
    "}"}], "]"}], ":=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"TrueQ", "[", "b1", "]"}], "||", 
         RowBox[{"TrueQ", "[", "b2", "]"}]}], ",", "0", ",", 
        RowBox[{"Rescale", "[", 
         RowBox[{"x1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".7"}], ",", ".7"}], "}"}]}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"TrueQ", "[", "b1", "]"}], "||", 
         RowBox[{"TrueQ", "[", "b2", "]"}]}], ",", 
        RowBox[{"Pi", "/", "4"}], ",", 
        RowBox[{"Rescale", "[", 
         RowBox[{"y1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{"jb1", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "Pi"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]}], "]"}]}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Rescale", "[", 
       RowBox[{"x2", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".7"}], ",", ".7"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Rescale", "[", 
       RowBox[{"y2", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
       
      RowBox[{"Rescale", "[", 
       RowBox[{"x3", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Rescale", "[", 
       RowBox[{"y3", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"jb1", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"jb2", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
      "b5", ",", "\[IndentingNewLine]", "b7", ",", "\[IndentingNewLine]", 
      "b8"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"b6", ",", 
      RowBox[{"Rescale", "[", 
       RowBox[{"x2", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "b9", ",", "b10", ",", "b1", ",", "b2", ",", "b3", ",", "b4", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Rescale", "[", 
         RowBox[{"x1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"Rescale", "[", 
         RowBox[{"y1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.3690745601089363`*^9, 3.369074721765134*^9}, {
  3.3691323080435667`*^9, 3.36913230849544*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Puppet", "[", "]"}], ":=", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"jumpState", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"appearanceState", "=", 
       RowBox[{"{", "}"}]}], ",", "addieBits"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"addieBits", "=", 
      RowBox[{"Developer`ToPackedArray", "[", 
       RowBox[{"addie", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "poses", ",", "jumps", ",", "appearanceButtons", ",", "numPuppets"}],
          "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"data", "=", 
          RowBox[{"Map", "[", 
           RowBox[{"readState", ",", 
            RowBox[{"Select", "[", 
             RowBox[{
              RowBox[{"ControllerState", "[", 
               RowBox[{"All", ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<X1\>\"", ",", "\"\<Y1\>\"", ",", "\"\<X2\>\"", ",", 
                  "\"\<Y2\>\"", ",", "\"\<X3\>\"", ",", "\"\<Y3\>\"", ",", 
                  "\"\<JB1\>\"", ",", "\"\<JB2\>\"", ",", "\"\<B1\>\"", ",", 
                  "\"\<B2\>\"", ",", "\"\<B3\>\"", ",", "\"\<B4\>\"", ",", 
                  "\"\<B5\>\"", ",", "\"\<B6\>\"", ",", "\"\<B7\>\"", ",", 
                  "\"\<B8\>\"", ",", "\"\<B9\>\"", ",", "\"\<B10\>\""}], 
                 "}"}]}], "]"}], ",", 
              RowBox[{
               RowBox[{"FreeQ", "[", 
                RowBox[{"#", ",", "$Failed"}], "]"}], "&"}]}], "]"}]}], 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"data", "===", 
            RowBox[{"{", "}"}]}], ",", 
           RowBox[{
           "Return", "[", "\"\<No compatible controllers connected.\>\"", 
            "]"}]}], "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]",
          
         RowBox[{
          RowBox[{"{", 
           RowBox[{"poses", ",", "jumps", ",", "appearanceButtons"}], "}"}], 
          "=", 
          RowBox[{"Transpose", "[", "data", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"numPuppets", "=", 
          RowBox[{"Length", "[", "poses", "]"}]}], ";", "\[IndentingNewLine]",
          
         RowBox[{"poses", "=", 
          RowBox[{"MapIndexed", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Prepend", "[", 
              RowBox[{
               RowBox[{"Drop", "[", 
                RowBox[{"#", ",", "1"}], "]"}], ",", 
               RowBox[{
                RowBox[{"First", "[", "#", "]"}], "+", 
                RowBox[{"(", 
                 RowBox[{"First", "[", "#2", "]"}], ")"}]}]}], "]"}], "&"}], 
            ",", "poses"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"Spread", " ", "them", " ", "out", " ", "horizontally"}], 
          "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", "jumpState", "]"}], "=!=", "numPuppets"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"jumpState", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", "numPuppets", "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"appearanceState", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"10", ",", "\"\<normal\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{".35", ",", ".35"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Blue", ",", "Blue"}], "}"}]}], "}"}], ",", 
               RowBox[{"{", "numPuppets", "}"}]}], "]"}]}], ";"}]}], 
          "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"appearanceState", "=", 
          RowBox[{"Map", "[", 
           RowBox[{"resetAppearance", ",", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"appearanceState", ",", "appearanceButtons"}], "}"}], 
             "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"jumpState", "=", 
          RowBox[{"Map", "[", 
           RowBox[{"evolveJump", ",", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"jumps", ",", "jumpState"}], "}"}], "]"}]}], "]"}]}], 
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"drawPuppet", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"Raster", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", "addieBits", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "255"}], "}"}], ",", 
                    RowBox[{"ColorFunction", "\[Rule]", "RGBColor"}]}], "]"}],
                   ",", "numPuppets", ",", "0"}], "]"}], "&"}], ",", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{"poses", ",", "jumpState", ",", "appearanceState"}], 
                 "}"}], "]"}]}], "]"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", 
                  RowBox[{"3", "+", 
                   RowBox[{"numPuppets", "^", "2"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1.1"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "800"}]}], "]"}], ",", 
           RowBox[{"CacheGraphics", "\[Rule]", "False"}]}], "]"}]}]}], 
       "\[IndentingNewLine]", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.369131922711451*^9, 3.369132047406559*^9}, {
  3.36913232317557*^9, 3.3691323236427526`*^9}, {3.369653524788817*^9, 
  3.36965352503528*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Play", "Section"],

Cell[BoxData[
 RowBox[{"Puppet", "[", "]"}]], "Input"]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1024, 746},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (October 11, 2006)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 127, 2, 67, "Section",
 InitializationCell->True],
Cell[720, 27, 8223, 193, 339, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[8980, 225, 125, 2, 37, "Section",
 InitializationCell->True],
Cell[9108, 229, 133973, 1979, 212, "Input"],
Cell[143084, 2210, 1002, 19, 101, "Input"],
Cell[144089, 2231, 14099, 330, 684, "Input"],
Cell[158191, 2563, 1128, 36, 54, "Input"],
Cell[159322, 2601, 1876, 54, 129, "Input"],
Cell[161201, 2657, 4217, 121, 219, "Input"],
Cell[165421, 2780, 6825, 163, 429, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[172283, 2948, 23, 0, 37, "Section"],
Cell[172309, 2950, 54, 1, 24, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
