(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8628,        225]
NotebookOptionsPosition[      8380,        212]
NotebookOutlinePosition[      8716,        227]
CellTagsIndexPosition[      8673,        224]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "ls", ",", "la", ",", "as", ",", "aa", ",", "bottom", ",", "top", ",", 
      "head", ",", 
      RowBox[{"eyesp", "=", "0.5"}], ",", 
      RowBox[{"eyea", "=", ".9"}], ",", 
      RowBox[{"headSize", "=", ".25"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ls", ",", "la", ",", "as", ",", "aa"}], "}"}], "=", 
      RowBox[{"ControllerState", "[", 
       RowBox[{"{", 
        RowBox[{
        "\"\<X1\>\"", ",", "\"\<Y1\>\"", ",", "\"\<X2\>\"", ",", 
         "\"\<Y2\>\""}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"la", "=", 
      RowBox[{"Rescale", "[", 
       RowBox[{"la", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"aa", "=", 
      RowBox[{"Rescale", "[", 
       RowBox[{"aa", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"bottom", "=", 
      RowBox[{"{", 
       RowBox[{"ls", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"top", "=", 
      RowBox[{"bottom", "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], "-", "as"}], "]"}]}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"head", "=", 
      RowBox[{"top", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".4"}], "}"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Style", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"Blue", ",", 
           RowBox[{"AbsoluteThickness", "[", "10", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"bottom", ",", 
                RowBox[{"bottom", "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sin", "[", "la", "]"}], ",", 
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"bottom", ",", 
                RowBox[{"bottom", "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "la", "]"}]}], ",", 
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "la", "]"}]}]}], "}"}]}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"bottom", ",", "top", ",", 
                RowBox[{"top", "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.3"}], "}"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"top", ",", 
                RowBox[{"top", "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sin", "[", "aa", "]"}], ",", 
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"top", ",", 
                RowBox[{"top", "+", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Sin", "[", "aa", "]"}]}], ",", 
                   RowBox[{"-", 
                    RowBox[{"Cos", "[", "aa", "]"}]}]}], "}"}]}]}], "}"}]}], 
             "}"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Disk", "[", 
            RowBox[{"head", ",", "headSize"}], "]"}], ",", 
           "\[IndentingNewLine]", "Black", ",", 
           RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"head", "+", 
              RowBox[{"headSize", " ", "eyesp", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                 RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
             RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"head", "+", 
              RowBox[{"headSize", " ", "eyesp", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "eyea", "]"}], ",", 
                 RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
             RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"head", "+", 
              RowBox[{"headSize", " ", "eyesp", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                 RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
             RowBox[{"headSize", "/", "4"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"head", "+", 
              RowBox[{"headSize", " ", "eyesp", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Cos", "[", "eyea", "]"}]}], ",", 
                 RowBox[{"Sin", "[", "eyea", "]"}]}], "}"}]}]}], ",", 
             RowBox[{"headSize", "/", "10"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"AbsoluteThickness", "[", "4", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Circle", "[", 
            RowBox[{"head", ",", 
             RowBox[{"headSize", "/", "1.5"}], ",", 
             RowBox[{"{", 
              RowBox[{"3.28", ",", "6.14"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.1"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "1000"}]}], "]"}], ",", 
       RowBox[{"CacheGraphics", "\[Rule]", "False"}]}], "]"}]}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.3693907875173483`*^9, 3.369390830665386*^9, 3.369390870677128*^9, 
   3.369390959920638*^9, {3.369391119661613*^9, 3.3693911376183662`*^9}, {
   3.369391175484329*^9, 3.369391201887837*^9}, {3.369392628076791*^9, 
   3.369392680590077*^9}, {3.3693927585724382`*^9, 3.3693927620434923`*^9}, {
   3.369392793787129*^9, 3.36939302863022*^9}, {3.3693937049484463`*^9, 
   3.369393705819913*^9}, {3.369393751385666*^9, 3.369393777599361*^9}, {
   3.3693938773189583`*^9, 3.3693939498004637`*^9}, {3.369394032321827*^9, 
   3.3693940619163637`*^9}, {3.369394094246972*^9, 3.3693941175693417`*^9}, {
   3.369394151832334*^9, 3.369394173865115*^9}, {3.369394219302154*^9, 
   3.3693943824919*^9}, {3.369394480042264*^9, 3.36939450829624*^9}, {
   3.3693945505568027`*^9, 3.369394730611355*^9}, {3.36939478929618*^9, 
   3.3693948582292423`*^9}, 3.369402013749443*^9}]
},
WindowSize->{1198, 939},
WindowMargins->{{38, Automatic}, {Automatic, 0}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 16, 2006)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 7808, 189, 354, "Input"]
}
]
*)

(* End of internal cache information *)
