(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    204475,       5241]
NotebookOptionsPosition[     86364,       2524]
NotebookOutlinePosition[    195546,       4967]
CellTagsIndexPosition[    195466,       4962]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["Infinite Refinement Converging on Sublime Perfection", "Title",
 CellChangeTimes->{{3.369316396920923*^9, 3.369316407087618*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " User Interface Comes Alive"
}], "Subtitle",
 CellChangeTimes->{{3.3693164149304123`*^9, 3.369316437447082*^9}}],

Cell["Theodore Gray", "Author",
 CellChangeTimes->{{3.3693164544653063`*^9, 3.369316455542132*^9}}],

Cell["Wolfram Research, Inc.", "Affiliation",
 CellChangeTimes->{{3.369316458554171*^9, 3.369316461256668*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 is a big project"
}], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
  3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
  3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
  3.369643773644587*^9, 3.3696437793220463`*^9}}],

Cell["We have been working on Version 6 for a long time.", "Text",
 CellChangeTimes->{{3.369590839524091*^9, 3.369590845797388*^9}}],

Cell["\<\
There are so many new features in Version 6 that I like to say there are more \
new features in V6 than there were features in V1.  \
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
   3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
   3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
   3.3694832491924953`*^9, 3.369483249693775*^9}, 3.36964739922059*^9}],

Cell["(This probably isn't true, but I like to say it anyway.)", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
   3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
   3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
   3.3694832491924953`*^9, 3.369483249693775*^9}, 3.36964739922059*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Many features with one theme", "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
  3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
  3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}}],

Cell["Interactive graphics", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.369465398811985*^9}}],

Cell["Debugger", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654286848183`*^9}}],

Cell["Dynamic", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.369465439757214*^9}}],

Cell["Graphics, math, controls as text", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.369465410124424*^9}, {3.369647436314279*^9, 
  3.369647440762405*^9}}],

Cell["Formatting, and layout features", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
   3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
   3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
   3.3694653929318237`*^9, 3.369465422372774*^9}, 3.369486205270895*^9, {
   3.3694862383334093`*^9, 3.3694862443174257`*^9}, {3.369647425981638*^9, 
   3.369647447627388*^9}}],

Cell["Interface building capabilities", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}, {3.3694671770513573`*^9, 
  3.3694671825713463`*^9}}],

Cell["Syntax coloring", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}}],

Cell["Live documentation", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}, {3.3694671770513573`*^9, 
  3.3694671825713463`*^9}, {3.369486218980794*^9, 3.3694862206765833`*^9}}],

Cell["Many more I can't even remember anymore.", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}, {3.3694671770513573`*^9, 
  3.3694671825713463`*^9}, {3.369486218980794*^9, 3.3694862206765833`*^9}, {
  3.3694862557581377`*^9, 3.369486263870191*^9}}],

Cell["\<\
A common theme is that in V6 the user interface has become dynamically \
interactive.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}, {3.36946712725215*^9, 
  3.3694671608907137`*^9}, {3.369486284487005*^9, 3.369486297775573*^9}}],

Cell["\<\
Other talks will cover many of these features, I am going to concentrate on \
the fundamentals of dynamic interactivity.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369465296143283*^9, 3.369465359151123*^9}, {
  3.3694653929318237`*^9, 3.3694654539016733`*^9}, {3.36946712725215*^9, 
  3.3694671608907137`*^9}, {3.369467659089491*^9, 3.369467688784607*^9}, {
  3.36948327694407*^9, 3.369483282718014*^9}, {3.3694884975223303`*^9, 
  3.369488499116119*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["We could have done this the easy way", "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
  3.3694651435055237`*^9, 3.369465148103112*^9}}],

Cell[TextData[{
 "When we set out several years ago to add real-time interactive features to \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we imagined a fairly traditional model with event functions, document \
manipulation commands involving replacing named sub\[Dash]parts in a DOM, and \
so on."
}], "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369467774451746*^9, 3.369467777315976*^9}, {
  3.369488515842795*^9, 3.369488516804328*^9}}],

Cell["\<\
As user interface programmers, this is a very familiar paradigm, and one \
familiar to many other user interface programmers in the world.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369467710491522*^9, 3.369467737338192*^9}, {
  3.36946780215633*^9, 3.369467805292453*^9}}],

Cell[TextData[{
 "It's even a very useful paradigm in certain situations, and we support it \
in the form of ",
 StyleBox["GUIKit",
  FontSlant->"Italic"],
 " and the ",
 StyleBox["Workbench",
  FontSlant->"Italic"],
 " product."
}], "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369467710491522*^9, 3.369467737338192*^9}, {
  3.36946780215633*^9, 3.369467805292453*^9}, {3.369486372318302*^9, 
  3.369486391873044*^9}, {3.3694885271762333`*^9, 3.369488548576103*^9}}],

Cell["\<\
It's also a paradigm that is utterly foreign to anyone who isn't a user \
interface programmer.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.36931745917629*^9, 
  3.36931747338395*^9}, {3.369467710491522*^9, 3.369467751666547*^9}, {
  3.3694678139736223`*^9, 3.369467819797303*^9}, {3.36948639990803*^9, 
  3.369486401293529*^9}}],

Cell["\<\
And as is typical of such systems, a page or two of code would have been \
required to do pretty much anything.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.369316931840146*^9}, {
  3.3693170553406687`*^9, 3.369317061252604*^9}, {3.369388283456955*^9, 
  3.36938828365841*^9}, {3.3694833126248407`*^9, 3.3694833175048933`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["We decided to do it a different way", "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
  3.3693171507188387`*^9, 3.369317163220778*^9}, {3.369465186337441*^9, 
  3.369465191545455*^9}, {3.369488578695702*^9, 3.36948857966553*^9}}],

Cell[TextData[{
 "We decided instead to figure out a better way, one that would be familiar \
to current users of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", and that would feel natural to people who are not professional user \
interface programmers."
}], "Text",
 CellChangeTimes->{{3.369467881401984*^9, 3.3694679283256903`*^9}}],

Cell["\<\
The result is a system in which it is possible to create serious, powerful \
interactive programs equal to what would require dozens of pages code in \
other languages.\
\>", "Text",
 CellChangeTimes->{{3.369467881401984*^9, 3.3694679843626747`*^9}, {
  3.369468030143714*^9, 3.369468032318861*^9}}],

Cell[TextData[{
 "And do it in just a few lines of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code."
}], "Text",
 CellChangeTimes->{{3.369467881401984*^9, 3.3694680054800167`*^9}}],

Cell[TextData[{
 "There are some other systems in which interactivity can be created quickly, \
but unline in those systems, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s dynamic interactive interface is not limited to one or two subject \
domains, or to simple toy examples."
}], "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.369317159507656*^9, 
  3.3693173671066236`*^9}, {3.3694886109336*^9, 3.369488660389536*^9}}],

Cell["\<\
You know you're onto something good when you regularly amaze even yourself \
with what it can do.\
\>", "Text",
 CellChangeTimes->{{3.369316786212454*^9, 3.3693168792623863`*^9}, {
  3.369317079796455*^9, 3.369317080077376*^9}, {3.369317159507656*^9, 
  3.369317416974381*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Amazing myself", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
   3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3693885503250723`*^9, 
   3.369388577921599*^9}, 3.3693886252551517`*^9, {3.369488670867847*^9, 
   3.3694886712300167`*^9}}],

Cell["\<\
Here are some examples that amazed me when the system first got to the point \
of being able to handle them.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369388607356998*^9, 
  3.369388607842441*^9}, {3.3693886395408487`*^9, 3.3693886593402977`*^9}}],

Cell["\<\
And more importantly, when we had finally worked out the language design that \
allowed them to be entered so efficiently.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369388607356998*^9, 
  3.369388607842441*^9}, {3.3693886395408487`*^9, 3.3693886818290453`*^9}, {
  3.369406921286626*^9, 3.369406921892565*^9}}],

Cell["I'll explain more about how this works a bit later.", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369388607356998*^9, 
  3.369388607842441*^9}, {3.3693886395408487`*^9, 3.3693886818290453`*^9}, {
  3.369388857053072*^9, 3.369388866498967*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Expand", "[", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], "n"], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "100", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369402060842099*^9, 3.369402084925687*^9}},
 CellLabel->"In[242]:="],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{"Dynamic", "[", "n", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.369388737708374*^9, 3.3693887689250517`*^9}},
 CellLabel->"In[106]:="],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Slider", "[", 
    RowBox[{"Dynamic", "[", "n", "]"}], "]"}], ",", 
   RowBox[{"{", "10", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369388685338625*^9, 3.369388724858379*^9}, 
   3.369388771986047*^9},
 CellLabel->"In[107]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"10", "n"}]}], ")"}], " ", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.3693887746619787`*^9, 3.369388798347117*^9}},
 CellLabel->"In[105]:="],

Cell["\<\
This one was created by user Phil Ramsden within minutes of being introduced \
to V6.\
\>", "Text",
 CellChangeTimes->{{3.36938938564205*^9, 3.369389441214115*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]", " ", "#1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "#1"}], ")"}]}], "&"}], ",", "0.3", ",", "50"}], 
      "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", " ", "0", ",", " ", "4"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3693893465818863`*^9, 3.369389364289495*^9}, {
  3.369389452840149*^9, 3.369389456331061*^9}},
 CellLabel->"In[127]:="],

Cell["I call this one the Graduate Student's Helper.", "Text",
 CellChangeTimes->{{3.3694157735641737`*^9, 3.369415780530107*^9}, {
  3.3694681312085037`*^9, 3.3694681337181187`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Fit", "[", 
       RowBox[{"points", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"x", "^", "i"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], ",", "x"}], 
       "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"ImageSize", "->", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"points", ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", "Locator"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3600445451492496`*^9, 3.36004483638626*^9}, {
   3.36004487242317*^9, 3.3600449497808*^9}, {3.3600450023505406`*^9, 
   3.3600450404889197`*^9}, {3.3600450798371806`*^9, 3.36004509092273*^9}, {
   3.3600451414239197`*^9, 3.36004514326471*^9}, 3.36004529786364*^9, {
   3.3600455881411*^9, 3.3600456366703*^9}, {3.36004575932423*^9, 
   3.36004576051383*^9}, 3.3600458213185005`*^9, {3.3600458752894998`*^9, 
   3.36004589544601*^9}, {3.36004670463362*^9, 3.36004674900593*^9}, {
   3.3600468546113*^9, 3.36004686005592*^9}, {3.3600471485103803`*^9, 
   3.36004719471356*^9}, {3.36004785301939*^9, 3.36004785352274*^9}, 
   3.36004794697908*^9, {3.36004797753763*^9, 3.36004798615073*^9}, {
   3.36004802571421*^9, 3.36004805128214*^9}, {3.3600480874011*^9, 
   3.3600480933625503`*^9}, {3.3600482993153205`*^9, 3.36004835935322*^9}, {
   3.36004846313492*^9, 3.3600484778845105`*^9}, {3.3601816287729797`*^9, 
   3.36018163165708*^9}, {3.36022083610143*^9, 3.36022092315941*^9}, {
   3.3602210136229997`*^9, 3.3602210681627097`*^9}, {3.36022110992209*^9, 
   3.36022111043868*^9}, {3.3602211521229196`*^9, 3.3602211562159*^9}, {
   3.3602214169151306`*^9, 3.36022145974527*^9}, {3.3602224620832095`*^9, 
   3.3602224624958105`*^9}, {3.36022251940493*^9, 3.36022252721608*^9}, {
   3.36024115474248*^9, 3.3602411827558203`*^9}, {3.3602456250649*^9, 
   3.3602457006936097`*^9}, {3.3603286118034*^9, 3.3603286615558705`*^9}, {
   3.36032870428059*^9, 3.3603287106375604`*^9}, {3.3603290301971703`*^9, 
   3.3603291964784703`*^9}, {3.3603292389335504`*^9, 3.36032925908636*^9}, {
   3.3603302320499296`*^9, 3.36033024658738*^9}, {3.36033075361363*^9, 
   3.36033077201826*^9}, {3.36033081423246*^9, 3.36033081507285*^9}, {
   3.36033087225201*^9, 3.36033091117494*^9}, {3.36033551244988*^9, 
   3.36033552252001*^9}, {3.3603355576436296`*^9, 3.36033557078488*^9}, {
   3.3603356186371703`*^9, 3.36033562099331*^9}, {3.3694156177425632`*^9, 
   3.3694157405271063`*^9}, 3.369415785700767*^9, {3.3694158219420757`*^9, 
   3.3694158245262623`*^9}, {3.369468383299711*^9, 3.369468420357915*^9}, 
   3.3694684692545853`*^9},
 CellLabel->"In[53]:="],

Cell[TextData[{
 "It's important to note that this is built from generic functions: There is \
no \"Graduate Student's Helper\" feature built into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to make this particular example easy or compact."
}], "Text",
 CellChangeTimes->{{3.3694682380492783`*^9, 3.369468318011319*^9}, {
  3.369483379431563*^9, 3.369483380351254*^9}, {3.3694886914074183`*^9, 
  3.369488695413814*^9}}],

Cell["\<\
It's easy and compact because the generic primitives from which it is built \
are powerful, and work well with each other.\
\>", "Text",
 CellChangeTimes->{{3.3694682380492783`*^9, 3.369468318011319*^9}, {
  3.369483379431563*^9, 3.3694834055750237`*^9}}],

Cell["\<\
With a few keystrokes we can change it into something completely different.\
\>", "Text",
 CellChangeTimes->{{3.3694682380492783`*^9, 3.369468351820211*^9}}],

Cell["\<\
































\
\>", "Text",
 CellChangeTimes->{{3.369468145961669*^9, 3.3694681506150913`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["How does this stuff work?", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369405009172846*^9, 
  3.369405014606155*^9}}],

Cell[TextData[{
 "The guiding design principle behind all of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is to create a set of powerful, simple primitives that can be combined to \
build complex programs."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369405039662732*^9, 
  3.369405053822927*^9}, {3.369405088922834*^9, 3.369405131537526*^9}}],

Cell["\<\
And then to rigorously implement those primitives, making them fast, \
scalable, and without arbitrary restrictions on their domain.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369405039662732*^9, 
  3.369405053822927*^9}, {3.369405088922834*^9, 3.369405209948107*^9}}],

Cell["\<\
The primitives can seem deceptively simple, until you see just how much they \
can do.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369405039662732*^9, 
  3.369405053822927*^9}, {3.369405088922834*^9, 3.369405238341097*^9}}],

Cell["\<\
Functions like Integrate or NDSolve may look simple on the surface, but they \
represent decades of work and dozens of individual algorithms packaged into a \
clean, efficient interface that hides all of the underlying complexity.\
\>", "Text",
 CellChangeTimes->{{3.369409222654108*^9, 3.369409280226584*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Dynamic", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369405393498055*^9, 
  3.369405394314179*^9}}],

Cell[TextData[{
 "The simple primitive that lies at the heart of the new ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is ",
 StyleBox["Dynamic", "Input"],
 "."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694053961142178`*^9, 
  3.3694054139146643`*^9}}],

Cell["\<\
And to prove how simple it is, I don't have anything pre-typed.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694053961142178`*^9, 
  3.3694054139146643`*^9}, {3.369406818238041*^9, 3.369406827827931*^9}}],

Cell[" ", "Text",
 CellChangeTimes->{3.3695803721157007`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["With Dynamic, you don't need a lot of other things", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369405545267748*^9, 
  3.369405555579526*^9}, {3.369406309892189*^9, 3.369406320638156*^9}}],

Cell["\<\
One of the most difficult things in other systems is how to connect controls \
with each other and with outputs.  This can be especially difficult in a \
document-oriented system where things can be copied and pasted freely, and \
named references are hard to keep straight.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.36940555814193*^9, 
  3.369405581276422*^9}, {3.369406326808673*^9, 3.369406415873178*^9}, {
  3.369409964341383*^9, 3.369409977014237*^9}}],

Cell["Dynamic solves these problems neatly and simply.", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326818698316*^9, 3.3693268190100307`*^9}, {3.36940555814193*^9, 
   3.369405581276422*^9}, {3.369406326808673*^9, 3.369406456451186*^9}, 
   3.3694099836779222`*^9}],

Cell["\<\
In some ways ours is like a model-view-control system, in which the state of \
variables in the kernel represents the model. \
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.36940555814193*^9, 
  3.369405581276422*^9}, {3.369406326808673*^9, 3.369406534550364*^9}, {
  3.36941000384708*^9, 3.3694100043029757`*^9}, {3.369488810303585*^9, 
  3.369488810593483*^9}}],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694065449082108`*^9, 3.369406548606729*^9}, {
  3.369406617034525*^9, 3.3694066222426033`*^9}},
 CellLabel->"In[259]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"n", " ", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.369406552332734*^9, 3.369406570424906*^9}, {
  3.369406615005467*^9, 3.369406631363442*^9}},
 CellLabel->"In[261]:="],

Cell[BoxData[
 RowBox[{"PopupMenu", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "5", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369406590047814*^9, 3.369406599593752*^9}, {
  3.369406644589704*^9, 3.369406645243518*^9}},
 CellLabel->"In[262]:="],

Cell["\<\
It's also a bit like a spreadsheet in the sense that dependencies between \
different elements are tracked and updated automatically.\
\>", "Text",
 CellChangeTimes->{{3.369410012295944*^9, 3.369410046135758*^9}, 
   3.369468920657508*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Dynamic doesn't apply just to variables", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369405545267748*^9, 
  3.369405555579526*^9}, {3.369406309892189*^9, 3.369406320638156*^9}, {
  3.36964847836619*^9, 3.369648484723754*^9}}],

Cell["\<\
Wherever practical (and I have a broad definition of what's practical), \
Dynamic fulfills its mission: Make it so.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.36940555814193*^9, 
  3.369405581276422*^9}, {3.369406326808673*^9, 3.369406415873178*^9}, {
  3.369409964341383*^9, 3.369409977014237*^9}, {3.369648493364365*^9, 
  3.369648519532896*^9}}],

Cell[BoxData[
 RowBox[{"CurrentValue", "[", "\"\<ControllerState\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.369648530821274*^9, 3.369648536534418*^9}},
 CellLabel->"In[79]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"CurrentValue", "[", "\"\<ControllerState\>\"", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3696485247167883`*^9, 3.369648557137519*^9}},
 CellLabel->"In[67]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"Last", "[", 
   RowBox[{"ControllerState", "[", 
    RowBox[{"All", ",", "\"\<X1\>\""}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.3696485247167883`*^9, 3.369648620810278*^9}},
 CellLabel->"In[75]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"n", "=", 
    RowBox[{"Last", "[", 
     RowBox[{"ControllerState", "[", 
      RowBox[{"All", ",", "\"\<X1\>\""}], "]"}], "]"}]}], ";", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "+", "n"}], ")"}], " ", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369648629127836*^9, 3.369648654759115*^9}, {
  3.369648717024452*^9, 3.369648721495104*^9}},
 CellLabel->"In[78]:="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["DynamicModule", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369409718151663*^9, 
  3.369409724965201*^9}, {3.3694099866698723`*^9, 3.369409987125856*^9}}],

Cell[TextData[{
 "What if you ",
 StyleBox["don't",
  FontSlant->"Italic"],
 " want all those controls linked to each other?"
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694097458062963`*^9, 
  3.369409761378469*^9}, {3.369409915770368*^9, 3.3694099382294407`*^9}}],

Cell["\<\
It's fundamental to a robust system that one be able to create modules that \
work independently, and that can maintain their own private state.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694097458062963`*^9, 
  3.369409761378469*^9}, {3.369409915770368*^9, 3.3694099382294407`*^9}, {
  3.3694100618745737`*^9, 3.369410092041337*^9}}],

Cell["DynamicModule solves this problem neatly.", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694097458062963`*^9, 
  3.369409761378469*^9}, {3.369409915770368*^9, 3.3694099382294407`*^9}, {
  3.3694100618745737`*^9, 3.369410106153699*^9}}],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "n", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Slider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"n", " ", "x"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.369410110627459*^9, 3.369410171706863*^9}},
 CellLabel->"In[278]:="],

Cell["\<\
One reason localization is so important is that we allow you to freely copy \
and paste even this kind of dynamic output, which would in other systems be \
considered a running program.\
\>", "Text",
 CellChangeTimes->{{3.369410198124927*^9, 3.369410254591237*^9}}],

Cell["What's the difference between Module and DynamicModule?", "Text",
 CellChangeTimes->{{3.369643842076703*^9, 3.369643869388959*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Everything",
  FontSlant->"Italic"],
 " is just like text"
}], "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
   3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694070267280912`*^9, 
   3.369407038887248*^9}, 3.369409330457389*^9}],

Cell[TextData[{
 "Text, typeset mathematics, controls, and graphics are all completely \
integrated with each other and with the document editing features of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".  You can put anything next to or inside of anything else."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694070620812883`*^9, 
   3.369407115680545*^9}, 3.3694097645361967`*^9}],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694065449082108`*^9, 3.369406548606729*^9}, {
  3.369406617034525*^9, 3.3694066222426033`*^9}},
 CellLabel->"In[259]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"n", " ", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.369406552332734*^9, 3.369406570424906*^9}, {
  3.369406615005467*^9, 3.369406631363442*^9}},
 CellLabel->"In[261]:="],

Cell["I do mean everything.", "Text",
 CellChangeTimes->{{3.369410277222961*^9, 3.369410279055204*^9}, {
  3.369410433351116*^9, 3.3694104345885077`*^9}}],

Cell[BoxData[
 RowBox[{"Framed", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"contents", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", 
    RowBox[{"EventHandler", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.1", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"Dynamic", "[", 
            RowBox[{
             RowBox[{"contents", "=", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.001"}], "}"}]}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "0"}], "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"-", "0.8"}]}], "}"}], 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "]"}], "&"}],
                 ",", "contents"}], "]"}]}], ";", 
             RowBox[{"Map", "[", 
              RowBox[{"First", ",", "contents"}], "]"}]}], "]"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
       RowBox[{"(", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"contents", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "]"}], ")"}]}]}], 
     "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.369404383565681*^9, 3.369404385101109*^9}},
 CellLabel->"In[68]:="],

Cell[" ", "Text",
 CellChangeTimes->{3.369580385414167*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Manipulate", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694103979460278`*^9, 
  3.369410399659828*^9}}],

Cell[TextData[{
 "The single command Manipulate is so powerful, sometimes the hardest part is \
reminding people that it's not the only way to create interactive examples in \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.369411836051323*^9, 3.3694118764832773`*^9}, {
  3.369483463865835*^9, 3.3694834724195232`*^9}}],

Cell["\<\
You've seen several examples of Manipulate already, there are hundreds on our \
Demonstrations website, and there are two entire talks scheduled about it \
later in the conference.\
\>", "Text",
 CellChangeTimes->{{3.369411836051323*^9, 3.3694118764832773`*^9}, {
  3.369413253570045*^9, 3.369413264367508*^9}, {3.369413303685117*^9, 
  3.369413328981443*^9}}],

Cell[TextData[{
 "So rather than explain Manipulate in detail, I'll tell you a bit about how \
Manipulate fits in with the rest of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.369411836051323*^9, 3.3694118764832773`*^9}, {
  3.369413253570045*^9, 3.369413264367508*^9}, {3.369413303685117*^9, 
  3.369413389920641*^9}, {3.36948349230873*^9, 3.369483504903351*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Manipulate 2", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694103979460278`*^9, 
  3.369410399659828*^9}, {3.369411825723164*^9, 3.369411826120676*^9}}],

Cell["\<\
A great thing about computers is that once you've shown them how to do \
something, they're happy to do it over and over.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
  3.369410407699514*^9}, {3.369410942575066*^9, 3.369411118919039*^9}, {
  3.3694134547484818`*^9, 3.369413481290701*^9}}],

Cell[BoxData[
 RowBox[{"10", "!"}]], "Input",
 CellChangeTimes->{{3.369413483559589*^9, 3.369413485475806*^9}},
 CellLabel->"In[283]:="],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"n", "!"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369413488427926*^9, 3.369413499967352*^9}},
 CellLabel->"In[284]:="],

Cell["\<\
Manipulate fits right in: In many cases you can simply replace the word Table \
with Manipulate and the same code becomes interactive.\
\>", "Text",
 CellChangeTimes->{{3.3694144865814238`*^9, 3.3694144879024487`*^9}, {
  3.369414534777561*^9, 3.369414559312437*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"n", "!"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694135288989763`*^9, 3.369413542208028*^9}, {
  3.369469176028802*^9, 3.3694691764385777`*^9}},
 CellLabel->"In[287]:="],

Cell[TextData[{
 "In this sense, Manipulate is a very \"mathematical\" rather than \
\"programming\" sort of function.  It's a function anyone familiar with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can begin using immediately."
}], "Text",
 CellChangeTimes->{{3.369414668091728*^9, 3.3694147445542107`*^9}}],

Cell["\<\































\
\>", "Text",
 CellChangeTimes->{{3.3694135632259893`*^9, 3.369413566931737*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Manipulate 3", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694103979460278`*^9, 
  3.369410399659828*^9}, {3.369411825723164*^9, 3.369411826120676*^9}, {
  3.369413416786112*^9, 3.3694134168992643`*^9}}],

Cell["\<\
Manipulate is especially useful when you have too much parameter space to \
print out completely.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
  3.369410407699514*^9}, {3.369410942575066*^9, 3.369411034699951*^9}, {
  3.369413657536858*^9, 3.369413672088945*^9}, {3.369414430301963*^9, 
  3.369414434787056*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"n", " ", "t"}], "]"}], ",", 
        RowBox[{"Cos", "[", 
         RowBox[{"m", " ", "t"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"8", "Pi"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "1", ",", "4"}], "}"}]}], "]"}], "//", 
  "Grid"}]], "Input",
 CellChangeTimes->{{3.369413678673856*^9, 3.36941374589657*^9}, {
  3.369413788737788*^9, 3.369413791777924*^9}},
 CellLabel->"In[290]:="],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"n", " ", "t"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"m", " ", "t"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"8", "Pi"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369413678673856*^9, 3.36941374589657*^9}, {
   3.3694137795088053`*^9, 3.369413786481283*^9}, 3.369413821484231*^9},
 CellLabel->"In[31]:="],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.369580398253407*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["How is Manipulate implemented?", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694103979460278`*^9, 
  3.369410399659828*^9}, {3.369411825723164*^9, 3.369411826120676*^9}, {
  3.369413416786112*^9, 3.3694134168992643`*^9}, {3.3694136421064243`*^9, 
  3.369413642305715*^9}, {3.369483560324374*^9, 3.369483564916313*^9}}],

Cell["\<\
The underlying generality of Dynamic and the fact that everything is text is \
of more than academic interest.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
   3.369410407699514*^9}, {3.369410942575066*^9, 3.369411034699951*^9}, 
   3.369415153001368*^9, {3.369483579260851*^9, 3.369483635359158*^9}}],

Cell["\<\
It means the full power and flexibility of our layout engine, including \
tables, is available for laying out controls and other interactive elements.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
  3.369410407699514*^9}, {3.369410942575066*^9, 3.369411034699951*^9}, {
  3.369415153001368*^9, 3.369415156513686*^9}, {3.369483611662311*^9, 
  3.369483620037972*^9}}],

Cell[TextData[{
 "Perhaps the highest expression of this is the fact that Manipulate is \
implemented entirely using Dynamic and the controls and layout primitives \
available in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
  3.369410407699514*^9}, {3.369410942575066*^9, 3.369411118919039*^9}, {
  3.369483648094636*^9, 3.369483655191848*^9}}],

Cell["How hard is it to build Manipulate from scratch?", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.3694104038995523`*^9, 
  3.369410407699514*^9}, {3.369410942575066*^9, 3.369411118919039*^9}, {
  3.369415171112623*^9, 3.369415206695581*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Start with the basic functionality", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694152331881847`*^9, 
  3.369415237960569*^9}}],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694152583652678`*^9, 3.369415287917557*^9}},
 CellLabel->"In[296]:="],

Cell[BoxData[
 RowBox[{"Slider", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "m", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694152898058653`*^9, 3.369415292205449*^9}},
 CellLabel->"In[295]:="],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"n", " ", "t"}], "]"}], ",", 
      RowBox[{"Cos", "[", 
       RowBox[{"m", " ", "t"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"8", "Pi"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.369415271142742*^9, 3.3694152734368277`*^9}},
 CellLabel->"In[294]:="],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.369580405914756*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Localize the variables", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694152331881847`*^9, 
  3.369415237960569*^9}, {3.369415329743156*^9, 3.369415332019629*^9}}],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Slider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "4"}], "}"}]}], "]"}], ",", 
     RowBox[{"Slider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", "m", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "4"}], "}"}]}], "]"}], ",", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"n", " ", "t"}], "]"}], ",", 
          RowBox[{"Cos", "[", 
           RowBox[{"m", " ", "t"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"8", "Pi"}]}], "}"}]}], "]"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3694152583652678`*^9, 3.369415287917557*^9}, {
  3.369415341387907*^9, 3.369415370019319*^9}},
 CellLabel->"In[298]:="],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.3695804125620213`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Make it look pretty", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.3694152331881847`*^9, 
  3.369415237960569*^9}, {3.369415329743156*^9, 3.369415332019629*^9}, {
  3.369415385808119*^9, 3.3694153884134207`*^9}}],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", ",", "m"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Panel", "[", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Slider", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "n", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"Slider", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "m", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"ExpressionCell", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"ParametricPlot", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", 
               RowBox[{"n", " ", "t"}], "]"}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"m", " ", "t"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", 
              RowBox[{"8", "Pi"}]}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"Background", "->", "White"}]}], "]"}]}], "}"}], "]"}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3694152583652678`*^9, 3.369415287917557*^9}, {
  3.369415341387907*^9, 3.369415430706923*^9}, {3.369415462599333*^9, 
  3.369415466628269*^9}, {3.3694836830818253`*^9, 3.369483700576033*^9}},
 CellLabel->"In[52]:="],

Cell[" ", "Text",
 CellChangeTimes->{3.3695804161418056`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Actually there's much more to Manipulate than that", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.369326820739636*^9, 3.3693268210262012`*^9}, {3.369483727811975*^9, 
  3.369483738483774*^9}}],

Cell["\<\
In deference to Lou D'Andrea who implemented Manipulate I won't for a minute \
claim that it's really that easy to replicate.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369483783037203*^9, 
  3.369483829676343*^9}}],

Cell[TextData[{
 "It has a tremendous range of automatic flexibility, including the ability \
to automatically choose a path through all the parameter values to create an \
interesting Flash movie for export (also written entirely in top level ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code)."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369483783037203*^9, 
  3.369483909959176*^9}}],

Cell["\<\
It is without a doubt the most complicated, sophisticated piece of code yet \
written using the dynamic features of Version 6.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369483783037203*^9, 
  3.369483909959176*^9}, {3.369643896541868*^9, 3.369643921455055*^9}}],

Cell[TextData[{
 "But basically, Manipulate is an example of something you can build from \
scratch using the built-in primitives in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326818698316*^9, 3.3693268190100307`*^9}, {3.369483783037203*^9, 
   3.369483945705161*^9}, 3.3694884161749153`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Amazing even myself, part 2", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.3693886265030413`*^9, 3.369388627164177*^9}}],

Cell["These are some more examples that have amazed me recently.", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
  3.369388633852707*^9, 3.369388634715863*^9}, {3.369483973314084*^9, 
  3.369483984745713*^9}, {3.369643940815514*^9, 3.369643941783575*^9}}],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->"\<\"OpticalDemo.nb\"\>", True->
    StyleBox["\<\"OpticalDemo.nb\"\>", "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{"OpticalDemo.nb", None},
   ButtonNote->"OpticalDemo.nb"],
  Annotation[#, "OpticalDemo.nb", "Hyperlink"]& ]], "Input",
 CellChangeTimes->{3.369318100686139*^9},
 CellLabel->"Out[47]="],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->"\<\"MultiPuppet.nb\"\>", True->
    StyleBox["\<\"MultiPuppet.nb\"\>", "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{"MultiPuppet.nb", None},
   ButtonNote->"MultiPuppet.nb"],
  Annotation[#, "MultiPuppet.nb", "Hyperlink"]& ]], "Input",
 CellChangeTimes->{3.369409877440159*^9},
 CellLabel->"Out[276]="],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->"\<\"SpriteAnimation.nb\"\>", True->
    StyleBox["\<\"SpriteAnimation.nb\"\>", "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{"SpriteAnimation.nb", None},
   ButtonNote->"SpriteAnimation.nb"],
  Annotation[#, "SpriteAnimation.nb", "Hyperlink"]& ]], "Input",
 CellChangeTimes->{3.369643326825156*^9},
 CellLabel->"Out[1]="],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->"\<\"GoogleElements.nb\"\>", True->
    StyleBox["\<\"GoogleElements.nb\"\>", "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{"GoogleElements.nb", None},
   ButtonNote->"GoogleElements.nb"],
  Annotation[#, "GoogleElements.nb", "Hyperlink"]& ]], "Input",
 CellChangeTimes->{3.369318166984488*^9},
 CellLabel->"Out[48]="],

Cell[BoxData[
 RowBox[{"Table", " ", "Rotation"}]], "Input",
 CellChangeTimes->{{3.369643674463315*^9, 3.3696436760077467`*^9}}],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->"\<\"EquationTrekkerV6.nb\"\>", True->
    StyleBox["\<\"EquationTrekkerV6.nb\"\>", "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{"EquationTrekkerV6.nb", None},
   ButtonNote->"EquationTrekkerV6.nb"],
  Annotation[#, "EquationTrekkerV6.nb", "Hyperlink"]& ]], "Input",
 CellChangeTimes->{3.3693186211640673`*^9},
 CellLabel->"Out[54]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], 
       RowBox[{" ", "of", " "}], 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Conclusion", "Section",
 CellChangeTimes->{{3.369318057774563*^9, 3.369318063740078*^9}, {
  3.3693267914045563`*^9, 3.369326793297283*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " V6 is at this stage a very solid beta.  "
}], "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326807835387*^9, 3.369326808081534*^9}, {3.369485302073164*^9, 
   3.369485336643579*^9}, 3.3694854905480757`*^9}],

Cell["\<\
Most of this year has been spent on refining language design and building the \
infrastructure needed to support V6.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326807835387*^9, 3.369326808081534*^9}, {3.369485302073164*^9, 
   3.369485336643579*^9}, {3.3694854905480757`*^9, 3.369485535146068*^9}, {
   3.3694855678676453`*^9, 3.3694855707080803`*^9}, 3.3694884191414757`*^9, {
   3.36964804096128*^9, 3.3696480790853157`*^9}}],

Cell["\<\
For example, paper documentation just doesn't do it for describing dynamic \
interactive features.
So we had to invent an entirely new system for documentation.\
\>", "Text",
 CellChangeTimes->{{3.369318067412827*^9, 3.369318085044733*^9}, {
   3.369326807835387*^9, 3.369326808081534*^9}, {3.369485302073164*^9, 
   3.369485336643579*^9}, {3.3694854905480757`*^9, 3.369485535146068*^9}, {
   3.3694855678676453`*^9, 3.3694855707080803`*^9}, 3.3694884191414757`*^9, {
   3.36964804096128*^9, 3.369648082421686*^9}, {3.369652091005888*^9, 
   3.369652106909635*^9}}],

Cell[TextData[{
 "If you're currently familiar with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", starting to use V6 will be very comfortable: Manipulate you can use \
immediately, Dynamic you will find quite comfortable after a short while."
}], "Text",
 CellChangeTimes->{{3.369485572986916*^9, 3.36948561720477*^9}, 
   3.3694884232133636`*^9}],

Cell[TextData[{
 "If you're not currently a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " user, V5 is a great place to start.  The language is the same, and you'll \
be happy to have practice with the language when you start using V6."
}], "Text",
 CellChangeTimes->{{3.369485572986916*^9, 3.36948561720477*^9}, {
   3.369486126193445*^9, 3.36948614646432*^9}, {3.369580425750012*^9, 
   3.3695804550124483`*^9}, 3.3696481340108757`*^9}],

Cell["\<\
It's often quite fun to go through old code and basically just wrap \
Manipulate around it.  In many cases formerly static code can be made \
interactive in seconds or minutes, not hours.\
\>", "Text",
 CellChangeTimes->{{3.369485572986916*^9, 3.36948564455752*^9}, {
  3.36948567974969*^9, 3.369485713164238*^9}, {3.3694861591293173`*^9, 
  3.369486161754382*^9}, {3.369488426749496*^9, 3.369488428998267*^9}}],

Cell["\<\
And after V6 ships, we have a long list of exciting ideas to start on in all \
that free time we'll suddenly have.\
\>", "Text",
 CellChangeTimes->{{3.369485572986916*^9, 3.36948564455752*^9}, {
  3.36948567974969*^9, 3.369485835390963*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Other sessions related to user interface technology", "Section",
 CellChangeTimes->{{3.3695833434453278`*^9, 3.3695833481616983`*^9}, {
  3.3695845513006697`*^9, 3.369584562210153*^9}, {3.369648163329019*^9, 
  3.369648170589932*^9}}],

Cell[TextData[{
 StyleBox["4:00 PM Thursday",
  FontWeight->"Bold"],
 "\tManipualte Anyting, Lou d' \n",
 StyleBox["8:00 AM Friday",
  FontWeight->"Bold"],
 " \tPower-Using the New ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Front End, John Fultz\n",
 StyleBox["9:00 AM Friday",
  FontWeight->"Bold"],
 "\tTo Manipulate and Beyond, Lou d'Andria\n",
 StyleBox["10:00 AM Friday",
  FontWeight->"Bold"],
 "\tNew Ways to Interact with Graphics, Chris Carlson\n",
 StyleBox["10:30 AM Friday",
  FontWeight->"Bold"],
 "\tThe New Graphics3D Rendering System, Chris Hill\n",
 StyleBox["11:00 AM Friday",
  FontWeight->"Bold"],
 "\tThe Wolfram Demonstrations Project, Jeffrey Bryant\n",
 StyleBox["1:30 PM Friday",
  FontWeight->"Bold"],
 "\tThe State of Computer Graphics in 2006, Luc Barthelet\n",
 StyleBox["1:30 PM Saturday",
  FontWeight->"Bold"],
 "\tInteractive Mathematics in High School: Teaching and Learning with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", Abigail Brown\n",
 StyleBox["2:30 PM Saturday",
  FontWeight->"Bold"],
 "\t",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Projects by High School Students,  Ryan Chuang, Samantha Patterson, Jenny \
Tan, and Jeffrey Tsao"
}], "Text",
 CellChangeTimes->{{3.369583484404491*^9, 3.369583503598724*^9}, {
   3.369583558780423*^9, 3.369583832593305*^9}, {3.369583964783964*^9, 
   3.369583992797454*^9}, {3.3695841075413227`*^9, 3.369584134698892*^9}, 
   3.369644249213273*^9, {3.3696481800247707`*^9, 3.3696481926779346`*^9}}]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"SlideShow",
PrintingStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{1024, 676},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellLabelAutoDelete->False,
SpellingDictionaries->{"CorrectWords"->{
 "twiki", "blog", "Urbana", "unreleased", "Faisal", "gamepads", "sysadmin", 
  "Theo", "checkboxes", "bi", "directionally", "expr", "var", "trackable", 
  "offscreen", "vs", "img", "Ramsden", "IKit"}},
Magnification->1,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (October 11, 2006)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Wolfram Reseller Conference 2006", "Title"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       StyleData[StyleDefinitions -> "Core.nb"]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"], PageWidth -> WindowWidth, 
       CellBracketOptions -> {"Color" -> RGBColor[0.269993, 0.308507, 0.6]}, 
       CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
       ScriptMinSize -> 9], 
      Cell[
       StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
       CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
       ScriptMinSize -> 12], 
      Cell[
       StyleData[All, "SlideShow"], PageWidth -> WindowWidth, 
       DockedCells -> {
         FEPrivate`FrontEndResource["FEExpressions", "SlideshowToolbar"], 
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJy9XE3IbVUZ3u6z9znnu59erwmF0eCOGkQDoVEQqZFaUBCN7AfqIoK3MMWM\n\
LjjRSQMJgpw06GcQDZrkKIQmOgqCIGjqoMlFkWsmiimS7Naz1vus/ay/c87+\n\
vuM9sM+3z95rv+tdz/u73rX29/UrTz36yGNXnrr68JXLDz555YlHrz7848sP\n\
PP6ku7S6petuuavruvsudzif3Kl9TdP1x7tP4gs/lp1/1f8Zpld/sp5u/Oyu\n\
6c1ffnp6+7ef6/Fj6++N0+vP3jm98fPLuO7/ut/d1p577enb/HM4HI3BHiE5\n\
udWtsq5wOFKB0kopdb7BYO3Rfd7FCr9W+55cwFzgYh0feetXn/WHMcmu5NHQ\n\
lV1zd30LDub15+6ebjx/L45ug+/RWMLFt198xh+u0XbX5XF649ffiJdx/uq1\n\
S92dQXAPsieHznsv3D9Nf3/EPYDv1fTO7z8fOSLnENz/Xn7ItxisHX7jeugs\n\
cAIhu7v+iFCO07t/vCdetltRoACE19//89eIgVByWLlvisW1UTokA9Xj5Q/+\n\
8s3VPjILOF0LCI60gDUQAH94pQ/YYFC5VN9/5aXJPk6q7hPV4tql6YPr//A3\n\
VvaNxriuQji0HdQnb/fhf//jdQAt7gg68IA1F+S63gYH2QJokznQ6gJEG6/Y\n\
CtGHf/2eb+v+ojs/ftBMdahAXO0v717gI7J2b+W7Iun1GZXFVN4fjtWlytJm\n\
PZU824lSxSFCkQy1qGi9tReTCHws1Si90UMXelOD9/75QqTSn6Wx6VXZGAr2\n\
2rPBGwR17O43GamF4wD6Djr1ivBDczdj8ggQcjpnaI5e/4gakdsjqJoAlulY\n\
Stqdn9Q1jAMQ1fCHhrAGpYN5T5WhNy71caOMXj2ZHvz0dYd7yTh+8w/fn/Tj\n\
fjulsiDqPAo/Tl1ISTQHTfoztdZ+XaTiZQQtft792+/uUJUa6IapThcqwnBq\n\
wqikHss1aSgLe1bROT27GfqSsugkXmOxrSo7OV8XnKNZvL3yXZP5TV1H7tih\n\
IxzvOy//Il53kYY8IehUxLustVOAeNlFO15G4OPHuSLTkS9XTBD+AiZ4UkHK\n\
xTgOW90KbacNNxIlEnfnN0dRGJGTvGWpohzIuQuNVc63dS352A4toSmqE2hI\n\
suEy9rVOY5Pl+e6TaEXKs3gOvezsjwqh6WD0ydscVg8MwpjpTx8mQUdUh3Wu\n\
Dv4xZ7mkBLVI044GpfMxjzyw5jcaGnFnRSOQKDj3byHbcf7vf6VS6+0UN9iv\n\
O/eXpcFKG1ieOzAFCX7u2cs1DchguVC/vKlfDtheqILIa+ZsDlUC5s/ucNfw\n\
PWr+XODO3Hxun+bbMa+bNSbO7WS6UlUTR3tokjz3qAPHZQpT0x5HjpzohPQ2\n\
0yiNCNADzG1X0eZn6+93XrM8g/y5oETdgudhn7ffBP0RA/T3DNld+rOxe2yu\n\
urIxlOVeVS84l0c+ZfYcDVNnQ2OT3rmHslsp0skQ2VC/edGYFu8PoS5ShiGc\n\
ORKcL9tcuSZ/2BDH61ST8tcCREP+capZgpZb0QHyV3+Ax4OPwPduvw3w0va1\n\
CcUmT6Z9G4xdBaam2VdG7LPtVhfnRsH1HjlRz1bzJ96zBU7Us100f6JzFkQo\n\
+BMaDH6XecUhd2etxF/nUwZTL6S/ZOFSql6YCgvTtQTFWSvVSydCMUHZJMAC\n\
Gdqjy2eqcpLaSLUed2iWSiKapTYS6UjkXNxm86YaWo7Fj9tlVDT4ufH8vbUK\n\
SJKCSBQIiWaagpwmDUgcCoHfLL++9acnkIqw9Hp/BSI3aHKuUxA3S2HenE1m\n\
amm/G2dvTh2txfQ/2pnJavflA2Ymyzl3zZL8yR5r5aGUvxYVGtPLRh3DNTlb\n\
a0hfVO4TqgRjEjQwDiyOnNg9TtLM4qWEFBYh1PTn+mwat4kf5jH1ePBRF8I0\n\
G8CBEe5UjaUDqEWWtI5P8BrKcSkYtDPRoSJhJ78FlSrX5Gyts1KGqckDFie1\n\
Xm2ezqsO19zwOyaXJx5zdS84ZwTHX/c7gmfgGPRtAahhLtGgWnaya3aj2Ynn\n\
hMsOql82Xv8Xyw61WXAjHRlnmksHWtO00wJsq6n4QEbAwftc4C8Sk9FGK13H\n\
JUWs7ZlL8SqFqOLOQ566Sea718NEmUHI9eYaI6RYhmJ5DaV8cNNtUq1DJgNG\n\
wBicm/sdCj9xUVEc146JQxgu19PWFXXkmlxe2UZasKfgX04aRvVlUbB+vY7a\n\
UJswm1NumocsEy1idDRaGKv1axgMiTntWVOUeilYLnLLuKJkWjT5tGYqpjiH\n\
touLErOHjO1sGdK3sCnTV4xZSBoA6JIiJA2/5oa1NhOHX8AlRjY2QR1yIxHT\n\
qh/+QCZAjPWeLLtDfiyYjPYtExd/oIvtvDgQlJgPrewbQ0AfCCYUoPQZqnTD\n\
ckY3BhMkzH4ZM3EONxcXcNLxrI0101ELAAFOcxUxvYVR43yu2q991qJZMc6d\n\
Euy5vaHAnB/AJboNUEePSHet6tbaOnKZaVO6P4OBqNiV0aVbJUZpZ7tLksks\n\
fYhN+aPFFRtILJ0PPSiKTFJ0G8gNbmsJWz3g2i1WUS/87W2F3LD7uVtFtraL\n\
pjqebRzPj1Ics/SruTLe1ZeoqVOz7xtyh+nX9uNOlDSH4qSoSBprE0J3rJvd\n\
hgVPDncMcJZ0c1toEdjQUcoGFo01pLeOIzwOruRPN1esj4hrjX4/EwrAmA+J\n\
1cAiuG6Nrzw02sPbynOkr8vSvt12EYJpQHTEfBZp8wVlJVjSzAd3HGkSkVw7\n\
F5yipqEdzTafxphH1/0KquIuagWkjJswNvEHJNj1IgJNPY0imUUYTG2qXPFH\n\
Gwl7ms6cRzhxZjYmrTmrOlkAepmE6RKj4FtNm3z2HhipzSqHyEitZrXn4VXj\n\
HlK48fiAcotevk0EScKFBYCWpmta2MeiCpHMKoU1xlzuUYJ42HO1bXiOlfVH\n\
BV0ByukC1FIX7FjmZTwiXCTuAlpBC2QXWqtlFzN4C55sVESODV9c3isTYJ3m\n\
6mRNzRtPpgqR4rpNcKU/5DUq5K5C8yrC7s8a21Hmprtqj+uZQlpowwG/89ji\n\
SL9rKtkE77QVb/JApL6QuURcbLmpqHHs4g0TbWYy8MNjaqAOX9eVlmjgLBrR\n\
vurKJzHIDLFpuH0Bb/vJUZ/0R1jJCE5Gtwx7wKOhD0nNV7ZoqU794DxOU3l2\n\
KC5xmgFataMbsmU1XVTeo4mZn9zVtLHOE5bt1rX4qVmTFtSungU3Frez/aZL\n\
QvSQVD3ikCqQZZrtoCZXWs1m+bIZpNvPMclRLbDVE9tYke4zotrFCJnmoedA\n\
NK2VJSsfe2GlE25uJNAKjHaBbJX3lLApTpFAnpFCI08+tXu6fYA0+4oYHX0z\n\
9U/hz2BrPDrLcOJd2WUFI66bVarpZjOKm60lqdODGwrW7VdyqDp7RTNIt4nj\n\
LKqrAQsdL7d59zZZUleIA4v985Tq5DwUurVOj+OzPo0N800uqoAcbVORj8ZU\n\
LMyrzE7NtnWHjnfGU7NeUNbEl9cLhh30SymkfbJUIOttYhcnBz7RLkLUtyvt\n\
2sWotuTEcvVs+LKsC8GS88G+s0RkL74sR5R1rhRfzaLAIpbddMOVLYNJ7enC\n\
gU9sK+1G6xN46wKb5XCEuHwzp75T+tGA8xcMh+ytt89IPsHLjspd9csXpR8h\n\
4vt5OvTTKhN/N3j8t198pgurEzng8u4bCqa+HcrSbBcrjc/d7du9/8pLnd/Y\n\
4a7ZzoxEZfEs6Z0YPdBCu/Cr5GVdedbzQq2zhxMm0TmveaLb1oh6EF5Vxray\n\
wOBvYICJtQ+VJ74YUP2O8MVlHO5807d+ass9vl1U7WuXuD6AKmBcf8pfSdMd\n\
NifWDp3YelPsXHZjRlTT95Mm24FjA0tu9GC0tmxF4aZvL4V2kIONr7qzOFaa\n\
5/0dsV2x1MbOFcQMc12yqy2d1faVEZ5Cxl36VuAFa4ffFEFtk9PRRCBrQxEU\n\
ELRBRqIAOHfFNeUD0ybWbqUdyTYa62j0o9RIgtdliaiOIhOA7MCw5qPaSCS1\n\
NlJqPzUw9RVLXMd6+mh0RUH8Ab9zel7w9X3QFJNi07zyRoVoQzrrbdigH8Yg\n\
ns4fDnYbX7rd3uFE9NU5Zuine+1CD6Id/nCoGfolgpAM0cUIYphzo3N0qpxx\n\
46V62Hzki5AvPE83JIy689uNrrqhwZoq347PtV1WJXQUas4hAzPdexpA4fZD\n\
0YIIZm4xTtzRYtRE6++RluM8OrC1DsXpAa2LjXGGkF7y6FAlwKpnrjmNQ739\n\
PQHgb1dMjP6AEsUit9pXdUDFDXN8OdIaFRq7T4+DdFw4LFR4peoRPZ2GzFOD\n\
PrdJ2Cuhz3bEEnr1Sw6TWrKRQV+OcJO8D4YPGXEGlYSafGD0R9jVTX1Xqfv8\n\
YFR4Ctx2AQ9SeCDmlk0qdo3xmryIQ+jaAho9XPyPDjgQamj3aiam95E+HWRA\n\
0Q/Tb3cs9SYTgsZKCkHf0cSHQM4GGNSZg9REix6cXetrNmcUwknrCeajmgzt\n\
Cp3qHQSdmlHUckFYNVMXDafGUgJDHvY1XiYS2CS7b/Ch24Po9fGcHbTJ01qO\n\
cKcEuvSVvMRpHE8gNuJYMdMttzbMHZaQWgzXw8XX+k+yVTKQsZwnEZDpeERT\n\
3XMmDAHGfwge4ih3ZOZt6OLCZGxKdAohpKZnxzYFE2KwUPXotdedSKAMSXM7\n\
TRw0P6EockdtzspejeGLmRYfOYHs5RoJBi3pvtW029l9IQhsRNaJpvcR0SrH\n\
NZNOg9bRUx10aBpbDcB8lSfXahqxOgANo3Ezqmw0x2duPyR5YHzpbSy6gr58\n\
KRVAbdgEG5MGCoAQa8Sll8MEYsieVVGUQadI3Y4jiqF1g1Vi3feMDxTCmUCt\n\
xEBa5Y7c4h1TYqQ8Znpeg0ADvGOEk6A8p1e9UNMg0/b+dTOeUUd0NnJ05Yd6\n\
mKMMHY4VTpj15M4EMxru69MiAuFWoNw54VZpZXAXZYxm4SubdV7PJh40RIzP\n\
Ac0JHzCHLgEjR5KiU/9CSntxBhosD7LEx5AVCbDIaPUIY2OaC3caBOgWtZrF\n\
drUqVK06lr7FPxWBNAF8TF7WxQcuoTa5Jub5aw5zME29tJPxrfZgTc8Pj6Li\n\
rgAqidbqWFpHIZQ6dEKpSlari5HJUufSkHifQNmqoLQSi12TC4mK/j4cyYn0\n\
TzCbc/VDwTwVxpiYx/chJMDXBkC7Vwd5aBLDdpryGpgPHejYuN8zT/IwA6Y+\n\
lC5sU9TQoB8wN7gy6gxooi+EzPG8GDPX1j3/XL2rKaLG4U2lDy3Q5vG6VuNQ\n\
0Azjnxp2IGH/3dAfGO9vQpOl/3+yu+X/ssjYSg=="], "Graphics", 
          CellFrame -> {{0, 0}, {4, 0}}, Evaluatable -> False, GeneratedCell -> 
          False, CellAutoOverwrite -> False, CellFrameColor -> 
          RGBColor[1, 0.8, 0.396078], ImageSize -> {281, 65}, 
          ImageMargins -> {{0, 0}, {0, 1}}, ImageRegion -> {{0, 1}, {0, 1}}, 
          Background -> RGBColor[0.894118, 0.435294, 0], 
          CellMargins -> {{0, 0}, {0, 0}}]}, 
       ScrollingOptions -> {
        "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
       ShowCellBracket -> False, ScriptMinSize -> 9], 
      Cell[
       StyleData[All, "Printout"], PageWidth -> PaperWidth, 
       CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
       ScriptMinSize -> 5, PrivateFontOptions -> {"FontType" -> "Outline"}]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options", "Section"], 
      Cell[
      "The options defined for the style below will be used at the Notebook \
level.", "Text"], 
      Cell[
       StyleData["Notebook"], PageHeaders -> {{
          Cell[
           TextData[{
             CounterBox["Page"]}], "PageNumber"], None, 
          Cell[
           TextData[{
             ValueBox["FileName"]}], "Header"]}, {
          Cell[
           TextData[{
             ValueBox["FileName"]}], "Header"], None, 
          Cell[
           TextData[{
             CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
       6, StyleMenuListing -> None]}, Open]], 
   Cell["Styles for Headings", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Title"], CellMargins -> {{27, Inherited}, {10, 30}}, 
       CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 11}, LanguageCategory -> "NaturalLanguage", 
       CounterIncrements -> "Title", 
       CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
         "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
       "Helvetica", FontSize -> 36, FontWeight -> "Bold", FontColor -> 
       RGBColor[0.894118, 0.435294, 0]], 
      Cell[
       StyleData["Title", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 80}}, LineSpacing -> {1, 0}, FontSize -> 
       45], 
      Cell[
       StyleData["Title", "SlideShow"], CellMargins -> {{72, 50}, {10, 80}}, 
       FontSize -> 45], 
      Cell[
       StyleData["Title", "Printout"], CellMargins -> {{2, 10}, {12, 30}}, 
       FontSize -> 24]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subtitle"], CellMargins -> {{27, Inherited}, {20, 2}}, 
       CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Subtitle",
        CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
         "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
       FontSize -> 24], 
      Cell[
       StyleData["Subtitle", "Presentation"], 
       CellMargins -> {{72, 50}, {20, 2}}, LineSpacing -> {1, 0}, FontSize -> 
       30], 
      Cell[
       StyleData["Subtitle", "SlideShow"], CellMargins -> {{72, 50}, {30, 2}},
        FontSize -> 30], 
      Cell[
       StyleData["Subtitle", "Printout"], CellMargins -> {{2, 10}, {12, 8}}, 
       FontSize -> 18]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsubtitle"], CellMargins -> {{27, Inherited}, {8, 2}}, 
       CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsubtitle", 
       CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
        StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 16], 
      
      Cell[
       StyleData["Subsubtitle", "Presentation"], 
       CellMargins -> {{54, 10}, {20, 20}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsubtitle", "SlideShow"], 
       CellMargins -> {{72, 25}, {30, 10}}], 
      Cell[
       StyleData["Subsubtitle", "Printout"], 
       CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Section"], CellMargins -> {{27, Inherited}, {8, 34}}, 
       CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> False, 
       CellFrameMargins -> 4, DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 2}, LanguageCategory -> "NaturalLanguage", 
       CounterIncrements -> "Section", 
       CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
       FontFamily -> "Helvetica", FontSize -> 20, FontWeight -> "Bold", 
       FontColor -> RGBColor[0.847059, 0.192004, 0.182818]], 
      Cell[
       StyleData["Section", "Presentation"], CellFrame -> {{0, 0}, {0, 2}}, 
       ShowGroupOpenCloseIcon -> True, CellMargins -> {{72, 50}, {11, 30}}, 
       CellFrameColor -> RGBColor[1, 0.796078, 0.501961], FontSize -> 30], 
      Cell[
       StyleData["Section", "SlideShow"], CellMargins -> {{71, 50}, {11, 35}},
        FontSize -> 30], 
      Cell[
       StyleData["Section", "Printout"], CellMargins -> {{2, 0}, {7, 22}}, 
       FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsection"], CellMargins -> {{60, Inherited}, {8, 12}}, 
       CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
       "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
       RGBColor[0.858824, 0.411765, 0.364706]], 
      Cell[
       StyleData["Subsection", "Presentation"], 
       CellMargins -> {{72, 50}, {6, 15}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsection", "SlideShow"], 
       CellMargins -> {{99, 50}, {8, 12}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsection", "Printout"], CellMargins -> {{21, 0}, {8, 22}},
        FontSize -> 12]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsubsection"], CellMargins -> {{60, Inherited}, {2, 12}}, 
       CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsubsection", FontFamily -> "Helvetica", FontWeight -> "Bold", 
       FontColor -> RGBColor[0.929198, 0.518471, 0.354726]], 
      Cell[
       StyleData["Subsubsection", "Presentation"], 
       CellMargins -> {{72, 50}, {6, 20}}, LineSpacing -> {1, 0}, FontSize -> 
       18], 
      Cell[
       StyleData["Subsubsection", "SlideShow"], 
       CellMargins -> {{99, 50}, {6, 20}}, FontSize -> 18], 
      Cell[
       StyleData["Subsubsection", "Printout"], 
       CellMargins -> {{2, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
   Cell["Styles for Body Text", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 3}, CounterIncrements -> "Text", FontFamily -> 
       "Helvetica"], 
      Cell[
       StyleData["Text", "Presentation"], CellMargins -> {{72, 50}, {10, 10}},
        LineSpacing -> {1, 5}, FontSize -> 17], 
      Cell[
       StyleData["Text", "SlideShow"], CellMargins -> {{100, 50}, {10, 10}}, 
       FontSize -> 17], 
      Cell[
       StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
       TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SmallText"], CellMargins -> {{60, 10}, {6, 6}}, 
       DefaultNewInlineCellStyle -> "None", LineSpacing -> {1, 3}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "SmallText", FontFamily -> "Helvetica", FontSize -> 9], 
      Cell[
       StyleData["SmallText", "Presentation"], 
       CellMargins -> {{72, 50}, {8, 8}}, LineSpacing -> {1, 5}, FontSize -> 
       10], 
      Cell[
       StyleData["SmallText", "SlideShow"], 
       CellMargins -> {{100, 50}, {8, 8}}, LineSpacing -> {1, 5}, FontSize -> 
       10], 
      Cell[
       StyleData["SmallText", "Printout"], CellMargins -> {{2, 2}, {5, 5}}, 
       TextJustification -> 0.5, Hyphenation -> True, FontSize -> 7]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input/Output", "Section"], 
      Cell[
      "The cells in this section define styles used for input and output to \
the kernel.  Be careful when modifying, renaming, or removing these styles, \
because the front end associates special meanings with these style names. \
Some attributes for these styles are actually set in FormatType Styles (in \
the last section of this stylesheet). ", "Text"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Input"], CellMargins -> {{66, 10}, {5, 7}}, Evaluatable -> 
       True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
       True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
       DefaultFormatType -> DefaultInputFormatType, 
       "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       AutoItalicWords -> {}, LanguageCategory -> "Mathematica", FormatType -> 
       InputForm, ShowStringCharacters -> True, NumberMarks -> True, 
       LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
       "Input", FontWeight -> "Bold"], 
      Cell[
       StyleData["Input", "Presentation"], CellMargins -> {{72, 50}, {8, 10}},
        LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Input", "SlideShow"], CellMargins -> {{100, 50}, {8, 10}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
       LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, Closed]],
    
   Cell[
    CellGroupData[{
      Cell[
       StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 7}}, Evaluatable -> 
       True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
       True, DefaultFormatType -> DefaultInputFormatType, 
       "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       AutoItalicWords -> {}, LanguageCategory -> "Mathematica", FormatType -> 
       InputForm, ShowStringCharacters -> True, NumberMarks -> True, 
       LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
       "Input", StyleMenuListing -> None, FontWeight -> "Bold"], 
      Cell[
       StyleData["InputOnly", "Presentation"], 
       CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
       FontSize -> 18], 
      Cell[
       StyleData["InputOnly", "SlideShow"], 
       CellMargins -> {{100, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
       FontSize -> 18], 
      Cell[
       StyleData["InputOnly", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
       LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, Closed]],
    
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Output"], CellMargins -> {{66, 10}, {7, 5}}, 
       CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping", 
       CellHorizontalScrolling -> True, PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, GeneratedCell -> True, 
       CellAutoOverwrite -> True, DefaultFormatType -> 
       DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
       True, HyphenationOptions -> {
        "HyphenationCharacter" -> "\[Continuation]"}, AutoItalicWords -> {}, 
       LanguageCategory -> None, FormatType -> InputForm, CounterIncrements -> 
       "Output"], 
      Cell[
       StyleData["Output", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 8}}, LineSpacing -> {1, 0}, FontSize -> 
       18], 
      Cell[
       StyleData["Output", "SlideShow"], CellMargins -> {{100, 50}, {10, 8}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
       FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Message"], 
       CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
       CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, GeneratedCell -> True, 
       CellAutoOverwrite -> True, ShowCellLabel -> False, DefaultFormatType -> 
       DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
       True, HyphenationOptions -> {
        "HyphenationCharacter" -> "\[Continuation]"}, AutoItalicWords -> {}, 
       LanguageCategory -> None, FormatType -> InputForm, CounterIncrements -> 
       "Message", StyleMenuListing -> None, FontFamily -> "Helvetica", 
       FontSize -> 10, FontColor -> RGBColor[0, 0.376471, 0.490196]], 
      Cell[
       StyleData["Message", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 0}, FontSize -> 14], 
      Cell[
       StyleData["Message", "SlideShow"], 
       CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 0}, FontSize -> 14], 
      Cell[
       StyleData["Message", "Printout"], 
       CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
       7]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Print"], 
       CellMargins -> {{66, Inherited}, {Inherited, Inherited}}, 
       CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> True,
        PageBreakWithin -> False, GroupPageBreakWithin -> False, 
       GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
       False, DefaultFormatType -> DefaultOutputFormatType, 
       "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
       InputForm, CounterIncrements -> "Print", StyleMenuListing -> None], 
      Cell[
       StyleData["Print", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Print", "SlideShow"], 
       CellMargins -> {{100, Inherited}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Print", "Printout"], 
       CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
       8]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Graphics"], 
       CellMargins -> {{4, Inherited}, {Inherited, Inherited}}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, PageBreakWithin -> False, GeneratedCell -> True, 
       CellAutoOverwrite -> True, ShowCellLabel -> False, DefaultFormatType -> 
       DefaultOutputFormatType, LanguageCategory -> None, FormatType -> 
       InputForm, CounterIncrements -> "Graphics", 
       ImageMargins -> {{43, Inherited}, {Inherited, 0}}, StyleMenuListing -> 
       None, FontFamily -> "Courier", FontSize -> 10], 
      Cell[
       StyleData["Graphics", "Presentation"], 
       ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
      Cell[
       StyleData["Graphics", "SlideShow"], 
       ImageMargins -> {{100, Inherited}, {Inherited, 0}}], 
      Cell[
       StyleData["Graphics", "Printout"], 
       ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
       0.8]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["CellLabel"], LanguageCategory -> None, StyleMenuListing -> 
       None, FontFamily -> "Helvetica", FontSize -> 9, FontColor -> 
       RGBColor[0.24416, 0.602594, 0.809735]], 
      Cell[
       StyleData["CellLabel", "Presentation"], FontSize -> 12], 
      Cell[
       StyleData["CellLabel", "SlideShow"], FontSize -> 12], 
      Cell[
       StyleData["CellLabel", "Printout"], FontFamily -> "Courier", FontSize -> 
       8, FontSlant -> "Italic"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["FrameLabel"], LanguageCategory -> None, StyleMenuListing -> 
       None, FontFamily -> "Helvetica", FontSize -> 9], 
      Cell[
       StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
      Cell[
       StyleData["FrameLabel", "SlideShow"], FontSize -> 12], 
      Cell[
       StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", FontSize -> 
       8, FontSlant -> "Italic", FontColor -> GrayLevel[0]]}, Closed]], 
   Cell["Presentation Specific", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["BulletedList"], CellMargins -> {{45, 10}, {7, 7}}, 
       CellFrameLabels -> {{
          Cell[
          "\[FilledSmallSquare]", "BulletedList", CellBaseline -> Baseline], 
          Inherited}, {Inherited, Inherited}}, 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       CounterIncrements -> "BulletedList", FontFamily -> "Helvetica"], 
      Cell[
       StyleData["BulletedList", "Presentation"], 
       CellMargins -> {{56, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       18], 
      Cell[
       StyleData["BulletedList", "SlideShow"], 
       CellMargins -> {{85, 50}, {10, 10}}, FontSize -> 18], 
      Cell[
       StyleData["BulletedList", "Printout"], CellMargins -> {{2, 2}, {6, 6}},
        TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Author"], CellMargins -> {{139, 27}, {2, 20}}, FontFamily -> 
       "Times", FontSize -> 24, FontSlant -> "Italic"], 
      Cell[
       StyleData["Author", "Presentation"], 
       CellMargins -> {{198, 27}, {2, 25}}, FontSize -> 32], 
      Cell[
       StyleData["Author", "SlideShow"], CellMargins -> {{198, 27}, {2, 50}}, 
       FontSize -> 32], 
      Cell[
       StyleData["Author", "Printout"], CellMargins -> {{100, 27}, {2, 20}}, 
       FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Affiliation"], CellMargins -> {{141, 27}, {30, 12}}, 
       FontFamily -> "Times", FontSize -> 24, FontSlant -> "Italic"], 
      Cell[
       StyleData["Affiliation", "Presentation"], 
       CellMargins -> {{198, 27}, {35, 10}}, FontSize -> 32], 
      Cell[
       StyleData["Affiliation", "SlideShow"], 
       CellMargins -> {{198, 27}, {100, 10}}, FontSize -> 32], 
      Cell[
       StyleData["Affiliation", "Printout"], 
       CellMargins -> {{100, 27}, {2, 12}}, FontSize -> 14]}, Closed]], 
   Cell["Header Graphic", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ConferenceGraphicCell"], ShowCellBracket -> True, 
       CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, PageBreakBelow -> 
       False, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1]], 
      Cell[
       StyleData["ConferenceGraphicCell", "Presentation"], ShowCellBracket -> 
       False], 
      Cell[
       StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
       False], 
      Cell[
       StyleData["ConferenceGraphicCell", "Printout"], FontSize -> 8, 
       Magnification -> 0.75]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["GraphicNoMagnification"], CellMargins -> {{60, 10}, {7, 7}},
        LineSpacing -> {1, 3}, CounterIncrements -> "Text", FontFamily -> 
       "Helvetica", Magnification -> 1], 
      Cell[
       StyleData["GraphicNoMagnification", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       17], 
      Cell[
       StyleData["GraphicNoMagnification", "SlideShow"], 
       CellMargins -> {{100, 50}, {10, 10}}, FontSize -> 17], 
      Cell[
       StyleData["GraphicNoMagnification", "Printout"], 
       CellMargins -> {{2, 2}, {6, 6}}, FontSize -> 10]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Inline Formatting", "Section"], 
      Cell[
      "These styles are for modifying individual words or letters in a cell \
exclusive of the cell tag.", "Text"], 
      Cell[
       StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
       FontSlant -> "Plain"], 
      Cell[
       StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
      Cell[
       StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
      Cell[
       StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
       FontWeight -> "Plain", FontSlant -> "Plain"], 
      Cell[
       StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
       FontWeight -> "Plain", FontSlant -> "Italic"], 
      Cell[
       StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
       FontWeight -> "Bold", FontSlant -> "Plain"], 
      Cell[
       StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
       FontWeight -> "Bold", FontSlant -> "Italic"], 
      Cell[
       StyleData["MR"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
       "Plain", FontSlant -> "Plain"], 
      Cell[
       StyleData["MO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
       "Plain", FontSlant -> "Italic"], 
      Cell[
       StyleData["MB"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
       "Bold", FontSlant -> "Plain"], 
      Cell[
       StyleData["MBO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
       "Bold", FontSlant -> "Italic"], 
      Cell[
       StyleData["SR"], StyleMenuListing -> None, FontFamily -> "Helvetica", 
       FontWeight -> "Plain", FontSlant -> "Plain"], 
      Cell[
       StyleData["SO"], StyleMenuListing -> None, FontFamily -> "Helvetica", 
       FontWeight -> "Plain", FontSlant -> "Italic"], 
      Cell[
       StyleData["SB"], StyleMenuListing -> None, FontFamily -> "Helvetica", 
       FontWeight -> "Bold", FontSlant -> "Plain"], 
      Cell[
       StyleData["SBO"], StyleMenuListing -> None, FontFamily -> "Helvetica", 
       FontWeight -> "Bold", FontSlant -> "Italic"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SO10"], StyleMenuListing -> None, FontFamily -> "Helvetica",
        FontSize -> 10, FontWeight -> "Plain", FontSlant -> "Italic"], 
      Cell[
       StyleData["SO10", "Printout"], StyleMenuListing -> None, FontFamily -> 
       "Helvetica", FontSize -> 7, FontWeight -> "Plain", FontSlant -> 
       "Italic"]}, Closed]], 
   Cell["Formulas and Programming", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["InlineFormula"], CellMargins -> {{10, 4}, {0, 8}}, 
       CellHorizontalScrolling -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Formula", ScriptLevel -> 1, SingleLetterItalics -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["InlineFormula", "Presentation"], LineSpacing -> {1, 5}, 
       FontSize -> 16], 
      Cell[
       StyleData["InlineFormula", "SlideShow"], LineSpacing -> {1, 5}, 
       FontSize -> 16], 
      Cell[
       StyleData["InlineFormula", "Printout"], 
       CellMargins -> {{2, 0}, {6, 6}}, FontSize -> 10]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DisplayFormula"], 
       CellMargins -> {{60, Inherited}, {Inherited, Inherited}}, 
       CellHorizontalScrolling -> True, DefaultFormatType -> 
       DefaultInputFormatType, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Formula", ScriptLevel -> 0, SingleLetterItalics -> 
       True, UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
      Cell[
       StyleData["DisplayFormula", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 5}, FontSize -> 16], 
      Cell[
       StyleData["DisplayFormula", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}, 
       LineSpacing -> {1, 5}, FontSize -> 16], 
      Cell[
       StyleData["DisplayFormula", "Printout"], FontSize -> 10]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Program"], CellFrame -> {{0, 0}, {0.5, 0.5}}, 
       CellMargins -> {{60, 4}, {0, 8}}, CellHorizontalScrolling -> True, 
       Hyphenation -> False, LanguageCategory -> "Formula", ScriptLevel -> 1, 
       FontFamily -> "Courier"], 
      Cell[
       StyleData["Program", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       16], 
      Cell[
       StyleData["Program", "SlideShow"], 
       CellMargins -> {{100, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       16], 
      Cell[
       StyleData["Program", "Printout"], CellMargins -> {{2, 0}, {6, 6}}, 
       FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Hyperlink Styles", "Section"], 
      Cell[
      "The cells below define styles useful for making hypertext ButtonBoxes. \
 The \"Hyperlink\" style is for links within the same Notebook, or between \
Notebooks.", "Text"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Hyperlink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0, 0.376471, 0.490196], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> ButtonData}], 
      Cell[
       StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["Hyperlink", "SlideShow"]], 
      Cell[
       StyleData["Hyperlink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}]}, Closed]], 
   Cell["The following styles are for linking automatically to the on-line \
help system.", "Text"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["MainBookLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
      Cell[
       StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["MainBookLink", "SlideShow"]], 
      Cell[
       StyleData["MainBookLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["AddOnsLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
      Cell[
       StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["AddOnsLink", "SlideShow"]], 
      Cell[
       StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["RefGuideLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
      Cell[
       StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["RefGuideLink", "SlideShow"]], 
      Cell[
       StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["RefGuideLinkText"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
      Cell[
       StyleData["RefGuideLinkText", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["RefGuideLinkText", "SlideShow"]], 
      Cell[
       StyleData["RefGuideLinkText", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["GettingStartedLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
      Cell[
       StyleData["GettingStartedLink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["GettingStartedLink", "SlideShow"]], 
      Cell[
       StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DemosLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["Demos", #]}]& )}], 
      Cell[
       StyleData["DemosLink", "SlideShow"]], 
      Cell[
       StyleData["DemosLink", "Printout"], 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["TourLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["Tour", #]}]& )}], 
      Cell[
       StyleData["TourLink", "SlideShow"]], 
      Cell[
       StyleData["TourLink", "Printout"], 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["OtherInformationLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
      Cell[
       StyleData["OtherInformationLink", "Presentation"], FontSize -> 16], 
      Cell[
       StyleData["OtherInformationLink", "SlideShow"]], 
      Cell[
       StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["MasterIndexLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       FontVariations -> {"Underline" -> True}, FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFrame -> "None", 
         ButtonFunction :> (FrontEndExecute[{
            FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}], 
      Cell[
       StyleData["MasterIndexLink", "SlideShow"]], 
      Cell[
       StyleData["MasterIndexLink", "Printout"], 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Headers and Footers", "Section"], 
      Cell[
       StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
       DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
       "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, FontSlant -> 
       "Italic"], 
      Cell[
       StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
       DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
       "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, FontSlant -> 
       "Italic"], 
      Cell[
       StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
       StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Palette Styles", "Section"], 
      Cell[
      "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
      Cell[
       StyleData["Paste"], StyleMenuListing -> None, ButtonStyleMenuListing -> 
       Automatic, ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookApply[
             FrontEnd`InputNotebook[], #, Placeholder]}]& )}], 
      Cell[
       StyleData["Evaluate"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookApply[
             FrontEnd`InputNotebook[], #, All], 
            FrontEnd`SelectionEvaluate[
             FrontEnd`InputNotebook[], All]}]& )}], 
      Cell[
       StyleData["EvaluateCell"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookApply[
             FrontEnd`InputNotebook[], #, All], 
            FrontEnd`SelectionMove[
             FrontEnd`InputNotebook[], All, Cell, 1], 
            FrontEnd`SelectionEvaluateCreateCell[
             FrontEnd`InputNotebook[], All]}]& )}], 
      Cell[
       StyleData["CopyEvaluate"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            FrontEnd`SelectionCreateCell[
             FrontEnd`InputNotebook[], All], 
            FrontEnd`NotebookApply[
             FrontEnd`InputNotebook[], #, All], 
            FrontEnd`SelectionEvaluate[
             FrontEnd`InputNotebook[], All]}]& )}], 
      Cell[
       StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, 
       ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
            FrontEnd`SelectionCreateCell[
             FrontEnd`InputNotebook[], All], 
            FrontEnd`NotebookApply[
             FrontEnd`InputNotebook[], #, All], 
            FrontEnd`SelectionEvaluateCreateCell[
             FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Placeholder Styles", "Section"], 
      Cell[
      "The cells below define styles useful for making placeholder objects in \
palette templates.", "Text"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
       None, FontSlant -> "Italic", FontColor -> 
       RGBColor[0.951324, 0.721569, 0.178317], 
       TagBoxOptions -> {
        Editable -> False, Selectable -> False, StripWrapperBoxes -> False}], 
      
      Cell[
       StyleData["Placeholder", "Presentation"]], 
      Cell[
       StyleData["Placeholder", "SlideShow"]], 
      Cell[
       StyleData["Placeholder", "Printout"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
       DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
       RGBColor[0.984314, 0.871046, 0.349798], 
       TagBoxOptions -> {
        Editable -> False, Selectable -> False, StripWrapperBoxes -> False}], 
      
      Cell[
       StyleData["PrimaryPlaceholder", "Presentation"]], 
      Cell[
       StyleData["PrimaryPlaceholder", "SlideShow"]], 
      Cell[
       StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["FormatType Styles", "Section"], 
      Cell[
      "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
      Cell[
       StyleData["CellExpression"], PageWidth -> Infinity, 
       CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, ShowCellLabel -> 
       False, ShowSpecialCharacters -> False, AllowInlineCells -> False, 
       Hyphenation -> False, AutoItalicWords -> {}, StyleMenuListing -> None, 
       FontFamily -> "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
      Cell[
       StyleData["InputForm"], InputAutoReplacements -> {}, AllowInlineCells -> 
       False, Hyphenation -> False, StyleMenuListing -> None, FontFamily -> 
       "Courier"], 
      Cell[
       StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> Left, 
       LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
       "Courier"], 
      Cell[
       StyleData["StandardForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          Inherited}, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       LineSpacing -> {1.25, 0}, StyleMenuListing -> None, FontFamily -> 
       "Courier"], 
      Cell[
       StyleData["TraditionalForm"], 
       InputAutoReplacements -> {
        "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", 
         ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]",
          Inherited}, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       LineSpacing -> {1.25, 0}, SingleLetterItalics -> True, 
       TraditionalFunctionNotation -> True, DelimiterMatching -> None, 
       StyleMenuListing -> None], 
      Cell[
      "The style defined below is mixed in to any cell that is in an inline \
cell within another.", "Text"], 
      Cell[
       StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
       1, StyleMenuListing -> None], 
      Cell[
       StyleData["InlineCellEditing"], StyleMenuListing -> None, Background -> 
       RGBColor[0.984314, 0.916869, 0.563256]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Automatic Styles", "Section"], 
      Cell[
      "The cells below define styles that are used to affect the display of \
certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
      Cell[
       StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
       RGBColor[0.52549, 0.737255, 0.882353]], 
      Cell[
       StyleData["Completions"], StyleMenuListing -> None, FontFamily -> 
       "Courier"]}, Closed]], 
   Cell["Styles from HelpBrowser", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["MathCaption"], CellFrame -> {{0, 0}, {0, 0.5}}, 
       CellMargins -> {{66, 12}, {2, 24}}, PageBreakBelow -> False, 
       CellFrameMargins -> {{8, 8}, {8, 2}}, CellFrameColor -> 
       GrayLevel[0.700008], CellFrameLabelMargins -> 4, LineSpacing -> {1, 1},
        ParagraphSpacing -> {0, 8}, StyleMenuListing -> None, FontColor -> 
       GrayLevel[0.2]], 
      Cell[
       StyleData["MathCaption", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["MathCaption", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["MathCaption", "Printout"], 
       CellMargins -> {{39, 0}, {0, 14}}, Hyphenation -> True, FontSize -> 9, 
       FontColor -> GrayLevel[0]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ObjectName"], ShowCellBracket -> True, 
       CellMargins -> {{66, 4}, {8, 8}}, Evaluatable -> True, 
       CellGroupingRules -> "InputGrouping", PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, CellLabelAutoDelete -> False, 
       CellLabelMargins -> {{14, Inherited}, {Inherited, Inherited}}, 
       DefaultFormatType -> DefaultInputFormatType, ShowSpecialCharacters -> 
       Automatic, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Mathematica", FormatType -> StandardForm, 
       ShowStringCharacters -> True, NumberMarks -> True, StyleMenuListing -> 
       None, FontWeight -> "Bold"], 
      Cell[
       StyleData["ObjectName", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["ObjectName", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["ObjectName", "Printout"], ShowCellBracket -> False, 
       CellMargins -> {{39, 0}, {6, 6}}, FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Usage"], ShowCellBracket -> True, 
       CellMargins -> {{66, 4}, {8, 8}}, Evaluatable -> True, 
       CellGroupingRules -> "InputGrouping", PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, CellLabelAutoDelete -> False, 
       CellLabelMargins -> {{14, Inherited}, {Inherited, Inherited}}, 
       DefaultFormatType -> DefaultInputFormatType, ShowSpecialCharacters -> 
       Automatic, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Mathematica", FormatType -> StandardForm, 
       ShowStringCharacters -> True, NumberMarks -> True, StyleMenuListing -> 
       None, FontWeight -> "Bold"], 
      Cell[
       StyleData["Usage", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["Usage", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["Usage", "Printout"], ShowCellBracket -> False, 
       CellMargins -> {{39, 0}, {6, 6}}, FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Notes"], ShowCellBracket -> True, 
       CellMargins -> {{66, 4}, {8, 8}}, Evaluatable -> True, 
       CellGroupingRules -> "InputGrouping", PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, CellLabelAutoDelete -> False, 
       CellLabelMargins -> {{14, Inherited}, {Inherited, Inherited}}, 
       DefaultFormatType -> DefaultInputFormatType, ShowSpecialCharacters -> 
       Automatic, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Mathematica", FormatType -> StandardForm, 
       ShowStringCharacters -> True, NumberMarks -> True, StyleMenuListing -> 
       None, FontWeight -> "Bold"], 
      Cell[
       StyleData["Notes", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["Notes", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["Notes", "Printout"], ShowCellBracket -> False, 
       CellMargins -> {{39, 0}, {6, 6}}, FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["InlineOutput"], ShowCellBracket -> True, 
       CellMargins -> {{66, 4}, {8, 8}}, Evaluatable -> True, 
       CellGroupingRules -> "InputGrouping", PageBreakWithin -> False, 
       GroupPageBreakWithin -> False, CellLabelAutoDelete -> False, 
       CellLabelMargins -> {{14, Inherited}, {Inherited, Inherited}}, 
       DefaultFormatType -> DefaultInputFormatType, ShowSpecialCharacters -> 
       Automatic, "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       LanguageCategory -> "Mathematica", FormatType -> StandardForm, 
       ShowStringCharacters -> True, NumberMarks -> True, StyleMenuListing -> 
       None, FontWeight -> "Bold"], 
      Cell[
       StyleData["InlineOutput", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["InlineOutput", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["InlineOutput", "Printout"], ShowCellBracket -> False, 
       CellMargins -> {{39, 0}, {6, 6}}, FontSize -> 9]}, Closed]], 
   Cell["Emphasis Boxes and Pictures", "Subsection"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Box"], CellFrame -> 0.5, CellMargins -> {{27, 12}, {0, 8}}, 
       CellHorizontalScrolling -> True, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], StyleMenuListing -> None, 
       Background -> RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["Box", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["Box", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["Box", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DoubleBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[1.4]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DoubleBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DoubleBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DoubleBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["1ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["1ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["1ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["1ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["2ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], 
       SingleLetterItalics -> False, LineIndent -> 0, StyleMenuListing -> 
       None, Background -> RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {
             Scaled[0.31], {
              Scaled[0.67]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["2ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["2ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["2ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 9, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["2ColumnEvenBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.46]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["2ColumnEvenBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["2ColumnEvenBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["2ColumnEvenBox", "Printout"], 
       CellMargins -> {{2, 0}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["2ColumnSmallBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.35]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[1.0499999999999998`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["2ColumnSmallBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["2ColumnSmallBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["2ColumnSmallBox", "Printout"], 
       CellMargins -> {{2, 0}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["3ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.32]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["3ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["3ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["3ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["3ColumnSmallBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {Right, Center, {Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.24]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[1.0499999999999998`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["3ColumnSmallBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["3ColumnSmallBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["3ColumnSmallBox", "Printout"], 
       CellMargins -> {{2, 0}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["4ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], 
       SingleLetterItalics -> False, LineIndent -> 0, StyleMenuListing -> 
       None, Background -> RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {
             Scaled[0.13], 
             Scaled[0.35], 
             Scaled[0.13], {
              Scaled[0.35]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["4ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["4ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["4ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["5ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.202]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["5ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["5ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["5ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 9, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["6ColumnBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {BoxFrame -> 0.5, FrameMargins -> True}, 
       GridBoxOptions -> {GridBoxItemSize -> {"Columns" -> {
             Scaled[0.12], 
             Scaled[0.22], 
             Scaled[0.12], 
             Scaled[0.12], 
             Scaled[0.22], {
              Scaled[0.12]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["6ColumnBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["6ColumnBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["6ColumnBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["FramedBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["FramedBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["FramedBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["FramedBox", "Printout"], CellMargins -> {{2, 4}, {0, 8}}, 
       FontSize -> 10, Background -> GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DefinitionBox"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.4], {
              Scaled[0.6]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DefinitionBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DefinitionBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DefinitionBox", "Printout"], 
       CellMargins -> {{2, 4}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DefinitionBox3Col"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.35], 
             Scaled[0.2], {
              Scaled[0.45]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DefinitionBox3Col", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DefinitionBox3Col", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DefinitionBox3Col", "Printout"], 
       CellMargins -> {{2, 4}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DefinitionBox4Col"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.15], 
             Scaled[0.35], 
             Scaled[0.15], {
              Scaled[0.35]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DefinitionBox4Col", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DefinitionBox4Col", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DefinitionBox4Col", "Printout"], 
       CellMargins -> {{2, 4}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DefinitionBox5Col"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DefinitionBox5Col", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DefinitionBox5Col", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DefinitionBox5Col", "Printout"], 
       CellMargins -> {{2, 4}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["DefinitionBox6Col"], CellFrame -> 0.5, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakWithin -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.13], 
             Scaled[0.24], 
             Scaled[0.13], 
             Scaled[0.13], 
             Scaled[0.24], {
              Scaled[0.13]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["DefinitionBox6Col", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["DefinitionBox6Col", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["DefinitionBox6Col", "Printout"], 
       CellMargins -> {{2, 4}, {0, 8}}, FontSize -> 10, Background -> 
       GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["TopBox"], CellFrame -> {{0.5, 0.5}, {0, 0.5}}, 
       CellMargins -> {{27, 12}, {0, 8}}, CellHorizontalScrolling -> True, 
       PageBreakBelow -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.31], {
              Scaled[0.62]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["TopBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["TopBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["TopBox", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       Background -> GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["MiddleBox"], CellFrame -> {{0.5, 0.5}, {0, 0}}, 
       CellMargins -> {{27, 12}, {0, -7}}, CellHorizontalScrolling -> True, 
       PageBreakAbove -> False, PageBreakBelow -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.31], {
              Scaled[0.62]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["MiddleBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["MiddleBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["MiddleBox", "Printout"], CellMargins -> {{2, 0}, {0, 2}}, 
       Background -> GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["BottomBox"], CellFrame -> {{0.5, 0.5}, {0.5, 0}}, 
       CellMargins -> {{27, 12}, {0, -7}}, CellHorizontalScrolling -> True, 
       PageBreakAbove -> False, PageBreakBelow -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.31], {
              Scaled[0.62]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["BottomBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["BottomBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["BottomBox", "Printout"], CellMargins -> {{2, 0}, {0, -5}}, 
       FontSize -> 10, Background -> GrayLevel[1], 
       GridBoxOptions -> {
        GridBoxItemSize -> {
          "Columns" -> {{All}}, "ColumnsIndexed" -> {}, "Rows" -> {{2.2}}, 
           "RowsIndexed" -> {}}}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["TopSpanBox"], CellFrame -> {{0.5, 0.5}, {0, 0.5}}, 
       CellMargins -> {{27, 12}, {-2, 8}}, CellHorizontalScrolling -> True, 
       PageBreakBelow -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.9], {
              Scaled[0.03]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["TopSpanBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["TopSpanBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["TopSpanBox", "Printout"], CellMargins -> {{2, 0}, {-2, 8}}, 
       FontSize -> 10, Background -> GrayLevel[1]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["MiddleSpanBox"], CellFrame -> {{0.5, 0.5}, {0, 0}}, 
       CellMargins -> {{27, 12}, {0, 0}}, CellHorizontalScrolling -> True, 
       PageBreakAbove -> False, PageBreakBelow -> False, CellFrameColor -> 
       RGBColor[0.74902, 0.694118, 0.552941], AutoIndent -> False, 
       AutoSpacing -> False, LineIndent -> 0, StyleMenuListing -> None, 
       FontWeight -> "Plain", Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.9], {
              Scaled[0.03]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.6]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["MiddleSpanBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["MiddleSpanBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["MiddleSpanBox", "Printout"], 
       CellMargins -> {{2, 0}, {-5, 0}}, FontSize -> 10, Background -> 
       GrayLevel[1], 
       GridBoxOptions -> {
        GridBoxItemSize -> {
          "Columns" -> {{All}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.8}}, 
           "RowsIndexed" -> {}}}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Picture"], CellMargins -> {{27, Inherited}, {4, 4}}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["Picture", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["Picture", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["Picture", "Printout"], 
       CellMargins -> {{2, Inherited}, {4, 4}}, Magnification -> 0.65]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["OpenCloseItemizedPicture"], 
       CellMargins -> {{88, 4}, {4, 4}}, 
       PrivateCellOptions -> {"DefaultCellGroupOpen" -> False}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["OpenCloseItemizedPicture", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["OpenCloseItemizedPicture", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["OpenCloseItemizedPicture", "Printout"], 
       CellMargins -> {{76, 2}, {0, 0}}, 
       CellElementSpacings -> {"CellMinHeight" -> 1, "ClosedCellHeight" -> 0},
        CellOpen -> False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ItemizedPicture"], CellMargins -> {{88, 4}, {4, 4}}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["ItemizedPicture", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["ItemizedPicture", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["ItemizedPicture", "Printout"], 
       CellMargins -> {{77, 2}, {4, -4}}, Magnification -> 0.5]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ListGraphic"], CellMargins -> {{88, 4}, {4, 4}}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["ListGraphic", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["ListGraphic", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["ListGraphic", "Printout"], 
       CellMargins -> {{77, 2}, {4, -4}}, Magnification -> 0.5]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ListNoteBox"], CellFrame -> 0.5, 
       CellMargins -> {{88, 12}, {8, 8}}, CellHorizontalScrolling -> True, 
       CellFrameColor -> RGBColor[0.74902, 0.694118, 0.552941], LineIndent -> 
       0, StyleMenuListing -> None, Background -> 
       RGBColor[0.964706, 0.929412, 0.839216], 
       FrameBoxOptions -> {FrameMargins -> {{1, 1}, {1.5, 1.5}}}, 
       GridBoxOptions -> {GridBoxSpacings -> {"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
           "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["ListNoteBox", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["ListNoteBox", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["ListNoteBox", "Printout"], CellMargins -> {{77, 4}, {6, 2}},
        FontSize -> 10, Background -> GrayLevel[0.900008]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["PictureGroup"], CellMargins -> {{41, 4}, {0, 4}}, 
       CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
       True, StyleMenuListing -> None], 
      Cell[
       StyleData["PictureGroup", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["PictureGroup", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["PictureGroup", "Printout"], 
       CellMargins -> {{76, 2}, {0, 0}}, 
       CellElementSpacings -> {"CellMinHeight" -> 1, "ClosedCellHeight" -> 0},
        CellOpen -> False]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Sound"], ShowCellBracket -> True, 
       CellMargins -> {{27, Inherited}, {0, 8}}, StyleMenuListing -> None], 
      Cell[
       StyleData["Sound", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["Sound", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["Sound", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
       FontSize -> 10]}, Closed]], 
   Cell["Tables", "Subsection"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["2ColumnTable"], CellMargins -> {{35, 4}, {0, 8}}, 
       CellHorizontalScrolling -> True, LineIndent -> 0, StyleMenuListing -> 
       None, GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.34], {
              Scaled[0.64]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["2ColumnTable", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["2ColumnTable", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["2ColumnTable", "Printout"], CellMargins -> {{2, 0}, {0, 8}},
        FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["2ColumnEvenTable"], CellMargins -> {{35, 4}, {0, 8}}, 
       CellHorizontalScrolling -> True, LineIndent -> 0, StyleMenuListing -> 
       None, GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {{
              Scaled[0.49]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["2ColumnEvenTable", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["2ColumnEvenTable", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["2ColumnEvenTable", "Printout"], 
       CellMargins -> {{2, 0}, {0, 8}}, FontSize -> 9]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["3ColumnTable"], CellMargins -> {{35, 4}, {0, 8}}, 
       CellHorizontalScrolling -> True, LineIndent -> 0, StyleMenuListing -> 
       None, GridBoxOptions -> {
        GridBoxAlignment -> {
          "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
         GridBoxItemSize -> {"Columns" -> {
             Scaled[0.28], 
             Scaled[0.28], {
              Scaled[0.43]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
           "RowsIndexed" -> {}}}], 
      Cell[
       StyleData["3ColumnTable", "Presentation"], 
       CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, FontSize -> 
       18], 
      Cell[
       StyleData["3ColumnTable", "SlideShow"], 
       CellMargins -> {{100, 50}, {Inherited, Inherited}}], 
      Cell[
       StyleData["3ColumnTable", "Printout"], CellMargins -> {{2, 0}, {0, 8}},
        FontSize -> 9]}, Closed]], 
   Cell["Slide Show Styles", "Section"], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SlideShowSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
       CellMargins -> {{0, 0}, {10, 0}}, 
       CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> False, 
       CellFrameMargins -> {{12, 4}, {6, 12}}, 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       CounterIncrements -> "Section", 
       CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
       StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 24, 
       FontWeight -> "Plain", FontColor -> GrayLevel[1], Background -> 
       RGBColor[1, 0.8, 0.396078]], 
      Cell[
       StyleData["SlideShowSection", "Presentation"], 
       CellFrameMargins -> {{20, 10}, {10, 18}}, FontSize -> 27], 
      Cell[
       StyleData["SlideShowSection", "SlideShow"], ShowCellBracket -> False, 
       PageBreakAbove -> True], 
      Cell[
       StyleData["SlideShowSection", "Printout"], 
       CellMargins -> {{18, 30}, {0, 30}}, CellFrameMargins -> 5, FontSize -> 
       14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SlideHyperlink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, FontSize -> 26, FontColor -> 
       GrayLevel[0.400015], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
         ButtonMinHeight -> 0.85, ButtonNote -> None}], 
      Cell[
       StyleData["SlideHyperlink", "Presentation"], 
       CellMargins -> {{14, 10}, {6, 12}}], 
      Cell[
       StyleData["SlideHyperlink", "SlideShow"]], 
      Cell[
       StyleData["SlideHyperlink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SlidePreviousNextLink"], StyleMenuListing -> None, 
       ButtonStyleMenuListing -> Automatic, FontFamily -> "Helvetica", 
       FontSize -> 16, FontColor -> GrayLevel[0.500008], 
       ButtonBoxOptions -> {
        Active -> True, ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
         ButtonMinHeight -> 0.85, ButtonNote -> None}], 
      Cell[
       StyleData["SlidePreviousNextLink", "Presentation"], FontSize -> 12], 
      Cell[
       StyleData["SlidePreviousNextLink", "SlideShow"]], 
      Cell[
       StyleData["SlidePreviousNextLink", "Printout"], FontSize -> 10, 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["PreviousNext"], CellMargins -> {{60, 10}, {7, 7}}, 
       TextAlignment -> 0.75, LineSpacing -> {1, 3}, CounterIncrements -> 
       "PreviousNext", FontFamily -> "Helvetica", FontSize -> 14, FontColor -> 
       GrayLevel[0.500008]], 
      Cell[
       StyleData["PreviousNext", "Presentation"], 
       CellMargins -> {{24, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       12], 
      Cell[
       StyleData["PreviousNext", "SlideShow"], 
       CellMargins -> {{50, 50}, {50, 15}}, FontSize -> 14], 
      Cell[
       StyleData["PreviousNext", "Printout"], CellMargins -> {{2, 2}, {6, 6}},
        TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SlideTOCLink"], 
       CellMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
       StyleMenuListing -> None, ButtonStyleMenuListing -> Automatic, 
       FontFamily -> "Helvetica", 
       ButtonBoxOptions -> {
        Active -> True, ButtonFunction :> (FrontEndExecute[{
            FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 1.5, 
         ButtonNote -> ButtonData}], 
      Cell[
       StyleData["SlideTOCLink", "Presentation"], 
       CellMargins -> {{35, 10}, {8, 8}}, FontSize -> 18], 
      Cell[
       StyleData["SlideTOCLink", "SlideShow"]], 
      Cell[
       StyleData["SlideTOCLink", "Printout"], 
       FontVariations -> {"Underline" -> False}, FontColor -> GrayLevel[0]]}, 
     Closed]]}]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[590, 23, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[2470, 83, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[5156, 157, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11081, 291, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[15015, 398, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18309, 495, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[27694, 774, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[30738, 859, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[33026, 932, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[37309, 1050, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[40740, 1152, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[44578, 1261, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[50537, 1435, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[53258, 1517, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[56743, 1653, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[60366, 1764, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[63906, 1855, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[66575, 1943, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[69344, 2031, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[72531, 2126, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[75704, 2216, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[80109, 2350, 1298, 38, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[84492, 2468, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 193344, 4912}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[1891, 63, 135, 1, 191, "Title"],
Cell[2029, 66, 188, 6, 62, "Subtitle"],
Cell[2220, 74, 99, 1, 84, "Author"],
Cell[2322, 77, 111, 1, 142, "Affiliation"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2470, 83, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[3793, 125, 375, 8, 76, "Section"],
Cell[4171, 135, 132, 1, 37, "Text"],
Cell[4306, 138, 441, 7, 57, "Text"],
Cell[4750, 147, 357, 4, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5156, 157, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[6479, 199, 261, 3, 76, "Section"],
Cell[6743, 204, 297, 4, 37, "Text"],
Cell[7043, 210, 287, 4, 37, "Text"],
Cell[7333, 216, 284, 4, 37, "Text"],
Cell[7620, 222, 358, 5, 37, "Text"],
Cell[7981, 229, 437, 6, 37, "Text"],
Cell[8421, 237, 363, 5, 37, "Text"],
Cell[8787, 244, 294, 4, 37, "Text"],
Cell[9084, 250, 398, 5, 37, "Text"],
Cell[9485, 257, 471, 6, 37, "Text"],
Cell[9959, 265, 468, 8, 37, "Text"],
Cell[10430, 275, 602, 10, 57, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11081, 291, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[12404, 333, 172, 2, 76, "Section"],
Cell[12579, 337, 581, 12, 77, "Text"],
Cell[13163, 351, 420, 7, 57, "Text"],
Cell[13586, 360, 596, 14, 57, "Text"],
Cell[14185, 376, 428, 8, 37, "Text"],
Cell[14616, 386, 350, 6, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15015, 398, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[16338, 440, 265, 3, 76, "Section"],
Cell[16606, 445, 343, 8, 57, "Text"],
Cell[16952, 455, 309, 6, 57, "Text"],
Cell[17264, 463, 192, 6, 37, "Text"],
Cell[17459, 471, 511, 10, 77, "Text"],
Cell[17973, 483, 287, 6, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18309, 495, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[19632, 537, 279, 4, 76, "Section"],
Cell[19914, 543, 348, 6, 37, "Text"],
Cell[20265, 551, 411, 7, 57, "Text"],
Cell[20679, 560, 332, 4, 37, "Text"],
Cell[21014, 566, 361, 10, 36, "Input"],
Cell[21378, 578, 186, 4, 36, "Input"],
Cell[21567, 584, 293, 8, 36, "Input"],
Cell[21863, 594, 430, 13, 36, "Input"],
Cell[22296, 609, 174, 4, 37, "Text"],
Cell[22473, 615, 686, 20, 59, "Input"],
Cell[23162, 637, 183, 2, 37, "Text"],
Cell[23348, 641, 3298, 67, 82, "Input"],
Cell[26649, 710, 431, 9, 57, "Text"],
Cell[27083, 721, 265, 5, 57, "Text"],
Cell[27351, 728, 167, 3, 37, "Text"],
Cell[27521, 733, 124, 35, 677, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27694, 774, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[29017, 816, 210, 3, 76, "Section"],
Cell[29230, 821, 440, 9, 57, "Text"],
Cell[29673, 832, 368, 6, 57, "Text"],
Cell[30044, 840, 322, 6, 37, "Text"],
Cell[30369, 848, 320, 5, 77, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[30738, 859, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[32061, 901, 192, 3, 76, "Section"],
Cell[32256, 906, 351, 10, 38, "Text"],
Cell[32610, 918, 303, 5, 37, "Text"],
Cell[32916, 925, 61, 1, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33026, 932, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[34349, 974, 281, 3, 76, "Section"],
Cell[34633, 979, 558, 9, 77, "Text"],
Cell[35194, 990, 305, 4, 37, "Text"],
Cell[35502, 996, 459, 8, 57, "Text"],
Cell[35964, 1006, 311, 8, 36, "Input"],
Cell[36278, 1016, 397, 11, 36, "Input"],
Cell[36678, 1029, 330, 8, 36, "Input"],
Cell[37011, 1039, 249, 5, 57, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[37309, 1050, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[38632, 1092, 318, 4, 76, "Section"],
Cell[38953, 1098, 448, 8, 37, "Text"],
Cell[39404, 1108, 177, 3, 36, "Input"],
Cell[39584, 1113, 216, 5, 36, "Input"],
Cell[39803, 1120, 262, 6, 36, "Input"],
Cell[40068, 1128, 623, 18, 36, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[40740, 1152, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[42063, 1194, 246, 3, 76, "Section"],
Cell[42312, 1199, 353, 8, 37, "Text"],
Cell[42668, 1209, 435, 7, 57, "Text"],
Cell[43106, 1218, 324, 4, 37, "Text"],
Cell[43433, 1224, 678, 21, 59, "Input"],
Cell[44114, 1247, 275, 5, 57, "Text"],
Cell[44392, 1254, 137, 1, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44578, 1261, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[45901, 1303, 292, 7, 76, "Section"],
Cell[46196, 1312, 478, 9, 57, "Text"],
Cell[46677, 1323, 311, 8, 36, "Input"],
Cell[46991, 1333, 397, 11, 36, "Input"],
Cell[47391, 1346, 154, 2, 37, "Text"],
Cell[47548, 1350, 2878, 76, 243, "Input"],
Cell[50429, 1428, 59, 1, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50537, 1435, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[51860, 1477, 197, 3, 76, "Section"],
Cell[52060, 1482, 363, 9, 57, "Text"],
Cell[52426, 1493, 370, 7, 57, "Text"],
Cell[52799, 1502, 410, 9, 57, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[53258, 1517, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[54581, 1559, 245, 3, 76, "Section"],
Cell[54829, 1564, 410, 7, 57, "Text"],
Cell[55242, 1573, 136, 3, 36, "Input"],
Cell[55381, 1578, 261, 7, 36, "Input"],
Cell[55645, 1587, 277, 5, 57, "Text"],
Cell[55925, 1594, 319, 8, 36, "Input"],
Cell[56247, 1604, 321, 7, 57, "Text"],
Cell[56571, 1613, 123, 34, 657, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[56743, 1653, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[58066, 1695, 296, 4, 76, "Section"],
Cell[58365, 1701, 433, 8, 37, "Text"],
Cell[58801, 1711, 729, 22, 59, "Input"],
Cell[59533, 1735, 712, 20, 59, "Input"],
Cell[60248, 1757, 69, 1, 36, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[60366, 1764, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[61689, 1806, 411, 5, 76, "Section"],
Cell[62103, 1813, 422, 7, 37, "Text"],
Cell[62528, 1822, 486, 8, 37, "Text"],
Cell[63017, 1832, 510, 11, 57, "Text"],
Cell[63530, 1845, 327, 4, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[63906, 1855, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[65229, 1897, 221, 3, 76, "Section"],
Cell[65453, 1902, 259, 7, 36, "Input"],
Cell[65715, 1911, 259, 7, 36, "Input"],
Cell[65977, 1920, 477, 14, 36, "Input"],
Cell[66457, 1936, 69, 1, 36, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66575, 1943, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[67898, 1985, 255, 3, 76, "Section"],
Cell[68156, 1990, 1065, 32, 59, "Input"],
Cell[69224, 2024, 71, 1, 36, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[69344, 2031, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[70667, 2073, 303, 4, 76, "Section"],
Cell[70973, 2079, 1445, 38, 105, "Input"],
Cell[72421, 2119, 61, 1, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[72531, 2126, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[73854, 2168, 235, 3, 76, "Section"],
Cell[74092, 2173, 315, 6, 37, "Text"],
Cell[74410, 2181, 484, 10, 77, "Text"],
Cell[74897, 2193, 362, 6, 37, "Text"],
Cell[75262, 2201, 393, 9, 57, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75704, 2216, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[77027, 2258, 163, 2, 76, "Section"],
Cell[77193, 2262, 284, 3, 37, "Text"],
Cell[77480, 2267, 474, 13, 37, "Input"],
Cell[77957, 2282, 475, 13, 37, "Input"],
Cell[78435, 2297, 493, 13, 37, "Input"],
Cell[78931, 2312, 489, 13, 37, "Input"],
Cell[79423, 2327, 128, 2, 36, "Input"],
Cell[79554, 2331, 506, 13, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[80109, 2350, 1298, 38, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[81432, 2392, 146, 2, 76, "Section"],
Cell[81581, 2396, 311, 7, 37, "Text"],
Cell[81895, 2405, 483, 8, 57, "Text"],
Cell[82381, 2415, 575, 10, 57, "Text"],
Cell[82959, 2427, 357, 8, 57, "Text"],
Cell[83319, 2437, 446, 9, 57, "Text"],
Cell[83768, 2448, 421, 7, 57, "Text"],
Cell[84192, 2457, 251, 5, 37, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[84492, 2468, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[84581, 2473, 240, 3, 76, "Section"],
Cell[84824, 2478, 1512, 42, 237, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
