(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29326,        807]
NotebookOptionsPosition[     28399,        772]
NotebookOutlinePosition[     28768,        788]
CellTagsIndexPosition[     28725,        785]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Spieker Center", "Section"],

Cell[CellGroupData[{

Cell["Work", "Subsection",
 InitializationCell->Toggle],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"nearestPhase", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   RowBox[{"nearestPhase", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", "Pi"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nearestPhase", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "old_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "t", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"x", "\[Equal]", "0."}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"y", "<", "0"}], ",", 
         RowBox[{"3", 
          RowBox[{"Pi", "/", "2"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"y", ">", "0"}], ",", 
           RowBox[{"Pi", "/", "2"}], ",", "\[IndentingNewLine]", "0"}], 
          "]"}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"t", "=", 
         RowBox[{"N", "[", 
          RowBox[{"ArcTan", "[", 
           RowBox[{"y", "/", "x"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"x", "<", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{"t", "+", "Pi"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"y", "<", 
             RowBox[{
              RowBox[{"0", "\[IndentingNewLine]", "t"}], "+", 
              RowBox[{"2", "Pi"}]}]}], ",", "\[IndentingNewLine]", "t"}], 
           "]"}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Options", "[", "Intersections", "]"}], "=", 
    RowBox[{"{", 
     RowBox[{"ZeroTest", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", "#", "]"}], "<", 
         RowBox[{"10", "^", 
          RowBox[{"-", "13"}]}]}], "&"}], ")"}]}], "}"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Intersections", "[", 
   RowBox[{
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1_", ",", "y1_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x2_", ",", "y2_"}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x3_", ",", "y3_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x4_", ",", "y4_"}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"d", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x1", "-", "x2"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"y3", "-", "y4"}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x3", "-", "x4"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"y1", "-", "y2"}], ")"}]}]}]}], ",", 
      RowBox[{"d12", "=", 
       RowBox[{"Det", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x2", ",", "y2"}], "}"}]}], "}"}], "]"}]}], ",", 
      RowBox[{"d34", "=", 
       RowBox[{"Det", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x3", ",", "y3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x4", ",", "y4"}], "}"}]}], "}"}], "]"}]}], ",", 
      RowBox[{"zeroq", "=", 
       RowBox[{
        RowBox[{"ZeroTest", "/.", 
         RowBox[{"{", "opts", "}"}]}], "/.", 
        RowBox[{"Options", "[", "Intersections", "]"}]}]}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"NumericQ", "[", "d", "]"}], "&&", 
       RowBox[{"zeroq", "[", "d", "]"}]}], ",", "PointAtInfinity", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Det", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"d12", ",", 
               RowBox[{"x1", "-", "x2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"d34", ",", 
               RowBox[{"x3", "-", "x4"}]}], "}"}]}], "}"}], "]"}], "/", "d"}],
          ",", 
         RowBox[{
          RowBox[{"Det", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"d12", ",", 
               RowBox[{"y1", "-", "y2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"d34", ",", 
               RowBox[{"y3", "-", "y4"}]}], "}"}]}], "}"}], "]"}], "/", 
          "d"}]}], "}"}], "]"}]}], "]"}]}], "]"}]}], "\n"}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"oneTriangle", "[", 
   RowBox[{"c_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"GrayLevel", "[", "0.8", "]"}], ",", 
    RowBox[{"Line", "[", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a1", "+", 
         RowBox[{"n", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a1"}], ")"}]}]}], ",", 
        RowBox[{"a2", "+", 
         RowBox[{"n", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a2"}], ")"}]}]}], ",", 
        RowBox[{"a3", "+", 
         RowBox[{"n", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a3"}], ")"}]}]}], ",", 
        RowBox[{"a1", "+", 
         RowBox[{"n", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a1"}], ")"}]}]}]}], "}"}], "]"}], "]"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"bisectorAngle", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_"}], "]"}], ":=", 
  RowBox[{
   FractionBox["1", "2"], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"nearestPhase", "[", 
      RowBox[{"p2", "-", "p1"}], "]"}], "+", 
     RowBox[{"nearestPhase", "[", 
      RowBox[{
       RowBox[{"p3", "-", "p1"}], ",", 
       RowBox[{"nearestPhase", "[", 
        RowBox[{"p2", "-", "p1"}], "]"}]}], "]"}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"bisectorAndCleaver", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"angle", ",", "segment"}], "}"}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"angle", "=", 
          RowBox[{"bisectorAngle", "[", 
           RowBox[{"p1", ",", "p2", ",", "p3"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"segment", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", "angle", "]"}], ",", 
            RowBox[{"Sin", "[", "angle", "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          FractionBox[
           RowBox[{"p2", "+", "p3"}], "2"], "+", 
          RowBox[{"2", "segment"}]}]}], ",", 
        RowBox[{
         FractionBox[
          RowBox[{"p2", "+", "p3"}], "2"], "-", 
         RowBox[{"2", "segment"}]}]}], "}"}], "]"}], "\[IndentingNewLine]", 
     "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inCenter", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"angle1", ",", "segment1", ",", "angle2", ",", "segment2"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"angle1", "=", 
      RowBox[{"bisectorAngle", "[", 
       RowBox[{"p1", ",", "p2", ",", "p3"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"segment1", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "angle1", "]"}], ",", 
        RowBox[{"Sin", "[", "angle1", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"angle2", "=", 
      RowBox[{"bisectorAngle", "[", 
       RowBox[{"p2", ",", "p1", ",", "p3"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"segment2", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "angle2", "]"}], ",", 
        RowBox[{"Sin", "[", "angle2", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"First", "[", 
      RowBox[{"Intersections", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p1", "+", 
            RowBox[{"2", "segment1"}]}], ",", 
           RowBox[{"p1", "-", 
            RowBox[{"2", "segment1"}]}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p2", "+", 
            RowBox[{"2", "segment2"}]}], ",", 
           RowBox[{"p2", "-", 
            RowBox[{"2", "segment2"}]}]}], "}"}], "]"}]}], "]"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"calcLength", "[", 
    RowBox[{"p1_", ",", "p2_"}], "]"}], ":=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "2"]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"followingGraphics", "[", 
   RowBox[{"a1_", ",", "a2_", ",", "a3_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"l1", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{"a2", ",", "a3"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"l2", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{"a1", ",", "a3"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"l3", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{"a1", ",", "a2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ml1", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"a2", "+", "a3"}], "2"], ",", 
        FractionBox[
         RowBox[{"a3", "+", "a1"}], "2"]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ml2", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"a1", "+", "a2"}], "2"], ",", 
        FractionBox[
         RowBox[{"a3", "+", "a1"}], "2"]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ml3", "=", 
      RowBox[{"calcLength", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"a1", "+", "a2"}], "2"], ",", 
        FractionBox[
         RowBox[{"a2", "+", "a3"}], "2"]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"incenter", "=", 
      RowBox[{"inCenter", "[", 
       RowBox[{"a1", ",", "a2", ",", "a3"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"inradius", "=", "\[IndentingNewLine]", 
      RowBox[{"0.5", "*", 
       RowBox[{"Sqrt", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l3", "-", "l1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"l3", "+", "l1", "-", "l2"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"l1", "+", "l2", "-", "l3"}], ")"}]}], 
         RowBox[{"l1", "+", "l2", "+", "l3"}]], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"spieker", "=", 
      RowBox[{"inCenter", "[", 
       RowBox[{
        FractionBox[
         RowBox[{"a2", "+", "a3"}], "2"], ",", 
        FractionBox[
         RowBox[{"a1", "+", "a2"}], "2"], ",", 
        FractionBox[
         RowBox[{"a3", "+", "a1"}], "2"]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"medianinradius", "=", "\[IndentingNewLine]", 
      RowBox[{"0.5", "*", 
       RowBox[{"Sqrt", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ml2", "+", "ml3", "-", "ml1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"ml3", "+", "ml1", "-", "ml2"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"ml1", "+", "ml2", "-", "ml3"}], ")"}]}], 
         RowBox[{"ml1", "+", "ml2", "+", "ml3"}]], "]"}]}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"White", ",", 
       RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"a1", ",", "a2", ",", "a3", ",", "a1"}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{"a1", "+", "a2"}], "2"], ",", 
          FractionBox[
           RowBox[{"a2", "+", "a3"}], "2"], ",", 
          FractionBox[
           RowBox[{"a3", "+", "a1"}], "2"], ",", 
          FractionBox[
           RowBox[{"a1", "+", "a2"}], "2"]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AbsoluteThickness", "[", "1", "]"}], ",", 
       "\[IndentingNewLine]", "Gray", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"incenter", "+", 
           RowBox[{"20", 
            RowBox[{"(", 
             RowBox[{"incenter", "-", "a1"}], ")"}]}]}], ",", "a1"}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"incenter", "+", 
           RowBox[{"20", 
            RowBox[{"(", 
             RowBox[{"incenter", "-", "a2"}], ")"}]}]}], ",", "a2"}], "}"}], 
        "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"incenter", "+", 
           RowBox[{"20", 
            RowBox[{"(", 
             RowBox[{"incenter", "-", "a3"}], ")"}]}]}], ",", "a3"}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", "Gray", ",", "\[IndentingNewLine]",
        
       RowBox[{"bisectorAndCleaver", "[", 
        RowBox[{"a1", ",", "a2", ",", "a3"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"bisectorAndCleaver", "[", 
        RowBox[{"a2", ",", "a1", ",", "a3"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"bisectorAndCleaver", "[", 
        RowBox[{"a3", ",", "a1", ",", "a2"}], "]"}], ",", 
       "\[IndentingNewLine]", "White", ",", "\[IndentingNewLine]", 
       RowBox[{"Circle", "[", 
        RowBox[{"incenter", ",", 
         RowBox[{"{", 
          RowBox[{"inradius", ",", "inradius"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Circle", "[", 
        RowBox[{"spieker", ",", 
         RowBox[{"{", 
          RowBox[{"medianinradius", ",", "medianinradius"}], "}"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"AbsolutePointSize", "[", "15", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"a1", ",", "a2", ",", "a3"}], "}"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Play", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
       RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
       RowBox[{"followingGraphics", "[", 
        RowBox[{"a1", ",", "a2", ",", "a3"}], "]"}]}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
     RowBox[{"Background", "\[Rule]", "Black"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "1.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "1.1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a1", ",", 
       RowBox[{"{", 
        RowBox[{"0.25", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a2", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", " ", "0"}], "}"}]}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a3", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", " ", "1"}], "}"}]}], "}"}], ",", "Locator"}], "}"}],
    ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36430071667522*^9, 3.36430081385398*^9}, 
   3.36430084411837*^9, {3.36430580863733*^9, 3.36430581021377*^9}, {
   3.369409829203629*^9, 3.369409832735981*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a1$$ = {0.25, 0}, $CellContext`a2$$ = {1, 
    0}, $CellContext`a3$$ = {1, 1}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a1$$], {0.25, 0}}, Automatic}, {{
       Hold[$CellContext`a2$$], {1, 0}}, Automatic}, {{
       Hold[$CellContext`a3$$], {1, 1}}, Automatic}}, Typeset`size$$ = {600., 
    600.}, Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a1$$ = {0.25, 0}, $CellContext`a2$$ = {1, 
         0}, $CellContext`a3$$ = {1, 1}}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         PointSize[0.03], 
         GrayLevel[0], 
         $CellContext`followingGraphics[$CellContext`a1$$, $CellContext`a2$$, \
$CellContext`a3$$]}, AspectRatio -> Automatic, ImageSize -> 600, Background -> 
        Black, PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}], 
      "Specifications" :> {{{$CellContext`a1$$, {0.25, 0}}, Automatic, 
         ControlType -> Locator}, {{$CellContext`a2$$, {1, 0}}, Automatic, 
         ControlType -> Locator, Appearance -> 
         None}, {{$CellContext`a3$$, {1, 1}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{642., 650.}],
    Deinitialization:>None,
    Initialization:>({$CellContext`followingGraphics[
         Pattern[$CellContext`a1, 
          Blank[]], 
         Pattern[$CellContext`a2, 
          Blank[]], 
         Pattern[$CellContext`a3, 
          Blank[]]] := 
       Module[{}, $CellContext`l1 = $CellContext`calcLength[$CellContext`a2, \
$CellContext`a3]; $CellContext`l2 = $CellContext`calcLength[$CellContext`a1, \
$CellContext`a3]; $CellContext`l3 = $CellContext`calcLength[$CellContext`a1, \
$CellContext`a2]; $CellContext`ml1 = $CellContext`calcLength[($CellContext`a2 + \
$CellContext`a3)/2, ($CellContext`a3 + $CellContext`a1)/
            2]; $CellContext`ml2 = $CellContext`calcLength[($CellContext`a1 + \
$CellContext`a2)/2, ($CellContext`a3 + $CellContext`a1)/
            2]; $CellContext`ml3 = $CellContext`calcLength[($CellContext`a1 + \
$CellContext`a2)/2, ($CellContext`a2 + $CellContext`a3)/
            2]; $CellContext`incenter = \
$CellContext`inCenter[$CellContext`a1, $CellContext`a2, $CellContext`a3]; \
$CellContext`inradius = 
          0.5 Sqrt[((($CellContext`l2 + $CellContext`l3 - $CellContext`l1) \
($CellContext`l3 + $CellContext`l1 - $CellContext`l2)) ($CellContext`l1 + \
$CellContext`l2 - $CellContext`l3))/($CellContext`l1 + $CellContext`l2 + \
$CellContext`l3)]; $CellContext`spieker = \
$CellContext`inCenter[($CellContext`a2 + $CellContext`a3)/
            2, ($CellContext`a1 + $CellContext`a2)/
            2, ($CellContext`a3 + $CellContext`a1)/
            2]; $CellContext`medianinradius = 
          0.5 Sqrt[((($CellContext`ml2 + $CellContext`ml3 - $CellContext`ml1) \
($CellContext`ml3 + $CellContext`ml1 - $CellContext`ml2)) ($CellContext`ml1 + \
$CellContext`ml2 - $CellContext`ml3))/($CellContext`ml1 + $CellContext`ml2 + \
$CellContext`ml3)]; {White, 
           AbsoluteThickness[2], 
           
           Line[{$CellContext`a1, $CellContext`a2, $CellContext`a3, \
$CellContext`a1}], 
           
           Line[{($CellContext`a1 + $CellContext`a2)/
             2, ($CellContext`a2 + $CellContext`a3)/
             2, ($CellContext`a3 + $CellContext`a1)/
             2, ($CellContext`a1 + $CellContext`a2)/2}], 
           AbsoluteThickness[1], Gray, 
           
           Line[{$CellContext`incenter + 
             20 ($CellContext`incenter - $CellContext`a1), $CellContext`a1}], 
           
           
           Line[{$CellContext`incenter + 
             20 ($CellContext`incenter - $CellContext`a2), $CellContext`a2}], 
           
           
           Line[{$CellContext`incenter + 
             20 ($CellContext`incenter - $CellContext`a3), $CellContext`a3}], 
           Gray, 
           $CellContext`bisectorAndCleaver[$CellContext`a1, $CellContext`a2, \
$CellContext`a3], 
           $CellContext`bisectorAndCleaver[$CellContext`a2, $CellContext`a1, \
$CellContext`a3], 
           $CellContext`bisectorAndCleaver[$CellContext`a3, $CellContext`a1, \
$CellContext`a2], White, 
           
           Circle[$CellContext`incenter, {$CellContext`inradius, \
$CellContext`inradius}], 
           
           Circle[$CellContext`spieker, {$CellContext`medianinradius, \
$CellContext`medianinradius}], 
           AbsolutePointSize[15], 
           
           Point[{$CellContext`a1, $CellContext`a2, $CellContext`a3}]}], \
$CellContext`l1 = 1.0005158669406498`, $CellContext`calcLength[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]]] := Sqrt[
         Apply[Plus, ($CellContext`p2 - $CellContext`p1)^2]], $CellContext`l2 = 
       1.1800559308778547`, $CellContext`l3 = 0.75, $CellContext`ml1 = 
       0.375, $CellContext`ml2 = 0.5002579334703249, $CellContext`ml3 = 
       0.5900279654389273, $CellContext`incenter = {0.7147700319686026, 
        0.2543872156808936}, $CellContext`inCenter[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]]] := 
       Module[{$CellContext`angle1, $CellContext`segment1, \
$CellContext`angle2, $CellContext`segment2}, $CellContext`angle1 = \
$CellContext`bisectorAngle[$CellContext`p1, $CellContext`p2, $CellContext`p3]; \
$CellContext`segment1 = {
            Cos[$CellContext`angle1], 
            
            Sin[$CellContext`angle1]}; $CellContext`angle2 = \
$CellContext`bisectorAngle[$CellContext`p2, $CellContext`p1, $CellContext`p3]; \
$CellContext`segment2 = {
            Cos[$CellContext`angle2], 
            Sin[$CellContext`angle2]}; First[
           $CellContext`Intersections[
            
            Line[{$CellContext`p1 + 2 $CellContext`segment1, $CellContext`p1 - 
              2 $CellContext`segment1}], 
            
            Line[{$CellContext`p2 + 2 $CellContext`segment2, $CellContext`p2 - 
              2 $CellContext`segment2}]]]], $CellContext`bisectorAngle[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]]] := (1/
         2) ($CellContext`nearestPhase[$CellContext`p2 - $CellContext`p1] + \
$CellContext`nearestPhase[$CellContext`p3 - $CellContext`p1, 
           $CellContext`nearestPhase[$CellContext`p2 - $CellContext`p1]]), \
$CellContext`nearestPhase[{
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           
           Blank[]]}] := $CellContext`nearestPhase[{$CellContext`x, \
$CellContext`y}, Pi], $CellContext`nearestPhase[{
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]}, 
         Pattern[$CellContext`old, 
          Blank[]]] := Module[{$CellContext`t}, 
         If[$CellContext`x == 0., 
          If[$CellContext`y < 0, 3 (Pi/2), 
           If[$CellContext`y > 0, Pi/2, 0]], $CellContext`t = N[
             ArcTan[$CellContext`y/$CellContext`x]]; 
          If[$CellContext`x < 0, $CellContext`t + Pi, 
            
            If[$CellContext`y < 
             0 $CellContext`t + 
              2 Pi, $CellContext`t]]]], $CellContext`Intersections[
         Line[{{
            Pattern[$CellContext`x1, 
             Blank[]], 
            Pattern[$CellContext`y1, 
             Blank[]]}, {
            Pattern[$CellContext`x2, 
             Blank[]], 
            Pattern[$CellContext`y2, 
             Blank[]]}}], 
         Line[{{
            Pattern[$CellContext`x3, 
             Blank[]], 
            Pattern[$CellContext`y3, 
             Blank[]]}, {
            Pattern[$CellContext`x4, 
             Blank[]], 
            Pattern[$CellContext`y4, 
             Blank[]]}}], 
         PatternTest[
          Pattern[$CellContext`opts, 
           BlankNullSequence[]], OptionQ]] := 
       Module[{$CellContext`d = ($CellContext`x1 - $CellContext`x2) \
($CellContext`y3 - $CellContext`y4) - ($CellContext`x3 - $CellContext`x4) \
($CellContext`y1 - $CellContext`y2), $CellContext`d12 = 
          Det[{{$CellContext`x1, $CellContext`y1}, {$CellContext`x2, \
$CellContext`y2}}], $CellContext`d34 = 
          Det[{{$CellContext`x3, $CellContext`y3}, {$CellContext`x4, \
$CellContext`y4}}], $CellContext`zeroq = ReplaceAll[
            ReplaceAll[ZeroTest, {$CellContext`opts}], 
            Options[$CellContext`Intersections]]}, 
         If[
          And[
           NumericQ[$CellContext`d], 
           $CellContext`zeroq[$CellContext`d]], $CellContext`PointAtInfinity, 
          
          
          Point[{Det[{{$CellContext`d12, $CellContext`x1 - $CellContext`x2}, \
{$CellContext`d34, $CellContext`x3 - $CellContext`x4}}]/$CellContext`d, 
            Det[{{$CellContext`d12, $CellContext`y1 - $CellContext`y2}, \
{$CellContext`d34, $CellContext`y3 - $CellContext`y4}}]/$CellContext`d}]]], 
       Options[$CellContext`Intersections] = {
        ZeroTest -> (Abs[#] < 10^(-13)& )}, $CellContext`inradius = 
       0.2543872156808936, $CellContext`spieker = {0.7106149840156991, 
        0.3698063921595535}, $CellContext`medianinradius = 
       0.12719360784044678`, $CellContext`bisectorAndCleaver[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]]] := Module[{$CellContext`angle, $CellContext`segment}, {
          
          Line[{$CellContext`angle = \
$CellContext`bisectorAngle[$CellContext`p1, $CellContext`p2, $CellContext`p3]; \
$CellContext`segment = {
               Cos[$CellContext`angle], 
               Sin[$CellContext`angle]}; ($CellContext`p2 + $CellContext`p3)/
              2 + 2 $CellContext`segment, ($CellContext`p2 + $CellContext`p3)/
             2 - 2 $CellContext`segment}]}]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$},
    ValuesData:>{}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.369579532199038*^9, 3.369579540125248*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1020, 890},
WindowMargins->{{133, Automatic}, {Automatic, 21}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (October 11, 2006)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 33, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[648, 27, 55, 1, 34, "Subsection",
 InitializationCell->True],
Cell[706, 30, 1830, 50, 249, "Input"],
Cell[2539, 82, 3135, 98, 114, "Input"],
Cell[5677, 182, 826, 27, 24, "Input"],
Cell[6506, 211, 464, 14, 41, "Input"],
Cell[6973, 227, 1107, 31, 150, "Input"],
Cell[8083, 260, 1651, 47, 114, "Input"],
Cell[9737, 309, 320, 11, 28, "Input"],
Cell[10060, 322, 5681, 153, 670, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15778, 480, 26, 0, 26, "Subsection"],
Cell[CellGroupData[{
Cell[15829, 484, 1686, 48, 54, "Input"],
Cell[17518, 534, 10841, 233, 663, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
